About Microsoft Windows SharePoint Services 2.0

About Microsoft Windows SharePoint Services 2.0

Web sites based on Microsoft Windows SharePoint Services 2.0 provide a place where your team can communicate, share documents, and work together on a project. You can create a separate site for every project on which your team is working.

You can contribute to the site by using nothing more than a Web browser. However, if you use a Windows SharePoint Services-compatible client program, such as Microsoft Office 2003, you can work seamlessly with the site, saving files to libraries, editing documents in the client program, and moving or linking that information to your site.

Using SharePoint sites

You can add information to the SharePoint site, such as events, names and phone numbers of people with whom your team communicates, and to-do items.

You can also do the following:

  • Post documents to share with other team members
  • Hold newsgroup-style discussions
  • Take a poll of the team to make a decision

As team members add or delete documents, lists, discussions, and surveys, Windows SharePoint Services automatically updates links to the content so that it's always easy to find. You can also create alerts so that you are notified of changes to the site.

Pages in the site display lists of information, allowing team members to organize the information any way they want, such as by subject, due date, or author. For example, you can do the following:

  • Restrict the display to see only the set of information that applies to you
  • Hide information that doesn't interest you
  • Change the order in which the information is listed
  • Set up customized views to make it easy for your team members to focus quickly on pertinent information

Features

When you first create a Windows SharePoint site, it comes with the following built-in features:

Lists

Your team can fill the following built-in lists with information and customize the lists if desired. You can also create a new list that is either based on a built-in list or custom-designed.

If you have a Windows SharePoint Services-compatible spreadsheet program, such as Microsoft Excel 2002, and Microsoft Internet Explorer 5 or later installed, you can create lists that are based on spreadsheets.

  • Announcements The announcements list is a place to post information for the team. By default, a view of the announcements list appears on the home page.
  • Contacts The contacts list stores information such as name, telephone number, e-mail address, and street address for people who work with your team. By default, a hyperlink to the contacts list appears on the Quick Launch bar.
  • Events The events list is a place to post important dates. By default, a view of the events list appears on the home page.
  • Links The links list displays hyperlinks to Web pages of interest to team members. By default, a view of the links list appears on the home page.
  • Tasks The tasks list provides a to-do list for team members. By default, a hyperlink to the tasks list appears on the Quick Launch bar.

Libraries

Document, picture, and form libraries are collections of files that you share with team members.

A library appears on a page that lists each file and its properties, as well as a hyperlink to the file.

You can set up a template for a document library so that all files created in a library share common features.

By default, your site comes with a built-in document library named Shared Documents, which is listed on the Quick Launch bar as well as on the Document Libraries page.

Discussion boards

Discussion boards provide a forum for conversing about topics that interest your team. Team members can post comments and reply to others' comments, reducing the need for widely distributed e-mail threads.

By default, your site comes with a built-in discussion board named General Discussion, which is listed on the Quick Launch bar as well as on the Discussion Boards page.

Surveys

Surveys provide a way of polling team members. All you need to do is specify the questions and define how team members will enter their answers.

Your doesn't site come with a built-in survey, but you can easily create your own.

Integration with client programs

You can use a site based on Windows SharePoint Services whether or not you have a Windows SharePoint Services-compatible client program installed. However, if you are running a Windows SharePoint Services-compatible client program, such as Office 2003, you can integrate the work you do in the client program with your site.

Using a datasheet program for editing list data

A Windows SharePoint Services-compatible datasheet program such as Office Professional Edition 2003 allows you to edit list data as easily as you would cells in a spreadsheet program. You can add and edit rows and columns, apply filters and sort orders, display calculated values and totals, and more.

Saving files to a document library

If you use a Windows SharePoint Services-compatible client program, such as Office 2003, you will have integrated functionality between the client program and your site.

For example, you can use an Office 2003 program to open a template in a document library, and when you save the file, it is saved back to the document library by default. If custom properties are defined for the library, the Save As dialog box displays a form in which you can fill out the information.

Using a spreadsheet program to link to, import, or export lists

If you use a Windows SharePoint Services-compatible spreadsheet program, such asOffice Excel 2003, and Internet Explorer 5 or later, you can link data between an existing spreadsheet and a list in your site.

You can also export any list from your site to the spreadsheet program. For example, if you export a list to Office Excel 2003, you can create PivotTables and charts to analyze the information or apply text formatting. In Excel, the exported list is a Web Query that stays updated with changes to the original list in your SharePoint site.

Copying items between calendars or address books and your SharePoint site

If you use a Windows SharePoint Services-compatible calendar program, such as Office Outlook 2003, you can link events between your site and your calendar.

If you use a Windows SharePoint Services-compatible address book program, such as Office Outlook 2003, that supports vCard files, you can link your address book information with a site contacts list. You can also export contacts to the site.

Display lists and document libraries in Web pages

If you use a Windows SharePoint Services-compatible word processing program or Web page editor, such as Microsoft Office Word 2003 or Microsoft Office FrontPage 2003, you can insert views of lists and document libraries into pages of your document. The pages must be saved as Web pages in the same site as the list or document library. The view can display only the set of information in which you're interested. The view displays live data, so any changes in the original list or document library are reflected in the view.

Use a Web page editor to customize your site

If you are a member of the Web Designer or Administrator site group, you can open the SharePoint site in a Windows SharePoint Services-compatible Web page editor, such as Office FrontPage 2003, and customize the content, format, and layout.

SharePoint site customization

You can customize the content of your SharePoint site by using nothing more than a Web browser. However, if you have a Windows SharePoint Services-compatible Web page editor, such as Office FrontPage 2003 installed, you can tailor the site with your own custom layout, formatting, and content.

Customize by using a browser

The SharePoint site provides commands for customizing the look of your site. You can apply themes, create custom views of information, and change the organization of Web Parts on pages. For example, for a list of tasks, you can create one view that lists the tasks by due date and another view that lists the tasks by the name of the person to whom they're assigned.

You can also do the following:

  • Change the order of fields on data entry forms
  • Change the layout of the home page

Customize by using a Web page editor

You can open the SharePoint site in a Windows SharePoint Services-compatible Web page editor, such as Office FrontPage 2003, and change the layout of the site. You can also add custom pages and your corporate logo for a polished, professional look.

For example, you can do the following:

  • Add your own HTML pages, and then add them to the Quick Launch bar or top link bar
  • Change the order of the hyperlinks on the Quick Launch bar
  • Add images to pages
  • Apply a theme
  • Modify the font, colors, and layout of forms associated with lists, document libraries, discussion boards, and surveys
  • Add views of lists, document libraries, discussion boards, and surveys to Web pages
  • Modify the navigation structure

Security

When you create a site, you can specify who has access to the site and send each member an invitation to join the site. As the site creator, you can assign rights to other team members. For example, you could grant some team members rights only to read what's on the site, while granting other team members rights to add content or to configure settings for the site.

©2003 Microsoft Corporation. All rights reserved.


System requirements

System requirements

Before you install Microsoft Windows SharePoint Services on your Web server, make sure that you have installed the required hardware and software.

Web server hardware requirements

Hardware requirements for your Web server vary depending on the operating system you use. The following table describes the hardware requirements for the supported operating systems.

Operating system | Requirements for single server | Requirements for server farm installation
Microsoft Windows Server 2003, Standard Edition, Enterprise Edition, Datacenter Edition, or Web Edition | Same as requirements for Windows Server 2003 | Pentium CPU/550 MHZ 1 CPU (2 recommended) 512 MB RAM

Note Windows SharePoint Services requires the NTFS file system.

Software requirements

To run Windows SharePoint Services, you must first install the following software on your server:

  • Microsoft Windows Server 2003 Standard, Enterprise, Datacenter, or Web Edition, configured as a Web server (running Internet Information Services 6.0 in IIS 6.0 worker process isolation mode) and running ASP.NET. For more information about installing and configuring IIS and ASP.NET, see the Windows Server 2003 documentation.
  • Microsoft Internet Explorer 5.01 or later (best results with Microsoft Internet Explorer 5.5 or later).

    – or –

    Netscape Navigator version 6.2 or later.

Database requirements

In addition to the operating system and Web server software, you must also have a database installed on your server (or on a separate server) to run Windows SharePoint Services. The following databases are supported:

  • Microsoft SQL Server 2000, Service Pack 3
  • Microsoft Windows SharePoint Services SQL Server 2000 Desktop Engine (Windows) (WMSDE)

Note If you do not have SQL Server installed on your server, WMSDE is installed automatically when you install Windows SharePoint Services. If you are using the command-line interface to install Windows SharePoint Services, or are using a script to run the installation, you can specify a separate server to use for your database.

Browser and client requirements

Any Windows, Macintosh, or UNIX client can use Windows SharePoint Services features, providing the client runs the following software:

  • Microsoft Internet Explorer 5.01 or later (best results with Microsoft Internet Explorer 5.5 or later), Microsoft Internet Explorer 5.2 or later for Macintosh, or Netscape Navigator version 6.2 or later.
  • A client program, such as Microsoft Office 2003 (required if the user contributes documents to a Web site, but not necessary for browsing).


What's New in Microsoft Windows SharePoint Services 2.0

What's New in Microsoft Windows SharePoint Services 2.0

Microsoft Windows SharePoint Services 2.0 makes it easier to create sites to share information with others with new types of sites, lists, and libraries. Managing your sites is also much easier with an enhanced security model and tools for monitoring and controlling your sites.

What's new for site users?

The following features are just some of the additions and improvements for users of Windows SharePoint Services.

  • Alerts Alerts improve on the subscription notifications in SharePoint Team Services 1.0 from Microsoft. Windows SharePoint Services uses alerts to tell you through e-mail about additions, deletions, and changes to lists, list items, libraries, and other parts of sites. You can receive alert results immediately, or request daily, or weekly alert results summaries.
  • Lists Issue lists, calendar views, group-by views, personal views, and rich text expand the possibilities of Windows SharePoint Services lists. You can use formulas and functions in lists to create calculated columns and views. Creating a list is even easier from the one-stop Create page. Lists can be set up to require the list owner's approval before new items appear.
  • Document libraries Document libraries now support versions—or creating a backup copy of a file whenever you save a file to the library—as well as check in and check out, and subfolders. Windows SharePoint Services includes viewers for files that enable you to view documents from programs such as Microsoft Office 2003 even if you don't have the program installed.
  • Picture libraries You can store photos and graphics in new picture libraries. View pictures as thumbnails, filmstrips, or in a standard files list.
  • Meeting Workspace sites New Meeting Workspace sites deliver a place for managing meetings and their attendees, agendas, documents, decisions, and action items. Users can contribute to a Meeting Workspace site using a browser. You can create a Meeting Workspace site from an e-mail program compatible with Windows SharePoint Services, such as Office Outlook 2003 or by using the browser from an events list.
  • Document Workspace sites New Document Workspace sites deliver sites that are centered around one or more documents. You can can easily work together with coworkers on a document — either by working directly on the copy located on the Document Workspace site or by working on your own copy, which you can update periodically with changes that are saved to the copy located on the Document Workspace site. You can create a Document Workspace site from a word processing program compatible with Windows SharePoint Services. For example, you can create a Document Workspace from Microsoft Office Word 2003, Office Excel 2003, Office PowerPoint 2003, as a Shared Attachment in Office Outlook 2003, or by using the browser from a document library.
  • Integration with other programs You can open files from, save files to, and upload multiple files to document libraries from productivity programs that are compatible with Windows SharePoint Services, such as Office 2003. You can link events and contacts information between Windows SharePoint Services and compatible calendar and contacts programs. Document Workspace sites integrate with Windows SharePoint Services-compatible e-mail, spreadsheet, presentation, and word processing programs to enable you to send documents in a Document Workspace site as attachments. Windows SharePoint Services-compatible datasheet programs such as Office Professional Edition 2003 enhance SharePoint lists in Datasheet views.
  • Online presence integration User presence is indicated everywhere a member name appears in a site. The presence menu integrates with Microsoft Active Directory directory service, Microsoft Exchange, and Microsoft Windows Messenger to offer information such as free/busy status, office location, and manager.

What's new for site administrators?

The following are just some of the new and improved features for people who manage a site or sites.

Lists and libraries Windows SharePoint Services offers site administrators that ability to manage lists and libraries by doing the following:
  • Blocking specific file types from document libraries to prevent suspicious file types from being uploaded to the server
  • Linking a document library with a public folder based on Microsoft Exchange 2000 or later to store documents attached to e-mail messages
  • Specifying list permissions to allow only specific users to change a list
Customizing sites You can enable users to update the home page content and layout by using the Web Parts tool pane. Also, each list in a site is a Web Part that allows easy customization and personalization by using the browser. You can also manage themes and templates to make customization even easier.
Templates Templates can apply to entire sites, or individual lists and libraries. You can save lists as templates, and then reuse them or distribute them to other sites. You can save sites as templates to capture best practices or to define a consistent look and feel. You can store Web Parts, list templates, and site templates in libraries for use by all sites in the site collection.
International settings Windows SharePoint Services offers support for regional settings such as language, time zone, currency type, international calendar formats, and other locale settings on a per-site basis.
Site users You can use your organizational address book to choose the users to add to a site, and use domain groups to control access to your site. Windows SharePoint Services supports Microsoft Windows authentication support for anonymous, basic, integrated Windows authentication, and certificates authentication.
Site creation You can enable self-service site creation to allow users to create sites on demand without involving the IT department.
Tracking site use You can use usage information to determine how many users visit each site. Sites owners are automatically notified if their site has been inactive for a specified period of time. If multiple notices are sent to the site owner and the site remains inactive, the administrator can specify that the site be automatically deleted.

What's new for server administrators?

The following are some of the new and improved features for administrators of servers running Windows SharePoint Services.

  • Site collection management Top-level Web sites and subsites can divide site content into distinct and separately manageable sites. These site collections support customized management tools and simplified management from a single list of all sites. Each site in a server farm can be individually backed up and restored. You can set quotas for site storage size and generate automatic notifications for the site owner when a site reaches its size limit. You can use the SharePoint Central Administration pages to manage users on all sites and create cross-site groups that can be used within all sites in a site collection.
  • Server topology You can install and configure Windows SharePoint Services to allow your server farm to host several sites with the same Internet Protocol (IP) address, with multiple site names and separate content. You can add multiple servers running Microsoft SQL Server to the server farm to support server clusters. You can load balance your front-end Web servers by using a single back-end SQL Server computer.
  • Site migration You can use the Microsoft SharePoint Migration Tool (Smigrate.exe) to move existing Windows SharePoint Services sites to another server. SharePoint Team Services v1.0 sites can be moved to SharePoint sites as well.
  • Extensibility Sites are built on Microsoft ASP.NET technology and are extensible by using the Microsoft .NET Framework. You can use the object model to create custom solutions for SharePoint Products and Technologies. You can use events in document libraries to build custom actions and send documents to a document library by using e-mail.
  • SQL Server integration When using Windows SharePoint Services with Microsoft SQL Server, full-text indexing provides site-wide search. To take advantage of SQL Server backup and restore capabilities, SQL Server is used to store all site data including documents.
  • International settings Windows SharePoint Services languages supports more languages than SharePoint Team Services v1.0. Multiple language sites can be hosted on a single server or server farm running Windows SharePoint Services. Site language is independent from server language.


Getting help

Getting help

You can get the information you want in different ways, depending on how you access the Help contents.

From a Microsoft Windows SharePoint Services site

Click Help on the top link bar. Depending on the page you're using, a Help topic for the page you're on might appear, or the table of contents might appear.

If you can't find the information you need on the Help topic that appears, click Home to go to the table of contents, and then browse the topics. You can also use the resources in the On the Web section of this topic to find information.

From the Windows SharePoint Services compiled Help file download

You can download the help files for Windows SharePoint Services in a compiled Help file from the Microsoft Download Center.

To find the information you need in the compiled Help file, use the Contents pane to browse Help topics, or click the Search tab to search the Help files for keywords. You can also use the resources in the On the Web section of this topic to find information.

On the Web

Note You must have Internet access to connect to these resources.

The following resources are available online:

  • Windows SharePoint Services technology on Office Online: Complete list of links to resources for both end users and administrators
  • Microsoft Product Support Services: Microsoft Help and Support Services for all products
  • Windows SharePoint Services on TechNet: Resources for administrators about Windows SharePoint Services on TechNet
  • Microsoft SharePoint Products and Technologies on MSDN: Resources for developers about SharePoint Products and Technologies
  • SharePoint Products and Technologies Web site: A Web site that provides information about all SharePoint products and technologies


Accessibility for people with disabilities

Accessibility for people with disabilities

Microsoft is committed to making its products and services easy for everyone to use. This topic provides information about the following features, products, and services that make Microsoft Windows SharePoint Services more accessible for people with disabilities:

  • Microsoft Windows SharePoint Services accessibility features and options
  • Accessibility in Microsoft Windows
  • Adjusting Microsoft products for people with accessibility needs
  • Assistive technology products for Windows
  • Documentation in alternative formats
  • Customer services for people who are deaf or hard-of-hearing
  • Getting more accessibility information

Note The information in this topic applies only to users who license Microsoft products in the United States. If you obtained this product outside the United States, your package contains a subsidiary information card listing Microsoft support services telephone numbers and addresses. You can contact your subsidiary to find out whether the type of products and services described in this appendix are available in your area. See http://www.microsoft.com/enable/worldwide.htm for more information available in the following eight languages: English, French, Portuguese, Spanish, Chinese, Japanese, Swedish, and Italian.

Microsoft Windows SharePoint Services accessibility features and options

In addition to the Windows accessibility features and utilities described in the next section, the following features make Microsoft Windows SharePoint Services more accessible for people with disabilities. These features are available to everyone, without the need for additional accessibility aids.

Using Help

Some screen readers may not work with the expandable links in online Help. If you're having problems, try one of the following:

  • Install Microsoft Internet Explorer 5 or later. For more information, visit the Microsoft Internet Explorer Web site.

Note The hyperlinks in this topic go to the Web. You can switch back to Help at any time.

Using the keyboard

Many features and commands are available directly from the keyboard. Because Windows SharePoint Services is Web-based, you can press the TAB and SHIFT+TAB keys to move back and forth between elements on any page. Windows SharePoint Services also provides keyboard shortcuts for its commands. For more information, see Keyboard shortcuts.

Features provided by your Web browser

Your Web browser has features that improve the readability of pages. For information about the accessibility features provided by your Web browser, look for information in the browser's Help about how to customize your browser to display the fonts and colors that you prefer. If your browser is Microsoft Internet Explorer, look for "Accessibility" in the Help table of contents.

Accessibility in Microsoft Windows

Many accessibility features have been built into the Microsoft Windows operating system, starting with the introduction of Windows 95. These features are useful for individuals who have difficulty typing or using a mouse, are blind or have low vision, or who are deaf or hard-of-hearing. The features can be installed during setup. The following sections provide more information about the various accessibility features of Windows Server 2003, Windows XP Professional and Home, Windows 2000, Windows Millennium, Windows 98, and Windows 95.

Windows Server 2003

Products in the Microsoft Windows Server 2003 family include a number of accessibility features that can improve display, sound, mouse, and keyboard settings for users who are blind, have motion disabilities, or are deaf or hard of hearing. Many accessibility features are also useful to people without disabilities. For more information about accessibility enhancements and features in Windows Server 2003, visit http://www.microsoft.com/windowsserver2003.

Windows XP Professional and Home

Accessibility enhancements and improvements in Microsoft Windows XP Professional and Home Editions provide better integration with assistive technology products and richer communications. Accessibility improvements and other Windows XP Professional features make it easier for people with accessibility needs to work more efficiently. For more information about accessibility enhancements and features in Windows XP, visit http://www.microsoft.com/windowsxp/accessibility/.

Windows 2000

Microsoft Windows 2000 includes several accessibility tools to help people with disabilities configure and use business computers quickly—without additional software and hardware. Accessibility features from earlier versions of the Windows operating system are still included, and with the increased integration of Microsoft Active Accessibility, many assistive technology products simply work better. For more information about accessibility in Microsoft Windows 2000, visit http://www.microsoft.com/enable/products/.

Windows Me

Accessibility tools and features in Microsoft Windows Me offer people with disabilities greater immediate access and ease-of-use than ever before. Accessibility highlights include an expanded Accessibility menu and an enhanced Accessibility Wizard. For more information about accessibility in Windows Me, visit http://www.microsoft.com/enable/products/.

Windows 98

Microsoft Windows 98 offers enhanced hardware support, home networking capabilities, improved online experience, and new accessibility features. For more information about accessibility Microsoft Windows 98, visit http://www.microsoft.com/enable/products/.

Windows 95 and Windows NT Workstation 4.0

Microsoft Windows 95 and Windows NT Workstation 4.0 have several built-in accessibility features to help people with disabilities use computers more easily and effectively. For more information about accessibility in these operating systems, visit http://www.microsoft.com/enable/products/.

Adjusting Microsoft products for people with accessibility needs

Accessibility options and features are built into many Microsoft products, including the Windows operating system. Accessibility options and features are useful for individuals who have difficulty typing or using a mouse, are blind or have low vision, or who are deaf or hard-of-hearing.

Free step-by-step tutorials

Microsoft offers a series of step-by-step tutorials to help you learn how to adjust the accessibility options and settings on your computer. The tutorials provide detailed procedures on how to adjust options, features, and settings to meet the needs of people with disabilities and accessibility needs. This information is presented in a side-by-side format so that you can see at a glance how to use the mouse, the keyboard, or a combination of both.

Visit http://www.microsoft.com/enable/training/ to find Step-by-Step Tutorials for the following products:

  • Microsoft Windows XP Professional and Home
  • Microsoft Windows 2000
  • Microsoft Windows Me
  • Microsoft Windows 98
  • Microsoft Internet Explorer 6
  • Microsoft Internet Explorer 5
  • Microsoft Outlook 2002 (part of the Office XP suite)
  • Microsoft Outlook 2000
  • Microsoft Word 2002 (part of the Office XP suite)
  • Microsoft Word 2000

Assistive technology products for Windows

A wide variety of assistive technology products are available to make computers easier to use for people with disabilities.

Microsoft provides a searchable catalog of assistive technology products that run on Microsoft Windows operating systems at http://www.microsoft.com/enable/at/.

Products available for the MS-DOS, Windows, and Windows NT operating systems are:

  • Programs that enlarge or alter the color of information on the screen for people with visual impairments.
  • Programs that describe information on the screen in Braille or that provide synthesized speech for people who are blind or have difficulty reading.
  • Hardware and software utilities that modify the behavior of the mouse and keyboard.
  • Programs that enable people to type by using a mouse or their voice.
  • Word or phrase prediction software that allow people to type more quickly and with fewer keystrokes.
  • Alternative input devices, such as single switch or puff-and-sip devices, for people who cannot use a mouse or a keyboard.

Upgrading

If you use an assistive technology product, be sure to contact your assistive technology vendor to check compatibility with products on your computer before upgrading. Your assistive technology vendor can also help you learn how to adjust your settings to optimize compatibility with your version of Windows or other Microsoft products.

Microsoft documentation in alternative formats

Obtaining documentation for Windows SharePoint Services

Microsoft product documentation is available in alternative formats to help our customers with accessibility needs. Many of the Windows SharePoint Services documents are also available as Online Help, online user’s guides, or on a CD that comes with the package. You can download many of these resources from http://www.microsoft.com/sharepoint/assistance.

Obtaining documentation for additional Microsoft products

From the Microsoft Web site

You can obtain accessible documentation for Microsoft products from the Microsoft Accessibility Web site at http://www.microsoft.com/enable/products/docs/.

From Recording for the Blind & Dyslexic, Inc.

In addition, you can obtain additional Microsoft publications from Recording for the Blind & Dyslexic, Inc. These documents are distributed to registered, eligible members of the distribution service on audiocassettes or floppy disks. The collection contains more than 80,000 titles, including Microsoft product documentation and books from Microsoft Press. For information about eligibility and availability of Microsoft product documentation and books from Microsoft Press, contact:

Recording for the Blind & Dyslexic, Inc.

20 Roszel Road

Princeton, NJ 08540

Phone from within the United States: (800) 221-4792

Phone from outside the United States and Canada: (609) 452-0606

Fax: (609) 987-8116

Web: http://www.rfbd.org/

Customer service for people who are deaf or hard-of-hearing

If you are deaf or hard-of-hearing, complete access to Microsoft product and customer services is available through a text telephone (TTY/TDD) service.

Customer service

You can contact the Microsoft Sales Information Center on a text telephone by dialing (800) 892-5234 between 6:30 A.M. and 5:30 P.M. Pacific time, Monday through Friday, excluding holidays.

Technical assistance

For technical assistance in the United States, you can contact Microsoft Product Support Services on a text telephone at (800) 892-5234 between 6:00 A.M. and 6:00 P.M. Pacific time, Monday through Friday, excluding holidays. In Canada, dial (905) 568-9641 between 8:00 A.M. and 8:00 P.M. eastern time, Monday through Friday, excluding holidays. Microsoft support services are subject to the prices, terms, and conditions in place at the time the service is used.

Getting more accessibility information

The Microsoft Accessibility Web site at http://www.microsoft.com/enable/ provides information about assistive technology for improving the lives of people with disabilities. The information on this site benefits people with disabilities and their friends and family members, people in outreach organizations, educators, and advocates.

A free monthly electronic newsletter is available to help you keep up to date with accessibility topics about Microsoft products. To subscribe, visit http://www.microsoft.com/enable/news/subscribe/default.asp.

To learn about creating accessible content for your Web pages, refer to the accessibility standards developed by the World Wide Web Consortium.


Keyboard shortcuts

Keyboard shortcuts

The shortcut keys described in this Help topic refer to the U.S. keyboard layout. Keys on other layouts may not correspond exactly to the keys on a U.S. keyboard. Keyboard shortcuts work in Microsoft Internet Explorer 5 and later.

All pages

All pages

Alt + Shift + F10
Open Name menu.
Alt + J
Moves the selection between the links on the top link bar.
Alt + G
In all Standard views, Edit in Datasheet button.
Alt + W
Moves the selection from Web Part to Web Part on pages, such as on the home page, that use multiple Web Parts.
Alt + Down Arrow
Expands drop down lists.

Configure Full-Text Search page

Alt + N
Enable full text search and index component link.
Alt + C
Cancel button.
Alt + U
OK button.

Common Windows SharePoint Services tasks

Rich text editor

Ctrl + Shift + <
Right-to-Left text direction button.
Ctrl + Shift + >
Left-to-Right text direction button.
Ctrl + B
Bold button.
Ctrl + C
Copy button.
Ctrl + Shift + C
Text color button.
Ctrl + E
Center button.
Ctrl + Shift + E
Numbered List button.
Ctrl + Shift + F
Font menu.
Ctrl + I
Italics button.
Ctrl + L
Align Left button.
Ctrl + Shift + L
Bulleted List button.
Ctrl + M
Increase Indent button.
Ctrl + Shift + M
Decrease Indent button.
Ctrl + Shift + P
Font Size menu.
Ctrl + R
Align Right button.
Ctrl + U
Underline button.
Ctrl + V
Paste button.
Ctrl + Shift + W
Background Color menu.
Ctrl + X
Cut button.

List or library pages

Alt + Down Arrow
Select item to be filter button.
Alt + Up Arrow
Up button. Goes up one folder level in library.
Alt + B
Alert Me link.
Alt + C
Modify settings and columns link.
Shift + Enter
Open menu with View Item, Edit Item, Delete Item, and Alert Me options.
Esc
Close menu with View Item, Edit Item, Delete Item, and Alert Me options.
Alt + G
In a Standard view, selects Edit in Datasheet button.
Alt + I
New Folder button.
Alt + L
Filter button.
Alt + L
When selecting a filter, selects Hide Filter Choices button.
Alt + N
Depending upon the type of list or library, selects New Item, New Document, or New Discussion button.
Alt + N
On the Documents and Lists page Document Libraries view, selects Create Document Library link.
Alt + N
On the Documents and Lists page Picture Libraries view, selects Create Picture Library link.
Alt + N
On the Documents and Lists page Lists view, selects Create List link.
Alt + N
On the Documents and Lists page Discussion Boards view, selects Create Discussion Board button.
Alt + N
On the Documents and Lists page Surveys view, selects Create Survey link.
Alt + O
On a page that displays a searchable list, library, or discussion board, selects Go button, submitting a search query.
Alt + P
On a page that displays a list, library, discussion board, or survey, selects Export button.
Alt + Q
Up button, taking you up one folder level in a library.
Alt + S
On a page that displays a searchable list, document library, or discussion board, selects the Search button.
Alt + U
Upload Document button.
Ctrl + Y
Approve/reject Items link.

Web Part Pages

Web Part Page

ALT+W
Move to the next Web Part or tool pane section.
ALT+\
Move to the Web Part Page menu.
ALT+O
Save property changes in the tool pane, and then close the tool pane.
ALT+P
Save property changes in the tool pane and keep the tool pane open.
ALT+C
Cancel property changes in the tool pane, and then close the tool pane.
ALT+R
Add the selected Web Part in the tool pane to a Web Part Page.
ALT+ ,
Move to a Previous button if one is on the Web Part Page.
ALT+ .
Move to a Next button if one is on the Web Part Page.
UP ARROW
Move to the previous item in a drop down list, menu, or submenu.
DOWN ARROW
Move to the next item in a drop down list, menu, or submenu.
LEFT ARROW
Close a submenu and return to the previous menu or submenu.
RIGHT ARROW
Open the next submenu.

Web Part Maintenance Page

ALT+C
Move to the Close button.
ALT+X
Move to the Delete button.
ALT+G
Return to the previous Web page.
ALT+R
Move to the Reset button.
ALT+S
Switch between shared and personal view.

Rich Text Editor of the Content Editor Web Part

The standard toolbar

CTRL+X
Cut the selection to the Clipboard.
CTRL+C
Copy the selection to the Clipboard.
CTRL+V
SHIFT+INSERT
Paste the contents of the Clipboard to the current location.
CTRL+Z
Undo the most recent command.
CTRL+Y
Redo the most recently undone command.
CTRL+F
Find text.
CTRL+SHIFT+G
Switch between hiding and showing gridlines.
CTRL+L
Create a hyperlink for a selection or edit an existing hyperlink.
ALT+CTRL+I
Insert an image.
ALT+SHIFT+T
Insert a table.
ALT+CTRL+R
Insert a row in a table.
ALT+CTRL+C
Insert a column in a table.
ALT+CTRL+L
Insert a cell in a table.
ALT+CTRL+M
Merge cells in a table.
ALT+CTRL+S
Split cells in a table.
F1
Get help.

Formatting toolbar

CTRL+SHIFT+S
Change the text style.
CTRL+SHIFT+F
Change the text font.
CTRL+B
Switch between bolded text and text not bolded.
CTRL+I
Switch between italicized text and text not italicized.
CTRL+U
Switch between underlined text and text not underlined.
CTRL+SHIFT+B
Change the text background color.
ALT+SHIFT+[
Align the selection to the left.
ALT+SHIFT+|
Center the selection.
ALT+SHIFT+]
Align the selection to the right.
CTRL+SHIFT+ >
Convert the selection to a left-to-right orientation.
CTRL+SHIFT+ <
Convert the selection to a right-to-left orientation.
ALT+CTRL+N
Create a numbered list.
ALT+CTRL+B
Create a bulleted list.
CTRL+SHIFT+T
Decrease paragraph indentation.
CTRL+T
Increase paragraph indentation.

Editing content

DELETE
Delete the selection without placing it on the Clipboard.
INSERT
Switch between inserting and overwriting text.
BACKSPACE
Delete the selection, or if there is no selection, the character preceding the insertion point.
CTRL+BACKSPACE
Delete all of a word to the preceding the insertion point, but not the preceding space.
SHIFT+ENTER
Insert a new line (but not inside an HTML Paragraph element: <P>)

Navigating content

RIGHT ARROW
Move the insertion point one character to the right.
LEFT ARROW
Move the insertion point one character to the left.
UP ARROW
Move the insertion point up one line.
DOWN ARROW
Move the insertion point down one line.
CTRL+RIGHT ARROW
Move the insertion point forward one word.
CTRL+LEFT ARROW
Move the insertion point back one word.
HOME
Move the insertion point to the start of the line.
END
Move the insertion point to the end of the line.
CTRL+UP ARROW
Move the insertion point up one paragraph.
CTRL+DOWN ARROW
Move the insertion point down one paragraph.
PAGE UP
Move the insertion point up one page.
PAGE DOWN
Move the insertion point down one page.
CTRL+HOME
Move the insertion point to the beginning of the content.
CTRL+END
Move the insertion point to the end of the content.

Extending selection of content

SHIFT+RIGHT ARROW
Extend the selection one character to the right.
SHIFT+LEFT ARROW
Extend the selection one character to the left.
CTRL+SHIFT+RIGHT ARROW
Extend the selection one word to the right.
CTRL+SHIFT+LEFT ARROW
Extend the selection one word to the left.
SHIFT+UP ARROW
Extend the selection up one line.
SHIFT+DOWN ARROW
Extend the selection down one line.
SHIFT+END
Extend the selection to the end of the line.
SHIFT+HOME
Extend the selection to the start of the line.
SHIFT+PAGE UP
Extend the selection up one page.
SHIFT+PAGE DOWN
Extend the selection down one page.
CTRL+SHIFT+HOME
Extend the selection to the beginning of the content.
CTRL+SHIFT+END
Extend the selection to the end of the content.
CTRL+A
Select the entire content.

Navigating tables, images, or objects (HTML block elements)

TAB
Move to the next table, image, or object (HTML block element) in the content.
SHIFT+TAB
Move to the previous table, image, or object (HTML block element) in the content.
CTRL+TAB
Move from the content to the next block element on the Web page.
SHIFT+CTRL+TAB
Move to the Save button.
CTRL+K
Switch between absolute and relative positioning for the table, image, or object (HTML block element).

Document properties page

Alt + C
Discuss button.
Alt + G
Go Back to Document Libary button.
Alt + I
Edit Item button.
Alt + K
Check In button.
Alt + O
Check Out button.
Version History button. (press keyboard shortcut twice)
Alt + X
Delete Item button.

Survey page

Alt + C
Modify survey and questions link.
Alt + N
Respond to this Survey button.
Alt + P
Export Results to spreadsheet button.
Alt + R
Show a graphical summary of responses link.
Alt + S
In a form for editing a survey response, selects Save and Close button.
Alt + U
Show all responses link.

List Permissions page

Alt + C
Change anonymous access link.
Alt + G
Go Back to list link.
Alt + I
Edit Permissions of Selected Users link.
Alt + L
Modify item-level security link.
Alt + M
Manage request access link.
Alt + N
Add Users link.
Alt + X
Remove Selected Users link.

Add new or edit item, document, discussion comment, or survey response

Alt + G
Go back to list, library, discussion board, or survey link.
Alt + S
Save and Close button.
Alt + X
Delete Item button.

Display item, event, contact, discussion comment, or survey response page

Alt + I
Edit Item button.

List Permissions Page

Alt + M
Manage request access link.

Documents and Lists page

Alt + N
New List button.

Picture library

Alt + N
Download button.
Alt + P
View all folders link.
Alt + R
Edit Pictures button.
Alt + S
Send to button.
Alt + W
View Slide Show link.

Discussion board

Alt + N
New Discussion button.
Alt + P
Expand/Collapse button.
Alt + R
On a page that displays a discussion comment, Reply button.
Alt + L
Filter button (when using the default Flat view).

Calendar view

Alt + S
Moves the selection between the Today, View By Day, View By Week, and View by Month links.

Links

Alt + R
Change Order button.

Contacts

Alt + K
Link to Outlook button.
Alt + I
Import Contacts button.

Datasheet view

Alt + O
Total button.
Alt + R
Refresh button.
Alt + S
Task Pane button.
Alt + X
Show in Standard View button.

Related Topics

Accessibility for people with disabilities


About sites and subsites

About sites and subsites

You can use top-level Web sites and subsites to divide site content into distinct, separately manageable sites. Top-level Web sites can have multiple subsites, and subsites themselves can have multiple subsites, down as many levels as your users need. The entire structure of a top-level Web site and all of its subsites is called a Web site collection.

This hierarchy allows your users to have a main working site for the entire team, plus individual working sites or shared sites for side projects. Top-level Web sites and subsites allow different levels of control over the features and settings for sites.

About site collection administrators and the Administrators site group

In Windows SharePoint Services, there are two levels of administrators: site collection administrators, and users who are members of the Administrator site group. Site collection administrators have full rights to all sites in the site collection. (For more information on specifying site collection administrators, see Modify user account information.) Members of the Administrator site group of a top-level Web site can control settings and features for both the top-level Web site and any subsites beneath it that inherit permissions from it. (For information on assigning users to site groups, see Assign a user to a different site group.) For example, both a site collection administrator and a member of the Administrator site group of a top-level Web site can do the following:

  • Add, delete, or change user permissions
  • View usage statistics
  • Change regional settings
  • Manage Web Part and template galleries
  • Manage Web Discussions and alerts
  • Change the site name and description, theme, and home page organization
  • Configure settings, such as regional settings, for the top-level Web site and all subsites
  • Change which rights are available for the top-level Web site and all subsites
  • Update e-mail settings for the top-level Web site and all subsites
  • Configure Web part settings for the top-level Web site and all subsites

However, when a subsite uses unique permissions, members of the Administrator site group for the top-level Web site cannot perform the actions listed above. By comparison, site collection administrators can always perform these actions in all subsites, regardless of whether or not the subsite has unique permissions.

A member of the Administrator site group of a subsite can control settings and features only for that subsite and any subsites below it that inherit permissions. For example, an administrator of a subsite can do the following:

  • Add, delete, or change user permissions, if unique permissions have been set (for more information, see Enable or disable rights for a site group)
  • View usage statistics
  • Change regional settings
  • Manage Web Part and template galleries
  • Manage Web Discussions and alerts
  • Change the site name and description, theme, and home page organization

Related Topics

Create a site
Copy an existing site group
Enable or disable rights for a site group
Modify user account information
Assign a user to a different site group


About Meeting Workspace sites

About Meeting Workspace sites

A Meeting Workspace site is a Web site for centralizing all the information and materials for one or more meetings. Before the meeting, use a workspace site to publish the agenda, attendees list, and documents you plan to discuss. During or after the meeting, use the workspace site to publish the meeting results and track tasks. Use meeting requests to invite people to the meeting. In the meeting request, include a hyperlink that goes to the workspace site where invitees can learn the details and see the materials.

Note If you are familiar with Microsoft Windows SharePoint Services Web sites, you will be familiar with a Meeting Workspace site. The Meeting Workspace site is a special type of SharePoint subsite under a parent SharePoint site. Help for the Meeting Workspace site as well as general Windows SharePoint Services Help is available from the workspace site.

The meeting invitation and Meeting Workspace site

In the past, you typed an agenda in and attached documents to the meeting invitation in your calendar and e-mail program. Now you can put that information in a Meeting Workspace site so invitees can access it anytime to view, edit, or add information (depending on their permissions).

One meeting request with agenda and attachments and one request with a link to the workspace instead

1 Instead of typing the agenda in the meeting request …

2 … and instead of attaching documents to it …

3 … add a link that goes to a Meeting Workspace site.

1 When invitees click the link …

2 … the Meeting Workspace site opens in their browser where they can see and work with the agenda, documents, and other meeting information.

Centralizing the information means people can work together on the content, they will always see the most current version, and you won't have to send large files through your e-mail system each time content changes.

You can create a Meeting Workspace site from a variety of locations if Windows SharePoint Services is available from the intranet or Internet location you are working with and a parent SharePoint site exists under which you can create the Meeting Workspace site. You can create workspace sites from a Windows SharePoint Services-compatible calendar and scheduling program, such as Microsoft Office Outlook 2003, from an existing Meeting Workspace site (although you can't create the workspace site as a subsite to an existing Meeting Workspace site), from a Windows SharePoint Services or Microsoft Office SharePoint Portal Server 2003 site on an intranet, or from an external site that hosts Windows SharePoint Services. For workspace sites created within your company, you can invite anyone to the workspace site that is in the same trusted domain as you and who has a valid e-mail address. For workspace sites created on external sites, you can invite anyone who has a valid e-mail address.

The interaction between the e-mail invitation and the workspace site varies depending on the e-mail program you use. If you use Office Outlook 2003 with a Microsoft Exchange Server e-mail account to set up the Meeting Workspace site, a link to the workspace site is automatically added to the body of your meeting request. Outlook also communicates with the workspace site, automatically adding the subject, attendee names, date, time, and location from the meeting request to the workspace site. If you later change attendee names, date, time, or location in Outlook, Outlook automatically updates the information in the Meeting Workspace site.

Note If you update the attendees from the workspace site, you'll need to switch back to Outlook to update that information in the request.

Outlook and Windows SharePoint Services also enable you to set up a workspace site for more than one meeting, such as for a recurring meeting or for multiple related meetings linked to the same workspace site, and to assign a delegate to set up the workspace site for you.

If you use an e-mail program other than Outlook, see its documentation for more information or contact your system administrator.

Parts of a Meeting Workspace site

The workspace site is made up of one or more pages that contain meeting details and lists of information that are common when planning, conducting, or following up on a meeting. Typical lists for a Meeting Workspace include Objectives, Agenda, Attendees, Decisions, and Tasks. In addition to lists, you can add a document library and a picture library where users can store materials related to the meeting. The lists and libraries that appear by default on the home page depend on the template you choose when you create the workspace site.

On the home page (or any new pages you add), the information is divided into parts called Web Parts. Web Parts exist for each type of list or library and for other types of information you can add to the workspace site.

If the workspace site doesn't contain all the information you need or you don't like the layout or look of the workspace site you created, you can customize it.

Parts of a Meeting Workspace

1 Title, date, time, and location of meeting

2 Page tabs

3 Menu for customizing the workspace site

4 Agenda list displayed in a Web Part

5 Document library displayed in a Web Part

If you use an Instant Messaging program compatible with Windows SharePoint Services, such as Microsoft Windows Messenger, Microsoft MSN Messenger, or the Microsoft Exchange Instant Messaging Service, you can use that program from within the Attendees list in the workspace site to communicate with other attendees. If an attendee is online, you can ask him or her to go to the workspace site so you can work together.

Conducting the meeting

The meeting you created the workspace site for does not take place in the Meeting Workspace site. The meeting itself is conducted in person, over the telephone, or from a conferencing program, such as Microsoft Windows NetMeeting. However, you can view the workspace site and update it during the meeting. For example, you can update the attendees list to indicate who actually participated, list decisions, track tasks, and publish the meeting minutes — resulting in a complete record of the meeting for future reference.

Related Topics

About multiple meetings in a workspace site
Create a new or link to an existing Meeting Workspace site
About customizing Meeting Workspace sites


About Document Workspaces

About Document Workspaces

A Document Workspace site is a Microsoft Windows SharePoint Services site that is centered around one or more documents. Colleagues can easily work together on a document — either by working directly on the Document Workspace copy or by working on their own copy, which they can update periodically with changes that have been saved to the Document Workspace copy.

Creation of Document Workspace sites

On a Windows SharePoint Services site, you can create a Document Workspace site either by going to the Create page or by clicking the arrow next to a document on a document library page and then clicking Create a Document Workspace.

When you create a Document Workspace site that's based on a document in a document library, the Document Workspace site carries the same name as the document on which it is based. The document is then stored in a separate document library in the new Document Workspace site. This document can be published back to its source location, in the original document library, from the Document Workspace site.

Note The ability to publish a document back to its original location is available only in a Document Workspace site created from a document that is already stored in a document library. This feature is not available in Document Workspace sites created by using the Create page on a Windows SharePoint Services site.

Document Workspace site features

Because a Document Workspace site is a SharePoint site, members can use Windows SharePoint Services features, such as using the Tasks list to assign each other to-do items, using the Links list to create hyperlinks to resource material, and storing related or supporting documents in the document library.

When you open the Document Workspace site in a Web browser, you can customize the site just as you would customize any Windows SharePoint Services site.


Create a site

Create a site

Follow the steps in the sections below to create a site.

Create a site under the current Web site

Note The Create Subsite right must be assigned to your site group for you to complete these steps. You have this right automatically if you are a member of the Administrator site group.

  1. On the top link bar, click Create.
  2. In the Web Pages section, click Sites and Workspaces.
  3. In the Title and Description section, type a name and description for the new site.
  4. In the Web Site Address section, type the Web address (URL) that users will type to go to the new site.

    Note The first part of the address is provided for you.

  5. In the Permissions section, specify whether you want the site to use the same accounts and site groups information as the current Web site.
  6. Click Create.
  7. On the Template Selection page, click the type of site that you want to create and then click OK.

Note If you enable unique permissions, a copy of the parent site's user accounts and site groups remain with the subsite. You can then delete any accounts and site groups that you don't want and add new ones as needed. The subsite will also retain the same site group setting for anonymous (guest) users as the parent site, unless you specify a different site group.

Create a top-level Web site by using Self-Service Site Creation

Note The Use Self-Service Site Creation right must be assigned to your site group for you to complete these steps. By default, members of the Reader, Contributor, Web Designer, and Administrator site groups have this right. Before anyone can use these steps, an administrator must first enable Self-Service Site Creation in the SharePoint Central Administration pages.

  1. Go to the top-level site in the site collection.

    If you are in a subsite, click the Up to parent_site_name link on the top link bar to navigate to the parent site. Repeat this step until you reach the top-level site.

  2. On the home page of the top-level site, click Announcements.
  3. Click the announcement titled Self-Service Site Creation.

    Note If the announcement isn't in the list, contact your server administrator to get the address (URL) of the Self-Service Site Creation page.

  4. In the body of the message, click the link to the Create Web Site page.
  5. In the Title and Description section, type a name and description for the new site.
  6. In the Web Site Address section, type the Web address (URL) that users will type to go to the new site.

    Note The first part of the address is provided for you.

  7. In the Your E-mail Address section, type the e-mail address that you want to use for receiving alerts about this site.
  8. In the Language section, select the language to use for the new Web site.
  9. Click OK.
  10. On the Template Selection page, click the type of site that you want to create, and then click OK.

Create a top-level Web site from SharePoint Central Administration

  1. On the server running Microsoft Windows SharePoint Services, click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. Under Virtual Server Configuration, click Create a top-level Web site, and then under Current Virtual Server section, click Choose Virtual Server. On the Virtual Server List Page, click the virtual server you want.
  3. Do one of the following:

    Create a site under a predefined URL path

    1. On the Create Top-Level Web Site page, in the Site Name and URL Path section, select Create site under this URL.
    2. In the Site name box, type the name for the top-level Web site.
    3. In the URL path box, select the path to use.

      The name and URL path are combined with the server name to create the full URL to the site. For example, if you create a top-level Web site on http://servername under the /sites URL path and use Site001 as the name, the full path to the new top-level Web site is http://servername/sites/site001.

    Create a site at a predefined URL path

    • On the Create Top-Level Web Site page, in the Site Name and URL Path section, select Create site at this URL.
    • In the URL path box, select the URL to use for the top-level Web site.

      The site is created at the top level of the URL path you select. For example, if you create a top-level Web site on http://servername, at the /portal URL path, the full path to the new site is http://servername/portal.

  4. In the Site Collection Owner section, type the user name (in the form DOMAIN\username) and e-mail address (in the form someone@example.com) for the user who will be the site owner and administrator.
  5. If you want to identify a user as the secondary owner of the new top-level Web site (recommended), in the Secondary Owner section, type the user name and e-mail address for a secondary owner and administrator of the new site.
  6. If you are using quotas, in the Quota Template section, select a quota template to use.
  7. In the Site Language section, select the language to use for the top-level Web site.
  8. Click OK.

The site owner can select a template for the site when he or she first browses to the URL, or you can browse to the URL on the confirmation page and select a template for the site yourself. You must send an e-mail message that includes the URL of the new site to the site owner and secondary owner when you have created the site. They are not notified automatically when you create a site.

Create a site from the command line

You can use the createsite operation to create a top-level Web site. The createsite operation takes the following required parameters (url, ownerlogin, owneremail, and ownername) and the following optional parameters (lcid, webtemplate, title, and description). For example, to create a top-level Web site called site1 on http://myserver/sites, you would use syntax similar to the following:

            stsadm.exe -o createsite -url http://myserver/sites/site1
 -ownerlogin <DOMAIN\user> -owneremail <someone@example.com>
 -ownername <full name>

You can use the createweb operation to create a subsite. The createweb operation requires the url parameter and takes the following optional parameters: lcid, webtemplate, title, description, convert (used to convert an existing folder to a Web site), unique (used to specify unique permissions for the subsite), and anonaccess (used to enable anonymous access for the subsite). To create a subsite called subsite1 under the site you just created, you would use syntax similar to the following:

            stsadm.exe -o createweb -url http://myserver/sites/site1/subsite1

Related Topics

About enabling Self-Service Site Creation


About lists

About lists

A list in your Web site based on Microsoft Windows SharePoint Services is a collection of information that you share with team members. For example, you can create a sign-up sheet for an event, or you can create a list of ideas.

SharePoint team sites include a set of built-in lists. Except for the announcements list, these lists are empty when you create the site. You can immediately fill them with items pertinent to your team. The announcements list contains a sample announcement to help you get started with your site.

You can use the lists that come with your site as is, you can modify or delete lists that you don't use, and you can create your own lists. When you create your own lists, you can base them on the designs used for the built-in lists, or you can create custom lists from scratch.

If you have a Windows SharePoint Services-compatible client program, such as Microsoft Office Excel 2003, and Microsoft Internet Explorer 5 or later installed, you can create lists that are based on spreadsheets.

Windows SharePoint Services enables you to create the following kinds of lists:

Links

A list of hyperlinks to Web pages of interest to team members. By default, a view of the built-in links list appears on the home page.

Announcements

A place to post information for the team. By default, a view of the built-in announcements list appears on the home page.

Contacts

Information such as name, telephone number, e-mail address, and street address for people who work with your team. By default, a hyperlink to the built-in contacts list appears on the Quick Launch bar.

Events

A list of important dates. By default, a view of the built-in events list appears on the home page.

Tasks

A to-do list for team members. By default, a hyperlink to the built-in tasks list appears on the Quick Launch bar.

Issues

A list you can use to manage a set of issues or problems. You can assign, prioritize, and follow the progress of issues from start to finish.

Custom list

A list with a minimum number of predefined columns. When you want to create a list that is unlike any of the built-in lists, create a custom list.

Data imported from a spreadsheet

If you want to start with a list of information in a spreadsheet, you can define a range of cells to use as a list in your site. Windows SharePoint Services imports the data from the spreadsheet and displays it the same way it displays the built-in lists: in columns that can be filtered and sorted, and accompanied by commands that enable team members to add, edit, and delete items.

There is no link between the original spreadsheet and the list on the site. If you change the spreadsheet, the list on the site is not updated. Likewise, changes to the list on the Web site are not reflected in the original spreadsheet.

Note To import data from a spreadsheet, you must have a Windows SharePoint Services-compatible spreadsheet program, such as Office Excel 2003, and Internet Explorer 5 or later installed.

Each list appears on a page that includes commands for adding items, sorting and filtering items, switching to a different view of the list, and changing the design of the list. You can copy the list to a spreadsheet, and you can create an alert to be notified of changes to the list from this page. You can also attach a file to any one of the following types of lists: announcements, events, discussions, contacts, and custom lists.

Related Topics

Create a list of announcements, contacts, events, tasks, issues, or links
Create a custom list
Add, edit, or delete a column
Create a personalized view


About announcements list

About announcements list

Use an announcements list to post news, status, and other short bits of information you want to share with team members.

By default, creating a SharePoint site creates an announcements list called Announcements, a view of which appears on the home page of your site. You can create and access additional views of this list from the Documents and Lists page. Announcements other than the five most recent disappear from the home page but are still available on the All Items view of the Announcements list.

Note The features on your site may vary, based on the template your site uses.

You can set an expiration date for an announcement. When the expiration date is reached, the announcement disappears from the home page automatically. However, it is still available on the Announcements page.

Related Topics

Create a list of announcements, contacts, events, tasks, issues, or links
Add, edit, or delete an announcement
Delete a list or library
About lists


About contacts list

About contacts list

Use a contacts list to communicate with the people with whom your team works. You can enter names and contact information (such as telephone number, e-mail address, and street address) so that everyone on your team can use this information. You can copy contact information from your address book to a contacts list (requires a Windows SharePoint Services-compatible address book program, such as Microsoft Office Outlook 2003, and Microsoft Internet Explorer 4.0 or later), and you can copy or link contacts from a contacts list to your address book.

Related Topics

Create a list of announcements, contacts, events, tasks, issues, or links
Add, edit, or delete a contact
About lists


About events lists

About events lists

Use an events list to post information about dates that are important for your team. You can copy or link events from an events list to a calendar program that is compatible with Windows SharePoint Services, such as Microsoft Office Outlook 2003.

By default, creating a SharePoint site creates an events list called Events, a view of which appears on the home page of your site. You can create and access additional views of this list from the Customize Events page. Past events disappear from the home page but are still available on the All Items view of the Events list.

Note The features on your site may vary, based on the template your site uses.

Related Topics

Add, edit, or delete an event
Create a list of announcements, contacts, events, tasks, issues, or links
About lists


About the issues list

About the issues list

The issues list helps you manage a set of issues. You can assign, prioritize, and follow the progress of issues from start to finish.

General list tasks

You can carry out operations on an issues list just as you do with other lists in Microsoft Windows SharePoint Services:

  • add or delete an issues list
  • add, remove, view or edit an item in an issues list
  • add or edit a column

    Note Certain columns are defined by default for an issues list. Values for the Issue ID, Created, Created By, Current, Modified, and Modified By columns are automatically generated and cannot be changed.

  • define options for a column, for example, the type of a column, possible values of a column, whether a column is required
  • assign values to columns, for example, status, category, priority, due date, comment, etc.
  • create views for an issues list based on columns
  • define a default view for an issues list by specifying which columns are displayed, column totals, display style, and item limit, and whether columns are sorted, filtered or grouped
  • display custom views of an issues list by filtering on columns

    Note There is quick access on the task bar for three commonly used views - All Issues, My Issues and Active Issues with All Issues being the default view. These views use a default filter with Current set to Yes.

  • attach a file to an issue
  • alert user when an issue is assigned to that user and when the issue has changed

For more information on these operations, see corresponding topics for lists in Windows SharePoint Services help.

Issues list-specific tasks

The following are tasks specific to the issues list:

  • Add or remove a related issue
  • Assign an issue
  • View issue history
  • View related issues
  • Resolve, close, or reactivate an issue
  • Turn email notification on or off
  • View reports of an issues list

Columns for Issues lists

The issues list is set up with the following columns:

  • Add Related Issue

    The Issue ID of an issue that is related to this issue.

  • Assigned To

    A choice value based on the users list of the Windows SharePoint Services site.

  • Attachments

    After you have attached a file to an issue, the file name is displayed whenever you edit the issue.

  • Category

    A choice value for organizing items into categories. Default choices are (1) Category1, (2) Category2, and (3) Category3.

  • Comment

    Multiple lines of text that you can use to describe an issue.

  • Created

    The time and date when an issue is created. This value is automatically generated when the issue is saved. This value cannot be changed.

  • Created By

    This column shows the display name of the user who created an issue. This value is automatically generated when the issue is saved. This value cannot be changed.

  • Current

    A check box value (i.e., Yes or No) indicating whether the most current version of an issue. This value is automatically generated when the issue is saved. This value cannot be changed.

    Views use a default filter of Current being Yes to show only the current version of each issue.

  • Due Date

    A date and time value indicating when an issue is expected to be completed.

  • Edit

    This column shows the edit icon for editing the issue.

  • Issue ID

    An integer that is automatically assigned to an issue when the issue is created. This value cannot be changed.

  • Modified

    The time and date when an issue is last modified. This value is automatically generated when the issue is saved. This value cannot be changed.

  • Modified By

    This column shows the display name of the user who last modified an issue. This value is automatically generated when the issue is saved. This value cannot be changed.

  • Priority

    A choice value indicating the level of importance of an issue. Default choices are (1) High, (2) Normal, and (3) Low.

  • Status

    A choice value indicating the current state of an issue. Default choices are Active, Resolved, and Closed.

  • Title

    A single line of text. You must enter a title when you create an issue.


About tasks

About tasks

Use the tasks list to assign a task to a member of your team, specify its due date and priority, and indicate its status and progress. You can easily view all tasks or a selection of tasks.

In addition to viewing all the tasks, the following predefined views are available on the Tasks page:

  • All Tasks All tasks in the list
  • My Tasks Tasks that are assigned to you
  • Due Today Tasks that are due today
  • Active Tasks Tasks that are not yet complete
  • By Assigned To Tasks sorted by the name of the person to whom they are assigned

Related Topics

Add, edit, or delete a task
Create a list of announcements, contacts, events, tasks, issues, or links


About discussion boards

About discussion boards

Discussion boards provide a forum for conversing about topics that interest your team. For example, you could create a discussion board for team members to suggest activities.

Each discussion board appears on a page that includes buttons for starting new discussions, sorting and filtering discussions, switching to a different view of the discussion board, and changing the design of the discussion board. You can create alerts so that you are notified of changes to the discussion board.

You can view discussion comments in either flat or threaded view. Flat view displays all comments in the order in which they were created. Threaded view lets you view comments by conversation. All messages that are part of the same conversation thread appear together in the order in which they were created.

By default, your site comes with a built-in discussion board named General Discussion, which is listed on the Quick Launch bar as well as on the Documents and Lists page.

Note The features on your site may vary based on the template your site uses.


About document and picture library versioning

About document and picture library versioning

Document versioning allows you to keep multiple versions of a document. If a change needs to be reversed, you can restore the previous version and continue working. When versioning is turned on, a Version History command is added to the drop-down list that users see when they click the arrow next to a document name (and the toolbar) in the Edit Properties page for the document. The Version History command is also available in client applications that are compatible with Microsoft Windows SharePoint Services, such as Microsoft Office Word 2003, Microsoft Office Excel 2003, and Microsoft Office PowerPoint 2003. When the user clicks Version History, a list of the previous versions of the document appears. The user can open an old version, restore a version (replacing the current version), or delete an old version.

Important

  • When a file is deleted from a library, all previous versions are deleted as well.
  • Versions can be created for all file types except HTML files that contain images or embedded objects. If you want to create versions as HTML, you must use the MHTML format (often saved as .mht) when saving to this Web site. This also applies to those files on the Web site that you check out and modify.

When versioning is enabled, versions are automatically created whenever a user updates a document in a document library. Versions are created in the following situations:

  • When a user checks out a file, makes changes, and checks the file back in.
  • When a user opens a file, makes changes, and then saves the file for the first time.

    Note If the user saves the file again, without closing the file, a new version is not created. If the user closes the application he or she is using to edit the file, and then opens it and saves the file again, another version is created.

  • When a user restores an old version of a file (and does not check it out).
  • When a user uploads a file that already exists, in which case the current file becomes an old version.

Members of the Administrator and Web Designer site groups for a site can determine whether document versioning is enabled for a particular document library. To enable document versioning, you use the settings page for that document library.


About links lists

About links lists

You can use links lists to post hyperlinks to Web pages of interest to your team. By default, creating a site creates a links list that appears on the home page of your site. To see all of the links in this default list, click the list title on the home page. You can also create additional links lists to organize your links.

Note The features on your site may vary, based on the template your site uses.

Related Topics

Create a list of announcements, contacts, events, tasks, issues, or links
Add, edit, or delete a column
Create a personalized view


About surveys

About surveys

Surveys provide a way of polling team members. If your site includes a survey, you can go to it by clicking Documents and Lists in the top link bar and then clicking the survey in the Surveys section.

You may be able to respond to a survey more than once, depending on how the survey is set up.

If the survey is set up so that respondents' names are visible, the All Responses view enables you to see how each team member responded. The Graphical Summary view displays a compilation of responses.

Related Topics

Create a survey
Respond to a survey


About alerts

About alerts

Alerts enable you to be notified by e-mail of any changes made to the content of your Web site. You can create alerts for lists and libraries, as well as for individual items and any files in them. When you create an alert for a list or library, you can specify the kinds of changes that you want to track. For example, you can have the server alert you when an item or file is added, modified, or deleted. Alerts for files and list items notify you when the file or item is updated or deleted. For documents in libraries, you can be notified when comments in Web Discussions have been added, deleted, or edited.

You can specify how frequently you want to receive alerts. You can have them appear immediately or as daily or weekly summaries. When you no longer need to follow changes for the list, library, item, or file, you can delete your alerts at any time.

Important When you remove a user from a site after he or she has create alerts, you must manually delete any alerts that he or she has set up. This is also true for any lists or libraries where you change security settings to limit access. If a user has set up alerts for the list or library, he or she will continue to receive them after you change the security settings. It is important to delete these alerts to prevent unauthorized users from having access to site and user information.

Related Topics

Add an alert
View alerts
Delete an alert
About managing alerts
Configure alerts for a virtual server
Specifying mail settings


About site groups

About site groups

Microsoft Windows SharePoint Services uses site groups to manage security across a SharePoint site. Each user must be a member of at least one site group in order to view or access a SharePoint site. Each site group possesses corresponding rights. Rights are rules associated with the system as a whole, granted to local groups, global groups, and users. A right within Windows SharePoint Services may be actions that users can perform, such as Manage Lists. In addition, you can edit the rights assigned to a specific site group, create an additional site group, or delete an unused site group. You manage site groups in Windows SharePoint Services from SharePoint Central Administration or by using the command-line administration tool.

Note You can add user accounts to a SharePoint site without assigning them to a site group. For example, you can create the user accounts and then assign the users to site groups later. You can also remove a user from all site groups. When you remove a user from all site groups, the user has no access to the Web site.

Windows SharePoint Services includes the following site groups by default:

  • Guest — Has limited rights to view pages and specific page elements. Use this site group to give users access to a particular page, or list, without granting them rights to view the entire site. You cannot add users explicitly to the Guest site group; users who are given access to lists or document libraries by way of per-list permissions are automatically added to the Guest site group. You cannot customize or delete the Guest site group.
  • Reader — Has rights to view items, view pages, and create a top-level Web site using the Self-Service Site Creation feature. Readers can only view pages on a SharePoint site; they cannot add content.

    Note When a member of the Reader site group creates a site using the Self-Service Site Creation feature, he or she becomes the site owner and a member of the Administrator site group for the new site. This does not affect the site group membership of the user for any other site.

  • Contributor — Has Reader rights and rights to add, edit, and delete items, browse directories, manage personal views, add, remove, or update personal Web Parts, and create cross-site groups. Members of the Contributor site group cannot create lists or document libraries, but they can add content to existing lists and document libraries.
  • Web Designer — Has Contributor rights and rights to cancel check-out, manage lists, add and customize pages, define and apply themes and borders, and apply style sheets. Members of the Web Designer site group can modify the structure of the site and create lists or document libraries.
  • Administrator — Has all rights from other site groups and rights to manage site groups, manage list permissions, create SharePoint sites, and view usage analysis data. You cannot customize or delete the Administrator site group. In addition, there must always be at least one member of the Administrator site group. Members of the Administrator site group always have access to, or can grant themselves access to, any item in the Web site.

    Note The owner and secondary owner of a site collection are members of the Administrator site group for their site, but they are also identified separately in the configuration database as site collection owners. This owner flag can only be changed by using the Manage Site Collection Owners page in SharePoint Central Administration or by using the siteowner operation with Stsadm.exe. If you remove an owner from the Administrator site group for the site, the owner retains the owner flag in the database, and can still perform site collection administrative tasks.

Note These site groups are defined per SharePoint site. Users assigned to the Administrator site group are administrators only for a particular SharePoint site. To perform any administrative tasks that affect settings for all SharePoint sites and virtual servers on the server computer, a user must be an administrator for the server computer (also known as a local machine administrator) or a member of the SharePoint administrators group, rather than a member of an Administrator site group for a specific SharePoint site.

Customizing rights for site groups

You can create a site group or customize an existing site group to include only the rights you want (except for the Guest and Administrator site groups, which cannot be customized). For example, to allow only the Web Designers to be able to edit lists on the site, you can remove the Edit Items right from the Contributor site group.

Note Some rights depend on other rights. You must be able to view items before you can edit items. If a right is deleted from a site group, any rights dependent on that right are also deleted. For example, when the View Items right is deleted, the Add Items, Edit Items, and Delete Items rights are also deleted. In the same way, if you add a right that requires another right, the required right is also added. So, if you grant the Edit Items right to a user, the View Items right is granted automatically.

Security and user rights

User rights grant users the ability to perform certain actions on a Web site, and restrict other users from performing those actions. Some rights do not completely restrict certain actions. The Apply Themes and Borders and Apply Style Sheets rights allow users to make changes to an entire Web site. Any user with the Add and Customize Pages right, however, can perform the same changes on a page-by-page basis in the actual HTML code. Be aware that if you give users the Add and Customize Pages right by assigning them to a site group that contains the right, you also give them the ability to change the theme, border, and style sheets for individual pages in the SharePoint site.

When you assign rights to site groups, ensure that you assign the appropriate rights, and do not unintentionally allow members of the site group to perform more actions that you want on the SharePoint site. Conversely, ensure that members of the site group are not unintentionally restricted from performing the actions they need to perform.

About site owners and secondary owners

When a user creates a site, the user is listed as the site owner. Depending on your configuration, the user may also be required to specify a secondary contact for the site. Confirmation notifications are automatically sent to the site owner and to the secondary contact, if one exists.

The owner and secondary owner of a site collection are members of the Administrator site group for their site, but they are also identified separately in the configuration database as site collection owners. This owner flag can only be changed by using the Manage Site Collection Owners page in Central Administration or by using the siteowner operation with Stsadm.exe. If you remove an owner from the Administrator site group for the site, the owner retains the owner flag in the database, and can still perform Web site administrative tasks.


About permission settings for lists and libraries

About permission settings for lists and libraries

Microsoft Windows SharePoint Services provides the ability to control permissions on a specific list. If you have sensitive information stored in a list, and you do not want to expose the information to all members of a site, you can specify permissions for the list to control which users can view, edit, or add items to that list. You can grant or revoke permissions to a list or document library by individual users, by groups of users, or by site group. You can apply specific permissions for any list or document library in a Web site based on Windows SharePoint Services.

Any users with the Manage Lists right can change list permissions. By default, the Administrator and Web Designer site groups include this right. Any user with Full Control permissions for that list can also change list permissions. By default, all members of a Web site have access to all lists and document libraries on a Web site. All users assigned to a site group are considered members, except for the Guest site group. By default, each site group has a predefined level of permissions for all lists and document libraries. The default list permissions are:

  • View items (given to the Reader site group by default)
  • View, insert, edit, delete items (given to the Contributor site group by default)
  • View, insert, edit, delete items; change list settings (given to the Web Designer site group by default)
  • View, insert, edit, delete items; change list settings; change list security

In addition, you can set advanced permissions, which allows you to grant any of the following rights for a user or site group:

  • Manage lists (given to the Web Designer site group by default)
  • Manage list permissions
  • Cancel check-out (given to the Web Designer site group by default)
  • Manage personal views (given to the Contributor site group by default)
  • Add list items, edit list items, and delete list items (given to the Contributor site group by default)
  • View list items (given to the Reader site group by default)

Important Members of the Administrator site group always have the highest level of permissions for all lists and document libraries. You cannot change list or document library permissions for the Administrator site group. Also, any site group that has the View Lists Item right (such as Reader) can continue to see the list name, description, number of items, and time when the list was last modified, even though they cannot view the list contents directly.

To specify permissions for a list, go to the list itself or to the Customize List_name page for the list.


About views

About views

Views make it quick and easy to see information in a variety of ways. You can use views in lists (such as Announcements, Contacts, and so on), and you can also use them in libraries, surveys, and discussion boards.

When you create a view, a hyperlink to the view is added to the view bar on the page that displays the list. An indicator marks the active view, as shown:

View bar

You can create custom views to do one or more of the following:

  • Filter by a set of criteria
  • Sort in a particular order
  • Hide or show columns
  • Group information based upon list data
  • Display subtotals of columns
  • Show lists with date information as calendars or tables

For example, instead of applying the same filter every time you go to a particular list, you can create a view that includes the filter. Then, to see the filtered information, you can click the hyperlink to the view you created. You can even make your new view the default shared view, so that when your team members go to the page that displays a list, they automatically see the filtered information.

About standard views and datasheet views

Standard views display list information in the manner that you specify. You can view and work with list data from any supported Web browser. Standard views require no special software on your computer. In a standard view, you filter, update, add, or delete items one at a time.

Datasheet views require that you have a Windows SharePoint Services-compatible datasheet program installed, such as Microsoft Office Professional Edition 2003. Datasheet views allow you to quickly add, delete, and update list entries just as you would in a spreadsheet program, such as Microsoft Excel, without having to switch to a separate program.

If you click a datasheet view and don't have a datasheet program compatible with Microsoft Windows SharePoint Services installed, the list will appear in the standard view. Conversely, if you have a datasheet program installed and you want to go to a standard view, you can click the Edit in Datasheet button to automatically create a datasheet view and edit the list information in the datasheet.

About shared views and personal views

You can create shared views that all site users can use. However, if a Web site has many users and each creates a shared view, the list of shared views can get very long. Personal views enable each user of a SharePoint site to create his or her own views, which are not visible to other users. Having both types of views allows site administrators to ensure that only views that are useful for most users appear in the list of shared views, but still allows users to create personal views that help them view list information in the most convenient way for them.

Note The types of views you can create may vary based on the template your site uses.

Grouped views

Grouped views let you group the items in a list based on one or two columns. For example, you can group items in the events list so that all events that occur on given day appear together. You can then group the events within that group based upon who arranged the event or where the events are held.

Note When you create a datasheet view, it cannot also be a grouped view. To create a grouped view and use the easier editing tools that a datasheet view provides, create a standard view. On the list page, click Edit in Datasheet. You can then click Show in Standard View to return to the grouped view.

Calendar views

If your list includes a column with dates, you can create a view that displays the list as a calendar. This feature allows you to create a custom list that you can view either as a standard tabular view, or as a calendar. You can switch between the two views quickly.

Related Topics

Set a default view
Create a view
Change the name or file name of a view
Show or hide columns
About filters


About columns

About columns

Columns display the information that constitutes each item in a list or library. At the top of each column is the name of the column.

When you add an item to the list or library, you fill out a form in which each column is represented by a field. Each field is labeled with the name of the column. If you provide a description for the column, the description appears below the field. You can use the description to help team members fill out the form by explaining what kind of information goes in the field.


About sorting and customizing item order

About sorting and customizing item order

The type of sorting and ordering you can do with items depends on the type of list you are working with and how it was set up. All lists, document libraries, picture libraries, and discussion boards can be arranged in an alphanumeric sort order. Some types of lists can be arranged in a custom order.

Comparison of sorting and custom ordering

Alphanumeric sort When you sort a list, document library, picture library, or discussion board, Microsoft Windows SharePoint Services rearranges rows according to the contents of the column you choose. Sorting in ascending order arranges the rows alphanumerically from 0 to 9, A to Z, and oldest to most recent. Sorting in descending order arranges the rows from 9 to 0, Z to A, and most recent to oldest.

Two ways to sort items

  1. Sort items in the current view.
  2. Switch to a view that displays sorted items.

Custom order If you choose to allow a custom order, users can specify the exact position they want each item to appear in instead of specifying an alphanumeric order.

Ways to sort or customize the item order

Apply a sort order You can quickly sort items when you view the list, document library, or discussion board in your Web browser by clicking the name of a column.

Apply a custom order If it's available for the list you're working with, you can apply a custom order by clicking Change Order on the toolbar, and then specifying the position where you want each item in the list.

Define a view For all lists, you can set up a public or personal view that displays the items in a default sort order that you define. For some lists, instead of specifying a default sort order, you can enable the view to allow users to apply a custom order. If you choose to specify a default sort order when you define the view, you can specify up to two columns to sort the items. The items are first sorted by the column you define as the primary sort. To sort this way, you click a hyperlink to display the view.

If you choose to allow a custom order, users viewing the list can specify the exact position they want each item to appear in.

Note You must be a member of the Administrator site group or a member of a site group that has the Manage Lists right to define a public view.

Related Topics

Sort items
Arrange list items in a custom order
Allow or prevent custom ordering of items
About views


About filters

About filters

Filtering is a quick and easy way to find and work with a subset of entries in a list, document library, or discussion board. A filtered list displays only the rows that meet the criteria you specify for a column. Unlike sorting, filtering does not rearrange the items. Filtering hides rows you do not want displayed.

Two ways to filter items

You can filter items in two different ways:

  • Button image By applying a filter to the current view
  • Button image By defining a view that displays filtered items, and then selecting that view

Related topics

  • Filter Items
  • Display sorted or filtered items
  • Create a personalized view
  • About views


Sort items

Sort items

You can use any column of a list, document library, picture library, or discussion board to sort items.

  • On the page that displays the list, document library, picture library, or discussion board, click the name of the column you want to use for the sort order.

Note If you want to reverse the sort order (ascending or descending), click the name of the column again. An arrow indicates the direction of the sort.

Related Topics

About sorting and customizing item order
Arrange list items in a custom order
Allow or prevent custom ordering of items


Filter items

Filter items

You can add and remove filters for items in a list, document library, or discussion board. You can also add, edit, or remove custom filters with multiple criteria for each column by editing the list in datasheet view.

Note You can edit a list in datasheet view only if a datasheet program compatible with Microsoft Windows SharePoint Services, such as Office Professional Edition 2003, is installed on your computer.

Add and remove filters

  1. On the toolbar, click Filter. A drop-down list appears above each column containing all of the values for that column.
  2. In the drop-down list for the column on which you want to filter, click the value for the items you want to display. Only items matching that value display.
  3. You can continue to apply additional filters until only the desired items are displayed.
  4. To remove a filter, click All in the drop-down list for the filtered column. Other filters are unaffected.

Add, edit, and remove custom filters by editing the datasheet

  1. On the toolbar, click Edit in Datasheet.
  2. Click the drop-down list for the column on which you want to filter, and then click Custom Filter.
  3. On the Custom Filter dialog box, you can enter up to three rules.

    Rules applied to other columns linked by And must both be true for an item to display. Rules linked by Or display if either rule is true.

  4. You can edit a custom filter at any time to broaden or narrow the displayed items by clicking Custom Filter in the drop-down list for the column in the grid view.
  5. To completely remove a custom filter from a column, click Show All in the drop-down list for a column. Filters on other columns are unaffected.

    Note You can also use the drop-down lists in the datasheet view to add, edit, or remove simple filters.

Filters added while editing in datasheet view go away if you change to the standard view, and do not return if you later go back to datasheet view.

Related Topics

Display sorted or filtered items
About filters


About libraries

About libraries

Libraries allow you to share files with site users. The kind of library you use depends upon the kind of files that you are sharing. To share a collection of digital pictures or graphics, use a picture library. If you need to store a group of XML-based business forms, use a form library. For most other file types including documents and spreadsheets, use a document library.

A library displays a page that lists each file or folder and its properties, as well as a hyperlink to each file. The page includes commands for adding files and folders, sorting and filtering the list of files, switching to a different view of the library, and changing the design of the library. You can also create alerts so you are notified of any changes in the library or specific files within a library.

When you add or remove a file from a library, Microsoft Windows SharePoint Services updates all hyperlinks to it in your site.

Note When you delete a file from a library all versions of the file are deleted as well.

About document libraries

Document libraries are collections of files that you share with team members. For example, you can create a library of common documents for a project.

By default, your team Web site comes with a built-in document library named Shared Documents, which is listed on the Quick Launch bar as well as on the Documents and Lists page.

Note The features on your site may vary based on the template your site uses.

Kinds of documents

You can store any kind of file in a document library. However, there are some advantages to using document libraries in conjunction with client programs compatible with Windows SharePoint Services, such as Microsoft Office 2003:

  • You can set up a template that automatically starts the appropriate program and formats documents consistently when team members create new documents in the document library.
  • You can open and modify your documents from within Windows SharePoint Services-compatible client programs as though the documents resided on any other network place or on your hard disk.

About form libraries

Form libraries provide a simple way for you to share and track XML-based forms (.xml files) that are used to gather the same type of information. For example, you can create a form library for your team's status report forms to provide a single location for team members to quickly fill out, save, and view their forms.

A form template is associated with each form library; this form template defines the structure and appearance of all forms created from the form library, as well as the appropriate application with which to open the form.

Although any file type can be stored in a form library, there are several advantages to storing only .xml files, which require a Windows SharePoint Services–compatible XML editor, such as Microsoft Office InfoPath 2003. These advantages include the ability to use form library columns (which can be designed to display specific information stored within each form in the library) and the ability to merge data from multiple forms into a single form.

About picture libraries

Picture libraries provide a simple way to share and organize digital pictures in a corporate server environment. For example, an organization could create a picture library for marketing graphics — providing a single location for team members to view, share, edit, and download corporate logos or other marketing material.

Although pictures can be stored in other types of SharePoint lists, there are many advantages to using picture libraries. These advantages include viewing pictures with one of three unique display styles, sharing pictures using slide shows or by sending pictures directly to Microsoft Office 2003 programs, downloading pictures directly to a computer, and editing pictures with Windows SharePoint Services-compatible image editors, such as Microsoft Office Picture Manager.

About Explorer View

By default, libraries include an Explorer View that enables you to work with files in the library similar to the way you work with files in Microsoft Windows Explorer. By using Explorer View, you can:

  • Delete files and folders
  • Rename files and folders
  • Copy and paste files and folders from your desktop
  • Select multiple files and folders to delete, move, or copy

Note To use Explorer view, you must have a Windows SharePoint Services-compatible client program, such as Microsoft Office 2003, and Microsoft Internet Explorer 5 or later installed.

About custom properties

You can specify the type of information that authors must provide when they add a file to the library.

For example, if you have a document library of product plans, you can require authors to enter the document title, comments about the document's content, and the document's status.

Related Topics

Create a document library
Add a file to a document library
Create a form library
Add a form to a form library
Create a picture library
Add one or more pictures to a picture library
Read, edit, or delete a file in a library
About document and picture library versioning
About document check out and check in


Read, edit, or delete a file in a library

Read, edit, or delete a file in a library
  1. On the top link bar, click Documents and Lists, and then click the name of the library that you want to open.
  2. Do one of the following:

    View a file

    1. On the page that displays the library, click the name of the file.
    2. In the File Download dialog box, click Open.

    Edit a file

    Note To edit a file from within a document library, you must have a Microsoft Windows SharePoint Services-compatible program, such as Microsoft Office 2003, and Microsoft Internet Explorer 4.0 or later installed.

    1. On the page that displays the library, point to the file name to display a down arrow.
    2. Click the down arrow to reveal a menu, and then click Edit in program to edit the file in the program that was used to create it.

      Note In a picture library, click Edit Picture.

    3. Edit the file as desired, and then save and close the program.

    Edit information about a file

    1. On the page that displays the document library, in the row where the name of the file appears, point to the file, click the triangle on the bar that appears, and then click Edit Properties on the menu that appears.
    2. Edit the information as desired, and then click Save and Close.

    Delete a file

    1. Point to the file you want to delete, and a drop-down list box will appear. Click the drop-down arrow on the list box, and then click Delete on the menu that appears.

Note If the site is a Meeting Workspace site, ignore step 1. Instead, from the Document Library Web Part, follow the remaining steps above.


About document check out and check in

About document check out and check in

Some shared folders or document libraries require that you check out a file to work on it and then check it back in when your changes are complete. Checking out the file ensures that others cannot make changes to the document while you're editing it. You can check out and check in the document from either the document library or a Microsoft Office application. Other users won't see your changes until your check the file back in.

Document check out

When you check out a document, other users cannot edit the document or see your changes to the document. If you later decide to check in the document without saving your changes, you can use the Discard changes and undo check out option on the Check In page. You lose any changes made while you checked out the document. The document reverts to the last checked-in version, and no version history is kept for the unsaved changes.

Document check in

When you check in a document, other users who can access the document library can see and edit the document. Additionally, your changes to the document are visible to those users. You have the following options when checking in a document:

  • Check in document
  • Check in changes saved to this document, but keep the document checked out
  • Discard changes and undo check out


Check out or check in a document

Check out or check in a document

Check out a document

In a document library

  1. Locate the document that you want to check out.
  2. Point to the document, click the arrow, and then click Check Out.

In an Office application

  1. On the File menu, click Open.
  2. In the Open dialog box, select Web folders from the Look in drop-down menu, locate the document that you want to check out, and then click Open.
  3. On the File menu, click Check Out.

Check in a document

In a document library

  1. Locate the document that you want to check in.
  2. Point to the document, click the arrow, and then click Check In.
  3. On the Check In page, do one of the following:
    • Select Check in document.
    • Select Check in changes saved to this document, but keep the document checked out.
    • Select Discard changes and undo check out.
  4. Enter any comments in the text box under Check In comments, and then click OK.

In an Office application

  1. On the File menu, click Check In.
  2. In the Check In Comments dialog box, enter any comments in the text box, and then click OK.


Force a document check-in

Force a document check-in

Members of the Administrator and Web Designer site groups (or members of any site group with the Cancel Check-out right) for a site can override a document check-out if necessary, and force the document to be checked in with the previous version.

Cancel a check-out and return to the previous version
  1. Go to the document, click the down arrow next to the document's title, and then click Check In.
  2. On the Check In page, select Discard changes and undo checkout, and then click OK.
  3. On the confirmation message that appears, click OK to check in the document.


View previous versions of a file

View previous versions of a file
  1. On the page that displays the library, in the row where the name of the file appears, point to the file, click the triangle on the bar that appears, and then click Version History on the menu that appears.
  2. In the Modified column, click the version of the file that you want to view.

Related topics

  • Restore a file to a previous version
  • Delete previous versions of a file
  • About document and picture library versioning


Restore a file to a previous version

Restore a file to a previous version
  1. On the page that displays the library, in the row where the name of the file appears, point to the file, click the triangle on the bar that appears, and then click Version History on the menu that appears.
  2. In the Modified column, point to the version of the file that you want to restore, click the triangle on the bar that appears, and then click Restore on the menu that appears.
  3. When prompted to confirm that you want to replace the current version of the file with the previous version, click OK.

Related topics

  • View previous versions of a file
  • Delete previous versions of a file
  • About document and picture library versioning


Delete previous versions of a file

Delete previous versions of a file

Do either of the following:

Delete one previous version of a file

  1. On the page that displays the library, in the row where the name of the file appears, point to the file that you want to delete, click the triangle on the bar that appears, and then click Version History on the menu that appears.
  2. In the Modified column, point to the version of the file that you want to delete, click the triangle on the bar that appears, and then click Delete on the menu that appears.
  3. When prompted to confirm that you want to delete the previous version of the file, click OK.

Delete all previous versions of a file

  1. On the page that displays the library, in the row where the name of the file appears, point to the file that you want to delete, click the triangle on the bar that appears, and then click Version History on the menu that appears.
  2. Click Delete Previous Versions.
  3. When prompted to confirm that you want to delete all previous versions of the file, click OK.

Related Topics

  • View previous versions of a file
  • Restore a file to a previous version
  • About document and picture library versioning


Enable document versioning for a library

Enable document versioning for a library
  1. Go to the list, and on the left link bar, click Modify settings and columns.
  2. On the Customize "Document_Library" page, click Change general settings.
  3. On the Document Library Settings page, in the Document Versions section, under Create a version each time you edit a file in this document library?, click Yes.
  4. Click OK.


About the Web Discussions feature

About the Web Discussions feature

The Web Discussions feature enables anyone with discussion permissions to attach comments to a Web page or any document that can be opened with a browser. Comments appear with the document but are stored on a discussion server. The discussions are threaded.

Note The term Web page is used generically here to refer to any file you are viewing with a browser.

Anyone reviewing your Web page can use the Web Discussions toolbar to view and reply to any discussion. The Web Discussions toolbar is available in Microsoft Internet Explorer 4.0 or later to users of a Windows SharePoint Services-compatible client program, such as a Microsoft Office 2003 program.

Discuss a whole page or a paragraph

You can discuss the whole page, using general discussions, or insert comments in a particular part of a page, using inline discussions.

  • General discussions When you discuss a page in general, discussion comments appear in a Discussion pane at the bottom of the window. If the page you are discussing is a frames page, the Enter Discussion Text dialog box presents a list of the frames so that you can specify which frame a discussion refers to.
  • Inline discussions When you use inline discussions, discussion insertion markers appear at the end of every paragraph consisting of more than 30 characters, in every table cell that contains more than 5 characters, and at the end of every graphic that has a height or width of at least 30 pixels. These insertion markers indicate where you can start a discussion.

    Note For pages that you view in a browser, inline discussions are available only in HTML-formatted files.

Show or hide discussion information

You can filter discussions — for example, view comments that are from a particular person or posted on a particular date. You can also show or hide discussion information so that you can focus only on the information you want to see:

  • Show and hide individual discussion comments or entire discussions.
  • Show and hide the Discussion pane.
  • Drag the top border of the Discussion pane to make it larger or smaller.
  • Close a discussion once the issues have been resolved. The discussion is not deleted; you can choose to view closed discussions, and you can reopen a closed discussion.
  • Show or hide the subject, user name, or other header information.

    Note Discussion header information includes two names for each participant: Display name and User name. Display name is the name that participants set in a client program, such as an Office program; User name is the logon name that a system administrator sets.

Store discussions

When you add discussion comments to a Web page, your text is stored in a database on a discussion server. The Web page you are discussing must be located on the same computer as the discussion server where your comments are stored.


About issues reports

About issues reports

Four reports are set up for an issues list for you to track issue trends by category, by person, or over a given date range.

  • Issues by category

    This report shows the number of issues by category. You can filter on the category and status of the issues.

  • Issues by person

    This report shows the number of issues assigned to a user. You can filter on the status and the display name of the persons assigned to the issues.

  • Issues created over a date range

    This report shows the number of issues created over a given date range. Aside from the date range, you can filter on the display name of the persons who created the issues and the category of the issues.

  • Issues for a date range

    This report tracks the different types of issues over a given date range. Aside from the date range, you can filter on the category and status of the issues, and the display name of the persons assigned to the issues.

Note The charts in these reports can only be displayed if you have Microsoft Office Web Components and the Microsoft Office Web Parts and Components installed.


View issue history

View issue history

The issue history of an issue shows for each of the previous edits of the issue, the user who edited the issue, the date and time of the edit, if any user was assigned the issue, and any comment for that edit. When you view an issues list, you can choose to view details of an issue in the list. These details includes the issue history.

To view the history of an issue
  1. On the top link bar, click Documents and Lists.
  2. Click the issues list that contains the issue you want to view.
  3. Click the title of the issue.
  4. View the history of the issue under Issue History.
  5. You can view the details of a version in history. To do that, under Issue History, click the title of the version that you want to view.


View related issues

View related issues

When you view an issues list, you can choose to view details of an issue in the list. These details includes any related issues.

To view related issues of an issue
  1. On the top link bar, click Documents and Lists.
  2. Click the issues list that contains the issue you want to view.
  3. Click the title of the issue.
  4. View the list of related issues, if any, under Related Issues.


View reports of an issues list

View reports of an issues list To view reports of an issues list
  1. On the top link bar, click Documents and Lists.
  2. Click the issues list the reports for which you want to view.
  3. Click View Reports on the left side bar.
  4. Select the report that you want to view.

Note The charts in these reports can be displayed only if the Microsoft Office 2003 Web Components and the Microsoft Office 2003 Web Parts and Components (or later versions of these components) are installed.


Resolve, close, or reactivate an issue

Resolve, close, or reactivate an issue

An issues list has a Status column defined by default. The Status column has these default look up values: Active, Resolved, and Closed. When you create an issue, its default initial status is Active. You can resolve or close an issue by editing the issue and changing its status to Resolved or Closed respectively, and you can reactivate the issue by changing its status to Active.

To change the status of an issue
  1. On the top link bar, click Documents and Lists.
  2. Click the issues list that contains the issue you want to resolve, close, or reactivate.
  3. Click the title of the issue.
  4. Click Edit Item.

  5. To resolve an issue

    Click the drop down list for Status and select Resolve.

  6. To close an issue

    Click the drop down list for Status and select Close.

  7. To reactivate an issue

    Click the drop down list for Status and select Active.
  8. Click Save and Close.


Add or remove a related issue

Add or remove a related issue

You can add related issues to an issue, or remove related issues, by editing the issue in an issues list. When you add one issue as a related issue to another issue, all other issues that are already related to each of these two issues become related to one another as well.

Add related issues to an existing issue or remove related issues
  1. On the top link bar, click Documents and Lists.
  2. Click the issues list that contains the issue you want to edit.
  3. Click the title of the issue.
  4. Click Edit Item.

  5. To add a related issue

    Type the Issue ID of the issue you want to add as a related issue.

    Note You cannot add an issue that is already a related issue.

  6. To remove a related issue

    Under the section Related Issues, click Remove for the issue that you want to remove as a related issue.

    Note Removing a related issue does not delete the issue from the issues list. It only removes its relationships with all other issues as a related issue.

  7. Click Save and Close.


Assign an issue

Assign an issue

An issue can be unassigned or can be assigned to one user at a given time.

You can assign an issue to a user by editing an issue in an issues list. The user must have already been added as a user to your Microsoft Windows SharePoint Services site.

To assign an issue to a user
  1. On the top link bar, click Documents and Lists.
  2. Click the issues list that contains the issue you want to assign.
  3. Click the title of the issue.
  4. Click Edit Item.
  5. Click the drop down list for Assigned To to look up and select the display name for the user to whom you want to assign the issue.
  6. Click Save and Close.


About picture libraries

About picture libraries

Picture libraries provide a simple way to share and organize digital pictures in a corporate server environment. For example, an organization could create a picture library for marketing graphics — providing a single location for team members to view, share, edit, and download corporate logos or other marketing material.

Although pictures can be stored in other types of Microsoft Windows SharePoint Services lists, there are many advantages to using picture libraries. These advantages include viewing pictures with one of three unique display styles, sharing pictures using slide shows or by sending pictures directly to Microsoft Office 2003 programs, downloading pictures directly to a computer, and editing pictures with Windows SharePoint Services-compatible image editors, such as Microsoft Office Picture Manager.


About picture library views

About picture library views

Picture libraries give you a choice of three views to work with: All Pictures, Selected Pictures, and Explorer. Which view is best for you to use depends on which pictures you need to see and what other tasks you may need to perform.

  • All Pictures Use this view when you want to see all of the pictures stored in a picture library. The default display style is Thumbnail, but you can switch to another display style to see the pictures if needed.

  • Selected Pictures Use this view when you need to filter the picture library to see only the pictures you have selected by selecting their check boxes. This view is especially helpful when you need to see all of the pictures you have selected before applying editing changes. As with the All Pictures view, the default display style is Thumbnail, but you can easily switch to another display style if needed.

  • Explorer Use this view when you want to use the Microsoft Windows Explorer file management system to organize your picture library files. From this view, depending on your Microsoft Windows operating system, you can also print pictures, view a slide show, and connect to Web sites that will print your pictures online.


View a slide show

View a slide show
  1. On the top link bar, click Documents and Lists, and then click the name of the picture library that you want to open.
  2. In the picture library, under Actions, click View Slide Show.
  3. To start a slide show, click Play Button image.
  4. To stop a slide show, click Stop Button image.
  5. To advance to the next picture, click Next Button image.
  6. To go back to the previous picture, click Back Button image.


Choose a display style

Choose a display style

  1. On the top link bar, click Documents and Lists, and then click the name of the picture library that you want to open.
  2. In the All Pictures and Selected Pictures views, you can choose from three display styles to change how you view picture files. Select the view you want to work with.
  3. Do one of the following:
    • To see a table of picture properties, under the view name, click Details.
    • To see many small pictures at once, under the view name, click Thumbnails.
    • To see both a strip of small pictures and a single larger picture, under the view name, click Filmstrip.

Note The Microsoft Windows Explorer view does not offer a choice of display styles.


Select a view

Select a view
  1. On the top link bar, click Documents and Lists, and then click the name of the picture library that you want to open.
  2. Do one of the following:
    • To see all pictures in the picture library, click All Pictures.
    • To see only the pictures you have already selected, click Selected Pictures.
    • To manage picture files in Microsoft Windows Explorer view, click Explorer View.

Note When you select a view, a box highlights the display style choices that are available for that view.


Add an alert

Add an alert

Complete the steps in the sections below to add alerts for a list or library, or for a list item or file in a library.

Add an alert for a list or library

  1. Go to the page that displays the list or library for which you want to add an alert.
  2. Under Actions, click Alert me.
  3. In the Send Alerts To section, confirm that the destination e-mail address is correct.
  4. In the Change Type section, specify whether you want to be notified when items have been added, changed, or deleted, or click All changes to be notified whenever any type of change occurs.
  5. In the Alert Frequency section, click the number that reflects how often you want to be notified of changes.
  6. Click OK.

Add an alert for a list item or a file in a library

  1. Go to the page that displays the list or library with the list item or file for which you want to add an alert.
  2. Point to the title of the document or list item. A list box will appear. Click the list box, and then click Alert Me .
  3. In the Send Alerts To section, confirm that the destination e-mail address is correct.
  4. In the Change Type section, specify whether you want to be notified when the item or file has been changed or deleted, or click All changes to be notified whenever any type of change occurs. For documents in libraries, you can be notified when comments in Web Discussions have been added, deleted, or edited.
  5. In the Alert Frequency section, click the number that reflects how often you want to be notified of changes.
  6. Click OK.

Related Topics

About alerts
View alerts
Delete an alert


View alerts

View alerts

Complete the steps in the sections below to view your personal alerts or those set up by other users.

View my alerts

  1. On the top link bar, click Site Settings.
  2. Under Manage My Information, click My alerts on this site.

Note If the site is a Meeting Workspace site, ignore step 1. Instead, from the Modify This Workspace menu on the home page, click Site Settings.

View other users' alerts

Note You must have administrator rights to view other users' alerts.

  1. On the top link bar, click Site Settings.
  2. Under Administration, click Go to Site Administration.
  3. Under Management and Statistics, click Manage user alerts.
  4. In the Display alerts for menu, click the name of the site user whose alerts you want to view and then click Update.

Note If the site is a Meeting Workspace site, ignore step 1. Instead, from the Modify This Workspace menu on the home page, click Site Settings.

Important When you remove a user from a site after he or she has create alerts, you must manually delete any alerts that he or she has set up. This is also true for any lists or libraries where you change security settings to limit access. If a user has set up alerts for the list or library, he or she will continue to receive them after you change the security settings. It is important to delete these alerts to prevent unauthorized users from having access to site and user information.

Related Topics

About alerts
Add an alert
Delete an alert
About managing alerts
Configure alerts for a virtual server
Specifying Mail Settings


View a Web discussion

View a Web discussion

Note You must be a member of the Administrator site group to complete this procedure.

  1. On the Site Settings page, click Go to Site Administration.
  2. On the Site Administration page, under Management and Statistics, click Manage Web Discussions.
  3. Specify whether you want to view a list of all Web discussions or just those starting from an URL that you specify, and then click Update.
  4. Click the link to the page with a Web document discussion you would like to view.
  5. In your Web browser toolbar, click Discuss.


Add a file to a document library

Add a file to a document library
  1. On the top link bar, click Documents and Lists.
  2. Click the document library in which you want to add a document.
  3. Click Upload Document.
  4. On the Upload Document page, click Browse to find the file you want to add, and then click Open.
  5. If you want this file to replace a file of the same name in the library, select the Overwrite existing file(s)? check box.
  6. Click Save and Close.

    Note To cancel the document addition, click Go back to document library.

Notes

  • If the site you're using is a Meeting Workspace site, ignore steps 1 and 2. To add a file, click Add document in the Document Library Web Part. Then follow the remaining steps above.
  • If you have a Windows SharePoint Services-compatible program installed, an option to upload multiple files simultaneously might appear on the Upload Document page. For example, if you have Office 2003installed, you will see the Upload Multiple Files option.


Add multiple files to a document library simultaneously

Add multiple files to a document library simultaneously
  1. On the top link bar, click Documents and Lists.
  2. Click the document library to which you want to add a document.
  3. In the Select a View pane, click Explorer View.
  4. Open a Windows Explorer window, and find the folder with the files that you want to copy to the document library.

    How?

    1. Click Start.
    2. Click My Documents.
    3. Locate the folder with the files you want to copy to the document library.
  5. Select the desired files, and then drag them into the document library in the browser window.

Notes

  • If the site is a Meeting Workspace site, ignore steps 1 and 2. To add multiple files, click the name of the library in the Document Library Web Part, and then follow the remaining steps above.
  • If you have a Microsoft Windows SharePoint Services-compatible program installed, an option to upload multiple files simultaneously might appear on the Upload Document page. For example, if you have Microsoft Office 2003 installed, you will see the Upload Multiple Files option.

Related Topic

Add a file to a document library


Create a Document Workspace

Create a Document Workspace

Do one of the following:

Create a private Document Workspace site for a document that is already published in a document library

  1. In a Web browser, go to the document library where the document is stored.
  2. Point to the name of the document, click the Edit arrow that appears, and then click Create Document Workspace.

Tip

After you have worked on the document in the Document Workspace, you can update the original copy in the document library. In the Document Workspace, click the arrow next to the document, and then click Publish to Source Location.

Create a Document Workspace site in a Web browser

  1. Go to a Microsoft Windows SharePoint Services Web site where you have permission to create Document Workspaces.

    Note You may need to contact an administrator to grant you permission to create Document Workspaces.

  2. On the top link bar, click Create.
  3. On the Create page, under Web Pages, click Sites and Workspaces.
  4. Enter a title, description, and URL, and click a permission setting; then click Create.
  5. On the Template Selection page, click Document Workspace in the Template box, and then click OK.


About file formats in document libraries

About file formats in document libraries

When you create a new document in a document library, you can save the document in a binary format (such as .doc, .xls, and so on) or save the document in a Web-based format (.htm or .mht). There are advantages and disadvantages to either format; your choice depends on how you plan to use the document.

Program-specific formats

Program-specific formats are Microsoft Word document (.doc), Microsoft Excel workbook (.xls), Microsoft PowerPoint presentation (.ppt), and so on.

Advantages

  • Run-time features are preserved. For example, you can sort and filter columns in an Excel spreadsheet.

Disadvantages

  • Team members must have the appropriate program installed to read the documents.
  • When you use the Web Discussion feature, you cannot attach threaded discussions within the body of the document. Instead, discussion comments appear in a separate discussion pane.

Web-based formats

Web-based formats are Web page (.htm) and Web archive (.mht).

Advantages

  • Team members don't need to have the appropriate program installed to read the document.
  • When you use the Web Discussion feature, you can attach threaded discussions within a document.

Note If your document includes multiple parts, such as pictures or more than one PowerPoint slide, you can save it as a Web archive (.mht format) to create a single file in the document library.

Disadvantages

  • Run-time features may be lost. For example, you cannot sort and filter columns in an Excel spreadsheet.


About templates for document libraries

About templates for document libraries

You can establish consistency among the documents in a document library by specifying a file to use as a template for the library.

The template will open when team members click the New Document command on the page that displays the document library. The template is also available to users of a client program that is compatible with Microsoft Windows SharePoint Services. For example, in Microsoft Office XP, the template is available in the New from Templates on my Web Sites dialog box.

Caution Template files include personal information such as server URLs and user account names. Only share template files with trusted users and groups.

Templates for document libraries can be in any file format that a client program compatible with Windows SharePoint Services can open (.doc, .xls, and so on). However, there are advantages to using a Web-based file format (.htm or .mht) for a template:

  • Team members don't need to have the appropriate client program installed to read a document that's based on a Web page (.htm) or Web archive (.mht).
  • Using the Web Discussions feature, you can attach threaded discussions within a document that's based on a Web page or Web archive.

Note The template for your document library must be stored in the Forms folder of the document library that uses it.


Set up a template for a document library

Set up a template for a document library

When you first create a document library, you can set up a blank template that runs the appropriate program when a user clicks New Document on the document library page. Later, if you have a file in your site that you want to use as a template for new documents, you can modify the document library to use that file as the template.

Do one of the following:

Set up a template when you create a document library

  1. Create a document library and specify a default document type.

    How?

    1. On the top link bar, click Create.
    2. On the Create Page page, click Document Library.
    3. In the Name box, type a name for the list. The document library name is required.
    4. In the Description box, type a description of the purpose of the library. The description is optional.
    5. In the Navigation section, click Yes if you want a link to this list to appear on the Quick Launch bar.
    6. In the Document Versions section, click Yes if you want a backup copy of a file to be created each time a file is checked into the library.
    7. In the Document Template section, specify the type of file to be used as a template for new files in this document library.
    8. Click Create.
  2. Create a customized template.

    How?

    1. On the top link bartop link bar, click Documents and Lists.
    2. Click the name of the document library that you want to open.
    3. On the page that displays the document library, click Modify settings and columns.
    4. In the General Settings section, to the right of Document Template: and the path to the template, click Edit template.
    5. Edit the template file as desired, and then save it.

    Note If you customize the template after documents have been added to the document library, changes to the template will not be reflected in the existing documents.

Modify a document library to use an existing file as a template

  1. On the top link bar, click Documents and Lists.
  2. Click the name of the document library that you want to open.
  3. Click Modify settings and columns.
  4. In the General Settings section, click Change general settings.
  5. In the Document Template section, in the Template URL box, type the Web address of the file that you want to use as a template. The file must be saved to the current Windows SharePoint Web site.


Publish back to a document library from a Document Workspace

Publish back to a document library from a Document Workspace

If your Document Workspace site is based on a document that was already stored in a document library, you can update the original copy with changes that have been made to the Document Workspace copy.

  1. Open the Document Workspace site in a Web browser.
  2. Go to the document library where the document is stored.
  3. Point to the name of the document, click the Edit arrow that appears, and then click Publish to Source Location.


About attaching files to list items

About attaching files to list items

You can attach a file to a list item on a Web site based on Microsoft Windows SharePoint Services. The file attachment can be a document, image, HTML page, or other type of file, and you can attach it to an item in any one of the following types of lists:

  • About announcements list
  • About events lists
  • About discussion boards
  • About contacts list

You can create a new list item and attach a file to it, or you can attach a file to an existing list item. You can also remove attached files from list items.

When a list item contains an attached file, the default view displays a paper clip symbol in the Attachments column. Users simply click on the list item to view the list item details and access the attached file.

Note You cannot attach files to items in the following types of lists:

  • About surveys
  • About libraries


Attach a file to a list item

Attach a file to a list item

Do one of the following:

Attach a file to an existing list item

  1. On the top link bar, click Documents and Lists.
  2. Click the list in which you want to attach a file.
  3. Point to the existing list item, click the down arrow that appears, and then click Edit Item.
  4. Click Attach File.
  5. Click Browse to locate the file you want to attach to the list item, and then click Open.
  6. Click OK.
  7. Click Save and Close.

Note If the site you're using is a Meeting Workspace site, ignore step 1. For step 2, click the list title in the Web Part.

Create a new list item and attach a file

  1. On the top link bar, click Documents and Lists.
  2. Click the list in which you want to attach a file.
  3. Click New Item to add a new list item.
  4. In the fields provided, type the title of the list item and any other information that is required.
  5. Click Attach File.
  6. Click Browse to locate the file you want to attach to the list item, and then click Open.
  7. Click OK.
  8. Click Save and Close.

Note If the site you're using is a Meeting Workspace site, skip step 1. For step 2, click the list title in the Web Part.


View an attached file of a list item

View an attached file of a list item
  1. On the top link bar, click Documents and Lists.
  2. Click the list in which you want to view an attached file.
  3. Click the list item that contains the attached file.
  4. Beside Attachments, click the file name to open and view the file.

Note If the site you're using is a Meeting Workspace site, ignore step 1. For step 2, click the list title in the Web Part.


Remove an attached file from a list item

Remove an attached file from a list item
  1. On the top link bar, click Documents and Lists.
  2. Click the list from which you want to remove an attached file.
  3. Point to the list item that contains the attached file, click the down arrow that appears, and then click Edit Item.
  4. Click Delete next to the file name of the attachment that you wish to remove.
  5. Click Save and Close.

Note If the site you're using is a Meeting Workspace site, skip step 1. For step 2, click the list title in the Web Part.


Add one or more pictures to a picture library

Add one or more pictures to a picture library
  1. On the top link bar, click Documents and Lists, and then click the name of the picture library that you want to open.
  2. Do one of the following:

    Add a single picture

    1. In the picture library, click Add Picture.
    2. On the Add Picture page, click Browse to find the picture you want to add, select the picture, and then click Open.
    3. If you do not want this file to replace any files with the same name in the picture library, clear the Overwrite existing file(s) box.

      Note If the picture library contains a picture with the same name as the one you are trying to add, you will need to rename the new picture before adding it to the picture library.

    4. Click Save and Close.

    Add multiple pictures

    1. In the picture library, click Add Picture.
    2. On the Add Picture page, click Upload Multiple Files.

      Note A Microsoft Windows SharePoint Services-compatible image editor, such as Microsoft Office Picture Manager, will open in a new browser window.

    3. Select all of the pictures you want to add.
    4. Do one of the following:
      • To add pictures with their original size and settings, click Upload and Close.
      • To add pictures with smaller file sizes that load faster on Web sites, in the Upload task pane, click Send pictures optimized for viewing on the Web, and then click Upload and Close.

Note To cancel the picture addition, click Cancel, and then click Go back to picture library name in the original browser window.


Download pictures from a picture library

Download pictures from a picture library
  1. On the top link bar, click Documents and Lists, and then click the name of the picture library that you want to open.
  2. To select pictures to download, select the check box next to each picture.
  3. On the toolbar, click Download.
  4. Do one of the following:

    Download with default settings

    • Under Select a Size, select a size option.

    Select advanced settings

    1. To select a new file format, under File Format, click the arrow, and then select the format you want.
    2. To change the size of the picture, do one of the following:
      • Select a predefined size.
      • Select custom width and height.
      • Select percentage of original.
  5. Click Download.
  6. To select a location to download your pictures to, in the Download Pictures dialog box, click Browse, and then select a location.
  7. To rename pictures as a group, incrementing automatically, click the Rename the selected pictures in the new location box.
  8. To open the new location in Microsoft Office Picture Manager, click the Open new location in Office Picture Manager box.


Edit picture properties

Edit picture properties
  1. On the top link bar, click Documents and Lists, and then click the name of the picture library that you want to open.
  2. Click the Details display style, highlight the picture whose properties you want to edit, and then click the arrow to display a drop-down menu.
  3. On the drop-down menu, click Edit Properties.
  4. Type the text you want in the available fields.
  5. Click Save and Close.


Send pictures to another program

Send pictures to another program

Use this procedure to send pictures to a program compatible with Microsoft Windows SharePoint Services, such as Microsoft Office 2003.

  1. On the top link bar, click Documents and Lists, and then click the name of the picture library that you want to open.
  2. Select the check box next to each picture you want to send.
  3. Click Send To.
  4. Do one of the following:

    Send to an existing file

    1. Make sure the file is open on your computer.
    2. Under Insert into an open file, click the arrow, and then select the file you want to insert the pictures into.

      Note You can only send pictures to a file that's open in Microsoft Word or Microsoft PowerPoint.

    Send to a new file

    • Under Insert into a new, click the type of file you want to insert pictures into.
  5. Do one of the following:
    • To send pictures with the default program settings, click Send.
    • To send pictures with different program specific settings, click Options, select the settings you want, click OK, and then click Send.

    Note The options vary depending on the program you are sending the pictures to.


View picture properties

View picture properties
  1. On the top link bar, click Documents and Lists, and then click the name of the picture library that you want to open.
  2. In either the All Pictures or Selected Pictures view, select the Details display style.
  3. Point to the picture you want to view the properties of.
  4. Click the arrow next to the picture title, and then click View Properties.


Participate in a discussion board

Participate in a discussion board
  1. On the top link bar, click Documents and Lists.
  2. In the Discussion Boards section, click the name of the board in which you want to participate.
  3. Do one of the following:

    Start a new discussion

    1. Click New Discussion.
    2. In the Subject box, type a title for your comment. This field is required.
    3. In the Text box, type your comment.
    4. Click Save and Close.

    Reply to an existing comment

    1. In the Subject column, point to the discussion comment to which you want to reply, click the down arrow on the menu that appears, and then click Reply.
    2. In the Text box, type your comment.
    3. Click Save and Close.

    Edit your own discussion comment

    1. In the Subject column, point to the discussion comment that you want to edit, click the down arrow on the menu that appears, and then click Edit Item.
    2. Modify the comment as desired, and then click Save and Close.

    Delete a discussion comment

    1. In the Subject column, point to the discussion comment that you want to delete, click the down arrow on the menu that appears, and then click Delete Item..
    2. Click OK to confirm that you want to delete the comment.

Note If the site is a Meeting Workspace site, ignore steps 1 and 2. To start a new discussion, click Add discussions in the General Discussion Web Part. Then follow the remaining steps above.


Respond to a survey

Respond to a survey
  1. On the top link bar, click Documents and Lists.
  2. In the Surveys section, click the name of the survey.
  3. At the top of the survey, click Respond to this survey.
  4. Answer the survey questions by filling out the form.
  5. Click Save and Close.

To see the results of the survey

Do one of the following:

See a compilation of responses

  • On the page that displays the survey, under Select a View, click Graphical Summary.

See how others responded

  1. On the page that displays the survey, under Select a View, click All Responses.
  2. Click View Response #n next to the name of the respondent.

Note The person who created the survey might have specified that respondents' names not be visible in the survey results.


About content approval

About content approval

Content approval allows you to create a list or library where any items or files that are submitted by users are not visible to all site users until the items or files have been approved by a site administrator or a user belonging to a site group with the Manage Lists right. Users can view a list of the items that they submit and check approval statuses. Adminstrators and users with the Manage Lists right use the Approve/reject items view of the list or library to set an item or file to approved, rejected, or pending. They can also enter comments regarding their decisions. For example, you can create a discussion board where all new discussion threads and replies must be approved before all site users can view them

Submissions by site administrators or users with the Manage Lists right are automatically approved. However, other administrators or users with the Manage Lists right can still reject the items.

Note Rejecting an item or file does not delete it or prevent users from viewing it. Users can also view pending items. To help prevent users from viewing rejected or pending items, the submitter or a user who is a member of the Administrator site group or a site group with the Manage Lists right must manually delete the items.

Related Topics

Approve or reject an item


Add, edit, or delete an event

Add, edit, or delete an event

Do one of the following:

Add an event

  1. On the top link bar, click Documents and Lists.
  2. In the Lists section, click Events.
  3. At the top of the list, click New Item.
  4. In the Title box, type a heading for the event.

    This field is required.

  5. In the Begin box, click the calendar Icon image and select a date, and then select a time in the hour and minutes boxes.

    This field is required.

  6. If the event lasts longer than a day, select a date for the End box.
  7. Type text in the Description and Location boxes as desired.
  8. If the event is a recurring event, specify how often it occurs in the Recurrence section.
  9. If you would like to create a Meeting Workspace site for this meeting, select Workspace.

    Creating a Meeting Workspace site gives you a new Web site under the current site with a specialized set of lists for managing your meeting. For more information, see About Meeting Workspace sites.

  10. Click Save and Close.

Edit an event

  1. On the top link bar, click Documents and Lists.
  2. In the Lists section, click Events.
  3. Point to the event you want to edit, click the down arrow on the menu that appears, and then click Edit Item.
  4. Change the information, and then click Save and Close.

Delete an event

  1. On the top link bar, click Documents and Lists.
  2. In the Lists section, click Events.
  3. Point to the event you want to edit, click the down arrow on the menu that appears, and then click Delete Item.
  4. Click OK to confirm that you want to delete the event.


Add, edit, or delete a contact

Add, edit, or delete a contact

Do one of the following:

Add a contact

  1. On the top link bar, click Documents and Lists.
  2. In the Lists section, click Contacts.
  3. At the top of the list, click New Item.
  4. In the Last Name and First Name boxes, type the name of the contact.

    The field for last name is required.

  5. Type information in the remaining boxes as desired.
  6. Click Save and Close.

Note If the site you're using is a Meeting Workspace site, follow this procedure to add a contact: In the Contacts Web Part, click Add Contact.

Edit a contact

  1. On the top link bar, click Lists.
  2. In the Lists section, click Contacts.
  3. Point to the contact you want to edit, click the down arrow on the menu that appears, and then click Edit Item.
  4. Change the fields as desired, and then click Save and Close.

Note If the site you're using is a Meeting Workspace site, skip steps 1 and 2.

Delete a contact

  1. On the top link bar, click Lists.
  2. In the Lists section, click Contacts.
  3. Point to the contact you want to delete, click the down arrow on the menu that appears, and then click Delete Item.
  4. Click OK to confirm.

Note If the site you're using is a Meeting Workspace site, skip steps 1 and 2.


Create a list of announcements, contacts, events, tasks, issues, or links

Create a list of announcements, contacts, events, tasks, issues, or links
  1. In the top link bar, click Create.
  2. On the Create Page page, click one of the following for the kind of list that you want to create:
    • Links
    • Announcements
    • Contacts
    • Events
    • Tasks
    • Issues
  3. In the Name box, type a name for the list.

    This field is required.

  4. In the Description box, type a description of the purpose of the list.

    This field is optional.

  5. In the Navigation section, if you want a hyperlink to this list to appear on the Quick Launch bar, click Yes.
  6. Click Create.

    You can open the new list by clicking Documents and Lists on the top link bar and then clicking the list name in the Lists section. If you chose to add the list to the Quick Launch bar, you can also click the list name there to open it.

Note If the site is a Meeting Workspace site, ignore step 1. Instead, from the Modify This Workspace menu, click Add Web Parts. At the bottom of the task pane, click Show More Lists. Follow the remainings steps for the settings that apply to the Meeting Workspace site.


Copy information between your SharePoint site and your calendar or address book

Copy information between your SharePoint site and your calendar or address book

You can copy contacts from your address book to the Contacts list in your team Web site, and you can copy items from the Contacts and Events lists to your own address book and calendar.

Note To copy events or contacts from your team Web site, you must have a calendar or address book, such as Outlook 2000, that supports iCalendar or vCard files. To copy contacts from your address book to the Contacts list, you must have a Windows SharePoint Services-compatible address book, such as Microsoft Outlook 2002, and Microsoft Internet Explorer 4.0 or later.

Do one of the following:

Copy contacts from your address book to the Contacts list

  1. On the the top link bar, click Lists.
  2. On the Lists page, click Contacts.
  3. On the Contacts page, click Import.
  4. If you are prompted for a profile, click the user profile you want to use.
  5. In the Show names from the box, click the address book you want.
  6. In the Name box, click the names you want, and then click Add.

Copy items from the Contacts list to your address book

  1. On the the top link bar, click Lists.
  2. On the Lists page, click Contacts.
  3. On the Contacts page, click the name of the contact you want to copy.
  4. Click Export Contact, and open the file from its current location.

Copy items from the Events list to your calendar

Note To copy events or contacts from your team Web site, you must have Microsoft Internet Explorer 4.0 or later installed.

  1. On the the top link bar, click Lists.
  2. On the Lists page, click Events.
  3. On the Events page, click the name of the event you want to copy.
  4. Click Export Event, and open the file from its current location.


Add, edit, or delete a link

Add, edit, or delete a link

Do one of the following:

Add a link

  1. On the top link bar, click Documents and Lists.
  2. In the Lists section, click Links.
  3. At the top of the list, click New Item.
  4. In the URL section, type a Web address, for example, http://www.example.com.

    This field is required.

    Note If you want the link to display text other than the URL, type the text in the Type the description box.

  5. Type text in the Notes box as desired.
  6. Click Save and Close.

Note If the site you're using is a Meeting Workspace site, ignore steps 1 through 3. Instead, in the Links Web Part, click Add Link. Follow the remaining steps above.

Edit a link

  1. On the top link bar, click Documents and Lists.
  2. In the Lists section, click Links.
  3. Point to the link you want to edit, click the down arrow on the menu that appears, and then click Edit Item.
  4. Change the information as desired, and then click Save and Close.

Note If the site you're using is a Meeting Workspace site, ignore steps 1 and 2. Instead, from the Links Web Part, follow the remaining steps above.

Delete a link

  1. On the top link bar, click Documents and Lists.
  2. In the Lists section, click Links.
  3. Point to the link you want to delete, click the down arrow on the menu that appears, and then click Delete Item.
  4. Click OK to confirm.

Note If the site you're using is a Meeting Workspace site, ignore steps 1 and 2. Instead, from the Links Web Part, follow the remaining steps above.


Add, edit, or delete a survey question

Add, edit, or delete a survey question
  1. On the top link bar, click Documents and Lists.
  2. In the Surveys section, click the survey in which you want to add, edit, or delete a question.
  3. On the page that displays the survey, click Modify survey and questions.

  4. In the Questions section, do one of the following:

    Add a question

    1. Click Add a question.
    2. In the Question box, type a question.
    3. Select an option for the type of answer you want.

      For example, if you want team members to choose from a set of items, click Choice.

    4. In the Optional settings for your question section, specify the settings you want.

      The following types of answers are available, with options for each type as shown:

      Single line of text

      Use this information type when you want team members to enter just a few words.

      Require a response to this question

      If you want to require team members to enter information for this question, click Yes.

      Maximum number of characters

      Type a number to limit the number of characters team members can type.

      Default value

      If you want new responses to display information for this question automatically, type that information in the space provided. Team members can change this value. You can also select Calculated value and then enter a formula to create the default value. For example, you could specify that, by default, a team member's user name appears by typing [me] in the field provided. For information on calculated values, see About computed and calculated columns .

      Multiple lines of text

      Use this information type when you want team members to type a sentence or more.

      Require a response to this question

      If you want to require team members to enter information for this question, click Yes.

      Number of Lines to Display

      Type a number to limit the number of lines team members can type for this question.

      Allow Rich HTML Text

      Specify whether you want to allow text formatting such as fonts, bold, italic, or text colors.

      Choice

      Use this information type when you want team members to choose from a set of selections that you have provided.

      Require a response to this question

      If you want to require team members to enter information for this question, click Yes.

      List of choices

      In the Type each choice on a separate line box, replace the sample text with the selections from which you want team members to choose. Type each selection on a separate line. To start a new line, press ENTER.

      Display choices using

      If you want the selections to be displayed in an expanding box, click Drop-Down Menu. If you want the selections to be displayed in a list, click Radio Buttons.

      Allow fill-in choices

      Select this option if you want to allow users to type their own selections.

      Default value

      New responses will automatically display the selection you typed first in the List of choices. If you want to use another selection as the default, copy and paste that selection in the space provided. You can also select Calculated value and then enter a formula to create the default value. For example, you could specify that, by default, a team member's user name appears by typing [me] in the field provided. For information on calculated values, see About computed and calculated columns

      Rating Scale

      Use this option if you want users to choose their preference on a numeric scale.

        Type each choice on a separate line

      • Enter the options that the users can evaluate on the ratings scale.

        • Number range

      • Enter the top and bottom numbers for the ratings scale.

        • Range Text

      • Enter descriptions for the low, middle, and high end of the scale.

        • N/A option text

      • Select Show N/A option and type text in the box if you want to prohibit the user from rating an option. This is useful when an option does not apply to a user.

      Number

      Use this information type when you want team members to type a numerical value.

      Require a response to this question

      If you want to require team members to enter information for this question, click Yes.

      Minimum and maximum values

      If you want team members to enter values within a certain range, type a value for the lower limit in the Min box and a value for the upper limit in the Max box.

      Number of decimal places

      Select the number of decimal places to enable team members to enter decimal values in tenths, hundredths, and so on.

      Default value

      If you want new responses to display information for this question automatically, type that information in the space provided. You can also select Calculated value and then enter a formula to create the default value. For example, you could specify that, by default, a team member's user name appears by typing [me] in the field provided. For information on calculated values, see About computed and calculated columns

      Percentage option

      If you want the number to represent a percentage, select this check box.

      Currency

      Use this information type when you want team members to type a monetary value.

      Require a response to this question

      If you want to require team members to enter information for this question, click Yes.

      Minimum and maximum values

      If you want team members to enter values within a certain range, type a value for the lower limit in the Min box and a value for the upper limit in the Max box.

      Number of decimal places

      Select the number of decimal places to enable team members to enter decimal values in tenths, hundredths, and so on.

      Default value

      If you want new responses to display information for this question automatically, type that information in the space provided. You can also select Calculated value and then enter a formula to create the default value. For example, you could specify that, by default, a team member's user name appears by typing [me] in the field provided. For information on calculated values, see About computed and calculated columns

      Currency format

      Select a currency based on geographic region.

      Date and Time

      Use this information type when you want to store calendar or time-of-day information.

      Require a response to this question

      If you want to require team members to enter information for this question, click Yes.

      Date format

      Select whether you want to display the date or the date and time of day.

      Default value

      If you want new responses to display the current date for this question automatically, click Today's Date; otherwise, click (None). You can also select Calculated value and then enter a formula to create the default value. For information on calculated values, see About computed and calculated columns

      Lookup

      Use this information type when you want to make it easy to select information that's already stored in your Microsoft Windows SharePoint Web site.

      Require a response to this question

      If you want to require team members to enter information for this question, click Yes.

      Get information from

      Select a list or library from your site.

      In this column

      Select the column that stores the information you want team members to be able to select.

      Include presence information

      This option appears if you select the User Information list as your lookup source. Select this option if you want online presence information to appear next to users' names. This status is updated each time a user logs on to Microsoft Windows Messenger. This feature provides a handy way to know when team members are available for online chats.

      Yes/No

      Use this information type when you want to store true/false information. To indicate a value of "yes," team members select the check box; to indicate a value of "no," team members clear the check box.

      Default value

      If you want new responses to display a value for this question automatically, click Yes or No here. Team members can change this value.

    5. If you want to add more questions, click Next Question and repeat the previous steps.
    6. When you are done adding questions, click Finish.

    Edit a question

    1. Under Question (click to edit), click the question you want to edit.
    2. In the Question box, change the question by doing one or more of the following:
      • Change the text of the question in the Question box.
      • Change the answer type in the Question and Type section.

        Note Some types of answers cannot be converted when you change an answer type. For example, if you change an answer type with multiple lines of text into a number-based answer, the existing text data is lost.

      • In the Optional settings for your question section, modify the settings, such as changing the default value.
    3. At the bottom of the page, click OK.

    Delete a question

    1. Under Question (click to edit), click the question you want to delete.
    2. At the bottom of the Edit Question page, click Delete.

Note If the site is a Meeting Workspace site, ignore steps 1 and 2. Instead, click the survey title at the top of the Web Part and then follow the remaining steps above.


Add, edit, or delete a task

Add, edit, or delete a task

Do one of the following:

Add a task

  1. On the top link bar, click Documents and Lists.
  2. In the Lists section, click Tasks.
  3. At the top of the list, click New Item.
  4. In the Title box, type a heading for the task.

    This field is required.

  5. Enter information in the remaining boxes as desired.

    In the Start Date and Due Date boxes, click the calendar Icon image, select a date, and then select a time in the hour and minutes boxes.

  6. Click Save and Close.

Note If the site you're using is a Meeting Workspace site, ignore steps 1 through 3. Instead, in the Tasks Web Part, click Add Task. Then follow the remaining steps above.

Edit a task

  1. On the top link bar, click Documents and Lists.
  2. In the Lists section, click Tasks.
  3. Point to the task you want to edit, click the down arrow on the bar that appears, and then click Edit Item on the menu that appears.
  4. Change the information, and click Save and Close.

Note If the site you're using is a Meeting Workspace site, ignore steps 1 and 2. Instead, from the Tasks Web Part, follow the remaining steps above.

Delete a task

  1. On the top link bar, click Documents and Lists.
  2. In the Lists section, click Tasks.
  3. Point to the task you want to delete, click the down arrow on the bar that appears, and then click Delete Item on the menu that appears.
  4. Click OK to confirm.

Note If the site you're using is a Meeting Workspace site, ignore steps 1 and 2. Instead, from the Tasks Web Part, follow the remaining steps above.


Add, edit, or delete an announcement

Add, edit, or delete an announcement

Do one of the following:

Add an announcement

  1. On the top link bar, click Documents and Lists.
  2. In the Lists section, click Announcements.
  3. At the top of the list, click New Item.
  4. In the Title box, type a heading for the announcement. This field is required.
  5. In the Body box, type the text of the announcement.
  6. If you want the announcement to disappear from the home page on a particular date, click the calendar Icon image, and then select a date.
  7. Click Save and Close.

Note If the site you're using is a Meeting Workspace site, ignore steps 1 through 3. Instead, in the Announcements Web Part, click Add Announcement. Then follow the remaining steps above.

Edit an announcement

  1. On the top link bar, click Documents and Lists.
  2. In the Lists section, click Announcements.
  3. Point to the announcement you want to edit, click the down arrow on the menu that appears, and then click Edit Item.
  4. Change the fields as desired, and then click Save and Close.

Note If the site you're using is a Meeting Workspace site, ignore steps 1 and 2. Instead, from the Announcements Web Part, follow the remaining steps above.

Delete an announcement

  1. On the top link bar, click Documents and Lists.
  2. In the Lists section, click Announcements.
  3. Point to the announcement you want to delete, click the down arrow on the menu that appears, and then click Delete Item.
  4. Click OK to confirm.

Note If the site you're using is a Meeting Workspace site, ignore steps 1 and 2. Instead, from the Announcements Web Part, follow the remaining steps above.


Remove a folder from a library

Remove a folder from a library
  1. On the top link bar, click Documents and Lists.
  2. On the Documents and Lists page, click the library that has the folder that you want to remove.
  3. In the library, point to the folder, click the triangle on the bar that appears, and then click Delete on the menu that appears.


Add, edit, or delete a column

Add, edit, or delete a column

Do one of the following:

Add a column

  1. On the top link bar, click Documents and Lists.
  2. On the Documents and Lists page, click the list, document library, or discussion board in which you want to add a column.
  3. On the page that displays the list, document library, or discussion board, click Modify settings and columns.
  4. In the Columns section, click Add a new column.
  5. In the Name and Type section, in the Column name box, type a name for the column.
  6. Select the type of information you want to display in this column.

    Note For more information about column types, see Information types and options.

  7. In the Optional Settings for Column section, specify the settings you want.
  8. At the bottom of the page, click OK.

Edit a column

  1. On the top link bar, click Documents and Lists.
  2. On the Documents and Lists page, click the list, document library, or discussion board in which you want to edit a column.
  3. On the page that displays the list, document library, or discussion board, click Modify settings and columns.
  4. In the Columns section, under Column (click to edit), click the name of the column you want to change.
  5. In the Name section, in the Column name box, you can change the column name.
  6. Click the appropriate option button to change the type of information this column contains.

    Note Some types of data cannot be converted when you change a column type. For example, if you change a column with multiple lines of text into a number column, the existing text data is lost.

  7. In the Optional Settings for Column section, you can change the settings.
  8. At the bottom of the page, click OK.

Delete a column

  1. On the top link bar, click Documents and Lists.
  2. On the Documents and Lists page, click the list, document library, or discussion board in which you want to delete a column.
  3. On the page that displays the list, document library, or discussion board, click Modify settings and columns.
  4. In the Columns section, under Column (click to edit), click the name of the column you want to delete.
  5. At the bottom of the page, click Delete.

    Note There are certain built-in columns, such as Title, that you cannot delete.


Delete an alert

Delete an alert

Complete the steps in the following sections to delete a personal alert or to delete an alert for another user.

Delete a personal alert

  1. On the top link bar, click Site Settings.
  2. Under Manage My Information, click My alerts on this site.
  3. Select the check box for the alert that you want to delete, and then click Delete Selected Alerts.

Note If the site is a Meeting Workspace site, ignore step 1. Instead, from the Modify This Workspace menu on the home page, click Site Settings.

Delete another user's alert

Note You must be a member of the Administrator site group to delete other users' alerts.

  1. On the top link bar, click Site Settings.
  2. Under Administration , click Go to Site Administration.
  3. Under Management and Statistics click Manage user alerts.
  4. In the Display alerts for menu, click the name of the site user with an alert that you want to delete, and then click Update.
  5. Select the check boxes for the alerts that you want to delete, and then click Delete Selected Alerts.

Note If the site is a Meeting Workspace site, ignore step 1. Instead, from the Modify This Workspace menu on the home page, click Site Settings.

Important When you remove a user from a Web site, site group, or cross-site group after he or she has created alerts, you must manually delete any alerts that he or she has set up. This is also true for any lists or libraries where you change security settings to limit access. If a user has set up alerts for the list or library, he or she will continue to receive them after you change the security settings. It is important to delete these alerts to prevent unauthorized users from having access to site and user information.

Related Topics

About alerts
About managing alerts


Add, edit, or delete form library columns

Add, edit, or delete form library columns

Depending on the form template and the way the form library is set up, form library columns may be able to display both data stored within the form and properties of the form. To modify columns that display data stored within the form itself, you may have to edit the form template in the program in which it was created.

Do one of the following:

Add a column

  1. On the top link bar, click Documents and Lists.
  2. On the Documents and Lists page, under Document Libraries, click the name of the form library you want to open.
  3. On the page that displays the form library, under Actions, click Modify settings and columns.
  4. On the Customize page, in the Columns section, click Add a new column.
  5. In the Name and Type section, in the Column name box, type a name for the column, and then select the type of information you want displayed in the column.
  6. In the Optional Settings for Column section, specify the settings you want.
  7. At the bottom of the page, click OK.

Edit a column

  1. On the top link bar, click Documents and Lists.
  2. On the Documents and Lists page, under Document Libraries, click the name of the form library you want to open.
  3. On the page that displays the form library, under Actions, click Modify settings and columns.
  4. On the Customize page, in the Columns section, click the name of the column you want to edit.
  5. In the Name section, specify the settings you want.
  6. In the Optional Settings for Column section, specify the settings you want.
  7. At the bottom of the page, click OK.

Delete a column

  1. On the top link bar, click Documents and Lists.
  2. On the Documents and Lists page, under Document Libraries, click the name of the form library you want to open.
  3. On the page that displays the form library, under Actions, click Modify settings and columns.
  4. On the Customize page, in the Columns section, click the name of the column you want to delete.
  5. At the bottom of the page, click Delete.

    Note If you delete a column, all of the data stored in that column will be lost. If you want to hide the column without losing the data, see Show or hide form library columns.


Delete a form library

Delete a form library

Note Once you delete a form library, you will not be able to recover its contents.

  1. On the top link bar, click Documents and Lists.
  2. On the Documents and Lists page, under Document Libraries, click the name of the form library you want to open.
  3. On the page that displays the form library, under Actions, click Modify settings and columns.
  4. On the Customize page, in the General Settings section, click Delete this form library.


Delete a list or library

Delete a list or library
  1. On the page that displays the list or library, click Modify settings and columns.
  2. Under General Settings, click Delete this list, Delete this document library, Delete this picture library, Delete this form library, or Delete this discussion board.

To delete a survey

  1. On the page that displays the survey, click Modify survey and questions.
  2. Under General Settings, click Delete this survey.


Delete a picture library

Delete a picture library
  1. On the page that displays the picture library, under Actions, click Modify settings and columns.
  2. Under General Settings, click Delete this picture library.


Delete a view of a list or library

Delete a view of a list or library
  1. On the page that displays the list or library, click Modify settings and columns.
  2. In the Views section, click the name of the view you want to delete.
  3. Click Delete at the end of the form.


Create a new or link to an existing Meeting Workspace site

Create a new or link to an existing Meeting Workspace site

From a Microsoft Windows SharePoint Services site

Add a new event and workspace site at the same time

This procedure can link the event to a new workspace site or an existing one.

  1. Go to the Web site where you want to add the event.
  2. In the Events list, click Add new event.
  3. Complete the information about the event. At the bottom of the page, select the Use a Meeting Workspace to organize attendees, agendas, documents, minutes, and other details for this event check box.
  4. Select Save and Close.
  5. In the Create or Link section, select the option you want. If you select Create a new Meeting Workspace, then complete the information about the workspace site you want to create.
  6. Click OK.

Add a workspace site without adding an event

This procedure only creates new workspace sites.
  1. Go to the Web site where you want to add the workspace site.
  2. On the top link bar, click Create.
  3. Under Web Pages, click Sites and Workspaces.
  4. Complete the information about the workspace site you want to create, and then click Create.
  5. Select the Meeting Workspace template you want to use, and then click OK.

From Microsoft Office Outlook 2003

  • See Office Outlook 2003 Help for this information.


Remove a Meeting Workspace link from a scheduled meeting

Remove a Meeting Workspace link from a scheduled meeting

From the workspace site, you can't remove a link that is available in your Microsoft Windows SharePoint Services-compatible calendar and e-mail program or a SharePoint event. You must switch to the location you used to schedule the meeting, and then remove the link from there. After the link is removed, the workspace site remains intact.

Do the following to remove the link from a:

SharePoint event

  1. Switch to the SharePoint site where the event is listed.
  2. Edit the event that is linked to the workspace site, and then clear the Use a Meeting Workspace to organize attendees, agendas, documents, minutes, and other details for this event check box.
  3. On the toolbar, click Save and Close.

Microsoft Outlook meeting request or other Windows SharePoint Services-compatible calendar and e-mail program

  • For more information, see the Help in that program.

Note The next time you open the workspace site, a message displays at the top of the page explaining what you can do with the workspace site.


About Meeting Workspace Templates

About Meeting Workspace Templates

When creating a Meeting Workspace site, you can choose from five templates:

  • Basic Meeting Workspace This template includes all the basics to plan, organize, and track your meeting. The template contains the following lists and their associated Web Parts: Objectives, Attendees, and Agenda.
  • Blank Meeting Workspace This template creates a blank Meeting Workspace site for you to customize based on your requirements.
  • Decision Meeting Workspace This template includes features for reviewing documents and recording decisions reached at the meeting. The template contains the following lists, library, and their associated Web Parts: Objectives, Attendees, Agenda, Document Library, Tasks, and Decisions.
  • Social Meeting Workspace This template helps you plan social occasions. It features a discussion board and a picture library to post pictures of the event. The template contains the following lists, library, and their associated Web Parts: Attendees, Directions, Image/Logo, Things To Bring, Discussions, and Picture Library.
  • Multipage Meeting Workspace All the basics to plan, organize, and track your meeting with multiple pages. This Meeting Workspace site contains the following lists and their associated Web Parts: Objectives, Attendees, and Agenda. It also contains two blank pages for you to customize based on your requirements.

Although you can't open any of the templates and edit them, you can change the workspace that is created from one of these templates. Once you have customized the workspace site, you can then save it as a template that you and other people can use for the next workspace site.


About multiple meetings in a workspace site

About multiple meetings in a workspace site

Using a Microsoft Windows SharePoint Services-compatible calendar and e-mail program, you can create one workspace for a recurring meeting series or for multiple related meetings. The Meeting Workspace will automatically include features that enable you to manage the information for all the meeting dates.

Example of a workspace site for a recurring or related meetings

Example of a Meeting Workspace for a recurring meeting series

1 All the dates that a Meeting Workspace covers show in the Meeting Series list.

2 To see the information that applies to a specific meeting, click its date.

If you originally created a Meeting Workspace that includes just one meeting, you can link another meeting to it. The workspace site will automatically update to include the features for managing multiple meetings.

Behavior of list Web Parts and pages

The Web Parts for the lists and libraries that are on the workspace site home page by default, and any new Web Parts you add to the home page, will display for every meeting. However, the items that are added to a Web Part will only display for the meeting where the items were entered. If you want, you can change the list or library so that the items are shared across all the meetings in the workspace site, and the Web Part will display the same items for every meeting.

You can add pages to the workspace site to organize the content in a different way. When you add a page, you specify whether the new page appears for all the meetings or only the meeting that is currently selected. For each meeting, you can add up to ten date-specific pages. You can also add up to ten pages that show for all meetings.

Web Parts for the lists, libraries, and other features that you add to a new page (not the home page) will appear only on that page. If the page is set to appear for all the meetings, then its Web Parts will also appear for all the meetings. However, the items in the Web Parts will show by default only for the meeting where the items were added. If you want the items to appear for all meetings, you can change the list or library displayed in the Web Part to turn on content sharing.

Comparison of pages and lists that show in one meeting or all meetings

1 The home page and an additional page display for this meeting date.

2 Only the home page displays for this meeting date.

3 The Tasks Web Part displays on the home page for both meeting dates, but the items in the list are specific to each date.

Related Topics

About Meeting Workspace sites
Create a new or link to an existing Meeting Workspace site


About the Agenda list in a Meeting Workspace site

About the Agenda list in a Meeting Workspace site

The Agenda list provides an outline of the meeting so that attendees know what to prepare for in time for the meeting. You can have a plan to follow during the meeting, and everyone can meet the objectives. The list identifies the subjects that need to be covered, the people who will lead the discussion on each subject, and the meeting time that is allotted for each area.

The Agenda list Web Part is displayed by default on the home page in the following meeting templates: Basic Meeting, Decision Making, and Multipage.

Related Topics

Create an Agenda list in a Meeting Workspace site


About the Attendees list and rights in a Meeting Workspace site

About the Attendees list and rights in a Meeting Workspace site

The Attendees list tracks the people who have been invited to the meeting and what the responses were to the invitation (whether the invitees plan to attend). It also displays notes that attendees add, such as a reminder that they will be a few minutes late. During or after the meeting, the Attendee list can be updated to reflect who actually did attend.

If you use an Instant Messaging program compatible with Windows SharePoint Services, such as Microsoft Windows Messenger, Microsoft MSN Messenger, or the Microsoft Exchange Instant Messaging Service, you can use that program from within the Attendees list in the workspace to communicate with other attendees. If an attendee is online, you can ask him or her to go to the workspace so you can work together.

Adding attendees and granting workspace rights

You must be a member of the Administrator site group to add attendees to the Attendees list. Administrators can edit information for all attendees. Individual attendees can edit only their own entry in the list.

Adding a name to the Attendees list does not always grant that person access rights to the workspace. Whether rights are granted automatically depends on the Meeting Workspace site you are using and how attendees were added.

From Outlook

If you use Microsoft Outlook to create a Meeting Workspace site, Outlook automatically updates the Attendees list in the workspace after you send the meeting request. The attendee names come from those listed on the To line of the meeting request. Attendees are automatically assigned to the Contributor site group and added as users with rights on the workspace. If there is a problem granting rights automatically, a message will instruct you on where to go in the workspace to add the attendee as a user. As the meeting organizer, you are added to the Attendees list and assigned to the Administrator site group.

If you use Outlook to link a meeting request to an existing Meeting Workspace site, attendees will have rights automatically if either of the following is true:

  • The workspace was originally created with permissions that are unique from the parent Web site.
  • The workspace inherited its permission settings from the parent site and the attendees have access rights on the parent site.

From a Windows SharePoint Services event

If you create or link to a Meeting Workspace site from a Microsoft Windows SharePoint Services event, only your name is automatically added to the Attendees list. You have to manually add the other attendees to the list. Whether you and the other attendees automatically get permissions on the workspace after being added to the Attendees list depends on the permission settings used when the workspace was created.

Workspace site uses the same permissions as the parent site

You and other attendees who already have rights to access the parent site will automatically have rights to access the workspace. For this to work, you must enter a valid e-mail address (for example, someone@example.com) or user name (DOMAIN\name) in the Attendees list.

Attendees who don't have access rights on the parent site must be granted rights there first. Only the Administrator of the parent site can grant those rights.

Workspace site uses unique permissions

You and other attendees will automatically get access rights on the workspace if you are added to the Attendees list using a valid e-mail address (for example, someone@example.com) or user name (DOMAIN\name). As the meeting organizer, you will be assigned to the Administrator site group.

From a Windows SharePoint Services-compatible calendar and e-mail program other than Outlook

If you use a Microsoft Windows SharePoint Services-compatible calendar and e-mail program other than Microsoft Outlook to create or link to a Meeting Workspace site, see the documentation for that program.

Where the Attendees list can appear

The Attendees list Web Part is displayed by default on the home page in the following meeting templates: Basic Meeting, Decision Making, Social Gathering, and Multipage. You can have only one Attendees list in a Meeting Workspace site. If you add another Attendees Web Part to the workspace, a view of the original Attendees list is displayed, not a new Attendees list. You cannot delete the Attendee list from a workspace; however, you can hide the Web Part so the list doesn't display.

Related Topics

About the difference between attendees and users in a Meeting Workspace site
Add, edit, or delete an attendee in a Meeting Workspace site
About site groups
Add a user or cross-site group
About multiple meetings in a workspace site


About the Decisions list in a Meeting Workspace site

About the Decisions list in a Meeting Workspace site

The Decisions list enables workspace users to track the decisions that resulted from the meeting. This ensures that everyone has the same understanding and is basing future actions on the same information. If there are discrepancies, attendees can work through them and update the decisions accordingly. It is also helpful information for those who didn't attend the meeting but might be looking at the workspace site later. It provides a context for related information they are viewing on the site, such as action items and objectives.

The Decisions Web Part is displayed by default on the home page in the Decision Making template.

Related Topics

Create a Decisions list in a Meeting Workspace site


About the difference between attendees and users in a Meeting Workspace site

About the difference between attendees and users in a Meeting Workspace site

In a Meeting Workspace site, attendees are those people who are invited to the actual meeting and who are listed in the Attendees list. In any Microsoft Windows SharePoint Services site, users are those people who have accounts on a site, which authorizes them to access the site.

Users are listed under the Site Administration area of the workspace site. Attendee names also appear in the user list. However, you might want user names that don't appear in the Attendees list. For example, you may have delegated the job of updating some content on the workspace to an administrative assistant, but that assistant doesn't have to attend the actual scheduled meeting. Therefore, that name wouldn't appear in the Attendees list.

To control what users (and attendees) can do or see on the site, they are assigned by default to the Contributor site group. The Contributor site group has default rights assigned to it. You can optionally assign users to other site groups or change the rights associated with a site group. Whether attendees are added to the user list and automatically granted rights to the workspace site depends on the Meeting Workspace site you are using and how attendees were added.

Related Topics

About the Attendees list and rights in a Meeting Workspace site
Add, edit, or delete an attendee in a Meeting Workspace site
Add a user or cross-site group


About the Objectives list in a Meeting Workspace site

About the Objectives list in a Meeting Workspace site

The Objectives list provides an area to list the purpose of the meeting and what you want to accomplish during the meeting. This ensures that attendees know what to expect and can come prepared. It is also helpful for those who didn't attend the meeting but might be looking at the workspace site later. It provides a context for related information they are viewing on the site, such as action items and decisions.

The Objectives list Web Part is displayed by default on the home page in the following meeting templates: Basic Meeting, Decision Making, and Multipage.

Related Topics

Create an Objectives list in a Meeting Workspace site


About the Text Box in a Meeting Workspace site

About the Text Box in a Meeting Workspace site

The Text Box enables you to add a block of custom text to the workspace site. You might use it to display a motivational quote, directions to the meeting location, or other free-form text you want to display on the workspace site. You can customize the way the text looks by changing its font, font style, color, font size, and position, by adding bullets or numbers, or by adding a background color.

A Text Box Web Part displays by default with the title Directions on the home page of the Social template.

Related Topics

Create a Text Box in a Meeting Workspace site


About the Things To Bring list in a Meeting Workspace site

About the Things To Bring list in a Meeting Workspace site

The Things To Bring list ensures that attendees come prepared to the meeting. The list can request that attendees bring such things as writing materials, hard copies of documents from the document library in the workspace site, food, or other necessities that ensure a successful meeting.

The Things To Bring list Web Part is displayed by default on the home page in the Social Gathering template.

Related Topics

Create a Things To Bring list in a Meeting Workspace site


Add, edit, or delete an attendee in a Meeting Workspace site

Add, edit, or delete an attendee in a Meeting Workspace site

Add an attendee

Only members of the Administrator site group can add attendees.
  1. In the Attendees list Web Part, click Manage Attendees.
  2. On the toolbar, click Add Attendee.
  3. Do one of the following:
    • If the Address Book button is available next to the Name field, click it, and then select the name of the attendee you want to add.
    • Type the e-mail address (for example, someone@example.com) or user name (DOMAIN\name) for the person you want to add.

Note Adding the attendee to the list does not guarantee that person is granted access rights to the workspace site.

Edit an attendee

Do one of the following:
  • If you want to edit your own information, in the Attendees list Web Part, click Edit next to your name.
  • If you are an administrator and want to edit information for another attendee, in the Attendees list Web Part, click Manage Attendees. Click Edit next to the attendee's name.

Delete an attendee

Do one of the following:
  • If you want to delete your own entry, in the Attendees list Web Part, click Edit next to your name. On the toolbar, click Delete Item.
  • If you are an administrator and want to delete an entry for another attendee, click Manage Attendees, and then point to the attendee you want to delete. On the menu that appears, click Delete Item.

Related Topics

About the Attendees list and rights in a Meeting Workspace site
About the difference between attendees and users in a Meeting Workspace site


Change the meeting date, time, or location in a workspace site

Change the meeting date, time, or location in a workspace site

You cannot change the meeting date, time, or location from the workspace site. You must use the program you used to schedule the meeting.

Microsoft Windows SharePoint Services-compatible calendar and scheduling program

  • Open the meeting request and update the meeting information. Send the updated meeting request.

Microsoft Windows SharePoint Services event

  • Open the event and update the meeting information, and then save the update.

The updates will be sent to the Meeting Workspace site.

Related Topics

About customizing Meeting Workspace sites


Delete a meeting from a workspace site that has more than one meeting

Delete a meeting from a workspace site that has more than one meeting

This information applies to a workspace site for a recurring meeting or multiple related meetings. You can't delete the meeting while working in the workspace site.

  • Switch to the location you used to schedule the meeting, such as a Microsoft Windows SharePoint Services-compatible calendar and e-mail program, and then delete the meeting from there.

Notes

  • The next time you view that date's meeting information in the workspace site, a message appears at the top of the workspace site explaining what you can do with the meeting information.
  • You must be the administrator of the workspace site to do this procedure.


Share list or library items across all meetings in a workspace site

Share list or library items across all meetings in a workspace site

This procedure applies to a Meeting Workspace site for a series of meetings — either a recurring meeting or multiple related meetings that aren't part of the same recurring meeting series.

  1. On the Modify This Workspace menu, click Site Settings.
  2. Under Customization, click Modify site content.
  3. Click the list or library you want to work with.
  4. Under General Settings, click Change general settings.
  5. In the Share List Items Across All Meetings (Series Items) section, under Change items into series items, select Yes.

Related Topics

About multiple meetings in a workspace site


Create a view

Create a view

To make it easy for team members to see information that applies only to them or is grouped according to their interests, create a personalized view of a list, document library, or discussion board.

Unlike shared views, which require users to be Web Designers or users with the Manage Lists right, personal views can be created by anyone in the Contributor site group.

  1. On the page that displays the list, document library, or discussion board, click Modify settings and columns.
  2. Under Views, do one of the following:
    • To edit an existing view, click its name in the View (click to edit) column.
    • To create a new view, click Create a new view, and then click the type of view you want to create .
  3. On the Create View or Edit View page, in the Name section, type or change the name for the view.

    Note Personal views cannot be set as the default view. If you click the Make this the default view check box, the default view does not change to this personal view.

  4. In the Audience section, choose whether you want the view to be personal or public.

    Note This option is not available in a Meeting Workspace site.

  5. In the Columns section, you can Show or hide columns.
  6. In the Sort and Filter sections, you can Display sorted or filtered items.
  7. You can also perform the following actions:

    Group items

    You can group items with the same value for a column together under that property:

    1. In the Group By section, in the list under First group by the column, click the property you want to use to group your items.
    2. Select Show items in ascending order or Show items in descending order.
    3. Click the property you want to group by next in the Then group by the column drop-down list.

      These groupings appear under the first level of groupings. If you don't want to group by a second property, click None.

    4. Select Show items in ascending order or Show items in descending order.
    5. Under By default, show groupings, select Expanded or Collapsed.

      Expanded groupings show the grouping title and all items. Collapsed groupings only show the title of the grouping.

    Display totals

    • In the Totals section, in the Total list for each column with items you want to display totals for, click the way you want to calculate the total.

    Choose style

    • In the Style section, under View Style, click the style you want for the view.

    Specify folders

    • Click Show documents inside folders to create a view with documents in hierarchical folders, or click Show all documents without folders to view all documents in a list without folders.

    Limit items

    1. In the Item Limit section, under Number of items to display, type a maximum number of items to display.
    2. Select whether you want to specify the limit for each batch of items, or for the entire view.
  8. At the bottom of the page, click OK.

Notes

  • At any time, you can delete an existing personalized view by clicking Delete at the bottom of the Edit View page. The default view of a list, document library, or discussion board cannot be deleted.
  • The Meeting Workspace site does not support personalized views.

Related Topics

Set a default view
Display sorted or filtered items
Change the name or file name of a view
Show or hide columns
About views


About Web Part Page personal and shared views

About Web Part Page personal and shared views

A Web Part Page is always in one of two views: shared view or personal view. When a Web Part page is in shared view, all users see the same page and any changes you make in shared view are intended for all users to see. When a Web Part page is in personal view, you see any personal changes you have made and any changes you make in this view are intended just for you to see.

Understanding these two page views is important because:

  • The contents of the Web Part Page and the values of the Web Part properties are often different in each view.
  • The scope and effect of changes you make varies significantly in each view. These changes include adding, modifying, and removing Web Parts, changing the Web Part Page layout, and making connections between Web Parts.

About personal view

In personal view, the property values you see are a combination of shared and personalized property values that have been modified by you in personal view. In personal view, for example, you may change the height and width of one Web Part, close another Web Part, add a third Web Part, and delete a fourth Web Part. These changes apply only to your view of the page. These changes do not apply to other users.

When a Web Part page is in personal page view, you:

  • Can usually view and modify the Layout and Appearance common Web Part properties, but not the Advanced ones. In some cases, the developer of a Web Part may decide not to display some or all common properties or you may not have permission to see them.
  • Can view and modify custom Web Part properties. In some cases, the developer of a Web Part may decide not to display some or all custom properties or you may not have permission to see them.
  • Can view and modify, but not delete, shared Web Parts with appropriate permission. Once you modify a shared Web Part, however, it becomes a personalized Web Part.
  • Can view and modify, but not delete, personalized Web Parts. The modified property values of these Web Parts apply only to you.
  • Can view, modify, and delete private Web Parts. These Web Parts only apply to you, no other users can see them, even in shared view.

To summarize personal view, you may see a combination of shared and personalized Web Part properties. Web Part property values can vary between users, and therefore, the appearance and behavior of Web Part pages can vary between each user.

About shared view

In shared view, the property values you see may be the default values of the Web Part when it was installed on your site, or the current values if the page has been subsequently modified by you or another user in shared view. When, for example, a site administrator or privileged user changes the height and width of one Web Part, closes another Web Part, adds a third Web Part, and deletes a fourth Web Part, these changes apply to all users of the page. Users in personal view also see shared property values if they have not made changes to those values, or personalized them.

Caution Be careful deleting Web Parts in shared view. Users will lose their personalized changes because the Web Part no longer exists on the Web Part Page.

When a Web Part page is in shared view, you:

  • Can view and modify common as well as custom Web Part properties. Changes you make apply to all users.
  • Can view, modify, and delete shared Web Parts. Changes you make apply to all users.
  • Cannot view, modify or delete private Web Parts. You can only view, modify, and delete private Web Parts in personal view.
  • Cannot view or modify personalized Web Parts, either your own, or for another user.

To summarize shared page view, you only see the Web Part property values that apply to all users, and you do not see any personalized changes, even ones you make in your personal view.

The importance of knowing the current view of a Web Part page

It's especially important to know which view you are in when making changes to a Web Part Page. As a general rule, do not make changes to a Web Part page until you have confirmed which view the page is currently in. A Web Part page gives clear indications of the current view.

If you are in shared view:

  • The shared view icon Shared view icon is displayed to the left of the Web Part Page menu.
  • The Web Part Page menu says Modify Shared Page.
  • Each Web Part menu modify command says Modify Shared Web Part.

If you are in personal view:

  • The personal view icon Personal view icon is displayed to the left of the Web Part Page menu.
  • The Web Part Page menu says Modify My Page.
  • Each Web Part menu modify command says Modify My Web Part.

If you make changes and want your changes to apply to all users, but don't realize you are in personal view, the changes will not be applied to all users, only to you. If your changes are not extensive, you can quickly reverse your changes (use the Reset Page Content command on the Web Part Page menu), switch to shared view, and then make the changes again. If your changes are extensive, you can export each Web Part, delete each Web Part, switch to shared view, and then import each Web Part back in shared view.

If you make changes and want your changes to be made only for you, but don't realize you are in shared view, the changes will be applied to all users, not just you. If your changes are not extensive, you can reverse your changes, switch to personal view, and then make the changes again. If your changes are extensive, you can export each Web Part, delete each Web Part, switch to personal view, and then import each Web Part back in personal view.

Note You cannot export a List View Web Part.

How the default view is determined

The default view of a Web Part Page can vary depending on several conditions.

Personal view is the default view if any of the following conditions are true:

  • The page has been personalized by you.
  • You do not have rights higher than Update Web Parts and Update Web Part Pages. In other words, for a page outside a document library, you do not have the Add and Customize Pages right, and for a page in a document library, you do not have the Edit List Item right.
  • The page contains the following HTML META tag:
    <META Name= "WebPartPageDefaultViewPersonal" />

Shared view is the default view if all of the following conditions is true:

  • The page has not been personalized by you.
  • For a page outside a document library, you do have the Add and Customize Pages right, and for a page in a document library, you do have the Edit List Item right.
  • The page does not contain the following HTML META tag:
    <META Name= "WebPartPageDefaultViewPersonal" />

Important If you are a site administrator or developer who is customizing a site, be careful modifying the template file for a Web Part Page (also called a "ghost page"). The template file is used as the basis for all Web Part Pages on the site. Once you add or delete this HTML META tag, and reset Microsoft Internet Information Server (IIS), you change the default view for all new Web Part Pages created by any user in the browser (but not created in an HTML editor).


Show or hide columns

Show or hide columns

You can show or hide the columns of a list, document library, or discussion board.

  1. On the page that displays the list, document library, or discussion board, click Modify settings and columns.
  2. Under Views, do one of the following::
    • To edit an existing view, click its name in the View (click to edit) column.
    • To create a new view, click Create a new view, click the type of view you want to create, and then type a name for the view in the Name section.

      If you want the new view to be the default view, select the Make this the default view check box.

  3. In the Columns section, select the check box next to each column you want to display in the view, and clear the check box next to each column that you want to hide in the view.
  4. Under Position from Left, select the order in which you want the columns to appear.
  5. At the bottom of the page, click OK.

Related Topics

About views
Create a view
Display sorted or filtered items
Change the name or file name of a view
Set a default view


Show or hide form library columns

Show or hide form library columns

By either creating a new view or editing an existing view of a form library, you can easily show or hide the form library columns without losing the information stored in the columns.

  1. On the top link bar, click Documents and Lists.
  2. On the Documents and Lists page, under Document Libraries, click the name of the form library you want to open.
  3. On the page that displays the form library, under Actions, click Modify settings and columns.
  4. On the Customize page, in the Views section, do one of the following:

    Create a new view to show or hide columns

    1. Click Create a new view, and then select the type of view you want to create.
    2. On the Create Name View page, in the Name section, type a name for the view, and then in the Audience section, specify whether the view is personal or public.
    3. In the Column section, select the check box next to each column you want to display and clear the check box next to each column you want to hide.
    4. At the bottom of the page, click OK.

    Show or hide columns in an existing view

    1. To edit an existing view, click its name in the View (click to edit) column.
    2. On the Edit View page, select the check box next to each column you want to display and clear the check box next to each column you want to hide.
    3. At the bottom of the page, click OK.


Display sorted or filtered items

Display sorted or filtered items

You can display sorted or filtered items by storing the criteria for the sort or filter in a custom view. Sorting items orders them alphabetically or numerically. Filtering items displays only items that meet the criteria you specify.

  1. On the page that displays the list, library, or discussion board, click Modify settings and columns.
  2. Under Views, do one of the following:

    Change an existing view

    • Click the view name in the View (click to edit) column.

    Create a view

    1. Click Create a new view.
    2. Click the type of view you want to create.
    3. On the Create View page, in the Name section, type a name for the view.
    4. If you want the new view to be the default view, select the Make this the default view check box.
  3. Do one or both of the following:

    Sort items in the view

    1. On the Create View or Edit View page, in the Sort section, click the column you want to sort by in the First sort by the column drop-down list.
    2. Click Show items in ascending order or Show items in descending order.
    3. Click the column you want to sort by next in the Then sort by the column drop-down list.

      If you don't want to sort by a second property, click None.

    4. Select Show items in ascending order or Show items in descending order.

    Items will be sorted in the order you selected.

    Filter items in the view

    1. On the Create View or Edit View page, in the Filter section, click Show items only when the following is true.

      If you don't want to filter the list, click Show all items in this view.

    2. In the first drop-down list under Show the items when column, click a column for the first property on which you want to filter.
    3. In the next list, click one of the following operators to apply to this column:
      • is equal to Includes items with a value that exactly matches the value provided in this filter.
      • is not equal to Excludes all items matching the provided value.
      • is greater than Includes all items with a value for the column that comes after the provided value sequentially in a numeric or alphabetical list.
      • is less than Includes all items with a value for the column that comes before the provided value sequentially in a numeric or alphabetical list.
      • is greater than or equal to Includes all items with a value for the column that comes after the provided value sequentially in a numeric or alphabetical list, and any items that match the provided value.
      • is less than or equal to Includes all items with a value for the column that comes before the provided value sequentially in a numeric or alphabetical list, and any items that match the provided value.
      • begins with Includes all items that begin with the provided characters.
      • contains Includes all items that contain the provided characters in the order provided.
    4. In the next box, type a value you want to compare to entries in the column you are filtering on.

      Different columns accept different values. For example, the Created column only accepts values formatted as dates, and other columns might be limited to numbers, letters, or other combinations of characters.

      Note You can use two special values to specify the current date or the current user. You can use [Today] to filters on a column that contains dates for the current date. You can use [Me] to filter on a column that contains user names for the current user of the view.

    5. In the lists under When column, select a column, operator, and value for a second filter rule.
    6. Select And to include items that match both filter rules, or Or to include items that match either of the filters.

    For example, to display to each team member only those items that he or she created, click Created By in the first list, click is equal to in the second list, and then type [Me] in the box. This creates the statement "Show the items when column Created By is equal to [Me]." Only items created by a user are displayed to that user.

  4. At the bottom of the page, click OK.

Related Topics

Create a view
Change the name or file name of a view
About views


About picture library display styles

About picture library display styles

Picture libraries offer three convenient display styles for your pictures: Thumbnail, Filmstrip, and Details. These display styles are available when you are working in the All Pictures and Selected Pictures standard views, or when you create your own views. Switching between display styles is easy, and you may find yourself changing display styles frequently as you organize, manage, and share your pictures. Which display style is best for you to use depends on the task you need to perform.

  • Thumbnail style This style displays miniatures of the pictures in the selected folders so you can see and work with many pictures at once. This style is best for browsing through a large set of pictures to find the ones you want to work with, or when you do not need to see picture details.

  • Filmstrip style This style displays both a strip of smaller pictures you can scan, and a single larger picture you can see in detail. This style is best when you need to manage multiple pictures, but you also need to see a larger version for more information. It may be helpful if the Thumbnail style does not give enough detail to distinguish between similar pictures.
  • Details style This style does not display picture images, but instead displays a table with information about each picture. The columns displayed by default in this style include file type, name, picture size, and file size. This view is best for scanning and comparing file properties, rather than inspecting pictures visually.


Display information for current day

Display information for current day

To see time-sensitive information, create a view of a list, document library, or discussion board that shows only items changed on the current day.

  1. On the page that displays the list, document library, or discussion board, click Modify settings and columns.
  2. In the Views section, do one of the following:

    Change an existing view

    • Click the name of the view in the View (click to edit) column.

    Create a view

    1. Click Create a new view.
    2. Click the type of view you want to create.
    3. In the Name section, type a name for the view.
    4. If you want the new view to be the default view, select the Make this the default view check box.
  3. In the Filter section, click Show items only when the following is true.
  4. Complete the Show the items when column statement by clicking Modified in the first box, clicking is equal to in the second box, and typing [Today] in the third box.

    You can change this statement to filter on other columns and criteria. For more information about criteria you can use to filter information, see About computed and calculated columns.

  5. Click OK.

Related Topics

Change the name or file name of a view
Display sorted or filtered items
About views


Set a default view

Set a default view

When a user follows a hyperlink to a list, document library, or discussion board, the resulting page displays a default view. You can modify the default view or create a custom view to use as the default.

  1. On the page that displays the list, document library, or discussion board, click Modify settings and columns.
  2. Under Views, do one of the following:

    Edit the existing default view

    1. Click the existing default view.
    2. On the Edit View page, in the Name section, you can type a new view name and Web address for this view.

    Create a new view to use as the default.

    1. Click Create a new view, and then click the type of view you want to create.
    2. On the Create View page, in the Name section, select the Make this the default view check box.

Note If you want to delete the existing default view, you must first make another view the default, and then clear the Make this the default view check box.

Related Topics

Create a view
Display sorted or filtered items
Change the name or file name of a view
Show or hide columns
About views


About displaying totals and calculated columns

About displaying totals and calculated columns

Views of lists and libraries can display information calculated from the other information in the view. The view can automatically calculate the total for a column, and you can add calculated columns that use custom formulas.

About displaying totals

When you create or edit a view, you can specify that a column display the total for that column. The total displayed can be:

  • The number of items in column
  • The numerical average of the numbers in the column
  • The maximum value in the column
  • The minimum value in the column
The following example shows a totals row that displays the number of entries in the Product column.

 | Product | Product Code | Color
 | Chair | 1005 | blue
 | Table | 1007 | purple
 | Lamp | 1010 | green
Total | 3 |  |

About calculated columns

Calculated columns display the results of mathematical or logical operations. The operations can include information from one or more other columns in a list as well as system functions such as [today] to indicate the current date. For example, if you want to add the value of column A with the value of column B, you can set up a calculated column to display the result. In the following example, the "Sum" column is the calculated column.

Column 1 | Column 2 | Sum
1 | 2 | 3
10 | 20 | 30
16 | 16 | 32

The formula you would enter to create this calculated column is:

[column 1] + [column 2]

A calculated column enables you to perform operations on data in any other column. And the columns need not be side-by-side or even next to the calculated column.

You can also use other operations for creating calculated columns. For example, you can combine text found in two columns. For example, you can create a column that combines the text found in the columns First Name and Last Name, as in the following example.

Family Name | First Name | Full Name
Harrington | Mark | Harrington, Mark
Pak | Jae | Pak, Jae
Reinhart | Marie | Reinhart, Marie

You can combine the text in the first two columns by entering the following formula for the calculated column:

[Family Name] & ", " & [First Name]

The logical & (AND) operators in this formula combine the text in the first column with a comma and space, and then the text from the second column.

You can also create calculated columns that work with calendar dates. In the following example, the calculated column automatically fills in the date when a business process will be completed. The formula assumes that the process takes seven days to complete.

Date Submitted | Work Complete
12/05 | 12/12
12/06 | 12/13
12/07 | 12/14

The formula for this calculated column is:

[Date Submitted] + 7

Note When entering a specific date into a calculation, make sure you use the date function. For example, to enter the date November 2, 2004, you would enter: =DATE(2004,11,02)

Related Topics

Add a calculated column
About columns
Functions
About formulas
About functions
About column references in a formula
About calculation operators
About constants in formulas
Examples of common formulas


About using formulas and functions

About using formulas and functions

For more information about using formulas and functions in calculated columns, see the following topics:

  • About formulas
  • About functions
  • About column references in a formula
  • About constants in formulas
  • About calculation operators
  • Examples of common formulas
  • Functions


Add a calculated column

Add a calculated column

Add a calculated column to a list or library if you want to create a cell that calculates and displays information from other columns. For example, you can add a calculated column that displays the average of two other columns for each item in a list.

Tip

To count any column and perform simple mathematical functions on numerical columns, you can Create a personalized view and use the Totals section to define the way you want to calculate the total for a column.
  1. On the top link bar, click Documents and Lists.
  2. On the Documents and Lists page, click the list, document library, or discussion board in which you want to add a column.
  3. On the page that displays the list, document library, or discussion board, click Modify settings and columns.
  4. In the Columns section, click Add a new column.
  5. In the Name and Type section, in the Column name box, type a name for the column.
  6. Select Calculated (calculation based on other columns).
  7. In the Optional Settings for Column section, type a description for the column.

    This step is optional.

  8. In the Formula field, enter a formula to calculate the information in this column.

    How?

    • Columns that are already part of the list or library appear in the Insert Column list. To include an existing column in the equation, click the item and then click Add to formula.

      You can also type the names of columns manually by enclosing them in square brackets ([ ]). For example, to enter the Title column in the formula, you type [Title].

    • In your equation, you can use all of the standard math, comparison, and logical operators, such as +, -, /, *, %, ^, >, <, >=, <=, <>, &, OR, NOR, and XOR.
    • To insert text into an equation, place the text between quotation marks. Spaces not in quotation marks are ignored.

    For example, to add a calculated column that displays the average of two existing columns (Column_1 and Column_2), you type ([Column_1] + [Column_2]) / 2 in the Formula box.

  9. At the bottom of the page, click OK.

Related Topics

Add, edit, or delete a column
Functions


Add a form to a form library

Add a form to a form library

You can add forms to your form library by filling out a blank form based on the form template or by uploading previously filled out forms.

  1. On the top link bar, click Documents and Lists.
  2. On the Documents and Lists page, under Document Libraries, click the name of the form library you want to open.
  3. Do one of the following:

Fill out a form

  1. Click Fill Out This Form, and the form will open in the program it was created in.
  2. Add your information to the form, and then save and close the program.

Upload a previously filled out form

  1. Click Upload Form.
  2. On the Upload Form page, click Browse to find the form you want to add, and then click Open.

    Note If you want to add multiple forms at once, on the Upload Document page, click Upload Multiple Files.


Edit the contents of a form library column

Edit the contents of a form library column

Form library columns can display both data stored within the form, as well as properties of the form. Depending on the way that the form is designed and the way that the form library is set up, editing the contents of a column that displays data stored in a form may or may not update the corresponding information in the actual form.

  1. On the top link bar, click Documents and Lists.
  2. On the Documents and Lists page, under Document Libraries, click the name of the form library you want to open.
  3. Point to the name of the form whose properties you want to edit, click the drop-down arrow that appears to the right of the file name, and then click Edit Properties.
  4. Make the changes you want, and then click Save and Close.


Arrange list items in a custom order

Arrange list items in a custom order
  1. Display the list. If the list is currently displayed in a Web Part, click the list name in the Web Part title bar.
  2. On the toolbar, click Change Order. If this button doesn't appear, it is either not supported for this list or it is not enabled.
  3. For each item, select the number of the position where you want it to appear in the list.
  4. Click OK.

Related Topics

About sorting and customizing item order
Sort items
Allow or prevent custom ordering of items


Information types and options

Information types and options

The following types of information are available, with options for each type as shown:

Single line of text

Use this information type when you want team members to enter just a few words.

Description
Type a description of the information that you want to appear in this column. When team members fill out a form to add items to a list, column descriptions are displayed below the data entry fields.
Required
If you want to require team members to enter information in this column, click Yes.
Maximum number of characters
Type a number to limit the number of characters that appear in this column.
Default value
If you want new items to display information in this column automatically, type that information here. Team members can change this value.
Add to default view
If you want this column to appear in the default view of this list or library, select this check box.

Multiple lines of text

Use this information type when you want team members to type a sentence or more.

Description
Type a description of the information that you want to appear in this column. When team members fill out a form to add items to a list, column descriptions are displayed below the data entry fields.
Required
If you want to require team members to enter information in this column, click Yes.
Number of Lines to Display
Type the number of lines to display for this column on the data entry form.
Allow rich HTML text
Specify whether you want to allow text formatting such as fonts, bold, italic, or text colors.
Add to default view
If you want this column to appear in the default view of this list or library, select this check box.

Number

Use this information type when you want team members to type a numerical value.

Description
Type a description of the information that you want to appear in this column. When team members fill out a form to add items to a list, column descriptions are displayed below the data entry fields.
Required
If you want to require team members to enter information in this column, click Yes.
Minimum and maximum values
If you want team members to enter values within a certain range, type a value for the lower limit in the Min box and a value for the upper limit in the Max box.
Number of decimal places
Select the number of decimal places to enable team members to enter decimal values in tenths, hundredths, and so on.
Default value
If you want new items to display information in this column automatically, type that information here. Team members can change this value.
Show as percentage
If you want the number to represent a percentage, select this check box.
Add to default view
If you want this column to appear in the default view of this list or library, select this check box.

Currency

Use this information type when you want team members to type a monetary value.

Description
Type a description of the information that you want to appear in this column. When team members fill out a form to add items to a list, column descriptions are displayed below the data entry fields.
Required
If you want to require team members to enter information in this column, click Yes.
Minimum and maximum values
If you want team members to enter values within a certain range, type a value for the lower limit in the Min box and a value for the upper limit in the Max box.
Number of decimal places
Select the number of decimal places to enable team members to enter decimal values in tenths, hundredths, and so on.
Default value
If you want new items to display information in this column automatically, type that information here. Team members can change this value.
Currency format
Select a currency based on geographic region.
Add to default view
If you want this column to appear in the default view of this list or library, select this check box.

Date and Time

Use this information type when you want to store calendar or time-of-day information.

Description
Type a description of the information that you want to appear in this column. When team members fill out a form to add items to a list, column descriptions are displayed below the data entry fields.
Required
If you want to require team members to enter information in this column, click Yes.
Date format
Select whether you want to display the date or the date and time of day.
Default value
If you want new items to display a date and time, do one of the following:
  • To display the date and time that an item was created, click Today's Date.
  • To display a custom date and time, click the calendar Icon image and select a date, and then select a time in the hour and minutes boxes.

    • Calculated value

  • Select this option if you want the column to display a date that is based on a calculation. For example, if you want to create a column that displays a date that is 30 days from the current date, you select Calculated Value and type the equation =[TODAY]+30 in the field provided.
Add to default view
If you want this column to appear in the default view of this list or library, select this check box.

Lookup

Use this information type when you want to make it easy to select information that's already stored in your site.

Description
Type a description of the information that you want to appear in this column. When team members fill out a form to add items to a list, column descriptions are displayed below the data entry fields.
Required
If you want to require team members to enter information in this column, click Yes.
Get information from
Select a list or library from your site.
In this column
Select the column that stores the information that you want team members to be able to select.
Include presence information
Select this option if you want online presence information to appear next to users names. This status is updated each time a user logs on to Microsoft Windows Messenger. This feature provides a handy way to know when team members are available for online chats.
Add to default view
If you want this column to appear in the default view of this list or library, select this check box.

Choice

Use this information type when you want team members to choose from a set of selections that you have provided.

Description
Type a description of the information that you want to appear in this column. When team members fill out a form to add items to a list, column descriptions are displayed below the data entry fields.
List of choices
In the Type each choice on a separate line box, replace the sample text with the selections from which you want team members to choose. Type each selection on a separate line. To start a new line, press ENTER.
Display options
If you want the selections to be displayed in an expanding box, click Drop-Down Menu. If you want the selections to be displayed in a list, click Radio Buttons.
Allow 'fill-in' choice values
If you want to allow team members to enter a value that is not included in the column's list of choices, click Yes under Allow 'fill-in' choices.
Default value
New items will automatically display the selection that you typed first in the List of choices. If you want to use another selection as the default, copy and paste that selection here. Team members can change this value.
Add to default view
If you want this column to appear in the default view of this list or library, select this check box.

Yes/No

Use this information type when you want to store true/false information. To indicate a value of "yes," team members select the check box; to indicate a value of "no," team members clear the check box.

Description
Type a description of the information that you want to appear in this column. When team members fill out a form to add items to a list, column descriptions are displayed below the data entry fields.
Default value
If you want new items to display a value in this column automatically, click Yes or No here. Team members can change this value.
Add to default view
If you want this column to appear in the default view of this list or library, select this check box.

Hyperlink or Picture

Use this information type when you want to display a hyperlink to a Web page or display an image from the Web.

Description
Type a description of the information that you want to appear in this column. When team members fill out a form to add items to a list, column descriptions are displayed below the data entry fields.
Required
If you want to require team members to enter information in this column, click Yes.
Format URL as
If you want the hyperlink to be text, click Hyperlink. If you want the hyperlink to display an image, click Picture. To display a picture, team members must enter a Web address that is the URL of an image, such as http://www.example.com/image.gif.
Add to default view
If you want this column to appear in the default view of this list or library, select this check box.

Calculated

Use this information type when you want to display a column of information that is based on the results of a formula. The formula can use information from other lists and columns, dates, or numbers. You can use standard mathematical operators. For more information, see About computed and calculated columns.

Description
Type a description of the information that you want to appear in this column. When team members fill out a form to add items to a list, column descriptions are displayed below the data entry fields.
Formula
Type the formula that is used to determine the information that appears in this column.
The data type returned from this formula is:
Select the type of data that you want to appear in the column.
Add to default view
If you want this column to appear in the default view of this list or library, select this check box.


Change the name or description of a list or library

Change the name or description of a list or library
  1. On the top link bar, click Documents and Lists.
  2. On the Documents and Lists page, click the list, document library, or discussion board in which you want to change the name or description.
  3. Click Modify settings and columns.

    If the page displays a survey, click Modify survey and questions.

  4. Under General Settings, click Change general settings.
  5. In the Name and Description boxes, type the new information you want .
  6. At the bottom of the page, click OK.


Change the name or file name of a view

Change the name or file name of a view
  1. On the page that displays the list, document library, or discussion board, click Modify settings and columns.
  2. Under Views, click the name of a view in the View (click to edit) column.
  3. On the Edit View page, in the Name section, do one or both of the following:
    • To change the name of the view, type a new name in the View Name box.
    • To change the file name of this view, then type a new file name in the Web address of this view box.

      Note The file name is the only part of the URL that you can modify.

  4. At the bottom of the page, click OK.

Related Topics

  • Set a default view
  • Create a view
  • Display sorted or filtered items
  • Show or hide columns
  • About views


Change form library settings

Change form library settings

You can change different settings for your form library, such as its name, description, file versioning and security settings, and whether or not new content must be approved before it is added to the form library.

  1. On the top link bar, click Documents and Lists.
  2. On the Documents and Lists page, under Document Libraries, click the name of the form library you want to open.
  3. On the page that displays the form library, under Actions, click Modify settings and columns.
  4. On the Customize page, in the General Settings section, click Change general settings.
  5. Make the approriate changes to the form library settings.


Edit a form template

Edit a form template

Note Editing the form template changes the form that is opened when users click Fill Out This Form. Changes to the form template will also be reflected in the existing forms stored in the form library, which may cause compatibility issues or data loss with these forms.

  1. On the top link bar, click Documents and Lists.
  2. On the Documents and Lists page, under Document Libraries, click the name of the form library you want to open.
  3. On the page that displays the form library, under Actions, click Modify settings and columns.
  4. On the Customize page, in the General Settings section, to the right of the Template location, click Edit Template. The form template will open in the program that was used to create it.


Merge forms

Merge forms

If you have multiple forms, and they were either created from the same form template or were designed to work together, you can merge them into a single form. The Merge Forms option only appears in form libraries that have been designed to support this feature. Form libraries that use the Blank Form form template as their form template type do not have this option.

Note The merged form's appearance, and the merged data that it includes, depends on the way the form was designed.

  1. On the page that displays the forms you want to merge, under Select a View, click Merge Forms.
  2. Select the Merge check box next to the forms you want merged.
  3. On the toolbar, click Merge Forms. The merged form will open in the designated program.


Relink a form to its form library

Relink a form to its form library

If you rename the form library's form template or change its location, the form template and the forms stored in the form library can become unsynchronized. This can result in problems when working with the forms, such as not being able to open and edit the forms. Because forms must point to the correct version and location of the form template in order to open and function properly, it may be necessary to relink the exisiting forms in the library to the form template. Forms that are not correctly synchronized with the form library's form template are displayed on the Relink page. You only need to relink the forms (.xml files) that reference an old or incorrect form template, although the Relink page may display other file types stored in the library.

  1. On the top link bar, click Documents and Lists.
  2. On the Documents and Lists page, under Document Libraries, click the name of the form library you want to open.
  3. On the page that displays the form library, under Actions, click Modify settings and columns.
  4. On the Customize page, in the General Settings section, click Relink forms to this form library.
  5. Select the Relink check box next to each form you want to relink, and then click Relink Forms.

Note The relink feature will not work for forms that were created with a different form template than that of the form library. Move these forms to a form library that uses the same form template before relinking them.


About Microsoft Windows SharePoint Services Software Development Kit

About Microsoft Windows SharePoint Services Software Development Kit

The Microsoft Windows SharePoint Services Software Development Kit provides information about customizing SharePoint sites programmatically. Using the information and examples in the Software Development Kit (SDK), you can:

  • Customize sites, including layouts, navigation bars, themes, and lists.

    You can customize most sites by using a Web page editor compatible with Windows SharePoint Services, such as Microsoft Office FrontPage 2003. For example, you can modify page layouts, themes, and add custom lists. However, to perform identical customizations across sites, it is much easier and quicker to do so programmatically.

  • Create custom templates.

    Although you can create list and site templates from within the Web browser, you can create more complex templates (for example, templates that link to databases) or edit the iste templates stored on the Web server by using information from the SDK.

  • Create custom Web Parts.

    Although you can easily customize instances of Web Parts from within the Web browser, to create a Web Part assembly (.dll) to support a custom class of Web Parts, you need the information in the SDK.

  • Connect an application to Microsoft Windows SharePoint Services.

    For example, if you want to use Windows SharePoint Services as a front-end application to another application such as a workflow application, you can learn how to implement this by reading the SDK.

The SDK also contains information about other customization tasks and information about how to programmatically manage sites and servers.


Customize your site

Customize your site

Web sites based on Microsoft Windows SharePoint Services are designed to be flexible. You can tailor a site to fit your users' needs by adding or removing pages, changing the appearance of pages, changing the site navigation, and making other customizations. To customize SharePoint sites, you must have the following rights, all of which are included in the Web Designer and Administrator site groups by default:

  • Manage Lists
  • Add and Customize Pages
  • Apply Themes and Borders
  • Apply Style Sheets

Other users of your site cannot gain access to the pages required to perform these tasks unless they are members of a site group that contains these rights. For more information about controlling permissions and assigning rights and site groups, see Assign permissions to users and groups.

Customizing sites in the browser

You can make basic customization changes from within the browser. From the browser, you can make changes such as the following:

  • Create a list by using a built-in list template or create a custom list
  • Change the layout of the home page and other Web Part pages
  • Change the picture on the home page
  • Add a Web Part to a Web Part page
  • Change the name and description of a SharePoint site
  • Apply or remove a theme

You can click Home in this window to browse the Windows SharePoint Services Help table of contents for even more ways to customize Web sites from within the browser.

Customizing sites by using Web page editing tools

You can further customize a site by using a Web page editor that is compatible with Windows SharePoint Services, such as Microsoft Office FrontPage 2003. With a Web page editor, you can make customization changes such as the following:

  • Apply a theme (can also be done from the browser)
  • Add borders to pages
  • Insert graphics
  • Add components to the home page
  • Change the navigation of a site
  • Delete files
  • Create new lists and document libraries (can also be done from the browser)

For information about customizing sites by using a Web page editor, see the Help files for your editor.

For example, if you have created a custom theme for Windows SharePoint Services sites in Office FrontPage 2003 and added the theme name to the list of themes in Office FrontPage 2003, you can edit the list of available themes in Windows SharePoint Services to include your new theme. The XML file spthemes.xml (in /_layouts/) contains the theme name, style sheet location, thumbnail, preview, and description of each theme that is available through the browser. This XML file is used to render the theme selection page. You can modify this XML file (by opening it in any editor) to include a custom theme on the Apply Theme to Web page. You must be a member of the server computer's administrators group to edit this file. For more information about creating a theme and adding it to the list of themes in Office FrontPage 2003, see the Office FrontPage 2003 Help system.

Customizing sites by using administrative controls

If you are a member of the Administrator site group, you can customize how SharePoint sites work by performing tasks such as the following:

  • Change settings, such as regional setting
  • Add, remove, or modify site groups
  • Add or remove users, or change their site group assignments

You control these features by using the Site Administration pages. Only members of the Administrator site group or users who have been assigned to a site group that contains administrative rights, such as the Manage Groups right, can make these types of changes.

Customizing sites programmatically

You can make advanced Web development changes by using the programming model behind Windows SharePoint Services. You can use the programming model to make changes such as the following:

  • Define new views
  • Create forms
  • Look up values in the database and display them on a page
  • Add additional content types, such as Macromedia Flash movies, to the site
  • Add a global document template to be used across the site
  • Add Active Server Pages (ASP.NET pages) to the site.

    Note The ability to add ASP.NET pages to a site can be controlled by administrators for security reasons. For more information about ASP.NET pages in SharePoint sites, see Configure a virtual server.

For more information about advanced customizations, see the Windows SharePoint Services Software Development Kit.


About customizing Meeting Workspace sites

About customizing Meeting Workspace sites

You can customize the workspace site in many different ways depending on the site group you are assigned to and the rights associated with it.

Ways to customize the workspace site

The Web Parts that display lists and libraries on the home page are arranged in a predefined layout based on the template used to create the workspace site. However, you can change this layout. You can add and remove Web Parts and the lists they are associated with, rearrange parts on the page, and change how they look and behave by setting properties on them. You can also customize the workspace site by creating special views of the content in Web Parts, by adding pages to the workspace site, applying themes, changing the title and description, and in many of the same ways that you customize other Microsoft Windows SharePoint Services sites.

However, there are some aspects of the home page that you can't customize. You can't change the order that the home page is displayed in when you have multiple pages in the workspace site, and you can't delete the home page. Once the workspace site looks the way you want, you can also save it as a template to use for a new Meeting Workspace site you create in the future.

Note Some site designers and developers may be interested to know that a Meeting Workspace site is created using special types of Web pages called Web Part Pages. Help topics about Web Part Pages and Web Parts in Windows SharePoint Services sites apply to a Meeting Workspace site, also.

Rights necessary to change the site

If you have the rights to make design changes to the workspace site, the changes will be visible to all the site users. Unlike with some types of Microsoft Windows SharePoint Services sites, you can't switch to personal view to customize the workspace site with changes that only you can see. By default, you always customize the workspace site in a shared view. For this reason, the workspace site doesn't offer a way to switch between personal view and shared view.

If you belong to the Administrator site group, you can customize the workspace site using site administration features, too. For example, you can change the Web site to be displayed in a different language or change the rights assigned to a site group.

Note To customize the workspace site, you must be using Microsoft Internet Explorer 5.5 or later.

Related Topics

About adding pages to a Meeting Workspace site
About creating lists, libraries, and their Web Parts in a Meeting Workspace site
About site groups


About using HTML tags for formatting with Netscape Navigator and other browsers

About using HTML tags for formatting with Netscape Navigator and other browsers

When using Microsoft Internet Explorer 5 and later, Microsoft Windows SharePoint Services provides convenient tools for formatting and editing text. By default, rich HTML text is enabled for many columns with multiple lines of text, allowing users to take advantage of formatting tools such as font, font color, and background color. If rich HTML text is turned off, site administrators and users belonging to site groups with the Manage Lists right can turn on this feature.

When using other browsers, such as Netscape Navigator, you can also enter rich text formatting by using HTML tags. For example, you can use the <b> </b> tags to apply boldface to text, as in <b>bold</b>. When viewing the page, users will see the proper rich text formatting, such as bold. You can use other HTML tags such as <a href>link</a> for adding hyperlinks. For more information about HTML tags, consult an HTML language reference.

Notes

  • For security reasons, Windows SharePoint Services blocks certain HTML tags and scripting.
  • Windows SharePoint Services wraps text within <div></div> tags to prevent double-spacing. When editing content, enter text between the <div> and </div> tags.


Create a custom list

Create a custom list

  1. In the top link bar, click Create.

  2. On the Create Page page, click Custom List.

  3. In the Name box, type a name for the list.

    This field is required.

  4. In the Description box, type a description of the purpose of the list.

    This field is optional.

  5. In the Navigation section, if you want a hyperlink to this list to appear on the Quick Launch bar, click Yes.
  6. Click Create.

    You can open the new list by clicking Documents and Lists on the top link bar, and then clicking the list name in the Discussion Boards section. If you chose to add the list to the Quick Launch bar, you can also click the list name there to open it.

  7. Add columns to your list.

    How?

    1. On the page that displays the list, click Modify settings and columns.
    2. In the Columns section, click Add a new column.
    3. In the Name and Type section, in the Column name box, type a name for the column.
    4. Select the type of information you want to display in this column.

      Note For more information about column types, see Information types and options.

    5. In the Optional Settings for Column section, specify the settings that you want.
    6. At the bottom of the page, click OK.
    7. Repeat these steps to add additional columns.

Related Topics

Create a list of announcements, contacts, events, tasks, issues, or links
Information types and options


Create a discussion board

Create a discussion board
  1. In the top link bar, click Create.
  2. On the Create Page page, click Discussion Board.
  3. In the Name box, type a name for the discussion board.

    This field is required.

  4. In the Description box, type a description of the purpose of the discussion board.

    This field is optional.

  5. In the Navigation section, if you want a hyperlink to this discussion board to appear on the Quick Launch bar, click Yes.
  6. Click Create.

    You can open the new discussion board by clicking Documents and Lists on the top link bar and then clicking the discussion board name in the Discussion Boards section. If you chose to add the discussion board to the Quick Launch bar, you can also click the discussion board name there to open it.

Note If the site is a Meeting Workspace site, use the following procedure to create a discussion board: From the Modify This Workspace menu on the home page, click Add Web Parts. Drag the General Discussions Web Part to a zone on the page.


Create a document library

Create a document library
  1. On the top link bar, click Create.
  2. On the Create Page page, click Document Library.
  3. In the Name box, type a name for the list.

    The document library name is required.

  4. In the Description box, type a description of the purpose of the library.

    The description is optional.

  5. In the Navigation section, click Yes if you want a link to this list to appear on the Quick Launch bar.
  6. In the Document Versions section, click Yes if you want a backup copy of a file to be created each time a file is checked into the library.
  7. In the Document Template section, specify the type of file used as a template for new files in this document library.
  8. Click Create.

    You can open the new document library by clicking Documents and Lists on the top link bar and then clicking the document library name in the Document Libraries section. If you chose to add the document library to the Quick Launch bar, you can also click the document library name there to open it.

Note If the site is a Meeting Workspace site, use the following procedure to create a document library: From the Modify This Workspace menu, click Add Web Parts. Drag the Document Library Web Part to a zone on the page.


Create a picture library

Create a picture library
  1. On the top link bar, click Create.
  2. On the Create Page page, click Picture Library.
  3. In the Name box, type a name for the list. The document library name is required.
  4. In the Description box, type text that describes the purpose of the library. The description is optional.
  5. If you want a link to this list to appear on the Quick Launch bar, in the Navigation section, click Yes.
  6. If you want a backup copy of a file created each time it is checked into the library, in the Picture Versions section, click Yes.
  7. Click Create.

Notes

  • A page that displays the default view of the new picture library is added to the Web site based on Microsoft Windows SharePoint Services.
  • If the site is a Meeting Workspace site, use the following procedure to create a picture library: From the Modify This Workspace menu, click Add Web Parts. Drag the Picture Library Web Part to a zone on the page.


Create a folder in a library

Create a folder in a library
  1. On the top link bar, click Documents and Lists.
  2. On the Documents and Lists page, click the name of the document, picture, or form library in which you want to create the folder.
  3. In the library, click New Folder.
  4. On the New Folder page, in the Name box, type the folder name.
  5. Click Save and Close.

Note If the site is a Meeting Workspace site, ignore steps 1 and 2. Instead, click the name of the library at the top of the Web Part. Then follow the remaining steps above.


Create a form library

Create a form library

When you first create a form library, unless you have additional form templates installed, you can choose a blank form as the form template for your form library. This form template is a placeholder file. Before you can start filling out and adding forms to the library, you will need to create your own custom form template that will serve as the basis for all forms created in the form library.

Note In order to create form libraries, you must have permission to modify the site where the form library will be stored.

Create a form library

  1. On the top link bar, click Create.
  2. On the Create Page page, under Document Libraries, click Form Library.
  3. In the Name box, type a name for the library. The form library name is required.
  4. In the Description box, type text that describes the purpose of the library. The description is optional.
  5. To add a link to this library on the Quick Launch bar, in the Navigation section, click Yes.
  6. To create a backup copy of a file each time it is checked into the library, in the Document Versions section, click Yes.
  7. In the Form Template section, select the form template you want to specify as the type of form for all forms in the library.
  8. At the bottom of the page, click Create.

Customize a blank form template

  1. On the page that displays the form library, under Actions, click Modify settings and columns.
  2. To open and customize the blank form template in the default Windows SharePoint Services compatible XML editor installed on your computer, on the Customize page, in the General Settings section, to the right of the Template location, click Edit Template.


Create a survey

Create a survey
  1. In the top link bar, click Create.
  2. On the Create Page page, click Survey.
  3. In the Name box, type a name for the survey.

    This field is required.

  4. In the Description box, type a description of the purpose of the survey.

    This field is optional.

  5. In the Navigation section, if you want a hyperlink to this survey to appear on the Quick Launch bar, click Yes.
  6. In the Survey Options section, if you want respondents' names to be visible when a team member views the survey results, click Yes under Show user names in survey results?.

    If you want to allow team members to respond more than once to the survey, click Yes under Allow multiple responses?.

  7. Click Next.
  8. On the Add Question page, in the Question box, type a question.
  9. Select an option for the type of answer that you want.

    For example, if you want team members to choose from a set of items, click Choice.

  10. In the Optional settings for your question section, specify the settings that you want.

    The following types of answers are available, with options for each type as shown:

    Single line of text

    Use this information type when you want team members to enter just a few words.

    Require a response to this question

    If you want to require team members to enter information for this question, click Yes.

    Maximum number of characters

    Type a number to limit the number of characters that team members can type.

    Default value

    If you want new responses to display information for this question automatically, type that information in the space provided. Team members can change this value. You can also select Calculated value and then enter a formula to create the default value. For example, you could specify that, by default, a team member's user name appears by typing [me] in the field provided. For information on calculated values, see About computed and calculated columns .

    Multiple lines of text

    Use this information type when you want team members to type a sentence or more.

    Require a response to this question

    If you want to require team members to enter information for this question, click Yes.

    Number of Lines to Display

    Type a number to limit the number of lines that team members can type for this question.

    Allow Rich HTML Text

    Specify whether you want to allow text formatting such as fonts, bold, italic, or text colors.

    Choice

    Use this information type when you want team members to choose from a set of selections that you provide.

    Require a response to this question

    If you want to require team members to enter information for this question, click Yes.

    List of choices

    In the Type each choice on a separate line box, replace the sample text with the selections from which you want team members to choose. Type each selection on a separate line. To start a new line, press ENTER.

    Display choices using

    If you want the selections to be displayed in an expanding box, click Drop-Down Menu. If you want the selections to be displayed in a list, click Radio Buttons.

    Allow fill-in choices

    Select this option if you want to allow users to type in their own selections.

    Default value

    New responses will automatically display the selection that you typed first in the List of choices. If you want to use another selection as the default, copy and paste that selection here. You can also select Calculated value and then enter a formula to create the default value. For example, you could specify that, by default, a team member's user name appears by typing [me] in the field provided. For information on calculated values, see About computed and calculated columns

    Rating Scale

    Use this option if you want users to choose their preference on a numeric scale.

      Type each choice on a separate line

    • Enter the options that the users can evaluate on the ratings scale.

      • Number range

    • Enter the top and bottom numbers for the ratings scale.

      • Range Text

    • Enter descriptions for the low, middle, and high ends of the scale.

      • N/A option text

    • Select Show N/A option and enter text in the box if you want to allow a user to not rate an option. This is useful when an option does not apply to a user.

    Number

    Use this information type when you want team members to type a numerical value.

    Require a response to this question

    If you want to require team members to enter information for this question, click Yes.

    Minimum and maximum values

    If you want team members to enter values within a certain range, type a value for the lower limit in the Min box and a value for the upper limit in the Max box.

    Number of decimal places

    Select the number of decimal places to enable team members to enter decimal values in tenths, hundredths, and so on.

    Default value

    If you want new responses to display information for this question automatically, type that information in the space provided. You can also select Calculated value and then enter a formula to create the default value. For example, you could specify that, by default, a team member's user name appears by typing [me] in the field provided. For information on calculated values, see About computed and calculated columns

    Percentage option

    If you want the number to represent a percentage, select this check box.

    Currency

    Use this information type when you want team members to type a monetary value.

    Require a response to this question

    If you want to require team members to enter information for this question, click Yes.

    Minimum and maximum values

    If you want team members to enter values within a certain range, type a value for the lower limit in the Min box and a value for the upper limit in the Max box.

    Number of decimal places

    Select the number of decimal places to enable team members to enter decimal values in tenths, hundredths, and so on.

    Default value

    If you want new responses to display information for this question automatically, type that information in the space provided. You can also select Calculated value and then enter a formula to create the default value. For example, you could specify that, by default, a team member's user name appears by typing [me] in the field provided. For information on calculated values, see About computed and calculated columns

    Currency format

    Select a currency based on geographic region.

    Date and Time

    Use this information type when you want to store calendar or time-of-day information.

    Require a response to this question

    If you want to require team members to enter information for this question, click Yes.

    Date format

    Select whether you want to display the date or the date and time of day.

    Default value

    If you want new responses to display the current date for this question automatically, click Today's Date; otherwise, click (None). You can also select Calculated value and then enter a formula to create the default value. For information on calculated values, see About computed and calculated columns

    Lookup

    Use this information type when you want to make it easy to select information that's already stored in your Microsoft Windows SharePoint Web site.

    Require a response to this question

    If you want to require team members to enter information for this question, click Yes.

    Get information from

    Select a list or library from your site.

    In this column

    Select the column that stores the information that you want team members to be able to select.

    Include presence information

    This option appears if you select the User Information list as your lookup source. Select this option if you want online presence information to appear next to users names. This status is updated each time a user logs on to Microsoft Windows Messenger. This feature provides a handy way to know when team members are available for online chats.

    Yes/No

    Use this information type when you want to store true/false information. To indicate a value of "yes," team members select the check box; to indicate a value of "no," team members clear the check box.

    Default value

    If you want new responses to display a value for this question automatically, click Yes or No here. Team members can change this value.

  11. If you want to add more questions, click Next Question and repeat the steps above.
  12. When you are done adding questions, click Finish.


Add a page to a Meeting Workspace site

Add a page to a Meeting Workspace site
  1. On the Modify This Workspace menu, click Add Pages.
  2. In the Page Name box, type the name that you want displayed on the tab.
  3. If the workspace site includes more than one meeting, select whether you want the page to display for all meetings or just the current one.

Note You must be a member of the Web Designer or Administrator site group to do this procedure.

Related topics

About adding pages to a Meeting Workspace site
Change the order of pages in a Meeting Workspace site
Delete a page from a Meeting Workspace site


About themes

About themes

A theme is a unified set of design elements that influence the fonts and color schemes when you apply it to a Web site based on Microsoft Windows SharePoint Services. Applying a theme is a quick and easy way to ensure your site is visually consistent and appealing.

Each subsite has its own theme setting. When you apply a theme it will not affect the layout of your site. In addition, applying a theme will not change any individual Web pages that you have applied themes to by using a Web page editor compatible with Windows SharePoint Services, such as Microsoft Office Office FrontPage 2003. When you create pages, the default theme is applied automatically. If you change or remove the default theme, the change is applied to the entire site.

To apply or remove a theme on your site, you must have the Apply Themes and Borders right for that site. The Apply Themes and Borders right is included by default in the Web Designer site group.


Apply or remove a theme

Apply or remove a theme

Important To apply or remove a theme on your Web site based on Windows SharePoint Services, you must be assigned to the Web Designer or Administrator site group, or to a site group with the Apply Themes and Borders right.

Apply a Theme

  1. On the top link bar, click Site Settings.
  2. On the Site Management page, in the Customization section, click Apply theme to site.
  3. On the Apply Theme to Web Site page, select a theme from the list. A preview of the theme is displayed.
  4. Click Apply.

Remove a Theme

  1. On the top link bar, click Site Settings.
  2. On the Site Management page, in the Customization section, click Apply theme to site.
  3. On the Apply Theme to Web Site page, select No Theme(Default) from the list.
  4. Click Apply.

Note If the site is a Meeting Workspace site, instead of step 1 above, do the following: On the Modify This Workspace menu, click Site Settings.

Related topic

About themes


Change the New Item form

Change the New Item form

When team members add items to lists, the New Item form that they fill out has one data entry field for each column that is defined for the list. You can modify the form by changing the columns in the list. That is, you can add, delete, and edit fields on the form. You can also change the order in which the fields appear on the form.

Related topics

  • Add, edit, or delete a column


Change the Upload Document Form

Change the Upload Document Form

When team members add a document to a document library by using the Upload Document command, the Upload Document form that they fill out has one data entry field for each column that is defined for the library.

Similarly, when team members use a Microsoft Windows SharePoint Services-compatible client program, such as Microsoft Office 2003, to save a file to a library, the form that users fill out in their dialog box also has one data entry field for each column that is defined for the library.

You can change these forms by change the columns in the library. That is, you can add, delete, and edit fields on the forms. You can also change the order in which the fields appear on the form.

Related Topics

Add, edit, or delete a column


About creating lists, libraries, and their Web Parts in a Meeting Workspace site

About creating lists, libraries, and their Web Parts in a Meeting Workspace site

The way you add Web Parts and their associated lists or libraries depends on the following:

  • The type of Web Part you are adding.
  • Whether you want the associated list or library created automatically using default settings or manually using settings you specify.

The easiest way to add the Web Parts that are commonly used for a Meeting Workspace is from the Add Web Parts task pane. When you use the Add Web Parts task pane, it automatically creates the associated list or library for you using default settings, such as Title and Description. If you add the same type of Web Part to the page again, another list or library is automatically created for it.

If you want the list or library created with a specific name, description, or other property setting, or if you want to create other types of lists that aren't in the task pane, such as a custom list, Events list, or list of announcements, you can create the list by specifying the settings to use. The Show All Lists link at the bottom of the Add Web Parts task pane makes this quick and easy. Once you create the list, its Web Part is automatically added to the current page in the workspace site.

Note This differs from other SharePoint sites where you have to create the list first, and then add the Web Part.

You can also get Web Parts for existing lists or other features by browsing libraries for the current location, parent Web site, or external locations.

Add Web Parts task pane

1 Drag Web Parts to the page to use default settings. Or …

2 … select lists, libraries, and other features from the Show All Lists link to specify custom settings.

For general information about customizing Web Parts in Windows SharePoint Services sites, see the Help index.

Related Topics

About customizing Meeting Workspace sites
Create an Objectives list in a Meeting Workspace site
Create an Agenda list in a Meeting Workspace site
Create a Things To Bring list in a Meeting Workspace site
Create a Text Box in a Meeting Workspace site
Create a Decisions list in a Meeting Workspace site
Create a document library
Create a discussion board
Create a picture library
Create a list of announcements, contacts, events, tasks, issues, or links
Create other lists or features in a Meeting Workspace site


Create a Text Box in a Meeting Workspace site

Create a Text Box in a Meeting Workspace site
  1. On the Modify This Workspace menu, click Add Web Parts.
  2. Do one of the following:

    Create the list automatically using default settings

    • Drag the Text Box Web Part to a zone on the page.

    Create the list using settings you specify

    1. At the bottom of the task pane, click Show All Lists.
    2. Under Lists, click Text Box.
    3. Specify the information about the list, and then click Create.
  3. Add new items to the list. You can use the Text toolbar to format the text, such as change its color, font, or font style.

Notes

  • You must be a member of the Web Designer or Administrator site group to do this procedure.
  • If the Meeting Workspace site has more than one meeting, you can change the text box to share its content across all meetings in the workspace site.
  • To use single line spacing, press SHIFT+ENTER at the end of a line.

Related topics

Share list or library items across all meetings in a workspace site


Create a Things To Bring list in a Meeting Workspace site

Create a Things To Bring list in a Meeting Workspace site
  1. On the Modify This Workspace menu, click Add Web Parts.
  2. Do one of the following:

    Create the list automatically using default settings

    • Under Web Parts, drag the Things to Bring Web Part to a zone on the page.

    Create the list using settings you specify

    1. At the bottom of the task pane, click Show All Lists.
    2. Click Things To Bring, specify the information about the list, and then click Create.
  3. To add content, click Add item in the Web Part.
  4. In the Item box, type the item you want to add. Complete the other fields as you want.
  5. Click Save and Close.

Notes

  • You must be a member of the Web Designer or Administrator site group to do this procedure.
  • If the Meeting Workspace site has more than one meeting, you can change the list to share its content across all meetings in the workspace site.

Related Topics

Share list or library items across all meetings in a workspace site


Create an Agenda list in a Meeting Workspace site

Create an Agenda list in a Meeting Workspace site
  1. On the Modify This Workspace menu, click Add Web Parts.
  2. Do one of the following:

    Create the list automatically using default settings

    • Under Web Parts, drag the Agenda Web Part to a zone on the page.

    Create the list using settings you specify

    1. At the bottom of the task pane, click Show All Lists.
    2. Click Agenda, specify the information about the list, and then click Create.
  3. To add content, click Add item in the Web Part.
  4. Type the subject of the item, and then complete the other fields as you want.
  5. On the main toolbar, click Save and Close.

Notes

  • You must be a member of the Web Designer or Administrator site group to do this procedure.
  • If the Meeting Workspace site has more than one meeting, you can change the list to share its content across all meetings in the workspace site.

Related topics

Share list or library items across all meetings in a workspace site


Create an Objectives list in a Meeting Workspace site

Create an Objectives list in a Meeting Workspace site
  1. On the Modify This Workspace menu, click Add Web Parts.
  2. Do one of the following:

    Create the list automatically using default settings

    • Under Web Parts, drag the Objectives Web Part to a zone on the page.

    Create the list using settings you specify

    1. At the bottom of the task pane, click Show All Lists.
    2. Click Objectives, specify the information about the list, and then click Create.
  3. To add content, click Add item in the Web Part.
  4. Type an objective.
  5. On the main toolbar, click Save and Close.

Notes

  • You must be a member of the Web Designer or Administrator site group to do this procedure.
  • If the Meeting Workspace site has more than one meeting, you can change the list to share its content across all meetings in the workspace site.

Related topics

Share list or library items across all meetings in a workspace site


Create a Decisions list in a Meeting Workspace site

Create a Decisions list in a Meeting Workspace site
  1. On the Modify This Workspace menu, click Add Web Parts.
  2. Do one of the following:

    Create the list automatically using default settings

    • Under Web Parts, drag the Decisions Web Part to a zone on the page.

    Create the list using settings you specify

    1. At the bottom of the task pane, click Show All Lists.
    2. Click Decisions, specify the information about the list, and then click Create.
  3. To add content, click Add item in the Web Part.
  4. In the Decision box, type the text you want to appear. Complete the other fields as you want.
  5. On the main toolbar, click Save and Close.

Notes

  • You must be a member of the Web Designer or Administrator site group to do this procedure.
  • If the Meeting Workspace site has more than one meeting, you can change the list to share its content across all meetings in the workspace site.

Related topics

Share list or library items across all meetings in a workspace site


Create or add other lists or features in a Meeting Workspace site

Create or add other lists or features in a Meeting Workspace site

The types of lists and libraries most common to a Meeting Workspace site are listed under the Web Parts section in the Add Web Parts task pane. You can create other types of lists or libraries and add their associated Web Parts, too, or you can add Web Parts for lists or libraries that were created previously.

Create other lists or libraries from the current location

  1. On the Modify This Workspace menu, click Add Web Parts.
  2. At the bottom of the task pane, click Show All Lists.
  3. On the Create page, click the type of list or library you want to add.
  4. Specify the information about the feature you selected, and then click Create.

Note The option to share information across meetings only applies if you have a Meeting Workspace site that is used for more than one meeting, such as for a recurring meeting or for multiple related meetings linked to the same workspace.

Get existing lists, libraries, or other features from the current or different locations

  • Import the list, library, or feature

    How?

    1. On the Modify This Workspace menu, click Add Web Parts.
    2. On the drop-down menu next to Create Lists, click Import.
    3. Follow the instructions in the pane.
  • Browse other Web Part libraries

    How?

    1. On the Modify This Workspace menu, click Add Web Parts.
    2. On the drop-down menu next to Create Lists, click Browse.
    3. Select the library you want to browse.
    4. Drag the Web Part to the page.

Note You must be a member of the Web Designer or Administrator site group to do any of these procedures.

Related Topics

About creating lists, libraries, and their Web Parts in a Meeting Workspace site
Create an Objectives list in a Meeting Workspace site
Create an Agenda list in a Meeting Workspace site
Create a Things To Bring list in a Meeting Workspace site
Create a Text Box in a Meeting Workspace site
Create a Decisions list in a Meeting Workspace site
Create a document library
Create a discussion board
Create a picture library
Create a list of announcements, contacts, events, tasks, issues, or links
Share list or library items across all meetings in a workspace site


Delete a list or library or remove a Web Part in a Meeting Workspace site

Delete a list or library or remove a Web Part in a Meeting Workspace site

Delete a list or library

When you delete a list or library, you delete it from the workspace site. You also remove the associated Web Part from the page where it appeared. However, you can add the same Web Part back to a page to create a new list or library. For example, you can delete the Objectives list, which will automatically remove its associated Web Part from the page, but the Objectives Web Part is still available in the Add Web Parts task pane so you can add the Web Part and create a new Objectives list.
  1. In the title bar of the Web Part that is on the page, click the list or library name.
  2. Under Actions, click Modify Settings and Columns.
  3. Click Delete this list.

Notes

  • You must be a member of the Web Designer or Administrator site group to do this procedure.
  • If the workspace site covers more than one meeting, the list is deleted for all the meetings.
  • You can't delete the Attendees list.

Remove a Web Part for a list or library

When you remove a Web Part, only the part is removed from the page. The associated list or library is not deleted. If the workspace site covers more than one meeting, the part is removed from that page for all the meetings that the page is displayed for.
  1. On the Modify This Workspace menu, click Design this Page. Make sure a check mark appears next to the command.
  2. On the Web Part for the list, library, or other feature, click the drop-down arrow, and then click Delete.

If you change your mind, you can add back the part for that specific list.

  1. On the Modify This Workspace menu, click Design this Page. Make sure a check mark appears next to the command.
  2. On the Modify This Workspace menu, click Add Web Parts.
  3. On the drop-down menu next to Create Lists, click Browse.
  4. In the Web Part list, drag the Web Part you previously deleted to a zone on the page.

Note You must be a member of the Web Designer or Administrator site group to do this procedure.


About adding pages to a Meeting Workspace site

About adding pages to a Meeting Workspace site

By default, every Meeting Workspace site has a home page; however, you can add more pages to help you organize the information.

You can name each new page (not the home page) and give it a description, and you can change the page order. When multiple meetings exist in the workspace site, you specify whether the new page appears for all the meetings or only the meeting that is currently selected.

Comparison of pages and lists that show in one meeting or all meetings

1 The home page and an additional page display for this meeting date.

2 Only the home page displays for this meeting date.

3 The Tasks Web Part displays on the home page for both meeting dates, but the items in the list are specific to each date.

By default, Web Parts for the lists, libraries, and other features that you add to a new page will appear only on that page. If the page is set to appear for all the meetings, which is the case for the home page, then its Web Parts will also appear on that page for all the meetings. However, the items in the Web Parts will show by default only for the meeting where the items were added. If you want the items to appear for all meetings, you can change the list or library displayed in the Web Part to turn on item sharing.

Note You must be a member of the Web Designer or Administrator site group to add pages.

Related topics

Add a page to a Meeting Workspace site


Change the name of a page in a Meeting Workspace site

Change the name of a page in a Meeting Workspace site
  1. Click the tab for the page you want to work with. If the page tab isn’t visible, in the Meeting Series pane, click the date that page appears for.
  2. On the Modify This Workspace menu, click Manage Pages.
  3. Next to Order, click the drop-down arrow, and then click Settings.
  4. Type the new name.

Note You must be a member of the Web Designer or Administrator site group to do this procedure.


Change the order of pages in a Meeting Workspace site

Change the order of pages in a Meeting Workspace site

You can change the order of any new pages that you add to the Meeting Workspace site except the default home page. You must have at least two new pages to do this procedure.

  1. On the Modify This Workspace menu, click Manage Pages.
  2. Select the page you want to move, and then click the up or down arrow. Repeat this step until the pages are in the order you want.

Note You must be a member of the Web Designer or Administrator site group to do this procedure.


Delete a page from a Meeting Workspace site

Delete a page from a Meeting Workspace site
  1. On the Modify This Workspace menu, click Manage Pages.
  2. Next to Order, click the drop-down arrow, and then click Delete.
  3. Select the page you want to delete, and then click Delete.

Notes

  • You can't delete the home page.
  • If you are working in a Meeting Workspace site that includes more than one meeting, you may have originally set the page to appear for all the meetings. In that case, when you delete the page, it will be deleted from all the meetings.
  • You must be a member of the Web Designer or Administrator site group to do this procedure.


Hide or show pages in a Meeting Workspace site for multiple meetings

Hide or show pages in a Meeting Workspace site for multiple meetings

This procedure applies to a Meeting Workspace site for a recurring meeting series or for multiple related meetings.

  1. Click the tab for the page you want to work with. If the page tab isn’t visible, in the Meeting Series pane, click the date that the page appears for.
  2. On the Modify This Workspace menu, click Manage Pages.
  3. Next to Order, click the drop-down arrow, and then click Settings.
  4. Do one of the following:
    • To show the page for the current date only, select Appears for this meeting only.
    • To show the page for all the meeting dates, select Appears for all meetings.

Notes

  • You must be a member of the Web Designer or Administrator site group to do this procedure.
  • Hiding or showing pages does not affect the settings for the lists and libraries on those pages. You must change those settings separately.

Related topics

Share list or library items across all meetings in a workspace site


About list templates

About list templates

When a user creates a new list, he or she selects a list template to use in creating the list. Microsoft Windows SharePoint Services includes many list templates by default, and users can customize an existing list and save the customized list as a new list template. Administrators of a site collection can also import a list template created by another user or software vendor and add the new template to the available list of templates in the site collection.

A list template is a file that includes all of the design information about the list, such as the following:

  • The columns and fields in the list
  • Any views created for the list
  • List content (optional)

List templates do not include the following:

  • Security settings, such as a list of users or groups with permissions to the list from which the template was created.
  • General list settings, such as whether the list is displayed on the Quick Launch bar, or whether attachments are allowed.
  • Lookup field links. Although lists can contain lookup fields that refer to data in another list, that other list and its data are not included when you save a list template. Therefore, you cannot make a template from a list that contains lookup fields, except for fields that look up user information.

To create a list template, you must have the Manage Lists right. The Web Designer and Administrator site groups include the Manage Lists right by default. You must also have access to the list template gallery for the top-level Web site to create a list template. The Add Item right for the template gallery controls this access, which is granted to members of the Web Designer and Administrator site groups for the top-level Web site. List templates are stored as files with the .stp extension.

Caution Template files include personal information such as server URLs and user account names. Only share template files with trusted users and groups.

About using list templates

Users can create lists based on templates available on the server or in the site collection. To create a list based on a template, go to the Create page in a site, and then click the list name to create. The Create page lists custom templates alongside the default set of list templates from the front-end template.

Note When a user creates a list, he or she can select a list template from the set of list templates on the server and the site collection. This set is filtered based on the language of the site the user is in and the schema properties included in the front-end templates for the server. For example, if the front-end templates for the server do not include an Agenda list type, and the user has imported a list template that refers to an Agenda list type, the list template will not be available in the set of templates when the user attempts to create a list.


About site templates

About site templates

Members of the Administrator site group and write access to site template gallery can customize a site and save the customized site as a site template, so that other users in the site collection can create similar sites later. When a user creates a new subsite, he or she can choose from the combined list of site templates available on the server or on the site collection. Administrators of a site collection can also import a site template created by another user or software vendor and add the new template to the available site templates in the site collection.

Caution Template files include personal information such as server URLs and user account names. Only share template files with trusted users and groups.

A site template is a file that includes all of the design information about the site, such as:

  • The lists within a site.
  • Any Web Part Pages within a site.
  • Any custom pages within a site.
  • The theme or borders applied to a site.
  • Any customizations to the Quick Launch bar.
  • Site content (list and document library contents — optional).

Site templates do not include the following items:

  • Security settings, such as a list of users or groups with permissions to the site from which the template was created.
  • Web Part customizations made through Modify My Web Part instead of Modify Shared Web Part.
  • Web discussions from the original site.
  • Alerts from the original site.
  • Web Part assemblies that were added to the original site.
  • Custom site templates when you save a top-level web with its content.
  • Subsites underneath the template site.

You must have the Add Item right for the site template gallery in order to create a site template. By default, members of the Web Designer and Administrator site groups for a top-level Web site have this right for the site template gallery. Site templates are stored as files with the .stp extension.

About using site templates

Users can create subsites based on templates available on the server or on the site collection. When the user creates a subsite, he or she chooses a template from templates available on the Template Selection page. This page shows all templates available on the server and site collection, filtered by the language that was selected on the Create Subsite page. Although the new subsite is based on the template, you can customize it, just like any other site.

Managing the central template gallery

There is a centralized store of site templates called the central template gallery. This gallery is managed for your entire server or server farm, and can only be managed by using the command-line tool, Stsadm.exe. You must be a member of the local administrators group for the server computer to manage the central template gallery.

See Also

Microsoft Windows SharePoint Services Administrators Guide


Manage list templates

Manage list templates

Create a list template

Caution Template files include personal information such as server URLs and user account names. Only share template files with trusted users and groups.

  1. Go to the list that you want to save as a template.
  2. Under Actions, click Modify settings and columns.
  3. On the Customize: <List_Name> page, under General Settings, click Save list as template.
  4. In the File Name box, type the file name to use for the template file.
  5. In the Template Title box, type the title that you want to use for the template in the list template gallery.
  6. In the Template Description box, type a description for the template.
  7. To include the existing content, select the Include content check box.
  8. Click OK.

Add a template to the site template gallery

  1. On the top-level Web site, click Site Settings.
  2. Under Administration, click Go to Site Administration.
  3. Under Site Collection Galleries, click Manage site template gallery.
  4. On the Site Template Gallery page, click Upload Template.
  5. In the Name box, type the path to the template, or click Browse.

    You can upload multiple templates by clicking Upload Multiple.

  6. Click Save and Close.

Delete a template in the site template gallery

  1. On the top-level Web site, click Site Settings.
  2. Under Administration, click Go to Site Administration.
  3. Under Site Collection Galleries, click Manage site template gallery.
  4. On the Site Template Gallery page, click the Edit icon next to the template name.
  5. On the Site Template Name: <Name> page, click Delete.


Manage site templates

Manage site templates

Members of the Administrator and Web Designer site groups can customize a site and save the customized site as a site template, so that other users in the site collection can create similar sites later. Administrators of a site collection can also import a site template created by another user or software vendor and add the new template to the available site templates in the site collection.

Caution Template files include personal information such as server URLs and user account names. Only share template files with trusted users and groups.

Create a site template

  1. On the site, click Site Settings.
  2. In the Administration section, click Go to Site Administration.
  3. In the Management and Statistics section, click Save site as template.
  4. In the File name box, type the file name to use for the site template file.
  5. In the Template title box, type the title you want to use for the template in the site template gallery.
  6. In the Template description box, type a description for the site template.
  7. To include the existing site content, select the Include content check box.
  8. Click OK.

You must be a member of the Administrator site group to create a site template.

Manage the site template gallery

You can add or remove site templates in the site template gallery at the site collection level. To manage the site template gallery, go to the Site Administration page for the top-level Web site in a site collection.

When a user creates a site template, Microsoft Windows SharePoint Servicesadds it automatically to the site template gallery for the site collection. To import a site template from an .stp file, do so from the Manage Site Template Gallery page.

Add a template to the site template gallery

  1. On the top-level Web site, click Site Settings.
  2. In the Administration section, click Go to Site Administration.
  3. In the Site Collection Galleries section, click Manage site template gallery.
  4. On the Site Template Gallery page, click Upload Template.
  5. In the Name box, type the path to the template, or click Browse.

    You can upload multiple templates by clicking Upload Multiple Files.

  6. Click Save and Close.

Delete a template in the site template gallery

  1. On the top-level Web site, click Site Settings.
  2. In the Administration section, click Go to Site Administration.
  3. In the Site Collection Galleries section, click Manage site template gallery.
  4. On the Site Template Gallery page, click the Edit icon next to the template name.
  5. On the Site Template Name: Name page, click Delete.

Related Topics

About site templates
Create a site


About Web Parts

About Web Parts

A Web Part is is a modular unit of information that has a single purpose and that forms the basic building block of a Web Part Page. A Web Part is actually composed of two basic files, often requires additional resource files, and its property values are stored in database tables. Understanding how Web Parts work can help you share them in more creative and interesting ways and avoid problems.

Overview of the Web Part design

The following diagram summarizes the design of Web Parts, using the Image Web Part as an example.

Overview of the Web Part Architecture

1 The Image Web Part description file (.dwp) is a portable container of default and personalized property values for the Image Web Part.

2 The Image Web Part assembly file (.dll) contains the logic and code for the Image Web Part, and is installed on a site server.

3 Resource files that support the Image Web Part are also stored on the site server.

4 Tables in the Windows SharePoint Services database are used to store current values of the Image Web Part properties.

There are two important concepts to understand about the way Web Parts have been designed:

  • There is one Web Part assembly file, but there may be several instances of the Web Part used at your site (or even at other sites). Each instance of a specific Web Part may be similar or different in appearance and behavior, but it is based on the same Web Part assembly file installed on the site server. There can also be code for more than one Web Part in a Web Part assembly file.
  • For a Web Part to work properly, you must have both files, as well as any additional resource files, available to you at your site. This is usually not an issue for Web Parts that are built in to Microsoft Windows SharePoint Services, but can be an issue for a Web Part obtained from another site or source.

The Web Part description file (.dwp)

A Web Part description file is an XML text file with the extension .dwp. It can contain the following:

  • Property names and settings for the instance of this Web Part.
  • A reference to its companion Web Part assembly file (.dll).
  • If a user has personalized a Web Part, changes to any common and custom property settings.

For example, here is the Web Part description file for the Image Web Part:

<?xml version="1.0" encoding="utf-8"?>
<WebPart xmlns:xsd="http://www.w3.org/2001/XMLSchema"
     xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
     xmlns="http://schemas.microsoft.com/WebPart/v2"> (1)
  <Title>Image Web Part</Title>
  <FrameType>Default</FrameType>
  <Description>Use to display pictures and photos.</Description>
  <IsIncluded>true</IsIncluded>
  <ZoneID>LeftColumn</ZoneID>
  <PartOrder>1</PartOrder>
  <FrameState>Normal</FrameState>
  <Height /> (2)
  <Width />
  <AllowRemove>true</AllowRemove>
  <AllowZoneChange>true</AllowZoneChange>
  <AllowMinimize>true</AllowMinimize>
  <IsVisible>true</IsVisible>
  <DetailLink />
  <HelpLink />
  <Dir>Default</Dir>
  <PartImageSmall />
  <MissingAssembly />
  <PartImageLarge>/_layouts/images/msimagel.gif</PartImageLarge> (3)
  <IsIncludedFilter />
  <Assembly>Microsoft.SharePoint, Version=11.0.0.0, Culture=neutral,
     PublicKeyToken=71e9bce111e9429c</Assembly>
  <TypeName>
    Microsoft.SharePoint.WebPartPages.ImageWebPart
</TypeName>
</WebPart> (1)

1 The WebPart element identifies this XML code as a Web Part description file and contains the remaining elements in the file.

2 If the property value is blank, the Web Part uses the default values stored in the database tables.

3 I f the property value is not blank, the Web Part overrides the default value and uses the new value for this instance of the Web Part.

When Windows SharePoint Services is first installed, a Web Part description file is often stored in the Site Web Part Gallery. Other instances of this Web Part description file are created over time as users export Web Parts, and as site administrators upload and download Web Parts.

The Web Part assembly file (.dll)

The Web Part assembly file is an ASP.NET Dynamic Link Library file (.dll) that contains the logic and code of the Web Part. It is a companion file to the Web Part description file. However, for all instances of a particular Web Part on a site, there is only one assembly file. This assembly file contains managed code that derives from an ASP.NET Web Form Control (def). Managed code is essential to make the Web Part work because a Web Part Page is an ASP.NET Web page (.aspx).

When Windows SharePoint Services is installed, the Web Part assembly file for each Web Part is installed on the site server. Over time, additional custom Web Parts may be installed by the site administrator. In addition, any resource files required by the Web Part, such as images, alternate language files, and other auxiliary files, are installed in system folders on the site server. To ensure that a Web Part is safe, it must registered by the site administrator as a safe control.

Web Part properties

Each Web Part shares a set of common properties (also called base class properties) organized into sections in the tool pane that control its appearance (such as the title, height and width), layout (such as the Web Part order in the zone and the direction of the content), and advanced characteristics (such as the image icon and description).

Many Web Parts also have custom properties that are unique to the Web Part. These are usually displayed either above or below the common Web Part properties in the tool pane. For example, the Image Web Part has additional custom properties, including the image link, it's horizontal and vertical alignment, and background color.

Note Depending on how the Web Part was created, in some cases a Web Part custom property may be displayed in a default Miscellaneous section below the common properties in the tool pane.

There are three types of Web Parts:

An instance of a Web Part can be classified as one of three types:

Shared Web Part A Web Part added to a Web Part Page by a user who is creating or making changes to the Web Part Page in shared view. Shared Web Parts are available to all users of a Web Part Page with appropriate permission.

Personalized Web Part A shared Web Part with one or more property values modified by a user who has made changes to the Web Part in personal view. The changes made to the personalized Web Part are only available to the user who made those changes. However, other users who did not make changes in personal view continue to see the shared Web Part.

Private Web Part A Web Part that a user has added to a Web Part Page from a Web Part gallery or imported from a computer while creating or making changes to the Web Part Page in personal view. Private Web Parts are only available to the user who added or imported the Web Part. No other users can see private Web Parts.

The type of Web Part you are working with can be important because:

  • You may have permission to modify only some types of Web Parts on certain Web Part Pages, but not on other Web Part Pages.
  • You may be able to connect to certain types of Web Parts on a Web Part Page, but not to other types of Web Parts on the same Web Part Page.

Benefits of the Web Part design

There are significant benefits to the Web Part Architecture and to separating the instances of the Web Part description files (.dwp) from the Web Part assembly file (.dll).

Shareability Users can easily personalize Web Parts without affecting other users' instances of the same Web Part. Users and site administrators can easily share instances of Web Parts, either by sending the Web Part description file through e-mail or by transferring the Web Parts to other site galleries.

Transportability A primary advantage of the Web Part description file is that it is small and therefore easy to transport and duplicate. When you export, import, download, or upload a Web Part, the Web Part description file is the one you actually manipulate.

Performance Because the Web Part assembly file is precompiled code, it speeds up the execution of the Web Part Page. The Web Part Page does not have to interpret extensive code and logic. Because there is only one assembly file to install, site administrators have simple methods to "throttle" and control a Web Part or the number of Web Parts to ensure that no one user or Web Part Page can consume too many system resources.

Scalability Because Web Part properties are stored in database tables, many users can share Web Parts and create many instances of Web Parts without degrading overall system performance. Furthermore, you can balance workload or streamline Web Part installation by developing a Web Part Package file (.cab) and deploying Web Parts in a Virtual Server Web Part Gallery.

Security By using the standard rights and site groups in Microsoft Windows SharePoint Services, a site administrator can control who can access a Web Part Page, view or modify List View Web Part data, personalize the Web Part Page, add or delete Web Parts, or modify Web Part properties. A site administrator can also control which Web Parts are installed on a site and whether or not they can run on that site.

Maintenance Site administrators can easily control which Web Parts run on a site by controlling the installation of the Web Part assembly file. In addition, if a Web Part needs changes, or if a new version with added features becomes available, site administrators need to install only the new assembly file and any new resource files for all instances of the Web Part to see the new changes and features.

About importing and exporting Web Parts

Web Parts are highly portable and are designed to be easy to export, transport, and import. When you personalize a Web Part or when a site administrator makes a change to a Web Part Page for all users, you or the site administrator may want to share it with other users at your site or even another site. For example:

  • You can export the Web Part from a Web Part Page, and then send the Web Part description file (.dwp) in e-mail to other users. Other users can then import the Web Part onto a Web Part Page. Alternatively, a site administrator could upload the Web Part directly into a Web Part gallery so all users can access it.
  • A site administrator can export a Web Part from a Web Part gallery and then save the file to a public location. Other users can then import the Web Part onto a Web Part Page. Or, another site administrator can upload the Web Part description file into another Site Web Part Gallery.

In all cases, it's important to ensure that the Web Part assembly file is also installed on the new site so that the new Web Part you created can run on the new site.

Note You cannot export a List View Web Part. Lists are specific to a site and cannot be transported to other sites in the same way as other Web Parts. If you want to move list data from one site to another, you can export the list data from one site, and then import the data into a list to the other site, which will then automatically add a List View Web Part of the new list data to the other Site Web Part Gallery.


About Web Part Pages

About Web Part Pages

Use a Web Part Page to consolidate, concentrate, and control related but dispersed information into a single Web page.

About Web Part Pages

A Web Part Page is a special type of Web page that consolidates data, such as lists and charts, and Web content, such as text and images, into a dynamic information portal built around a common task or special interest. Think of a Web Part Page as a Web dashboard that presents a variety of structured and unstructured information in an organized, useful, and convenient way. Instead of spending a lot of time repetitively accessing many Web pages and data sources, you can save substantial time by organizing this disparate information into a single, integrated Web page that can also expose details or links to other Web pages as needed.

A Web Part Page contains one or more Web Parts, which are the basic building blocks of a Web Part Page. These Web Parts are easy to reuse, share, and personalize by all users who have permission to access them. Web Part Pages often contains several Web Parts connected together that display data and content you can manipulate to dynamically change the Web Part Page and get the results you want.

Ways to use Web Part Pages

You might use Web Part Pages in the following ways:

  • Consolidate data from different data sources.
  • Report and summarize critical data.
  • Analyze and aggregate data (sums, totals, counts, and so on).
  • Summarize key information you want to see at the beginning of each day.
  • Prioritize and highlight project or customer data to help you make effective decisions.
  • Display an up-to-date work schedule and meeting information to quickly plan your day.
  • Get quick access to business news, local weather, and your favorite Web sites to focus your Web browsing.

A typical Web Part Page

You might create a Web Part Page, called Customer Orders, that you frequently use to display critical information. You get a call from a customer who has a question about an order, does not remember the Order ID number, but does remember the date the order was placed. You can use a Web Part Page to do the following.

A Daily Activities SmartPage with several Web Parts

1 Look up an order by Order ID number or, in this case, the Order date.

2 Display all orders by date.

3 Select the correct order, based on the customer's name, and look up the order details as well as the customer details.

4 Select a line item in the order (in this case, the lamp) and display a product picture to confirm the customers question.

5 Scan for late-breaking business news pertinent to the customer's order.

About Web Parts and Web Part connections

A Web Part is a modular unit of information that has a single purpose. Examples of Web Parts are:

The List View Web Part Makes lists on your site available to a Web Part Page.

The Content Editor Web Part Displays unstructured Web content, such as text, tables, or images.

The Image Web Part Displays a picture you specify, or connects to another Web Part that provides the picture.

The Form Web Part Displays a form you can use to enter text, and then use that text to filter columns in a connected Web Part.

An additional feature of Web Parts is the ability to easily connect them together by passing data between them and synchronizing their behavior. By connecting Web Parts, you can manage data in dynamic and interesting ways. Traditionally, the chore of connecting sets of data from different data sources has not been easy and has often required programming skills. But with Web Parts, making data connections is as simple as using menu commands. By connecting Web Parts, you can, for example, present data from two Web Parts in alternate views, perform related calculations between two Web Parts, and filter a Web Part using values from another Web Part — all on one Web Part Page.

Web Part Pages are easy to work with in many ways

Web Part Pages are designed to be easy to:

Create You create and access Web Part Pages in much the same way as you do any document or Web page in Microsoft Windows SharePoint Services. Using a browser, you open a simple form to name a Web Part Page, choose a standard template for organizing the layout of the page, and store it in a document library. Once created, Web Part Pages automatically inherit the theme of your site. Using a Windows SharePoint Services—compatible HTML editor such as Office FrontPage 2003, you can make advanced modifications to a Web Part Page, such as customizing a theme, modifying a template, or making a Web Part connection between different pages.

Design Using just your browser and the Web Part Page tool pane, you can quickly locate a Web Part from a Web Part gallery, import a Web Part from your computer, add a Web Part to the page, arrange Web Parts in one or more zones on the page, modify various common properties available to all Web Parts, and modify custom properties unique to each Web Part. Iteratively designing and viewing changes is simple and fast.

Deploy Close the tool pane to browse the Web Part Page and make sure it's working the way you want. No complex installation is required to make it available. Just send a hyperlink of the Web Part Page in e-mail when you finish creating or changing it to notify all users who have appropriate permission.

Use Web Part Pages are as easy to use as any Web page. You can access the same Web Part Page from your office or home. Other site Web Part Pages, such as the home page, the Document Workspace site, or the Meeting Workspace site are also available for you to modify.

Share You can quickly make unique instances of a Web Part, save these changes to a compact, portable Web Part Description file (.dwp), and then send this file via e-mail to other users. Other users can then import the Web Part to a Web Part Page, and site administrators can upload them to Web Part galleries. Many instances of Web Parts can be shared by multiple users without performance degradation because Web Parts are designed to scale well.

Personalize You can personalize the Web Part Page or Web Parts on it by changing the layout of the page, adding or removing Web Parts, changing the size, position, or appearance of the Web Parts, hiding or removing unused Web Parts, or changing the content inside the Web Part — all without affecting other users. In addition, site administrators can make changes to Web Part Pages that all users should see, such as adding a company logo, locking in place a critical Web Part on a page, or protecting an entire page from being changed.

Secure Site administrators can control who can access a Web Part Page, view or modify the list data in a List View Web Part, personalize the page, add or delete Web Parts, or modify Web Part properties by using the standard rights and site groups in Windows SharePoint Services. Web Parts must be installed by the site administrator and be secured before they are made available to users.

Extend Developers inside and outside your enterprise can create custom Web Parts for installation at your site. More importantly, because Web Parts are designed with a set of standard connection interfaces, they can be developed by different developers, but still be easily connected by users. Web Part developers can use an extensive Windows SharePoint Services Software Development Kit available from the SharePoint Products and Technologies Developer Center. In short, Web Part Pages are a platform for Web software development.

Ways to create and modify a Web Part Page

There are several ways to create and modify a Web Part Page.

The New Web Part Page form The most common way to create a Web Part Page is through the New Web Part Page form. After using this form to create a page, you can begin designing it right away in the browser. When you want to browse the page, you just close the tool pane.

An HTML editor Using an HTML editor compatible with Windows SharePoint Services, such as Microsoft Office FrontPage 2003, you can make advanced modifications to a Web Part Page, including the following:

  • Customize the theme of a specific Web Part Page, which uses the site theme by default.
  • Modify a Web Part Page template or create a new one.
  • Customize the page layout.
  • Modify zone properties.
  • Add HTML code or Web controls.
  • Change the way Web Parts stack inside a zone.
  • Add Web Parts outside a zone, or add a Web Part to a Web page that is not a Web Part Page..
  • Create connections between Web Parts on different Web Part Pages.
  • Publish a Web Part Page to a Web site that hosts Windows SharePoint Services.
  • Customize the Form Web Part and use the Data View Web Part.

A Programming environment Using a Windows SharePoint Services—compatible programming environment, such as Microsoft Visual Studio .NET, developers can exploit the full feature set of ASP.NET. A Web Part Page is an ASP.NET file (.aspx), and Web Parts are derived from Web Form Controls. To further enhance Web Part Pages, developers can create their own Web Parts that provide new functionality. Developers can also add custom properties to the Web Parts, custom builders in the tool pane for specialized user interfaces, and access to additional data sources unique to your enterprise through Web Part connections.

Designing a Web Part Page in a browser

Web Part Pages and Web Parts have a set of features and a consistent user interface that make them easy to create and customize in a browser.

About the design features of a Web Part Page

When you design a Web Part Page, you work with a template of one or more zones, and use a tool pane to modify it.

A blank SmartPage with the default template

1 Click the arrow to widen or narrow the tool pane.

2 The Web Part Page title bar can contain a title, caption, description and Company logo or other image.

3 Use the Web Part Page menu to add and modify Web Parts, design the page layout, and switch between personal and shared views.

4 The tool pane has a dual-purpose; to locate and add Web Parts, and to modify various properties.

5 Templates are like a structured canvas used to organize Web Parts into zones.

Accessing Web Parts stored in Web Part galleries through the tool pane

The tool pane makes it easy to locate and add Web Parts.

The ToolPane displays Web Part libraries and Web Parts

1 Browse and search for Web Parts in Web Part galleries or import them from a Web Part Description file (.dwp).

2 Click the Filter button to refine the list of Web Parts by lists, libraries, or other site-defined categories.

3 Most site list views are available through a List View Web Part.

4 Once you locate a Web Part, drag it into a zone on the Web Part Page.

About the design features of a Web Part

A Web Part has a consistent format within which you can make appropriate changes.

The basic components of a Web Part

1 In some cases, you can click the title to display a detailed description of the Web Part.

2 The Web Part has a title bar and frame that contains the body of the Web Part.

3 Click the Web Part menu to do common tasks: minimize the Web Part, modify properties, connect Web Parts, get help, and so on.

4 The body of the Web Part contains list data, images, and other useful content.

Viewing and modifying properties in the tool pane

There are two types of properties. Common properties are shared by all Web Parts and organized into three sections in the tool pane: Appearance, Layout, and Advanced. Custom properties, which many Web Parts have, are unique to the Web Part. These properties are often displayed in a separate section above and sometimes below the common properties sections, but may also be displayed in a Miscellaneous section at the bottom of the tool pane.

The ToolPane displays Web Part properties

1 Click the plus (+) or minus (-) button to expand and contract each property section.

2 Modify custom properties for Web Parts (if they have them) in the custom properties section.

3 Modify common properties for all Web Parts in the Appearance, Layout, and Advanced sections.

4 Click OK or Apply to save your property changes.

Benefits of Web Part Pages

Web Part Pages provide crucial benefits to you as a knowledge worker because:

  • They bring disparate but related information together on one page, so you can easily summarize and expose the details you need to make quick, effective decisions.
  • Information that was previously stored in incompatible applications, different data sources, and uncoordinated Web pages is now available through one convenient and integrated portal page, so you can save time and conveniently access this information.
  • They are Web pages that you can design right inside the browser, so you can see and deploy your design changes instantly.
  • They organize critical and useful information into a mini—application, to make it easy to satisfy your business and personal information needs.
  • Web Parts are designed to be reusable, shareable, and scalable, so it's easy to distribute critical content and tasks to a few or to many users.
  • You can better control and interact with the information you need each day to do your job, so you become more productive and efficient.
  • You can tailor content and data to fit your environment and style, so you can work the way that suits you best.
  • They are made up of one or more Web Parts that use a consistent user interface for the title bars, frames, menu commands, and properties, so that once you know how to use and modify one Web Part, you know how to use and modify all Web Parts.


About the Web Part Page title bar

About the Web Part Page title bar

The title bar of a Web Part Page contains a title, caption, description, and image. An administrator or a user with sufficient rights to modify a Web Part Page for all users can add, modify, or remove these items. The title, caption, description, and image are optional and can be changed for all users who share the Web Part Page. However, they cannot be personalized for an individual user.

An administrator can also enable anonymous access to a server running Windows SharePoint Services from Microsoft. By doing so, an authentication button is automatically displayed on the Web Part Page to let users sign in. A user signs in to a Web Part Page to see or specify personal settings for the page.

The following components make up the Web Part Page title bar:

Title The main text heading in the title bar of a Web Part Page. Initially, it is set to a value based on the file name of the page. Because the title is optional, you can change or delete it. There is no limit to the length of the title. However, because a long title takes up considerable space on a Web Part Page, you may want to balance the title bar with the rest of the Web Parts on the page.

Caption A supplemental description for a Web Part Page. The caption is optional. If it exists, it is displayed above the title in the title bar of the Web Part Page. The maximum length of a caption is 100 characters.

Description Supplemental information for the title or caption of a Web Part Page. The description is optional, and if it exists, it is displayed when users rest their mouse pointer on the title or caption of a Web Part Page. The maximum length of a description is 255 characters.

Image An image such as a company logo, which appears to the left of the Web Part Page title. The image is optional. By default, it is set to a logo that you can remove or replace. An image is displayed at the size in which it is provided. The location of the image file can be specified as either a Web address or a file path. The supported file extensions for image files are .bmp, .gif, .jpg, .jpeg, and .pict.

Authentication Button A server running Windows SharePoint Services has anonymous access disabled by default, and automatically prompts users to sign in before they access the server. Alternatively, an administrator can enable anonymous access and allow users to sign in only when they want to see or specify personal settings for a Web Part Page on the server.

Whenever anonymous access is enabled for a server running SharePoint Portal Server, an authentication button appears on the Web Part Page title bar on that server. The button appears as a sign-in button when no user has signed in. When a user clicks the button, a login prompt allows users to type authentication information such as a user name and a password. If a user is successfully authenticated, the Web Part Page will show all personal settings that the user has set for that page.


About Web Part zones and their properties

About Web Part zones and their properties

Web Part zones are containers of Web Parts that are used to group and organize Web Parts on a Web Part Page. Web Part zones also have a set of properties that serve a dual-purpose. You can use one subset of properties to organize the layout and format of Web Parts on the Web Part Page. You can use another subset of properties to provide an additional level of modification protection (or "lock down") of the Web Parts within the zone.

The Web Part zone properties each have default settings or behaviors. As you add Web Parts to the Web Part page, you automatically set some of these property values. Although these property values are not designed to be edited in the browser, you can modify them by using an HTML editor compatible with Microsoft Windows SharePoint Services, such as Microsoft Office FrontPage 2003.

For additional information on Web Part zone properties, see the Windows SharePoint Services Software Development Kit.

Layout and format properties

The following Web Part zone properties make it easy to rearrange a Web Part on a Web Part Page if you have appropriate permission.

Title

Specifies the name, such as "Header", "Left Column", "Footer" and so on, of the zone that appears in the browser or HTML editor when you are designing a Web Part Page. This property is pre-defined by the template chosen when you create the Web Part Page.

Orientation

Specifies in which direction the Web Part is placed or stacked in the zone, either vertical (top-to-bottom) or horizontal (left-to-right). This property is pre-defined in the template chosen when you create the Web Part Page.

FrameType

Specifies whether or not to use each Web Part's Frame Style (FrameType) property to determine the type of frame to use. A value of Default means use the Web Part's Frame Style (FrameType) property. A value of None, Title Bar and Border, or Title Bar Only, means use this specific type of frame style for all Web Parts in the zone and override each Web Part's Frame Style (FrameType) property when its value is Default.

ContainerWidth

Specifies the width of the zone if it has a vertical orientation. Web Parts in the zone usually expand to fill the width of the zone. This property is not used in zones with a horizontal orientation. This property is not visible in the user interface of the HTML editor.

Modification (or "lock down") properties.

A subset of Web Part zone properties can ensure that Web Parts in the zone stay in a specific location (or are "locked down") on a Web Part Page. These properties provide an additional level of protection for the intended design of the Web Part Page author.

For example, a Web Part Page author may want to always keep a Web Part on the page because it is essential for the purpose of the page, or because the Web Part is connected to another Web Part and removing it would break the connection.

The following Web Part zone properties affect the ability to modify a Web Part.

LockLayout

Specifies whether or not Web Parts within the zone can be added, deleted, resized, or moved. The LockLayout property works the same regardless of whether the Web Part Page is in personal or shared view.

If set to True, the specific Web Part properties for each Web Part in the zone that are affected are: Zone (ZoneID), Part Order (PartOrder), Visible on Page (IsVisible), Height (Height), Width (Width), Allow Close (AllowRemove), and IsIncluded (the Close command on the Web Part menu). Other Web Part properties are not affected.

If set to False, the Web Part properties determine whether modifications can be made (along with the appropriate site permissions).

AllowCustomization

Specifies whether or not shared property values of Web Parts within the zone can be modified.

If set to True, users with appropriate permission can make changes to the Web Parts in the zone for all users.

If set to False, users cannot make changes to the Web Parts in the zone in the user interface in shared view. However, changes can still be made programmatically and by using the Web Part Maintenance Page.

AllowPersonalization

Specifies whether or not personal property values of Web Parts within the zone can be modified.

If set to True, users with appropriate permission can make personal changes to the Web Parts in the zone.

If set to False, users cannot make personal changes to the Web Parts through the user interface, unless the Web Part is a private Web Part and they have appropriate permission.


Common Web Part properties

Common Web Part properties

All Web Parts share a common set of properties that control their appearance, layout, and advanced characteristics. The common Web Part properties are listed below with their corresponding base class property name in parentheses.

About viewing the common properties in the tool pane

This topic describes all the common Web Part properties. However, the common Web Part properties you see in the tool pane may be different than what is documented in this topic for several reasons:

  • To see the Advanced section in the tool pane, you must have appropriate permission.
  • For a specific Web Part, a Web Part developer may have chosen not to display one or more of these common properties, or may have chosen to create and display additional properties not listed below in the Appearance, Layout, and Advanced sections of the tool pane.
  • Some permissions and property settings may disable or hide Web Part properties.

Appearance

Title (Title)

Specifies the title of the Web Part displayed in the Web Part title bar.

Type a string in the text box. To make it easier to edit a long string, click Text Builder Button image .

Height (Height)

Specifies the height of the Web Part.

Do one of the following:

  • To specify a fixed height, select Yes, type a positive number in the text box, and then select a unit of measurement. The following are valid units of measurement: Centimeters, Inches, Millimeters, Points, Picas, and Pixels (the default).
  • To automatically adjust the height of the Web Part in the zone, select No. This is the default.

Width (Width)

Specifies the width of the Web Part.

Do one of the following:

  • To specify a fixed width, select Yes, type a positive number in the text box, and then select a unit of measurement. The following are valid units of measurement: Centimeters, Inches, Millimeters, Points, Picas, and Pixels (the default).

To automatically adjust the width of the Web Part in the zone, select No. This is the default.

Frame State (FrameState)

Specifies the initial state of the Web Part frame.

Do one of the following:

  • To display only the Web Part title bar, select Minimized.
  • To display the entire Web Part, select Normal. This is the default.

Frame Style (FrameType)

Specifies the style of the Web Part frame.

Do one of the following:

  • To use the value of the FrameType Web Part zone property specified, select Default. This is the default.
  • To display the content, but not the title bar and frame, select None.
  • To display the title bar, content, and frame, select Title Bar and Border.
  • To display the title bar and content, but no frame, select Title Bar Only.

Layout

Visible on Page (IsVisible)

Specifies whether the Web Part is displayed or hidden when browsing the Web Part Page. The Web Part is still visible when you are designing the page and has the suffix (hidden) appended to the title.

You might make a Web Part hidden if you want to use it to provide data to another Web Part through a Web Part connection, but don't need to display the Web Part.

Do one of the following:

  • To display the Web Part, select the check box. This is the default.
  • To hide the Web Part, clear the check box.

Direction (Dir)

Specifies the direction of the text in the Web Part content. For example, Arabic and Hebrew are right-to-left languages; English and most other European languages are left-to-right languages.

Do one of the following:

  • To automatically choose a text direction based on the language setting of the site or subsite the Web Part Page is located in, select Default. This is the default.
  • To set the text direction to read left to right, select Left to Right.
  • To set the text direction to read right to left, select Right to Left.

Zone (ZoneID)

Specifies the zone on the Web Part Page where the Web Part is located.

To choose a zone, select a zone name from the list.

Note Zones on the Web Part Page are not listed in the list box when you do not have permission to modify the zone.

Part Order (PartOrder)

Specifies the position of the Web Part in a zone when the zone contains more than one Web Part.

To specify the order, type a positive integer in the text box.

A value of 1 means the Web Part is placed at the top of the zone, if the Web Parts in the zone stack from top to bottom, or to the left of the zone, if the Web Parts in the zone stack from left to right.

For example, when you add a Web Part to an empty zone that stacks from top to bottom, the Part Order is 1. When you add a second Web Part to the bottom of the zone, its Part Order is 2. To move the second Web Part to the top of the zone, type 1, and then type 2 for the first Web Part .

Note Each Web Part in the zone must have a unique Part Order number. Therefore, changing the Part Order value for the current Web Part can also change the Part Order value for other Web Parts in the zone.

Advanced

Allow Minimize (AllowMinimize)

Specifies whether or not the Web Part can be minimized.

Do one of the following:

  • To allow a Web Part to be minimized, select the check box. This is the default.
  • To prevent a Web Part from being minimized, clear the check box.

Allow Close (AllowRemove)

Specifies whether or not the Web Part can be removed from the Web Part Page.

Do one of the following:

  • To allow a Web Part to be closed, select the check box. This is the default.
  • To prevent a Web Part from being closed, clear the check box.

Allow Zone Change (AllowZoneChange)

Specifies whether or not the Web Part can be moved to a different zone.

Do one of the following:

  • To allow a Web Part to be moved to a different zone, select the check box. This is the default.
  • To prevent a Web Part from being moved to a different zone, clear the check box.

Allow Export Sensitive Properties (ExportSensitiveProperties)

Controls whether a user can export to a Web Part description file (.dwp) the values of one or more specific properties when making changes to a Web Part Page in personal view. This property also controls whether a Web Part property can be accessed by the Web Part Services Component (WPSC) that runs on the client computer or used in the default web service.

The ExportControlledProperties property is useful for preventing the viewing and distribution of one or more property values that may contain sensitive information, such as a social security number, a credit card number, or a connection string.

To enable the ExportControlledProperties property, the developer of the Web Part must mark the specific Web Part properties with the ControlledExport attribute by setting the attribute value to True.

After the Web Part is installed at a site and uploaded to a Web Part gallery, the ExportControlledProperties property of the Web Part is False by default, which means one or more of the Web Part's properties marked as sensitive by the ControlledExport attribute cannot be exported in personal view, accessed through the WPSC, and used in the default web service. However, a site administrator or user with permission can still set the ExportControlledProperties property to True, if desired or necessary. For more information about how to use this property, see the Windows SharePoint Services Software Development Kit.

Do one of the following:

  • To prevent a user from exporting values of the specified properties in personal view, access by the Web Part Services Component (WPSC) that runs on the client computer, or used in the default web service, clear the check box (The sets the property value to False). This is the default.
  • To allow a user to export values of the specified properties in personal view, access by the Web Part Services Component (WPSC) that runs on the client computer, or used in the default web service, select the check box (This sets the property value to True).

Detail Link (DetailLink)

Specifies the URL of a file containing additional information about the Web Part. The file is displayed in a separate browser window when you click the Web Part title.

Type a file path or hyperlink in the text box. To make it easier to edit a long string, click Text Builder Button image .

Description (Description)

Specifies the ScreenTip that appears when you rest the mouse pointer on the Web Part title or Web Part icon. When you search for Web Parts by using the Search command on the Find Web Parts menu of the tool pane, the value of this property is used when searching the following Web Part galleries: Site, Virtual Server, and Web Part Page.

Type a string in the text box. To make it easier to edit a long string, click Text Builder Button image .

Help Link (HelpLink)

Specifies the location of a file containing help information about the Web Part. The help information is displayed in a separate browser window when you click the Help command on the Web Part menu.

Type a file path or hyperlink in the text box. To make it easier to edit a long string, click Text Builder Button image .

Icon File (Large) (PartImageLarge)

Specifies the location of a file containing a large Web Part icon. The image size must be 16 by 16 pixels.

Type a file path or hyperlink in the text box. To make it easier to edit a long string, click Text Builder Button image .

Icon File (Small) (PartImageSmall)

Caution This property is reserved for future use by Microsoft, and the value is not saved if you enter it in the tool pane.

Missing Assembly Error (MissingAssembly)

Specifies a message that appears if the Web Part assembly file is missing or incorrect.

Type a string in the text box. To make it easier to edit a long string, click Text Builder Button image .

Is Included Filter (IsIncludedFilter)

Note The name of this property in the tool pane can be customized by a site administrator or Web Part developer and may be different than the name "Is Included Filter."

Specifies a query string with criteria defined by a developer or site administrator to determine whether or not to display the Web Part. This property is used by developers who want to customize Microsoft Windows SharePoint Services to target the display of Web Parts for certain groups of people. This property is not displayed in the tool pane if it is not used, and it is always the last property displayed in the Advanced section of the tool pane. For more information about how to use this property, see the Windows SharePoint Services Software Development Kit

Type a string in the text box. To make it easier to edit a long string, click Text Builder Button image .


About Web browser support for Web Part Pages

About Web browser support for Web Part Pages

Web browser support for Web Part Pages can be categorized into 3 levels:

  • Level 1 support is the highest level of visual and functional support. Browsers that provide level 1 support include Microsoft Internet Explorer 5.5 and later for Microsoft Windows.
  • At level 2 support, a few visual and functional features are not available to some browsers, and some other features are compromised and behave differently than in level 1 browsers. However, the majority of features are still available to users. Browsers that provide level 2 support include Microsoft Internet Explorer 5.01 SP3 for Windows and Netscape Navigator 6.2 and above for Windows.
  • Level 3 support allows users to access the data they need, with an acceptable though not necessarily optimal user experience. These browsers behave with minor differences across operating systems, and such differences are not always addressed with alternate support. Browsers that provide level 3 support include Microsoft Internet Explorer 5.2 for Macintosh and Netscape Navigator 6.2 for Macintosh and Unix.
Browser level support

The following table shows the level of support that some common browsers provide.

Browser | Operating system | Level 1 | Level 2 | Level 3
Internet Explorer 5.5x | Windows | Yes |  |
Internet Explorer 6.x | Windows | Yes |  |
Internet Explorer 5.01 SP3 | Windows |  | Yes |
Navigator 6.2+ | Windows |  | Yes (with exceptions - see table below) |
Navigator 6.2 | Unix |  |  | Yes
Navigator 6.2 | Macintosh |  |  | Yes
Internet Explorer 5.2 | Macintosh |  |  | Yes
Browser level support details

The following table shows in detail the visual and functional support provided by some common browsers.

Feature Area | Internet Explorer 5.01 SP3 | Internet Explorer 5.5 | Internet Explorer 6 | Netscape 6.2+
Create a Web Part Page | Yes | Yes | Yes | Yes
Browse a page with Web Parts | Yes | Yes | Yes | Yes
Browse a page with Web Part connections | Yes | Yes | Yes | Yes
Restore and minimize a Web Part | Yes | Yes | Yes | Yes
Delete a Web Part | Yes | Yes | Yes | Yes
Drag and drop when adding Web Parts from a library | No | Yes | Yes | No
Drag and drop Web Parts when designing a page | No | Yes | Yes | No
Import a Web Part | Yes | Yes | Yes | Yes
Create Web Part connections | No | Yes | Yes | No
Switch between shared and personal views | Yes | Yes | Yes | Yes
Create or modify a Web Capture with the Web Capture tool | Yes | Yes | Yes | No
Drop down menus on Web Parts and Web Part Pages | No | Yes | Yes | No
Page menu in place of drop down menu for modifying a page | Yes | No | No | Yes
Expand or collapse a tool part | Yes | Yes | Yes | No
Drop down menu on tool pane when adding Web Parts | No | Yes | Yes | No
Menu bar in place of drop down menu on tool pane | Yes | No | No | Yes
Overall tool pane functionality | Yes | Yes | Yes | Yes
Close Web Part | Yes | Yes | Yes | Yes
Filter Web Parts when browsing libraries | Yes | Yes | Yes | Yes
Upload multiple files to the Document Library | Yes | Yes | Yes | No
Modify Web Part properties | Yes | Yes | Yes | Yes
Custom property builders | Yes | Yes | Yes | No
Web Part Page Services Component | Yes | Yes | Yes | No


Content Editor Web Part summary

Content Editor Web Part summary
About the Content Editor Web Part
Rich Text Editor Button Summary
Content Editor Web Part custom properties
Overview of Web Part Pages


Form Web Part summary

Form Web Part summary
About the Form Web Part
Form Web Part custom properties
Overview of Web Part Pages


Image Web Part summary

Image Web Part summary
About the Image Web Part
Image Web Part custom properties
Overview of Web Part Pages


List View Web Part summary

List View Web Part summary
About Getting Help for the List View Web Part
About the List View Web Part
About Connecting a List View Web Part
List View Web Part custom properties
Overview of Web Part Pages


Page Viewer Web Part summary

Page Viewer Web Part summary
About the Page Viewer Web Part
Page Viewer Web Part custom properties
Overview of Web Part Pages


XML Web Part summary

XML Web Part summary
About the XML Web Part
XML Web Part custom properties
Overview of Web Part Pages


About the Members Web Part

About the Members Web Part

The Members Web Part automatically appears on the home page of a Document Workspace site. The Members Web Part displays a list of users and domain groups who have permission to use the site.

When you click a member's name, you go to the User Information page for that member. When you click the smart tag next to a member's name, you can use the contact information to send an e-mail message, schedule a meeting, make a phone call, or send an instant message.

If the site has unique permissions, the Members Web Part also includes a command for adding new users to the site.


Customize the Web Part Page title bar

Customize the Web Part Page title bar

An administrator or a user with sufficient rights to modify a Web Part Page for all users can add, modify, or remove the title, caption, description, and image for a Web Part Page. The administrator or user can do so only in shared view.

To customize the title bar of a Web Part Page
  1. If you are in personal view, click Modify My Page, and select Shared View to change to shared view.
  2. Click Modify Shared Page.
  3. Point to Modify Shared Web Parts, select Web Part Page Title Bar.
  4. You can modify these attributes of the title bar on the tool pane: title, caption, description, and image link.
  5. To save your changes and close the tool pane, click OK. To view your changes without closing the tool pane, click Apply.


Modify the Members Web Part

Modify the Members Web Part
  1. At the top of the Members Web Part, click the Web Part Menu arrow next to Members, and then click Modify My Web Part.
  2. Do any of the following:
    • In the Number of items to display box, type the maximum number of member names you want to be able to display in the Web Part. The number must be between 1 and 1,000.
    • In the Toolbar Type list, specify the kind of toolbar you want for the Web Part.

      To include the Add New Member link in the Web Part, click Summary. To omit the link, click No toolbar.

    • In the Appearance and Layout sections, specify options as you would for any Web Part.


Modify Web Parts

Modify Web Parts

You can modify attributes of a Web Part by assigning values to its Web Part properties. All Web Parts share a set of common properties that allow you to specify attributes for the appearance, layout, and other additional information. A Web Part can also have custom properties that apply only to that Web Part.

To modify Web Part properties by using the tool pane

If you are in shared view

  1. Click Modify Shared Page.
  2. Point to Modify Shared Web Parts, select the Web Part you want to modify.

The list of properties that apply to the selected Web Part is displayed in the tool pane. These properties include all the common properties as well as any custom properties that the Web Part developer has defined for the Web Part.

If you are in personal view

  1. Click Modify My Page.
  2. Point to Modify My Web Parts, select the Web Part you want to modify.

The list of properties that apply to the selected Web Part is displayed in the tool pane. These properties include the common properties and custom properties that the Web Part developer has allowed a user to modify in the personal view.

See Also

About Web Part Page personal and shared views

Switch Web Part Page views


Open and use a Web Part Maintenance Page

Open and use a Web Part Maintenance Page

In general, if you are having persistent problems with a Web Part or Web Part connection on your Web Part Page, you can use the Web Part Maintenance Page to help isolate and fix your problem.

Notes

  • You must have the appropriate Web Part, Web Part Page, or Web Part zone permission to use the Web Part Maintenance Page.
  • If you are not sure which Web Part or Web Part connection is causing a problem on your Web Part Page, it's a good idea to work in a step-by-step fashion by closing one Web Part at a time, and then browsing the Web Part Page (click Go Back to My Web Part Page) to see if that fixes the problem. Once you are sure you have found the problem Web Part, then consider resetting or deleting the problem Web Part.
  • You cannot use the Web Part Maintenance Page to close, reset, or delete a static Web Part (that is, a Web Part outside a Web Part zone). To maintain a static Web Part, you must use an HTML editor compatible with Microsoft Windows SharePoint Services, such as Microsoft Office FrontPage 2003.

To open and use a Web Part Maintenance Page

  1. Open the document library that contains the Web Part Page.
  2. Position the cursor over the Web Part Page name and click the down arrow.
  3. Click Edit Properties on the Edit menu.
  4. Click Open Web Part Page in maintenance view. The Web Part Maintenance Page is displayed.
  5. Make sure you are in the view you want, either personal view or shared view. A note at the bottom of the page displays whether you are in personal or shared view. If you need to switch views, do one of the following:
    • If you are in personal view and you want to switch to shared view, click Switch to shared view.
    • If you are in shared view and you want to switch to personal view, click Switch to personal view.
  6. For the one or more Web Parts you select, do one of the following:
    • To move a Web Part to the Web Part Page Gallery, click Close.
    • To remove personal property values and revert to the shared property values of the Web Part, click Reset. You are prompted for confirmation before resetting a Web Part.
    • To permanently remove a Web Part from the Web Part Page, click Delete. You are prompted for confirmation before deleting a Web Part.

      Note It's possible to not have permission to delete a Web Part in personal view, but have permission to delete it in shared view.


Rich Text Editor Button Summary

Rich Text Editor Button Summary

Use the Rich Text Editor to add formatted text, tables, hyperlinks, and images to the Content Editor Web Part. The tasks you can perform and their corresponding buttons are summarized below.

The Standard Toolbar

Button | Name | Description
Button image | Cut | Removes the selected text, table, or image and places it on the Clipboard.
Button image | Copy | Copies the selected text, table, or image to the Clipboard.
Button image | Paste | Inserts the contents of the Clipboard at the insertion point, and replaces any selection.
Button image | Undo | Reverses the last command or deletes the last entry you typed.
Redo button | Redo | Reverses the action of the Undo command.
Button image Find Searches for the specified text.

You can search for whole words only, or text that might also be part of a larger word. For example, if you only want to find the word "this", select Whole word matches only; To search for “this” and “thistle”, clear Whole word matches only.

You can also specify if you want to search from the current location of the insertion point either to the beginning of the content, by selecting Up, or to the end of the content, by selecting Down.

Show borders image | Show/Hide Gridlines | Shows or hides table and cell borders for tables or cells that don't have borders (HTML border attribute = 0) so you can more easily see the table or cell.
Button Image | Insert Hyperlink | Inserts a new hyperlink at the selected text, or edits the selected hyperlink.
Insert Picture button Insert Image Inserts a picture at the insertion point. You can enter a file path or hyperlink in Picture Source, and alternate text to display when you hover over the image.

In the Alignment drop-down list, you can select a variety of ways to align the image with surounding text.

Bottom or Baseline | Align the bottom of the image with the baseline of the text.
Middle | Align the middle of the image with the baseline of the text.
Top | Align the top of the image with the top of the largest item in a line of text.
Left | Align the image with the left margin, allowing text to wrap around the image.
Right | Align the image with the right margin, allowing text to wrap around the image.
Texttop | Align the top of the image with the top of the surrounding text.
Absmiddle | Align the middle of the image with the middle of the line of text.
Absbottom | Align the bottom of the image with the bottom of the line of text.

You can also specify border thickness, horizontal spacing, and vertical spacing. Valid values range from 0 to 999.

Insert Table button | Insert Table | Inserts a table at the insertion point. You can specify the number of rows and columns, a table caption, and additional table and cell HTML attributes.
Button image | Insert Row | Adds a table row above the table row containing the insertion point.
Insert Column image | Insert Column | Adds a table column to the left of the table column containing the insertion point.
Insert Cell button | Insert Cell | Adds a table cell to the left of the table cell containing the insertion point.
Merge Cell button image | Merge Cell | Combines the contents of two or more selected and adjacent table cells into a single table cell.
Split Cell image | Split Cell | Divides the selected table cell into two table cells.
Help | Help | Displays this Help topic.

Formatting Toolbar

Button | Name | Description
Button image | Style | Inserts a text style, which is a set of formatting characteristics you can apply to selected text to quickly change its appearance.
Label control | Font | Changes the font, font style, font size, effects, and color of the selected text.
Button image | Bold | Bolds selected text if it is not bolded, and un-bolds selected text if it is already bolded.
Button image | Italics | Italicizes selected text if it is not italicized, and removes italics from selected text if it is already italicized.
Button image | Underline | Underlines selected text if it is not underlined, and removes underlining from selected text if it is already underlined.
Button image | Highlight | Adds background color to the selected text, or removes background color if the selected text already has background color.
Button image | Align Left | Aligns the selected text, table, or image to the left edge of the content.
Center text button | Center | Centers the selected text, table, or image.
Button image | Align Right | Aligns the selected text, table, or image to the right edge of the content.
Left-to-Right button | Left-to-Right | Converts the direction of the selected text, table, or image, including the reading order, alignment, and overall layout, to a left-to-right orientation.
Right-to-Left button | Right-to-Left | Converts the direction of the selected text, table, or image, including the reading order, alignment, and overall layout, to a right-to-left orientation.
Numbering button | Numbered List | Creates a numbered list for the selected text if it's not numbered, and removes a numbered list from the selected text if it's already numbered.
Bullets button | Bulleted List | Creates a bulleted list for the selected text if it’s not bulleted, and removes a bulleted list from the selected text if it's already bulleted.
Decrease indent button | Decrease Indent | Shifts the selected text, table, or image to the previous tab stop.
Increase indent button | Increase Indent | Shifts the selected text, table, or image to the next tab stop.


Remove personalized changes on a Web Part Page

Remove personalized changes on a Web Part Page

You can remove personalized changes you have made to a Web Part Page and revert to the current shared property values for the Web Parts on the page.

Caution The Reset Page Content command permanently deletes personalized Web Part property values and permanently deletes any private Web Parts.

To reset Web Part page content
  • On the Web Part Page menu, click Reset Page Content.

Note The Reset Page Content command is only visible in personal view, and if you have previously personalized the Web Part Page.


Switch Web Part Page views

Switch Web Part Page views

Important Be careful switching Web Part page views. The contents of the Web Part Page and the values of the Web Part properties are often different in each view. More importantly, the scope and effect of changes you make varies significantly in each view.

Switch to personal view

If you are in shared view and you want to switch to personal view:

  • On the Web Part Page menu, click Modify Shared Page, and then select Personal View.

All subsequent changes that you make to Web Part properties and any Web Parts you add or remove will apply only to you.

Switch to shared view

If you are in personal view and you want to switch to shared view:

  • On the Web Part Page menu, click Modify My Page, and then select Shared View.

All subsequent changes that you make to Web Parts on the page will be applied to all users sharing that page and apply to those users if they have not personalized the Web Parts.


About connecting Web Parts

About connecting Web Parts

You can connect Web Parts together by passing data, such as a row or filter, from one Web Part to change the display of the other Web Part's data. By connecting Web Parts, you can synchronize their behavior and manage data in dynamic and interesting ways. Traditionally, the chore of connecting sets of data from different data sources has not been easy and has often required programming skills. But with Web Parts, making data connections is as simple as using menu commands. By connecting Web Parts, you can, for example, present data from two Web Parts in alternate views, perform related calculations between two Web Parts, and filter a Web Part using values from another Web Part — all on one Web Part Page.

What are Web Part connections?

Using Web Part connections, you can create or enhance your Web Part Pages. Typically, you connect Web Parts together so that when you perform an action in one Web Part, it changes the contents of another Web Part.

For example, you can connect an Employees List View Web Part to the Image Web Part by passing data to it. Each time you select a row in the Employees List View Web Part that contains a column with a picture of that employee, you can see the picture displayed in the Image Web Part.

A basic Web Part connection

1 A Web Part connection is a way to pass data from one Web Part to another Web Part and synchronize their behavior.

2 One Web Part provides the data.

3 Data can be lists, rows, cells, or parameter values.

4 The other Web Part gets the data.

You can make the Web Part connection from either Web Part by using the connection type submenu from the Connections command on the Web Part menu. For example, if one Web Part's connection type submenu command says Provide Row To, the other Web Part's connection type submenu command says Get Row From.

Not only can you make Web Part connections on the same Web Part Page, but you can also make connections between Web Parts on two different Web Part Pages in the same top-level site by using a Microsoft Windows SharePoint Services—compatible HTML editor, such as Microsoft Office FrontPage 2003.

The basic steps to creating Web Part connections

Creating a Web Part Page with Web Part connections is a simple, three-step process:

Step 1: Decide what data you want available on the Web Part Page

Often, there are one or more List View Web Parts that provide the data you want. Lists present your data in a tabular format and make it easy to modify and refresh data, change the sort order, filter within the list, and aggregate data. By using the view selector in the tool pane, you can easily change the view of a List Web Part, to work with just the columns you need.

In some cases, the data you want is in an application data source external to your site. There are several approaches you can take to make this external data source available. You could request your site administrator to install a Web Part that is designed to use external data sources, such as the Microsoft Office PivotView Web Part, available from Microsoft Office Web Parts and Components. Alternatively, a Web Part developer could develop a customized Web Part that uses an external data source and that can also connect to other Web Parts.

Step 2: Add the Web Parts to the Web Part Page

Most lists are available as List View Web Parts in your site Web Part gallery, and there are usually a variety of additional Web Parts available from all the Web Part galleries you have access to. Sometimes, you may need to import a Web Part from a user at another site who has created an interesting or useful instance of a Web Part. Occasionally, you may want to search for Web Parts on external Web sites, such as the SharePoint Portal Server Web Component Directory or from another software manufacturer, and then request that they be installed on your Web site by your site administrator. Over time, your Web Part galleries will grow and adapt to your needs and the needs of your enterprise.

Step 3: Connect the Web Parts to get the results you want

You can only make connections between Web Parts that support Web Part connections. The Connections submenu on the Web Part menu displays only the type of connection you can make, and the available Web Parts submenu displays only compatible Web Parts. Once you have done steps one and two, decision-making is very simple and no knowledge of scripting or coding is required to make the Web Part connection.

The basic building blocks of Web Part Connections

There are many ways to combine and connect Web Parts on a Web Part Page. Typically, you will make several of these Web Part connections on your Web Part Page. The following scenarios describe common types of data connections between Web Parts. Think of these scenarios as basic building blocks for Web Part connections.

Master/Detail

You have a master list of data and you need to display detailed information related to this master list.

A Basic/Detail example

1 An Employee Basics Web Part contains basic, commonly—accessed employee data, such as ID, name, and job title.

2 To look up employee details, you select a row.

3 The row is passed to the other Web Part.

4 In the Employee Details Web Part, all the employee details are displayed in a form view.

In a List View Web Part, you can even sort and filter a large list to help find the employee before selecting the row. If the detail data is extensive, you could even display the Detail Employee Web Part on another Web Part Page.

Summary/Detail

You have a summary list of data and you need to display the detailed information that produces the summary data.

A Summary/Detail example

1 A Year-to-Date Pay Stub Web Part contains your compensation information.

2 You select the the summary information about your accumulated vacation time and sick days.

3 The summary information is passed to the other Web Part.

4 In the Pay Stub Details Web Part that displays weekly data, you verify the weeks you recorded those days to refresh your memory or confirm their accuracy.

Parent/Child

You display a list of data (the parent) and for each row there is one or more related rows (the children) you want to display in another list.

A Parent/Child example

1 An Orders Web Part provides a list of the most recent customer orders.

2 You click the row containing the order you want to examine.

3 The row is passed to the other Web Part.

4 In the Order Details Web Part, all the line items for that order are displayed.

Search and filter

You want to enter data, such as search or filter criteria, in one Web Part to display results in another Web Part.

A search or filter criteria example

1 In the Book Search Web Part, you enter book information, such as title, author, and subject, to try to find the book or set of books.

2 You click SUBMIT.

3 The search criteria is passed to the other Web Part.

4 The Book List Web Part displays one or more books that match your search criteria.

Calculations

Although you can often calculate data inside a Web Part, sometimes you may want to combine two Web Parts to make your calculations more flexible.

A Calculation example

1 You enter mortgage numbers into a Mortgage Numbers Web Part.

2 You click GO.

3 The mortgage numbers are passed to the other Web Part.

4 The Mortgage Calculator Web Part computes the mortgage and displays the monthly payment schedule.

Alternate data views

Viewing your data in several different ways can help you to understand implications, trends, and relationships. You can pass lists, rows, and cells (or fields and parameters) from one Web Part and display the data in an alternate view.

An example of a list

You want to display all company employees in a hierarchy chart.

A alternate view of list data

1 The Employees Web Part displays the employee ID, employee name, job title, and manager ID of everyone who works for your company.

2 Because you are using all the data, no selection is required.

3 All the data is passed to another Web Part.

4 The Organization Chart Web Part displays the working relationships between employees and can display alternate views of this hierarchy.

An example of a row

You want to view a row of demographic data in a chart, such as a pie chart or bar graph.

An alternate view of row data

1 A Population Statistics Web Part displays demographic data such as age, income, and heritage.

2 You select a row of demographic data.

3 You pass the data to another Web Part.

4 The Chart Web Part displays the row of data in a pie chart and alternatively a bar graph.

An example of a cell

You want to track the overall progress of a fund-raising drive.

An alternate view of cell data

1 In a Fund-Raising Web Part, each member of a group enters the amount of money they have raised.

2 The current total is displayed in a total field.

3 The total field is passed to the other Web Part.

4 You check your group's overall progress in the Charity Goal Web Part.

Data enhancement

You want to augment basic data about people and places to make it more interesting, appealing, and useful.

A data enhancement example

1 A Contacts Web Part displays information you need to keep track of business associates, such as name, address, and perhaps a photo.

2 You select a contact.

3 A row of data is passed to the other Web Part.

4 You see a photo of the contact displayed in the Image Web Part and locate their business address in a Map Web Part.


Complete a Web Part connection

Complete a Web Part connection

To complete a Web Part connection, in some cases you may need to provide additional information, such as the connection type or a column you want to filter. You can use two dialog boxes: the Choose Connection dialog box and the Create/Edit Connection dialog box.

Note Depending on how one or both of the Web Parts were created, you may see additional dialog boxes that are unique to the Web Part connection. For more information, see the help information, if any, for the custom Web Part.

The Choose Connection dialog box

You use the Choose Connection dialog box when the Web Part you are connecting to has several compatible connection types available, and you need to select the one you want. For example the List View Web Part has three connection types, Provide Row To, Provide View Data To, and Get Sort/Filter From.

In the Connection type list box, select one the connection types. These are the same connection type commands you see in the Connections submenu under the Web Part menu.

Create/Edit Connection dialog box

You use the Create/Edit Connection dialog box to match columns between the Web Part getting the data and the Web Part providing the data.

Note It's possible you can make a connection that is correct, but not meaningful. For example, The Web Part providing the data may have a product ID column and the Web Part getting the data has an employee ID column. Although you can match these columns, the results will not make sense.

In the Column list box, either select a column from the Web Part that's getting the data, or the Web Part that is providing the data, or both.

The following are common examples:

Matching a row of data in one Web Part to a cell or field of data in another Web Part

The Web Part you are connecting from is a Contacts List View Web Part. One of the columns in the list view is a column containing a hyperlink called Photo that contains a URL to a picture of the contact. You make a connection to the Image Web Part, which can only display a URL containing a picture. You need to choose the Photo column from the Contacts Web Part to provide the correct match to the Image Web Part.

Matching a row of data in one Web Part to a column of data in another Web Part so you can filter it

The Web Part you are connecting from is a List View Web Part containing order data. One of the columns in the list view is a column containing a line item called OrdersDetailsID. You make a connection to another List View Web Part, which has several columns containing order details, one of which is a matching column called OrdersDetailsID. To connect the two Web Parts so that when you select the Order in one Web Part it displays each line item for that order in the other Web Part, you must match the OrdersDetailsID columns in each Web Part.

Note The column name does not have to be the same, but the underlying data needs to match, or have the same value.

Related Topics

About connecting Web Parts
Create or modify a connection between two Web Parts
Delete a connection between two Web Parts


Create or modify a connection between two Web Parts

Create or modify a connection between two Web Parts

Using simple menus and dialog boxes, you can connect Web Parts together by passing data between them and synchronizing their behavior. For example, if you have a List View Web Part of Contacts with a column that has a hyperlink to a picture of the contact and the Image Web Part Web Part on a Web Part Page, you can connect the two Web Parts together. Each time you select a row in the List View Web Part of Contacts, you can see the picture displayed in the Image Web Part.

  1. Open the Web Part Page.
  2. On the Web Part Page title bar, click Modify Shared Page/Modify My Page, and then click Design this Page.
  3. Decide which two Web Parts you want to connect. You can create or modify the same connection starting from either Web Part.
  4. From either one of the Web Parts, click the Web Part menu, and then move the pointer over Connections.

    Note This menu command may not be enabled or visible on your Web Part Page for several reasons, including the Web Part or the zone does not support connections, you are not using the correct browser, or connections are disabled at your site.

  5. From the connection type submenu, select the type of connection you want to create or modify, such as Provide Row To or Filter Data With.

    Note The connection type submenu can vary from Web Part Page to Web Part Page and Web Part to Web Part for several reasons, including the property settings for the Web Part Page, Web Part, or Web Part zone, the type or compatibility of Web Parts on the page, and whether or not the Web Parts have compatible connection types.

  6. From the available Web Parts submenu, select the Web Part for which you want to create or modify a connection.

    Note Only Web Parts that can be connected will appear on the available Web Parts submenu. Some Web Parts on the Web Part Page may not be designed to make connections, some Web Parts may not support making connections to the current Web Part, or certain connection limits may currently be exceeded.

  7. For some Web Part connections, you might need to select additional information in the Choose Connection and Create/Edit Connection dialog boxes. Follow the instructions in the dialog boxes, and click Help for more information, if it is available.

Related Topics

About connecting Web Parts
Delete a connection between two Web Parts


Delete a connection between two Web Parts

Delete a connection between two Web Parts
  1. Open the Web Part Page.
  2. On the Web Part Page title bar, click Modify Shared Page/Modify My Page, and then click Design this Page.
  3. From either one of the Web Parts for which you want to delete the connection, open the Web Part menu and rest the mouse pointer on Connections. Make sure there is a check mark to the left of the Connections command.
  4. On the connection type submenu, move the pointer over the type of connection you want to delete — for example, Provide Row To or Filter With. Make sure there is a check mark to the left of the connection type.
  5. From the available Web Parts submenu, select the Web Part for which you want to delete a connection. Make sure there is a check mark to the left of the Web Part name.
  6. In the dialog box, click Remove Connection, and then click OK.


About Web Part galleries

About Web Part galleries

A Web Part gallery is a central warehouse of Web Parts that you can use to locate a specific Web Part when you are creating a Web Part Page. Depending on how your site administrator has configured your site, you may have up to four different Web Part galleries available to you. If you have the appropriate permissions, you can access the available Web Part galleries at your site by clicking either Browse or Search from the Web Part Page menu. Once you locate the Web Part you want, you typically drag it to your Web Part Page.

The Site Web Part Gallery

The Site Web Part Gallery is often the most central Web Part gallery for your work group. This Web Part gallery is typically managed by your server administrator, who decides which Web Parts are available and safe for your site. By default, the gallery name is the name of your site. For example, if your site is called "Boaters and Sailors", then the Web Part gallery name is “Boaters and Sailors Gallery”. There is only one Site Web Part Gallery for each site and any subsites under it.

The Web Part Page Gallery

The Web Part Page Gallery is a collection of Web Parts that are available to a specific Web Part Page but not visible on the page, whether you are browsing or designing the page. Each Web Part page has its own Web Part Page Gallery. Through this gallery a Web Part Page author can, for example, create a pool of recommended Web Parts for users to add to the Web Part Page.

The Web Part Page Gallery also contains Web Parts that at one time were on the page, but have since been closed by you or another user (On the Web Part menu, click Close). Web Parts can be either closed by you, as you personalize the Web Part Page in personal view, or by the Web Part page author who created the page for all users in shared view.

Closing a Web Part removes a Web Part from the Web Part Page and moves it to the Web Part Page Gallery. A closed Web Part (as opposed to a deleted Web Part) is still technically on the Web Part Page, but is not available because its IsIncluded property is set to False. However, you can add it back to the Web Part Page at any time, if you have the appropriate permission.

The Online Web Part Gallery

The Online Web Part Gallery contains an additional set of Web Parts available from Microsoft. In this gallery, you can locate several MSNBC Web Parts that display news, stock, and weather information. Over time, you may find additional Web Parts available in the Online Web Part Gallery, either from Microsoft, or from other software manufacturers and vendors. You can also create your own Online Web Part Gallery. For more information on creating your own Online Gallery, see the Microsoft Windows SharePoint Services Software Development Kit.

The Virtual Server Web Part Gallery

If your enterprise is large, has many sites, and has decided to conveniently install the same set of Web Parts on many sites, then these Web Parts may be stored in a Virtual Server Web Part Gallery.

You can deploy Web Parts in a Virtual Server Web Part Gallery by developing a Web Part Package file (.cab). For more information on deploying Web Parts on virtual servers, see the Windows SharePoint Services Software Development Kit.


About Web Part Page templates

About Web Part Page templates

The purpose of a Web Part Page template is twofold: To organize the layout of a Web Part Page into zones, and to arrange one or more Web Parts inside these zones.

Overview of Web Part Page templates

When you first create a Web Part Page, you can choose from one of eight templates. Each template is organized into one or more zones with a unique name. A descriptive name and an animated thumbnail image help you choose the best template to fit your needs. Templates help you quickly decide the layout of a page so you can begin designing the page right away. Typically, you add one or more Web Parts to one or more zones when you first design a page. When there are two or more Web Parts in a zone, they are stacked either vertically or horizontally, depending on the template and the zone.

Web Part Page template

If there are no Web Parts in a zone, the zone collapses (unless the zone has a fixed width or height) and the other zones expand to fill unused space when you browse the page.

Modifying Web Part Page templates

Once you choose a template and create the Web Part Page, you cannot change the template from a browser. In most cases, the supplied templates will be sufficient for the page you are creating. However, there are times you may need to modify an existing template or design your own template. For example, your page might grow more complex than you originally anticipated, or the purpose of the page might change. If you need more control over your templates, you can use an HTML editor that is compatible with Windows SharePoint Services from Microsoft, such as Microsoft Office FrontPage 2003. For more information, see the documentation of the HTML editor program you use.


Change permission settings for a list or library

Change permission settings for a list or library

View permissions for a list

  1. Navigate to the list, and then in the Action pane, click Modify settings and columns.
  2. On the Customize List_name page, in the General Settings section, click Change permissions for this list_or_document_library.

    The Change Permissions:List_name page displays the users and groups that have access to the list, and shows the permissions level assigned to each user or group.

Change list permissions for a specific site group

  1. Navigate to the list, and then in the Action pane, click Modify settings and columns.
  2. On the Customize List_name page, in the General Settings section, click Change permissions for this list_or_document_library.
  3. Select the box next to the site group you want to change.

    For example, click the check box next to Web Designer to change the permissions for all members of the Web Designer site group.

  4. Click Edit Permissions of Selected Users.
  5. In the Choose Permissions section, select the level of permissions to allow, and then click OK.

Assign list permissions to a specific user or group

  1. Navigate to the list, and then in the Action pane, click Modify settings and columns.
  2. On the Customize List_name page, in the General Settings section, click Change permissions for this list_or_document_library.
  3. On the list toolbar, click Add Users.
  4. In the Step 1: Choose Users section, in the Users area, in the text box, type the e-mail address or domain name and account name for the user or group you want to assign permissions.
  5. In the Step 2: Choose Permissions section, in the Permissions section, select the level of permissions for the user or group, and then click Next.
  6. In the Step 3: Confirm Users section, verify that the e-mail address, user name, and display name for the user or group are correct.
  7. To notify the user or group of the permissions with an e-mail message, in the Step 4: Send E-Mail section, select the Send the following e-mail to let these users know they've been added check box, and fill in the text you want to send.
  8. Click Finish.

Remove list permissions for a user, group, or site group

  1. Navigate to the list, and then in the Action pane, click Modify settings and columns.
  2. On the Customize List_name page, in the General Settings section, click Change permissions for this list_or_document_library.
  3. Select the box next to the site group, user, or group from which you want to remove permissions, and then click Remove Selected Users.
  4. Click OK.

Reset permissions to the default state

  1. Navigate to the list, and then in the Action pane, click Modify settings and columns.
  2. On the Customize List_name page, in the General Settings section, click Change permissions for this list_or_document_library.
  3. Click Inherit permissions from the parent Web site.
  4. Click OK to change to inherited permissions.

Note The Inherit permissions link does not appear unless the list permissions are already customized.

Enable anonymous access for a list

  1. Verify that anonymous access is enabled for your site.
  2. Navigate to the list, and then in the Action pane, click Modify settings and columns.
  3. On the Modify Settings and Columns page, in the General Settings section, click Change permissions for this list_or_document_library.
  4. In the Action pane, click Change anonymous access.
  5. On the Change Anonymous Access Settings page, click the check box for the level of permissions that you want to grant to anonymous users.

    Note If Internet Information Services (IIS) is not configured to allow anonymous access, these check boxes are unavailable.

  6. Click OK.


Allow or prevent custom ordering of items

Allow or prevent custom ordering of items

This feature is not available for all lists.

  1. On the page that displays the list, click Modify settings and columns. If the list is in a Web Part, click the list name in the Web Part title bar first.
  2. Under Views, do one of the following:

    Change an existing view

    • Click the view name in the View (click to edit) column.

    Create a view

    1. Click Create a new view.
    2. Click the type of view you want to create.
    3. On the Create View page, in the Name section, type a name for the view.
    4. If you want the new view to be the default view, select the Make this the default view check box.
  3. In the Sort section, under Allow users to order items in this view, select the option you want. If you don't see this option, it is not available for the type of list you are working with.
  4. At the bottom of the page, click OK.

Related Topics

Arrange list items in a custom order
About sorting and customizing item order
Sort items


Approve or reject an item

Approve or reject an item

Note To complete the steps listed below, you must be a site administrator or a member of a site group with the Manage Lists right.

  1. On the page displaying the list or library for which you want to approve or reject items, click Approve/reject Items.
  2. Point to the item you want to approve or reject, click the down arrow on the menu that appears, and then click Approve/reject.
  3. Click on either Approve, Reject, or Pending.
  4. Type a comment (optional) explaining why you approved, rejected, or left the item pending.
  5. Click OK.

Related Topics

About content approval


About rights and the default site groups

About rights and the default site groups

This topic explains the rights and site groups you can assign to users by using commands in Stsadm.exe and by using SharePoint Central Administration. Each user right or site group is listed by the name that appears in SharePoint Central Administration. The name used to identify a site group for the Stsadm.exe command-line tool is listed in a table. For each site group, the default rights included in that site group are listed. For each right, any rights dependent on the right are listed, as well as any default site groups that include the right.

Default site groups

Microsoft Windows SharePoint Services includes five site groups by default. If you are a member of the Administrator site group or a site group with the Manage Site Group right, you can customize the rights available in these site groups or add new site groups to combine different sets of rights.

Guest

The Guest site group is used to give guest users access to a specific list, without giving them access to the entire site. In addition to belonging to the Guest site group, you can use per-list permissions to grant access to a specific list. The Guest site group cannot be customized or deleted.

Command-line name | Rights included in by default
guest | None

Reader

The Reader site group allows a user to view items in lists and document libraries, view pages in the site, and create sites if the site creation feature is enabled.

Command-line name | Rights included in by default
reader | Use Self-Service Site Creation View pages View items

Contributor

The Contributor site group allows a user to interact with Web Parts and lists and document libraries. They can also create and manage personal views and cross-site groups, and personalize Web Part Pages.

Command-line name | Rights included in by default
contributor | All rights included in the Reader site group, plus: Add items Add/Remove Private Web Parts Browse Directories Create cross-site groups Delete items Edit items Manage personal views Update Personal Web Parts

Web Designer

The Web Designer site group allows a user to customize the Web site using the HTML tools or a Web page editor compatible with Windows SharePoint Services, such as Office FrontPage 2003.

Command-line name | Rights included in by default
web designer | All rights included in the Contributor site group, plus: Add and customize pages Apply themes and borders Apply style sheets Cancel check-out Manage lists

Administrator

The Administrator site group allows a user to have complete control over a Web site. They can configure settings, manage users and site groups, and view usage analysis data.

Command-line name | Rights included in by default
administrator | All rights included in the Web Designer site group, plus: Create sites and workspaces Manage list permissions Manage site groups View usage data

User rights

Windows SharePoint Services includes 20 rights, which are used in the five default user site groups. If you are a member or a site group with the Manage Site Groups right, you can change which rights are included in a particular site group (except for the Guest and Administrator site groups) or create a site group to contain a specific list of rights.

Add and Customize Pages

Grants permission to create pages for a Web site by using ASP.NET, ASP, and HTML .

Site groups included in by default | Dependent rights
Web Designer, Administrator | Browse Directories, View Pages

Add Items

Grants permission to add items to lists or files and folders to libraries. Adding items to lists includes participating in discussion boards and responding to surveys.

Site groups included in by default | Dependent rights
Contributor, Web Designer, Administrator | View Items, View Pages

Add/Remove Private Web Parts

Grants permission to add and remove Web Parts to personalize Web Part Pages.

Site groups included in by default | Dependent rights
Contributor, Web Designer, Administrator | Update Personal Web Parts, View Items, View Pages

Apply Style Sheets

Grants permission to apply a style sheet to the entire Web site.

Site groups included in by default | Dependent rights
Web Designer, Administrator | View Pages

Apply Themes and Borders

Grants permission to apply a theme or border to an entire Web site.

Site groups included in by default | Dependent rights
Web Designer, Administrator | View Pages

Browse Directories

Grants permission to browse the directory structure of a Web site.

Site groups included in by default | Dependent rights
Contributor, Web Designer, Administrator | View Pages

Cancel Check-out

Grants permission to cancel the check-out action performed by another user.

Site groups included in by default | Dependent rights
Web Designer, Administrator | View Pages

Create Cross-Site Groups

Grants permission to create or delete cross-site groups, or to change the membership of a cross-site group.

Site groups included in by default | Dependent rights
Contributor, Web Designer, Administrator | View Pages

Create Sites and Workspace sites

Grants permission to create a new subsite or Workspace site, such as a Document Workspace or Meeting Workspace.

Site groups included in by default | Dependent rights
Reader, Contributor, Web Designer, Administrator | View Pages

Delete Items

Grants permission to delete list items and files and folders from libraries. This right also grants permission to delete previous versions of files from libraries that save version information for files.

Site groups included in by default | Dependent rights
Contributor, Web Designer, Administrator | View Items, View Pages

Edit Items

Grants permission to edit existing list items and files in libraries. This right also grants permission for the following:

  • Checking files in and out of libraries
  • Changing the order of items in a list that allows custom ordering
  • Attaching files to list items and removing attachments from list items
  • Editing properties of files in libraries
  • Merging forms in a form library
  • Removing a Meeting Workspace site from a list item
  • Restoring files to previous versions in libraries that save version information

Site groups included in by default | Dependent rights
Contributor, Web Designer, Administrator | View Items, View Pages

Manage Lists

Grants permission to create, edit, or delete lists and libraries and change their settings. This right grants permission for the following:

  • Allowing users with the Edit Items right to change the order of items in a list
  • Specifying whether a library tracks version information for files
  • Adding, editing, and removing columns in a list or library
  • Creating public views for lists
  • Setting the default view for a list
  • Relinking forms to form libraries

Site groups included in by default | Dependent rights
Web Designer, Administrator | View Items, View Pages, Manage Personal Views

Manage List Permissions

Grants permission to change permissions for a list or library.

Site groups included in by default | Dependent rights
Administrator | Manage Lists, View Items, View Pages, Manage Personal Views

Manage Personal Views

Grants permission to create, edit, or delete personal views on lists.

Site groups included in by default | Dependent rights
Contributor, Web Designer, Administrator | View Items, View Pages

Manage Site Groups

Grants permission to create, delete, and edit site groups, both by changing the rights assigned to the site group and by changing which users are members of the site group.

Site groups included in by default | Dependent rights
Administrator | View Pages

Manage Web Site

Grants permission to perform administration tasks for a particular site or subsite.

Site groups included in by default | Dependent rights
Administrator | View Pages

Update Personal Web Parts

Grants permission to update Web Parts to display personalized information.

Site groups included in by default | Dependent rights
Contributor, Web Designer, Administrator | View Items, View Pages

Use Self-Service Site Creation

Grants permission to use the Self-Service Site Creation feature to create a top-level Web site.

Site groups included in by default | Dependent rights
Reader, Contributor, Web Designer, Administrator | View Pages

View Items

Grants permission to view items in lists, files in libraries, and Web discussion comments. This right also grants permission for the following:

  • Choosing display style in picture libraries
  • Downloading pictures from picture libraries
  • Adding, editing, and deleting alerts
  • Filtering and sorting items and files in lists and libraries
  • Viewing properties for files in libraries
  • Viewing files attached to list items
  • Viewing previous versions of files in libraries that track version information

Site groups included in by default | Dependent rights
Reader, Contributor, Web Designer, Administrator | View Pages

View Pages

Grants permission to browse pages in the Web site.

Site groups included in by default | Dependent rights
Reader, Contributor, Web Designer, Administrator | None

View Usage Data

Grants permission to view reports on Web site usage.

Site groups included in by default | Dependent rights
Administrator | View Pages

Related Topics

About site groups
Overview of Windows SharePoint Services Administration


Enable or disable unique permissions for a subsite

Enable or disable unique permissions for a subsite
  1. On the Site Settings page of the subsite that you want to configure, in the Administration section, click Go to Site Administration.
  2. On the Site Administration page, in the Users and Permissions section, click Manage permission inheritance.
  3. In the Permissions area, specify whether or not you want the subsite to use the same account and site group information as the parent Web site.
  4. Click OK.

Note When you enable unique permissions, a copy of the parent Web site's user accounts and site groups remains with the subsite. You can then add and remove any accounts and site groups as needed. The subsite retains the same anonymous user settings as the parent Web site unless you change these settings.


Add a site group

Add a site group
  1. On the Site Settings page for a Web site, in the Administration section, click Go to Site Administration.
  2. On the Site Administration page, in the Users and Permissions section, click Manage site groups.
  3. On the Manage Site Groups page, click Add a Site Group.
  4. In the Site Group Name and Description area, type the name and description for the new site group.
  5. In the Rights area, select the rights you want to include in the new site group.
  6. Click Create Site Group.


Copy an existing site group

Copy an existing site group
  1. On the Site Settings page for the Web site, in the Administration section, click Go to Site Administration.
  2. On the Site Administration page, in the Users and Permissions section, click Manage site groups.
  3. On the Manage Site Groups page, click the site group you want to copy.
  4. On the Members of Site_group_name page, click Edit Site Group Permissions.
  5. On the Edit Site Group Site_group_name page, click Copy Site Group.
  6. On the Copy the Site Group Site_group_name page, in the Site Group Name and Description area, type the name and description for the new site group.
  7. To copy the users from the existing site group into the new site group, select the Copy users from Site_group_name box.
  8. In the Rights area, select any additional rights you want the site group to contain.
  9. Click Create Site Group.


View a list of site groups

View a list of site groups

Use the Site Administration pages to view site groups

  1. On the Site Settings page for the Web site, in the Administration section, click Go to Site Administration.
  2. On the Site Administration page, in the Users and Permissions section, click Manage site groups.

    Microsoft Windows SharePoint Services displays the site groups available for the Web site on the Manage Site Groups page.

Use the command line to view site groups

You can view site groups and site group membership from the command line in Microsoft Windows SharePoint Services. To view the list of site groups, you use the enumroles operation. This operation takes the url parameter, and then displays a list of the names of the site groups for that URL. Use this list to identify the name of the correct site group when assigning permissions to users. For example, to view the list of site groups for a site, type the following command:

stsadm -o enumroles -url http://server_name/site_name


Assign a user to a different site group

Assign a user to a different site group

Use Site Administration to assign a user to a site group

  1. On the Web site you want to manage, click Site Settings.
  2. On the Site Settings page, in the Administration section, click Manage Users.
  3. On the Manage Users page, select the box next to the user or cross-site group name you want to change.
  4. Click Edit Site Group of Selected Users.
  5. In the Site Group Membership area, select the site group to which you want the user or cross-site group to belong.
  6. Click OK.

Use the command line to assign a user to a site group

You can assign a user to a site group from the command line by using the userrole operation. The userrole operation takes the url, userlogin, role, and add or delete parameters. Use the following syntax to add a user to the Contributor site group:

stsadm.exe -o userrole –url http://server_name/site_name –userlogin DOMAIN_name\User_name
-role contributor -add

Note This does not remove the user from any site groups to which he or she previously belonged.


Enable or disable rights for a site group

Enable or disable rights for a site group
  1. On the Site Settings page for the Web site, in the Administration section, click Go to Site Administration.
  2. On the Site Administration page, in the Users and Permissions section, click Manage site groups.
  3. On the Manage Site Groups page, click the site group you want to change.
  4. On the Members of Site_group_name page, click Edit Site Group Permissions.
  5. On the Edit Site Group Site_group_name page, select or clear the specific rights as needed.
  6. Click Submit.


Delete a site group

Delete a site group
  1. On the Site Settings page for the Web site, in the Administration section, click Go to Site Administration.
  2. On the Site Administration page, in the Users and Permissions section, click Manage site groups.
  3. On the Manage Site Groups page, select the box next to the site group you want to delete.
  4. Click Delete Selected Site groups.
  5. Click OK.


Rights and site groups for Web Part Pages and Web Parts

Rights and site groups for Web Part Pages and Web Parts

Use the following sections to help you decide how to grant or deny rights, assign users to appropriate site groups, and manage personalized changes to Web Parts by users.

Typical ways to control Web Part Pages

Security for Web Part Pages and Web Parts is integrated with security for Microsoft Windows SharePoint Services. A subset of rights affects Web Part Pages and Web Parts (View Pages, View Items, Add and Customize Pages, Add Items, Edit Items, and Delete Items). Also, there are rights unique to Web Part Pages and Web Parts (Add/Remove Private Web Parts and Update Personal Web Parts). Typically, as a site administrator you would like to control who can do what to a Web Part Page and the Web Parts on it by allowing, for example:

  • A site reader to view, but not to personalize, a Web Part Page.
  • A site contributor to browse and personalize a Web Part Page on a site, but not to make changes to a Web Part Page or its Web Parts for all users in shared view.
  • A Web designer to browse, create, customize, and make changes to a Web Part Page and its Web Parts on a site or in a document library for all users in shared view.

Managing personalized changes to Web Part Pages by users

If at one time any user has had View Pages or View Items rights, but they have been removed, the user can still delete personalizations made to Web Part Pages. The Web Part will revert to its shared property values.

Once a user has personalized a Web Part Page, there is no automatic way to replace these personalized changes by a system administrator or user with appropriate permission. However, a system administrator or user with appropriate permission can go to the Web Part Maintenance Page and delete all personalized changes there. Any personalized changes made by the user will revert to the shared property values.

Rights for Web Part Pages and Web Parts on a site and in a document library

The following table summarizes how Windows SharePoint Services rights affect a user's experience when working with Web Part Pages and Web Parts on a site and in a document library.

This right Allows you to And applies to
View Pages
  • Browse a Web Part Page
A Web Part Page on a site, but not in a document library
View Items
  • View a Web Part on a Web Part Page
  • Open a Web Part Page in a document library
A Web Part Page in a document library
Add/Remove Private Web Parts
  • Add a Web Part to and remove a Web Part from a Web Part Page

    Note This right is dependent on and automatically granted with the Update Personal Web Parts right by default.

A Web Part Page on a site and in a document library
Update Personal Web Parts
  • Make changes to a Web Part Page that apply only to the current user in personal view

    Note This right is dependent on and must be granted with the Add/Remove Private Web Parts right.

A Web Part Page on a site and in a document library
Add and Customize Pages
  • Create a Web Part Page
  • Edit a Web Part Page by using a Windows SharePoint Services—compatible HTML editor, such as Microsoft Office FrontPage 2003
  • Delete a Web Part Page
  • Make changes to a Web Part Page that apply to all users in shared view
  • Make changes to a Web Part Page that apply to all users in shared view by adding Web Parts to and removing Web Parts from a Web Part Page
A Web Part Page on a site, but not in a document library
Add Items
  • Create a new Web Part Page in a document library
A Web Part Page in a document library
Edit Items
  • Edit a Web Part Page
  • Edit a Web Part Page by using a Windows SharePoint Services—compatible HTML editor, such as Microsoft Office FrontPage 2003
  • Make changes to a Web Part Page that apply to all users in shared view
  • Make changes to a Web Part Page that apply to all users in shared view by adding Web Parts to and removing Web Parts from a Web Part Page
A Web Part Page in a document library
Delete Items
  • Delete a Web Part Page in a document library
A Web Part Page in a document library

Web Part Page and Web Part default rights for each site group

The following table summarizes the Web Part Page and Web Part rights granted by default to each site group.

Right | Reader | Contributor | Web Designer | Administrator
View Pages | Granted | Granted | Granted | Granted
View Items | Granted | Granted | Granted | Granted
Add/Remove Private Web Parts | Denied | Granted | Granted | Granted
Update Personal Web Parts | Denied | Granted | Granted | Granted
Add Items | Denied | Granted | Granted | Granted
Edit Items | Denied | Granted | Granted | Granted
Delete Items | Denied | Granted | Granted | Granted
Add and Customize Pages | Denied | Denied | Granted | Granted

Comparing default site groups on a site and in a document library

As the following table shows, default site groups provide different abilities depending on whether the Web Part Page is located on a site or in a document library.

Site Group Abilities on a team Web site Abilities in a document library
Administrator
  • Create a Web Part Page
  • Edit a Web Part Page by using a Windows SharePoint Services—compatible HTML editor, such as Microsoft Office FrontPage 2003
  • Delete a Web Part Page
  • Browse a Web Part Page and its Web Parts
  • Make changes to a Web Part Page that apply to all users in shared view
  • Personalize a Web Part
  • Add a private Web Part to a Web Part Page, or delete a private Web Part from a Web Part Page
  • Create a Web Part Page
  • Edit a Web Part Page by using a Windows SharePoint Services—compatible HTML editor, such as Microsoft Office FrontPage 2003
  • Delete a Web Part Page
  • Browse a Web Part Page and its Web Parts
  • Make changes to a Web Part Page that apply to all users in shared view
  • Personalize a Web Part
  • Add a private Web Part to a Web Part Page, or delete a private Web Part from a Web Part Page
Web Designer
  • Create a Web Part Page
  • Edit a Web Part Page by using a Windows SharePoint Services—compatible HTML editor, such as Microsoft Office FrontPage 2003
  • Delete a Web Part Page
  • Browse a Web Part Page and its Web Parts
  • Make changes to a Web Part Page that apply to all users in shared view
  • Personalize a Web Part
  • Add a private Web Part to a Web Part Page, or delete a private Web Part from a Web Part Page
  • Create a Web Part Page
  • Edit a Web Part Page by using a Windows SharePoint Services—compatible HTML editor, such as Microsoft Office FrontPage 2003
  • Delete a Web Part Page
  • Browse a Web Part Page and its Web Parts
  • Make changes to a Web Part Page that apply to all users in shared view
  • Personalize a Web Part
  • Add a private Web Part to a Web Part Page, or delete a private Web Part from a Web Part Page
Contributor
  • Browse a Web Part Page and its Web Parts
  • Personalize a Web Part
  • Add a private Web Part to a Web Part Page, or delete a private Web Part from a Web Part Page
  • Create a Web Part Page
  • Edit a Web Part Page by using a Windows SharePoint Services—compatible HTML editor, such as Microsoft Office FrontPage 2003
  • Delete a Web Part Page
  • Browse a Web Part Page and its Web Parts
  • Make changes to a Web Part Page that apply to all users in shared view
  • Personalize a Web Part
  • Add a private Web Part to a Web Part Page or delete a private Web Part from a Web Part Page
Reader
  • Browse a Web Part Page and its Web Parts
  • Browse a Web Part Page and its Web Parts


About allowing Workspace site creation

About allowing Workspace site creation

By default, only users who are members of the Administrator site group are allowed to create, rename, or delete sites. This helps ensure the security of sites in a Web site collection. However, if many users in your organization use word processing or calendaring and e-mail programs compatible with Microsoft Windows SharePoint Services, such as Microsoft Office Word 2003 and Microsoft Office Outlook 2003, you might want to allow users to create Workspace sites for documents and meetings. Workspace sites are specialized sites for developing a team document, or planning and tracking the results of meetings. By allowing Workspace site creation, you make it possible for users to create a Document Workspace site or Meeting Workspace site from within their Windows SharePoint Services-compatible programs. This ease of site creation allows convenient collaboration and information sharing. However, as users create many sites, administrators need to use the Windows SharePoint Services site quotas and metrics to track usage and delete old sites.

By enabling Workspace site creation for a group of users, you give the Create Sites and Workspaces right to the selected users or cross-site groups.

Related Topics

Allow Workspace site creation
About quotas
About checking site usage


Allow workspace creation

Allow workspace creation
  1. On the top link bar, click Site Settings.
  2. On the Site Settings page, click Configure site and workspace creation.
  3. Select the site groups that will be allowed to create, rename, and delete Workspaces sites.
  4. Click OK.

Notes

  • By allowing workspace site creation for a group, you effectively give the Create Sites and Workspaces right to the selected site groups.
  • If you do not see the Configure site and workspace creation link on the Site Settings page, you are probably in a subsite and need to go to the parent Web site. To do so, on the top link bar, click Up to Parent_Site_Name. Note that you may need to go up more than one time to reach the top-level site.

Related Topics

About allowing workspace creation


About cross-site groups

About cross-site groups

Cross-site groups let you create a group of users that can be used in all sites in a site collection. In contrast, site groups are used to assign rights to users or cross-site groups. You assign rights to a cross-site group by adding it to a site group or using list or library permissions settings.

Cross-site groups are a convenient way to manage groups of people who collaborate frequently on many sites in a site collection. For example, if a team has many Meeting Workspace and Document Workspace sites, you can create one cross-site group to use for all the workspace sites.

With cross-site groups, you can assign an owner who controls who can be added or removed from the cross-site group. You can also set up a cross-site group so that the members of the group can add or remove users.

Notes

  • You can create a cross-site group only by using the Windows SharePoint Services Site Administration pages, and not through the stsadm.exe command line.
  • Because cross-site groups do not have e-mail addresses, you cannot add them to a site from Windows SharePoint Services-compatible programs such as Microsoft Office Outlook 2003 or Microsoft Office Word 2003.
  • When using Microsoft Active Directory account creation mode, the Minimum Password Age group policy on the domain controller must be set to 0 days. Failure to do so will result in users being unable to change their passwords, unless they have administrator rights on the server. For information about setting the Minimum Password Age group policy, see Microsoft Windows 2003 Server online help.

Related topics

Create, edit, or delete a cross-site group
Add a user to a cross-site group


Add a user or cross-site group

Add a user or cross-site group

Add a user or group by using the Site Administration pages

  1. On the Web site you want to manage, click Site Settings.
  2. On the Site Settings page, in the Administration section, click Manage Users.
  3. On the Manage Users page, click Add Users.
  4. In the Step 1: Choose Users section specify the users that you would like to add, separated by semicolons. You can enter:
    • E-mail addresses (for example, someone@example.com)
    • User names (for example, DOMAIN\user_name)
    • Microsoft Active Directory directory service security group names (for example, DOMAIN\security_group_name)
    • Domain group names (for example, DOMAIN\group_name)
    • Cross-site group names (for example, Accounting)

    Notes

    • When running Windows SharePoint Services in a server farm, you cannot add local accounts.
    • Local accounts must exist before you attempt to add them. Windows SharePoint Services does not create local accounts like SharePoint Team Services v1.0 does.
    • When using Active Directory account creation mode, you cannot add local accounts or security groups.
  5. In the Step 2: Choose Permissions section, select the site group to which you want to add the users, and then click Next.
  6. In the Step 3: Confirm Users section, verify the e-mail addresses, user names, and display names.
  7. In the Step 4: Send E-mail section, if you want to send an invitation, select Send the following e-mail to let these users know they've been added, and type the subject and body text information to send in the e-mail message.
  8. Click Finish.

Add a user by using SharePoint Central Administration

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the SharePoint Central Administration page, in the Security Configuration section, click Manage Web site users.
  3. On the Manage Web Site Users page, in the Site URL box, type the URL to the site, and then click View.
  4. In the Add a User section, specify the users that you would like to add, separated by semicolons. You can enter:
    • E-mail addresses (for example, someone@example.com)
    • User names (for example, DOMAIN\user_name)
    • Microsoft Active Directory directory service security group names (for example, DOMAIN\security_group_name)
    • Domain group names (for example, DOMAIN\group_name)
    • Cross-site group names (for example, Accounting)

    Notes

    • When running Windows SharePoint Services in a server farm, you cannot add local accounts.
    • Local accounts must exist before you attempt to add them. Windows SharePoint Services does not create local accounts like SharePoint Team Services v1.0 does.
    • When using Active Directory account creation mode, you cannot add local accounts or security groups.
  5. In the Display name box, type the full name.
  6. In the E-mail address box, type the e-mail address.
  7. In the Site group box, select a site group to which to add the user or group, and then click Add User.

Add all users from an e-mail distribution list

Note To complete the steps in this section you must have a Windows SharePoint Services-compatible address book program such as Microsoft Office Outlook 2003 installed on the computer you are running.

  1. On the Web site you want to manage, click Site Settings.
  2. On the Site Settings page, in the Administration section, click Manage Users.
  3. On the Manage Users page, click Add Users.
  4. In the Step 1: Choose Users section, click Address Book.
  5. Select the distribution list you want to add from the address book.

    Note You can add only distribution lists that reside on the same e-mail server as your current e-mail account. For example, in Office Outlook 2003 the names of distribution lists that reside on the same e-mail server appear in bold text.

    The list of users from the distribution list appears in the Users field.
  6. In the Step 2: Choose Permissions section, select the site group to which you want to add the members of the distribution list, and then click Next.
  7. In the Step 3: Confirm Users section, verify the e-mail addresses, user names, and display names.
  8. In the Step 4: Send E-mail section, if you want to send an invitation, select Send the following e-mail to let these users know they've been added, and type the subject and body text information to send in the e-mail message.
  9. Click Finish.

Note Adding or removing users from the e-mail distribution list will not add or remove them from the site. You must manually add or remove users from the site after changing your distribution list membership.

Add a user using the command line

You can also add a user account to the site by using the adduser operation. The adduser operation takes the url, userlogin, useremail, username, and role parameters, plus the optional parameter siteadmin. Use the siteadmin parameter to specify that the user is the site administrator or owner of the site. Note that if you are using account mode for Microsoft Active Directory directory service, you do not need to specify the userlogin parameter. Use the useremail parameter to identify the user for this mode.

Use the following syntax to add a user to the Administrator site group:

stsadm.exe -o adduser –url http://server_name/site_name
–userlogin DOMAIN_name\User_name -useremail User_name@example.com
-username "User_name" -role administrator

Assign rights to a top-level Web site for all authenticated users

  1. On the site, click Site Settings.
  2. In the Administration section, click Go to Site Administration.
  3. On the Site Administration page, in the Users and Permissions section, click Manage anonymous access.
  4. In the All Authenticated Users section, under Allow all authenticated users to access site, select Yes.
  5. Under Assign these users to the following site group, select a site group.
  6. Click OK.

Note You cannot add a cross-site group to a Meeting Workspace site.


Delete a user account or cross-site group

Delete a user account or cross-site group

Important When you delete a user account, all personalizations the user has made are deleted as well.

Use Site Administration to delete a user or cross-site group from all site groups

  1. On the Web site you want to manage, click Site Settings.
  2. On the Site Settings page, in the Administration section, click Manage Users.
  3. On the Manage Users page, select the box next to the user or cross-site group you want to delete.
  4. Click Remove Selected Users.
  5. On the confirmation message that appears, click OK to remove the users.

Remove a user from a top-level Web site

  1. On the top-level Web site, click Site Settings.
  2. In the Administration section, click Go to Site Administration.
  3. On the Top-Level Site Administration page, in the Site Collection Administration section, click View site collection user information.
  4. Select the box next to the user you want to remove, and then click Remove Selected Users.

Use SharePoint Central Administration to delete a site user or change site group membership

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the SharePoint Central Administration page, in the Security section, click Manage Web site users.
  3. On the Manage Web Site Users page, in the Site URL box, type the URL to the site, and then click View.
  4. In the Enter Site User section, in the Account name box, type the user account you want to change or delete, and then click View.
  5. To change site group membership, select the box next to the site group to which you want the user to belong, and then click Update.
  6. To remove the user from all site groups, select the Delete this user account box, and then click Update.

Use the command line to delete a site user

You use the deleteuser operation to remove users from a site. The deleteuser operation takes the url and userlogin parameters. To remove a user, use the following syntax:

stsadm.exe -o deleteuser –url http://server_name/site_name
–userlogin domain_name\user_name


Add a user to a cross-site group

Add a user to a cross-site group
  1. On the Web site you want to manage, click Site Settings.
  2. In the Administration section, click Go to Site Administration.
  3. In the Users and Permissions section, click Manage cross-site groups.
  4. Click the name of the cross-site group to which you want to add a user.
  5. Click Add Members.
  6. Enter the e-mail addresses or user names (for example, DOMAIN\user_name) of the users you want to add to the cross-site group. You can add multiple addresses or user names, separated with semicolons.
  7. Click Next.
  8. On the Add Users page, confirm which users will be added to this cross-site group. If there's a mistake, click Back and correct it.
  9. Click Finish.

Related topics

About cross-site groups
Create, edit, or delete a cross-site group


Create, edit, or delete a cross-site group

Create, edit, or delete a cross-site group

Create a cross-site group

  1. On the Web site you want to manage, click Site Settings.
  2. In the Administration section, click Go to Site Administration.
  3. In the Users and Permissions section, click Manage cross-site groups.
  4. Click New Cross-site Group.
  5. Type a name and description for the group in the fields provided.
  6. In the Owner section, specify the owner of the cross-site group:
    • If you want to own the group yourself, click Yourself.
    • To allow other members of this site collection to add and remove users, click Allow members of this cross-site group to add and remove site users.
    • To specify another user as the owner of this cross-site group, click Someone else and then click the Select button to choose an owner from the Select Owner window that appears.
  7. Click Create.

Edit a cross-site group

  1. On the Web site you want to manage, click Site Settings.
  2. In the Administration section, click Go to Site Administration.
  3. In the Users and Permissions section, click Manage cross-site groups.
  4. Click the name of the cross-site group that you want to edit.
  5. Click Change Cross-site Group Settings.
  6. Type the desired name and description for the group in the fields provided.
  7. In the Owner section, specify the owner of the cross-site group:
    • If you want to own the group yourself, click Yourself.
    • To allow other members of this site collection to add and remove users, click Allow members of this cross-site group to add and remove site users.
    • To specify another user as the owner of this cross-site group, click Someone else and then click the Select button to choose an owner from the Select Owner window that appears.
  8. Click Create.

Delete a cross-site group

  1. On the Web site you want to manage, click Site Settings.
  2. In the Administration section, click Go to Site Administration.
  3. In the Users and Permissions section, click Manage cross-site groups.
  4. Click checkbox that corresponds to the name of the cross-site group that you want to delete and then click Delete Selected Cross-site Groups.
  5. Click OK to confirm that you want to delete the group, or click Cancel to cancel the deletion.

Related topics

About cross-site groups
Add a user to a cross-site group


Add a member to a Document Workspace

Add a member to a Document Workspace

To add members to a Document Workspace site, you must have the Create Subsite right, or you must belong to the Administrator site group.

  1. On the home page of the Document Workspace site, in the Members Web Part, click Add new member.
  2. Complete steps 1 and 2 on the Add Users page, and then click Next.
  3. Complete steps 3 and 4 on the Add Users page, and then click Finish.


Manage attendees and users

Manage attendees and users
About the difference between attendees and users in a Meeting Workspace site
About the Attendees list and rights in a Meeting Workspace site
Add, edit, or delete an attendee in a Meeting Workspace site
About multiple meetings in a workspace site
About filters
Filter Items
Delete a view of a list, document library, or discussion board
Create a view
Change permission settings for a list or library
About alerts
Add an alert


View user account information

View user account information
  1. On the Web site you want to manage, click Site Settings.
  2. On the Site Settings page, in the Administration section, click Manage Users.

    The Manage Users page displays the users and the site groups and cross-site groups added to the Web site.


View user information

View user information

To view user information, and find out who has contributed to the site:

  1. On the top link bar, click Site Settings.
  2. In the Manage My Information section, click View information about site users.
  3. In the Display Name column, click the name of a user for whom you wish to view details.


Manage alerts for a top-level Web site

Manage alerts for a top-level Web site
  1. On the Site Settings page for the top-level Web site, in the Administration section, click Go to Site Administration.
  2. In the Management and Statistics section, click Manage user alerts.
  3. In the Display alerts for menu, click the name of the site user with an alert that you want to delete, and then click Update.
  4. To delete an alert, select the check box next to the alert, and then click Delete Selected Alerts.

Important When you remove a user from a site after he or she has create alerts, you must manually delete any alerts that he or she has set up. This is also true for any lists or libraries where you change security settings to limit access. If a user has set up alerts for the list or library, he or she will continue to receive them after you change the security settings. It is important to delete these alerts to prevent unauthorized users from having access to site and user information.

Related Topics

About managing alerts
About alerts


Modify user account information

Modify user account information
  1. From the home page for a SharePoint site, on the top link bar, click Site Settings.
  2. On the Site Settings page, under Manage My Information , click View information about site users.
  3. Click the user account you want to modify.
  4. Click Edit User Information.
  5. Specify the new user information for this account.
    • In the Display Name field, type the name of the user. This is the name that other site members see when this user contributes to the site; for example, when adding documents or participating in Web discussions.
    • In the E-mail Address field, type the e-mail address of the user.
    • In the Notes field, type any comments about this user account.
  6. To assign administrative rights for this site collection to this user, select Site collection administrator.
  7. Click Save and Close.

Note The User Information page displays the account names of only those users who have used the site. To modify the account of a user who has not accessed the site, delete the account and then recreate it with the updated information.


About regional and language considerations

About regional and language considerations

You can control the language and regional settings available for Web sites based on Microsoft Windows SharePoint Services by using two methods:

  • Language template packs Language template packs allow you to use site templates designed for specific languages. When you create a site based on a site template in a language template pack, the navigation and pages for that site are displayed in that language.
  • Regional settings You can customize every Web site, including top-level Web sites and subsites based on Windows SharePoint Services, to use specific regional settings that apply to the users of your site. You can specify the following regional settings:
    • Locale Controls how numbers and dates are displayed in the site.
    • Sort order Controls the sort orders used for lists and libraries.
    • Time zone Controls the time zone for the Web site.
    • Time format Specifies whether to display times in 12-hour or 24-hour format.

    To specify the locale ID for a site, you can use either SharePoint Central Administration or the command line. To change the sort order, time zone, or time format for a site, you must use SharePoint Central Administration.

About languages and locales

Windows SharePoint Services uses the following terms to describe the language and regional settings that are used for a Web site:

  • Language ID The language ID specified when a Web site is created controls the language used in the Web site itself. For example, if the site was created in French (language ID 1036), then all of the toolbars, navigation bars, _layouts pages, and so on, appear in French. If the site was created in Arabic (1025), then the text is in Arabic, and the default left-to-right orientation of the site is change to right-to-left to properly display Arabic text.

    By default, Windows SharePoint Services has language packs that contain site templates for 25 language IDs. You can install one or more of these language packs to a Web server to support users creating sites in as many languages as you need. For example, if you have a server running the Japanese version (language ID 1041) of Windows SharePoint Services, you can install a US English (1033) language pack with templates that allow users to create sites configured for US English.

  • Locale ID The locale ID is specified on the Regional Settings page, and affects how numbers, calendars, sorting, and time are displayed in the site. For example, if you have a US English language site (language ID 1033), and you change the locale ID to French (Canada) (locale ID 3084), then the Events list and Calendar views reflect the French notations for dates, numbers, time, and so on. The locale ID does not affect the orientation of the site. Choosing Arabic (Egypt) (locale ID 3073) does not change the site to right-to-left orientation, but does allow you to display the Events list with dates in Arabic notation. Each language template has a default locale ID. For example, in the US English (1033) template, the default locale ID is also 1033.

    Windows SharePoint Services supports all of the locale IDs supported by Windows Server 2003.

Related Topics

Configure regional settings
Install a language pack


Configure regional settings

Configure regional settings
  1. On the site, click Site Settings.
  2. On the Site Settings page, under Administration, click Go to Site Administration.
  3. On the Site Administration page, in the Management and Statistics section, click Change regional settings.
  4. On the Regional Settings page, select the settings to use, and then click OK.

Note Server administrators, and members of the SharePoint Administrators group, can specify a default time zone to use for all sites on a virtual server..

Specifying locale IDs on the command line

When you extend a virtual server, create a new top-level Web site, or create a new subsite from the command line, you can specify the locale ID to use. The extendvs, createsite, createsiteinnewdb, and createweb operations all accept the LCID parameter. To provide a locale ID for any of these operations, type the numerical value for the locale, such as 1033 for US English or 1036 for French/France. For example, to create a subsite and use the French locale ID for France, use the following syntax:

stsadm.exe -o createweb -url http://server_name/site1/subsite1 -lcid 1036

Each of these operations take several other parameters. For more information about these operations, see the Windows SharePoint Services Resource Kit.

Related Topics

About regional and language settings
Install a language pack
Configure a virtual server


Specify Web discussion settings

Specify Web discussion settings
  1. On the site, click Site Settings.
  2. On the Site Settings page, under Administration, click Go to Site Administration.
  3. On the Site Administration page, under Management and Statistics, click Manage Web discussions, and then do any of the following:
    • To see all discussion threads associated with your site, click All Web discussions, and then click Update.
    • To see discussion threads for documents in a specific folder, type a path in the Web discussions in folder http://server_name/ box, and then click Update.
    • To view a particular discussion thread, click the URL for the thread and then in your Web browser toolbar, click Discuss.
    • To delete a particular discussion thread, select the check box next to the thread, and then click Delete.
    • To delete all discussion threads on your site, click Delete all discussions.


Turn email notification on or off

Turn email notification on or off

You can specify whether to send an email to a user when an issue has been assigned to that user and when the issue has been modified.

  1. On the top link bar, click Documents and Lists.
  2. Click the issues list for which you want to turn email notification on or off.
  3. Click Modify settings and columns on the left side bar.
  4. Under General Settings, click Change general settings.

  5. To turn on email notification

    Click Yes for Email Notification.

  6. To turn off email notification

    Click No for Email Notification.
  7. Click OK.


View a list of sites

View a list of sites

If you are a member of the Administrator site group for a site, you can view a list of subsites from the Manage Sites and Workspaces page in Site Settings. This list displays only the immediate set of subsites for the current site (one level down).

If you are a site collection administrator, you can see the full list of subsites for the site collection (any subsites of the top-level Web site, plus any of their subsites) by using the View Site Hierarchy page in Site Administration.

View the list of immediate subsites for a site

  1. On the site, click Site Settings.
  2. On the Site Settings page, under Administration, click Manage sites and workspaces.

View the entire list of subsites within a site collection

  1. On the top-level Web site for the site collection, click Site Settings.
  2. On the Site Settings page, under Administration, click Go to Site Administration.
  3. Under Site Collection Administration, click View site hierarchy.


About creating sites

About creating sites

Microsoft Windows SharePoint Services gives you convenient ways to create Web sites, including the following:

  • The SharePoint Central Administration pages or the Self-Service Site Creation page for creating top-level Web sites
  • The Create page or the Site Administration pages for creating a site under an existing Web site
  • Integration with Windows SharePoint Services-compatible programs such as Office Word 2003 and Office Outlook 2003 for creating workspace sites

Deciding which kind of site to create depends on the intended scope and use of the site. For example, you may want to create a top-level Web site for an entire organization and separate sites under that site for each team.

If you need to create a site to help manage the development of a shared document or file, you should create a Document Workspace site. A Document Workspace site provides a document library to share the file and other files related to it, as well as lists to help track issues and team member information.

If you need a site to share information and tasks related to a meeting, create a Meeting Workspace site. With this type of site, you can develop the agenda and objectives as well as maintain a list of attendees.

Self-Service Site Creation

If the users in your organization will need to create many top-level Web sites, you may want to use the Self-Service Site Creation tool. Using this tool is easy; it's similar to creating a subsite. If you want to control top-level Web site creation yourself, however, you can turn off the Self-Service Site Creation feature and create top-level Web sites on your users' behalf from SharePoint Central Administration. To create a top-level Web site outside of Self-Service Site Creation, you must be an administrator of the computer on which the site will reside or a member of the SharePoint Administrator group.

Creating sites from the command line

If you are an administrator of the server computer, or a member of the SharePoint Administrator group, you can create sites by using the Stsadm.exe command-line tool. To create a top-level Web site, use the createsite operation. To create a subsite, use the createweb operation.


Delete a site

Delete a site

Delete a subsite

Note To complete the steps in this section, you must be a member of the Administrator site group for the site that you want to delete.

  1. On the top link bar, click Site Settings.
  2. In the Administration section, click Go to Site Administration.
  3. In the Management and Statistics section, click Delete this site.
  4. Click Delete to confirm.

Note If the site you're deleting is a Meeting Workspace site, ignore step 1. Instead, on the Modify This Workspace menu, click Site Settings. Then follow the remaining steps.

Delete a top-level site

Note To complete the steps in this section, you must be a member of the Windows Administrator group on the computer hosting the top-level site that you want to delete.

  1. On the computer hosting the site, click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. Under Virtual Server Configuration, click Delete site collection .
  3. In the Enter Site URL section, type the URL of the site that you want to delete.
  4. Click OK.


About managing alerts

About managing alerts

You can manage alerts by enabling or disabling alerts for the virtual servers and specifying the number of alerts that users can create. You can also specify how often (between 1 and 59 minutes) the server sends out immediate alerts and when users receive daily and weekly alerts.

When enabling or disabling alerts, remember the following:

  • If you're making major changes to your server, you may want to temporarily disable alerts and then re-enable them when you're done.

When specifying the interval for sending immediate alerts, keep the following in mind:

  • If there are frequent changes to documents and folders, setting a longer wait interval will reduce the number of e-mail messages that members receive.
  • If your site has only a few changes per day, you may want to set a short interval (such as two minutes) for immediate alerts.
  • If you're making major changes to your site, you may want to temporarily disable alerts and then re-enable them when you're done.

You can view alerts for a top-level Web site and delete alerts that are no longer needed. You can manage alerts for top-level Web sites only, not for subsites: Alert data for subsites is stored along with the alert data for the parent top-level Web site.

If you are a server administrator or a member of the SharePoint administrators group, you can also use the Stsadm.exe command-line tool to configure alert settings . Using the command line, you can do the following:

  • Turn alerts on or off
  • Specify how many alerts users can create
  • Set timer settings for alerts

Alerts use the Windows SharePoint Services e-mail settings to send alert items. When you configure alert settings, be sure that you also verify the e-mail settings for your virtual server. For more information, see Specify e-mail settings.

Important When you remove a user from a site after he or she has create alerts, you must manually delete any alerts that he or she has set up. This is also true for any lists or libraries where you change security settings to limit access. If a user has set up alerts for the list or library, he or she will continue to receive them after you change the security settings. It is important to delete these alerts to prevent unauthorized users from having access to site and user information.

Related Topics

About alerts
Add an alert
View alerts
Delete an alert
Configure alerts for a virtual server
Specifying mail settings


About managing Web discussions

About managing Web discussions

The Web discussions feature enables users to attach comments to a Web page or to any document that can be opened with a browser (such as .htm, .xls, .doc, and .ppt files). Users can place comments in the document or have them appear in the discussion pane at the bottom of the Web browser window. All comments are stored on the SharePoint site. Anyone reviewing a document can view and reply to comments. The document owner (and reviewers) can then review discussions and incorporate changes based on the feedback received.

Managing discussions involves:

  • Monitoring discussions.
  • Deleting old discussions.

Note Don't confuse the Web discussions feature with the discussion boards that you can create. A discussion board is a kind of list that appears in a page of your SharePoint site. It is a kind of online bulletin board where users post topics and reply. The Web discussions feature is used to review files. Web discussion comments appears within the individual files when you view them in your Web browser.


Troubleshoot Windows SharePoint Services

Troubleshoot Windows SharePoint Services

You can find the latest tips for resolving problems in Troubleshooting Windows SharePoint Services.


Troubleshoot Document Workspace sites

Troubleshoot Document Workspace sites

I can't create a Document Workspace site on a Windows SharePoint Services site.

The administrator of the Microsoft Windows SharePoint Services Web site may not have enabled Document Workspace site creation for your site group. Contact the administrator and request that your site group have permission to create Document Workspace sites.


Troubleshoot Meeting Workspaces

Troubleshoot Meeting Workspaces

I deleted a workspace site, but the link is still in the meeting request.

Changes you make in the workspace site are not sent to your Microsoft Windows SharePoint Services-compatible calendar and scheduling program. You must open the meeting request and remove the link from there.

Attendees can't access the workspace site.

One of the following may apply:

  • If you used a Microsoft Windows SharePoint Services-compatible calendar and scheduling program such as Microsoft Outlook to link a meeting request to an existing Meeting Workspace site, the workspace site may be using permission settings that prevent attendees from accessing the site. This can occur if the workspace site inherited its permission settings from the parent site and the attendees don't have access rights on the parent site. To get permissions assigned, contact the administrator of the parent site.
  • If you created or linked to a Meeting Workspace site from a Windows SharePoint Services event, the attendees may not have permissions for one of the following reasons:

    For workspace sites that use the same permissions as the parent site

    • Attendees may not have been added using a valid e-mail address (for example, someone@example.com) or user name (DOMAIN\name) in the Attendees list. Delete the attendee and enter a valid address or name.
    • Attendees may not have permissions on the parent site. To get permissions assigned, contact the administrator of the parent site.

    For workspace sites that use unique permissions

    Attendees may not have been added using a valid e-mail address (for example, someone@example.com) or user name (DOMAIN\name) in the Attendees list. Delete the attendee and enter a valid address or name.

The meeting request in my Windows SharePoint Services-compatible calendar and scheduling program doesn't have the same information as the Meeting Workspace site.

If you made changes in the workspace site or to a Microsoft Windows SharePoint Services event that is linked to the workspace site, those changes are not sent to your Windows SharePoint Services-compatible calendar and scheduling program, such as Microsoft Outlook. For example, if you add or delete names in the Attendees list in the workspace site, the changes are not sent to the meeting request in Outlook. However, if you add or delete attendees in the To box of the Outlook meeting request and then send (not save) the updates, Outlook will update the workspace site.

I don't see a way to create a Meeting Workspace site as a subsite to an existing Meeting Workspace site.

This is not supported.

I don't see a way to create a personal view.

Unlike some other Microsoft Windows SharePoint Services sites, the Meeting Workspace site does not support personal views. By default, the workspace uses shared views. Therefore, there is no way to switch between personal and shared views.

I can't customize the workspace because the customization features aren't available.

Possible causes:
  • You may not have rights that enable you to customize the workspace. Contact the person who set up the workspace to request the necessary rights.
  • You may be using a browser version that is not supported. To customize the Meeting Workspace site, you must be using Microsoft Internet Explorer 5.5 or later.

Attendees get multiple notifications about the Meeting Workspace site.

One of the following may have occurred:
  • If you added users from the Manage Users page under Site Settings, the option to send an e-mail message to the user is selected by default. To stop e-mail notification, you must clear the Send the following e-mail to let these users know they've been added check box.
  • The server where you created the workspace site is set up to automatically send a message when users are added to the workspace site. For more information, contact the server administrator.

Once these e-mail messages are stopped, the only message a user will receive is the meeting request you send using your Microsoft Windows SharePoint Services-compatible calendar and e-mail program.

A list with a custom order applied doesn't work the way I expect.

Which of the following describes your situation?

When I click Change Order, I get the message "The item order cannot be changed for a list that requires content approval."

You can either turn off the content approval requirement on the list, or you can prevent the Change Order feature from being used.

When I click Change Order, the list shows more items than it originally had or the items are no longer displayed in groups.

If the view of the list was filtered, the Change Order feature removes the filter. If the view of the list was grouped, the Change Order feature removes the grouping. To preserve a filtered or grouped view, prevent the Change Order feature from being used.

When I put list items in a custom order, that order is being applied to all views of that list.

Multiple views of the same list can't have different custom orders.

I have a list with more than 100 items, but the Change Order page shows a maximum of 100 items per page. I need to move items to a position greater than 100.

You must move the item sequentially through each page until you get to the page you want.
  1. Move the item to the last position on its current page. If the item is in position 4, move it to position 100.
  2. Go to the next page. The item you moved to position 100 is at the top of this page.
  3. If the position you want to move the item to is not on this page, move the item to the last position on this page, for example, move it from position 100 to position 200, and then go to the next page.
  4. Repeat these steps until you reach the page with the position you want to move the item to. Select that position.


Troubleshoot picture libraries

Troubleshoot picture libraries

Viewing and managing pictures

I can't find the picture I am looking for.

A filter may be applied to the picture library, or there may be more pictures on another page. To change filtering options, click Filter in the picture library, or click Next at the bottom of the page to see more pictures.

I can see the picture properties, but I can't edit them.

Switch to the Details display style to edit properties.

I can't arrange pictures in a different order.

Pictures are displayed in alphabetical order by title. If you want to see your pictures in a different order, try renaming them.

I am having trouble uploading a large selection of pictures.

The maximum number of pictures that can be uploaded at one time is 200. Try uploading in batches of 200 or fewer pictures.

I cannot see the second page of my fax.

You can't view additional pages for multiple image file types, such as .tif files, in picture libraries.

Sharing pictures

I have a file open on my computer, but I can't send pictures to it.

Verify that file is open and does not have any alert messages waiting for a response. If it's a new file that you created but have not saved yet, save the file first.

Nothing happens when I try to send pictures to a program compatible with Microsoft Windows SharePoint Services.

Verify that the program, such as Microsoft Office, is installed correctly.

Editing pictures

I get an error message when I try to edit my pictures.

Verify that you have a Microsoft Windows SharePoint Services-compatible image editor, such as Microsoft Office Picture Manager, installed on your computer.

I finished editing my pictures, but I can't get back to my picture library to see the changes.

When you edit pictures, the image editor opens in a new browser window. Make sure not to close the original browser window, because it has a link that will take you back to your picture library when you have finished editing your pictures.


Troubleshoot the XML Web Part

Troubleshoot the XML Web Part

I am having problems using the XSL Link or XSL Editor property in the XML Web Part

Possible reasons include the following:

  • The Extensible Stylesheet Language (XSL) specified in the XSL Link (XSLLink property) or XSL Editor (XSL property) is not valid. Make sure you have specified a valid XSL style sheet for this Web Part.
  • The XSL file specified in the XSL Link (XSLLink property) cannot be accessed by the site server. The site server may have anonymous access disabled or require you to log in with a user name and password. In either case, this makes the file inaccessible.

    If you can:

    • Move the XSL file to a secure location that has anonymous access enabled or to the same site as the XML Web Part.
    • Request the site administrator to enable anonymous access.
    • Move the XSL content from the XSL Link (XSLLink property) to the XSL Editor (XSL property).

For assistance, contact your site administrator.


Troubleshoot Web Part Pages

Troubleshoot Web Part Pages

In general, if you are having persistent problems viewing a Web Part Page, display the Web Part Maintenance Page to reset, close, and delete problem Web Parts or remove personal changes that may be causing the problem. To open the Web Part Maintenance Page, open the document library that contains the Web Part Page, rest your mouse pointer on the title, click Edit Properties on the Edit menu, and then click Open Web Part Page in maintenance view.

I can't modify the Web Part Page template or Web Part zones after I create a Web Part Page.

Using the browser, you cannot modify a template or zone after creating a Web Part Page. When you create a Web Part Page, choose the template carefully so you are using the best template for your needs. If you want to modify the template and zones, or create additional templates, use a Windows SharePoint Services-compatible HTML editor, such as Microsoft Office FrontPage 2003, that supports this functionality.

My Web Part titles are unexpectedly changing.

Although Web Part titles are not required to be unique on a Web Part Page, they must have unique names if you want to connect two Web Parts that have the same name.

When you open a Web Part Page or switch between designing and browsing, a numbered suffix is added to each duplicate Web Part title in the following way: <title>, <title> (2), <title> (3), and so on. The same numbered suffix is added for Web Parts with no titles — for example, <untitled>, <untitled> (2), <untitled> (3), and so on. If you add or remove a Web Part, a Web Part title may also change after the Web Part Page is refreshed. For example, <title> (4) may become <title> (5), or <untitled> (4) may become <untitled> (5).

These title changes are temporary and do not affect the Title property of the Web Part. In general, it's good practice to add a title to a Web Part and to give it a descriptive name that will likely be unique.

I'm having a problem searching for a Web Part from the tool pane.

Possible reasons include the following:

  • You may have typed text that generates too many results. Type a more specific word or phrase. Use whole words for your search phrase. Wildcards and Boolean logic are not supported. Search is not case sensitive.
  • There was a timeout on the server and the Web Part gallery could not be accessed. Try again later when the server is not as busy.
  • The Search Web Parts feature may be disabled.

For assistance, contact your site administrator.

I'm having problems adding a Web Part to a Web Part Page.

Possible reasons include the following:

  • A Web Part may be restricted to a specific zone on the Web Part Page by the Web Part developer or Web Part Page author, or you are not allowed to modify the Web Part zone.
  • There are no zones on the Web Part Page.
  • You do not have the appropriate permission to update the Web Part Page or modify zones on the Web Part Page.
  • You receive a “missing assembly” message. Web Part developers can display a custom message when the Web Part assembly is not found. This can occur when the Web Part assembly file is not available, or when there is a version mismatch between the Web Part on your Web Part Page and the Web Part stored in the Web Part gallery.
  • There is a problem with the Web Part file (.dwp). The file may not have well-formed XML, or the Web Part XML schema may be invalid.

For assistance, contact your site administrator or the Web Part developer.

I'm having problems viewing or modifying a Web Part property.

Possible reasons include the following:

  • You have not selected a Web Part. You need to select a Web Part before you can view or modify its properties. Alternatively, on the Web Part Page title bar, click Modify Shared Page/Modify My Page, click Modify Web Parts, and then click the Web Part whose properties you want to view or modify.
  • You do not have the appropriate permission to view or modify properties for the current Web Part Page.
  • The Web Part has been deleted from the site by another user.
  • The developer of the Web Part may have chosen not to display one or more common or custom properties for a specific Web Part.

For assistance, contact the site administrator or the Web Part developer.

There was a Web Part on my Web Part Page, but now it's missing.

Possible reasons include the following:

  • The Web Part may be hidden. A hidden Web Part has its IsVisible property set to False and is invisible when you browse a Web Part Page. Modify the design of the Web Part Page to reveal the zones and all the Web Parts on the page. (On the Web Part Page title bar, click Modify Shared Page/Modify My Page, and then click Design This Page.) The title of a hidden Web Part is preceded with '(Hidden)'.

    If you want to make the Web Part visible, click the Web Part menu, and then click Modify Web Part. In the tool pane, select the IsVisible property in the Layout section of the Web Part properties, and then click Apply or OK.

  • The Web Part is closed but still resides in the Web Part Page Gallery. If you have closed the Web Part, or set its IsIncluded property to False, the Web Part now resides in the Web Part Page Gallery and is not viewable on the page.

    If you want to make it visible, you can add it back to the page by dragging the Web Part from the Web Part Page Gallery.

  • The Web Part Frame State is cleared and the Frame Style is set to a value of None. If you have permission, modify one or both of the properties.

I'm having problems closing or deleting a Web Part on a Web Part Page.

If a Web Part is in a zone which does not allow changes, you cannot close or delete the Web Part.

    For assistance, contact the site administrator or the Web Part developer.

    The Web Part title bar is missing when I print a Web Part Page.

    You may need to change the print settings of your browser. To enable printing of a Web Part title bar in Microsoft Internet Explorer, point to the Tools menu, click Internet Options, click the Advanced tab, and then select Print background colors and images under the Printing section.

    I can't open a Web Part gallery.

    The site server may not be configured correctly to support Web Part galleries. For assistance, contact your site administrator.

    I'm having problems saving my Web Part property changes.

    Possible reasons include the following:
    • Web Part property changes are not automatically saved. You must click the OK or Apply buttons at the bottom of the tool pane to explicitly save your property changes.
    • You switched from shared view to personal view or personal view to shared view. Be careful switching views; it's not a good idea to switch views when making changes. In general, decide which view you want to work in first, then make changes in that view.


Troubleshoot connecting Web Parts

Troubleshoot connecting Web Parts

I can't make a connection between two Web Parts.

Possible reasons include the following:

  • You are browsing the Web Part Page. You can only make connections between Web Parts when you are designing the page. To design the page, click the Web Part Page menu, and then click Design this Page.
  • For security or performance reasons, the site administrator may have disabled Web Part connections on this site. In this case, the Connections submenu is not available.
  • The maximum number of connections for a connection type, such as Get Image From, has been reached. If possible, select another connection type, or remove a connection.
  • You may not have the appropriate permission to create Web Part connections.
  • The Connections submenu of the Web Part you are connecting from is hidden. This can occur if the Web Part zone does not allow you to make Web Part connections.
  • You are not using the correct browser. You must use Internet Explorer version 5.5 or later to make a connection between Web Parts.
  • You receive the message "The connection cannot be saved at this time. Try again later." In this case, the site server is busy. Try making the connection again when the site server is not busy. Also, check to see if your SharePoint quota has been exceeded.
  • There are no other Web Parts on the page that are compatible with this Web Part. The Web Part developer has created the Web Part so that only certain types of connections are supported.

For assistance, contact the site administrator or Web Part developer.

I can't delete or modify a Web Part connection.

Possible reasons include the following:

  • You are only browsing the Web Part Page. You can delete or modify connections between Web Parts only when you are designing the page.
  • You may not have permission to delete or modify Web Part connections. The Web Part developer or site administrator does not want connections to be modified or deleted on this Web Part Page.
  • You are not using the correct browser. You must use Internet Explorer version 5.5 or later to delete a connection between Web Parts.
  • The connection between two Web Parts is broken. You or another user deleted or disabled a Web Part after you made a connection to it.
  • The Web Part connection was created in another program. You cannot delete or modify this connection through the browser. To delete or modify this connection, you must use an HTML editor compatible with Windows SharePoint Services, such as Microsoft Office FrontPage 2003.
  • The Web Part you are trying to connect to is a static Web Part. To modify this connection, you must use a Windows SharePoint Services—compatible HTML editor, such as Microsoft Office FrontPage 2003.
  • A column in the Create/Edit Connection dialog box is not available. You attempted to modify a connection and the previous column selected no longer exists in the Column list because the list of columns was changed by another user. Select another column.

For assistance, contact your site administrator or the Web Part developer.

The Connections submenu is hidden or unavailable.

Possible reasons include the following:

  • You are not using the correct browser. You must use Internet Explorer version 5.5 or later to create, modify, or delete a connection between Web Parts.
  • The Web Part you are trying to connect from does not allow connections. You can try to find or import another Web Part that does what you want and that allows connections.
  • The zone that contains the Web Part does not allow connections.
  • The Web Parts were connected in shared view and so the connection cannot be changed in personal view. If you can, switch to shared view.
  • You do not have permission to make Web Part connections.
  • Web Part connections are not supported at the site.

I can't find a Web Part on the Web Part Page on the Connections submenu, or the available Web Parts submenu is unavailable.

Only compatible Web Parts are available from the Connections submenu. This situation can occur for one or more of the following reasons:

  • The Web Part you are trying to connect to does not support making connections. Not all Web Parts are designed to be connected.
  • The Web Part you are trying to connect from is not compatible with the Web Part you are trying to connect to because it has an incompatible Web Part type. This can occur for the following reasons:
    • You are in personal view, the Web Part you are trying to connect from is a shared Web Part or personalized Web Part, and the Web Part you are trying to connect to is a private Web Part on the same Web Part Page.
    • The Web Part you are trying to connect from is a private Web Part, and the Web Part you are trying to connect to is a shared Web Part or personalized Web Part on the same Web Part Page.
  • The Web Part you are trying to connect to or from allows only one connection. To create a new connection, you must first remove the current connection from that Web Part.
  • The Web Part you are trying to connect to is already connected to the Web Part you are trying to connect from through a different connection type. Web Parts can have more than one connection, but each connection must be to a different Web Part.
  • The Web Part you are trying to connect to is not compatible with the Web Part you are trying to connect from because the Web Part is required to run on either a client or server. There are two situations that can apply:
    • The Web Part you are trying to connect to currently runs on the client, and the Web Part you are trying to connect from runs on the server.
    • The Web Part you are trying to connect to currently runs on the server, and the Web Part you are trying to connect from runs on the client.

    In this case, the Web Parts you are trying to connect must both run either on the client or on the server.

For assistance, contact the site administrator.

I get the message "Web Part connections cannot be created at this time. One or more Web Parts on this page contains more information about the problem."

This message is displayed when there is a problem with the source code of the Web Part or the Web Part contains run-time errors. To correct these problems, note the details of the problem and contact the Web Part developer or your site administrator.

I'm having problems finding and connecting a List View Web Part.

Possible reasons include the following:

  • You changed the view of the list. Switching to a different view may disable Web Part connections that depend on columns in the view.
  • Although most lists have corresponding List View Web Parts and can be connected, several list types, including Issues and Surveys, are not supported.
  • Although most list column types are supported in List Web Part connections, several list column types, including Multiple Lines of Text and Hyperlink (for filtering), are not supported.

I'm having problems connecting to a Web Part on another Web Part Page.

Possible reasons include the following:

  • For performance or security reasons, the Web Part developer may have disabled connections to Web Parts on other Web Part pages.
  • The connection may be broken. Try re-creating or editing the connection in a Windows SharePoint Services—compatible HTML editor, such as Microsoft Office FrontPage 2003.
  • The Web Part Page you are trying to connect to or from may not exist on the same top-level site as your current Web Part Page. You can only create Web Part connections between different Web Part Pages that are on the same top-level site.
  • The Web Part Page you are trying to connect to or from may not exist on the same internet domain as your current Web Part Page. You can only create Web Part connections between different Web Part Pages that are on the same internet domain.


Troubleshooting issues and issues reports

Troubleshooting issues and issues reports

I removed a related issue and when I returned to view the issue, the change had not been made.

After you remove a related issue, or in general after you have edited an issue, you must click Save and Close to save the changes.


Get the desired search results

Get the desired search results

Your search did not return any results

  • Ensure that all words are spelled correctly.

  • Try different keywords or synonyms to describe the item for which you are searching.

  • Try more general keywords.

Your search returned too many results

  • Use more search words. You can include up to 255 characters.

  • Use more specific keywords. For example, rather than searching for “art,” search for the name of a specific artist or work.

Notes on the search engine

  • The search engine automatically includes variations of words based upon the base stem, such as plurals. For example, searching for the word “page” also returns results for “pages.”

  • You cannot use the asterisk "*" character.

  • The search engine does not support Boolean functions such as AND and OR.

  • The search engine automatically ignores common words such as “the,” “it,” and “by” as well as single-digit numbers.

  • The search engine is not case sensitive.

  • Attachments to list items do not appear in search results.

  • You cannot search for information in items (rows) that are not included in the current view. For example, if you search in a view that shows only items created by you, any items created by another user are not searched. However, searches include all information in the items that are not filtered, including information in columns that are hidden. Searches also include information in items that exceed the current view’s item limit.

  • There may be an internal error on the search server. Contact your server administrator for more information.


Functions

Functions

For information about using functions in formulas for calculated columns and default values, see the following topics.

Date and Time

  • DATE
  • DATEDIF
  • DATEVALUE
  • DAY
  • DAYS360
  • HOUR
  • MINUTE
  • MONTH
  • SECOND
  • TIME
  • TIMEVALUE
  • TODAY
  • WEEKDAY
  • YEAR

Financial

  • DDB
  • FV
  • IPMT
  • ISPMT
  • NPER
  • NPV
  • PMT
  • PPMT
  • PV
  • RATE
  • SLN
  • SYD

Information

  • IS
  • Me

Logical

  • AND
  • FALSE
  • IF
  • NOT
  • OR
  • TRUE

Lookup and Reference

  • CHOOSE

Math and Trigonometry

  • ABS
  • ACOS
  • ACOSH
  • ASIN
  • ASINH
  • ATAN
  • ATAN2
  • ATANH
  • CEILING
  • COS
  • COSH
  • DEGREES
  • EVEN
  • EXP
  • FACT
  • FLOOR
  • INT
  • LN
  • LOG
  • LOG10
  • MOD
  • ODD
  • PI
  • POWER
  • PRODUCT
  • RADIANS
  • ROMAN
  • ROUND
  • ROUNDDOWN
  • ROUNDUP
  • SIGN
  • SIN
  • SINH
  • SQRT
  • SUM
  • SUMSQ
  • TAN
  • TANH
  • TRUNC

Statistical

  • AVEDEV
  • AVERAGE
  • AVERAGEA
  • BETADIST
  • BETAINV
  • BINOMDIST
  • CHIDIST
  • CHIINV
  • CONFIDENCE
  • COUNT
  • COUNTA
  • CRITBINOM
  • DEVSQ
  • EXPONDIST
  • FDIST
  • FINV
  • FISHER
  • FISHERINV
  • GAMMADIST
  • GAMMAINV
  • GAMMALN
  • GEOMEAN
  • HARMEAN
  • HYPGEOMDIST
  • KURT
  • LOGINV
  • LOGNORMDIST
  • MAX
  • MAXA
  • MEDIAN
  • MIN
  • MINA
  • MODE
  • NEGBINOMDIST
  • NORMDIST
  • NORMINV
  • NORMSDIST
  • NORMSINV
  • POISSON
  • SKEW
  • STANDARDIZE
  • STDEV
  • STDEVA
  • STDEVP
  • STDEVPA
  • TDIST
  • TINV
  • VAR
  • VARA
  • VARP
  • VARPA
  • WEIBULL

Text and Data

  • ASC
  • CHAR
  • CLEAN
  • CODE
  • CONCATENATE
  • DOLLAR
  • EXACT
  • FIND
  • FIXED
  • LEFT
  • LEN
  • LOWER
  • MID
  • PROPER
  • REPLACE
  • REPT
  • RIGHT
  • SEARCH
  • T
  • TEXT
  • TRIM
  • UPPER
  • USDOLLAR
  • VALUE


Glossary

Glossary
A | B | C | D | E | F | H | I | J | L | M | N | P
Q | R | S | T | U | V | W
A
Back to top
access control list (ACL)
Contains a list of users or groups and their security permissions. Identifies who can update, modify, or delete an object on a computer or resource on the network.
Active Server Pages (ASP pages)
A technology that allows Web developers to combine scripts and HTML code to create dynamic Web content and Web-based applications.
administration port
The Internet Information Services (IIS) virtual server and port used for SharePoint Central Administration.
alert
A feature that notifies a user by e-mail when there is a change to an item, document, list, or document library on the Web site.
Anonymous authentication
An authentication method that provides access to users who do not have user accounts on the server computer.
Anonymous user access
The ability to gain access to a Web server on which one does not have an account. Usually, anonymous users have more restricted access rights than users with accounts.
application pool
In Internet Information Services (IIS), a group of one or more URLs served by a worker process.
B
Back to top
Basic authentication
An authentication protocol supported by most Web servers and browsers. Transmits the user name and password in clear text.
C
Back to top
cache
A special memory subsystem in which frequently used data values are duplicated for quick access.
Certificate authentication
An authentication method that provides security for TCP/IP connections. Also known as Secure Sockets Layer (SSL).
character set
A group of alphabetic, numeric, and other characters that have some relationship in common. For example, the standard ASCII character set includes letters, numbers, symbols, and control codes that make up the ASCII coding scheme. See also code page.
check in
To release the lock for editing and enable other users to view the updated file or check out the file.
check out
To lock a file while editing it to prevent others from overwriting or editing it inadvertently. Only the user who checks out a document can edit the document.
clear text
Unencrypted, non-machine dependent, ASCII text in readable form.
code page
An ordered set of characters in which a numeric index (code point) is associated with each character of a particular writing system. There are separate code pages for different writing systems, such as Western European and Cyrillic.
code point
A numeric value in Unicode encoding or in a code page; corresponds to a character. In the Western European code page, 132 is the code point for the character ä; however, in another code page, the code point 132 might correspond to a different character.
Common Gateway Interface (CGI)
A standard method of extending Web server functionality by executing programs or scripts on a Web server in response to Web browser requests, such as in form processing. Use of CGI can make a Web page more dynamic.
configuration database
The Microsoft SQL Server or MSDE database that contains the configuration information that applies across all servers in a deployment of Windows SharePoint Services, such as virtual server information.
configuration property
A property that allows an administrator to control Windows SharePoint Services settings.
connection type
The type of Web Part connection. For example, the Provide Row To connection type passes a row of data from one Web Part to another Web Part, and the Get Filter From connection type gets a value from one Web Part and filters the data in another Web Part based on that value.
content database
The Microsoft SQL Server or WMSDE database that contains the content for one or more SharePoint sites.
cross-site group
A custom security group that applies to more than one Web site. A cross-site group can be assigned to a site group as if it was a single user.
D
Back to top
Digest Access authentication
An authentication method that transmits user names and passwords in a secure format.
discussion server
A computer that stores discussion text and information about the location of the file being discussed.
discussion thread
In a discussion board or Web discussions, a series of messages or comments in which replies to a message or comment are nested directly under it, instead of the messages or comments being arranged in chronological or alphabetical order.
document library
A folder where a collection of files is stored and the files often use the same template. Each file in a library is associated with user-defined information that is displayed in the content listing for that library.
Document Workspace site
A Web site based on the Document Workspace template that workspace members use for discussing, editing, and working together on a document.
E
Back to top
encryption
A method used to scramble the content of a file or data packet to make the data unreadable without the decryption key.
encryption key
A block of data that is used to encrypt or decrypt information.
encryption, 128-bit
A high level of encryption that uses a 128-bit key to scramble the contents of a file or data packet to make the data unreadable without the decryption key.
encryption, 40-bit
Low level of encryption that uses a 40-bit key to scramble the contents of a file or data packet to make the data unreadable without the decryption key.
extend
To apply Windows SharePoint Services to a virtual server.
extranet
An external Web site for an organization; usually secured so that only authorized users can gain access to it.
F
Back to top
file allocation table (FAT)
A common format for file cataloging used by MS-DOS and Microsoft Windows operating systems to manage files on a hard disk; a physical method of storing and accessing files from a hard disk. The FAT contains a list of all files on the physical or logical drive.
File Transfer Protocol (FTP)
A protocol used to gain remote access to a Web server.
firewall
A security system that uses a proxy server outside of an organization's network to protect the network against external threats, such as malicious users or corrupt files.
FrontPage Server Extensions
A set of programs and scripts that support authoring in Microsoft Office FrontPage and extend the functionality of a Web server.
H
Back to top
home page
The main page of a Web site. A home page usually has hyperlinks to other pages, both inside and outside the site.
hyperlink
A colored and underlined block of text or a graphic that a user clicks to go to a file, a location in a file, an HTML page on the World Wide Web, or an HTML page on an intranet. Hyperlinks can also go to newsgroups and to Gopher, Telnet, and FTP sites.
I
Back to top
Integrated Windows authentication
An authentication method that encrypts user names and passwords in a multiple-transaction interaction between client and server. Also known as Windows NT Challenge/Response authentication.
Internet
The worldwide collection of networks and gateways that use the TCP/IP suite of protocols to communicate with one another. If you have access to the Internet, you can retrieve information from millions of sources, including schools, governments, businesses, and individuals.
Internet Information Services (IIS)
Software services from Microsoft that support Web site creation, configuration, and management, along with other Internet functions. Internet Information Services include Network News Transfer Protocol (NNTP), File Transfer Protocol (FTP), and Simple Mail Transfer Protocol (SMTP).
Internet Server Application Programming Interface (ISAPI)
A Web server application-development interface, developed by Process Software and Microsoft, that can be used in place of CGI.
intranet
A private network for an organization based on Internet protocols such as TCP/IP.
J
Back to top
JScript
An object-based scripting language distantly and loosely related to Java. JScript code is inserted directly into an HTML page.
L
Back to top
list
A Web site component that stores and displays information that users can add to by using their browsers. Requires a Web server that is running Windows SharePoint Services.
local administrators group
The group of users who have permission to perform administration tasks on the local server computer. The permissions for this group are set by using the administration tools for the operating system.
locale ID (LCID)
A 32-bit value defined by Microsoft Windows that identifies a particular language. The LCID consists of a language ID, a sort ID, and reserved bits. For example, the LCID for U.S. English is 1033, and the LCID for Japanese is 1041.
M
Back to top
Meeting Workspace site
A Web site based on a Meeting Workspace site template that is used for planning, posting, and working together on meeting materials, and following up after a meeting or series of meetings.
Microsoft SQL Server 2000 Desktop Engine (MSDE 2000)
A data store based on Microsoft SQL Server technology, but designed and optimized for use on smaller computer systems, such as a single-user computer or a small workgroup server. Previously known as Microsoft Data Engine.
Microsoft SQL Server 2000 Desktop Engine (Windows) (WMSDE 2000)
A version of MSDE 2000 designed specifically for Windows SharePoint Services.
multihosting
The ability of a Web server to support more than one Internet address and more than one home page. Also called multihoming.
N
Back to top
network domain name
A group of users in a network who share a common set of shared resources, such as server disk drives and printers. A large network may have several domains based upon the needs of each set of users.
NTFS file system
An advanced file system designed for use specifically with Microsoft Windows NT and later operating systems. NTFS allows for stronger security and more flexible file management methods than FAT. See also file allocation table (FAT).
P
Back to top
personal view
A view of a list, SharePoint document library, or Web Part Page that is available only to a particular user. The personal view of a Web Part Page uses a combination of shared property values and personalized property values. Changes made to a personal view apply only to the list, library, or page in that view and are therefore visible to that user only.
personalized Web Part
A shared Web Part that has been modified by a user in personal view. The changes made to a Web Part personalized in this way are visible only to the user who made those changes.
private Web Part
A Web Part added to a Web Part Page by a user who is working on the page in personal view. Private Web Parts are available only to the user who added or imported the Web Part.
Q
Back to top
quiet installation
An installation run by using the /q command-line option that runs without generating any user prompts. Also known as unattended installation.
quota
A value that limits the amount of storage or number of users for a Web site.
quota template
A predefined set of quotas to apply to a site or to all sites on a virtual server.
R
Back to top
remote host
A Web server on a separate server computer. A remote host is connected to other servers by a network connection.
rights
File-level and folder-level permissions that allow access to a Web site.
role
See site group.
S
Back to top
scripting language
A programming language designed specifically for Web site programming. Examples include JScript and Microsoft Visual Basic Scripting Edition (VBScript).
Secure Sockets Layer (SSL)
A proposed open standard that was developed by Netscape Communications for establishing a secure communications channel to prevent the interception of critical information, such as credit card numbers.
server farm
A centralized grouping of network servers maintained by an enterprise or, often, an Internet service provider (ISP). A server farm provides a network with load balancing, scalability, and fault tolerance. Individual servers may be connected in such a way that they appear to represent a single resource.
Setupsts.exe
The setup program for Windows SharePoint Services.
shared view
A view of a list, document library, or Web Part Page that every user with the appropriate rights for a site can see. The shared view of a Web Part Page uses shared property values. Changes made to a shared view apply to the list, library, or page as it appears to all users.
shared Web Part
A Web Part added to a Web Part Page by a user who is working on the page in shared view. Shared Web Parts are available to all users of a Web Part Page who have the appropriate permissions.
site
A group of related Web pages that is hosted by an HTTP server on the World Wide Web or an intranet. The pages in a Web site generally cover one or more topics and are interconnected through hyperlinks. Most Web sites have a home page as their starting point.
site collection
A set of Web sites on a virtual server that have the same owner and share administration settings. Each site collection contains a top-level Web site and can contain one or more subsites. There can be multiple site collections on each virtual server.
site group
A custom security group that applies to a specific Web site. Users are assigned to site groups to grant them rights on a SharePoint site.
SMTP mail server
An e-mail server that uses the Simple Mail Transfer Protocol (SMTP). SMTP is a member of the TCP/IP suite of protocols that governs the exchange of electronic mail between message transfer agents.
SQL Server computer
A computer running Microsoft SQL Server with a configured database.
static Web Part
A Web Part added to a Web page (.aspx) and that is not in a Web Part zone.
subsite
A complete Web site stored in a named subdirectory of the top-level Web site. Each subsite can have administration, authoring, and browsing permissions that are independent from the top-level Web site and other subsites.
survey
A Web site component that presents users with a set of questions specified by the creator of the survey and collects user responses. Results are tallied in a graphical summary. A survey requires a Web server that is running Windows SharePoint Services.
T
Back to top
tool pane
A task pane on a Web Part Page used to browse, search for, and import Web Parts from Web Part galleries, and to modify custom and common Web Part properties.
tool part
A control in the tool pane that allows users to set properties, execute commands, invoke wizards, and manipulate Web Parts on a Web Part Page.
top-level Web site
The default, top-level site provided by a Web server or virtual server. To gain access to the top-level Web site, you supply the URL of the server without specifying a page name or subsite.
U
Back to top
Uniform Resource Locator (URL)
An address that specifies a protocol (such as HTTP or FTP) and a location of an object, document, World Wide Web page, or other destination on the Internet or an intranet. Example: http://www.microsoft.com/.
usage analysis
Data collected to evaluate how a Web site is being used, such as visitor user names, number of visits to each page, and the types of Web browsers used.
user locale
A setting that determines formats and sort orders for date, time, currency, and so on. Also known as regional settings.
V
Back to top
vCard
The Internet standard for creating and sharing virtual business cards.
versioning
The process of creating a backup copy of a document or picture whenever a revision is saved to the library.
virtual server
A virtual computer that resides on an HTTP server but appears to the user as a separate HTTP server. Several virtual servers can reside on one computer, each capable of running its own programs and each with individualized access to input and peripheral devices. Each virtual server can have its own domain name and IP address.
Visual Basic Scripting Edition (VBScript)
A subset of the Visual Basic for Applications programming language optimized for Web-related programming. As with Microsoft JScript, code for VBScript is embedded in HTML documents.
W
Back to top
Web address
The path to an object, document, file, page, or other destination. An address can be a URL (Web address) or a UNC path (network address), and can include a specific location within a file, such as a Word bookmark or an Excel cell range. Also known as address.
Web discussion
Comments that users attach to Web pages and documents. Known as Web discussions to differentiate from discussion boards. Requires a Web server that is running SharePoint Team Services or Windows SharePoint Services.
Web farm
See server farm.
Web Part
A modular unit of information that consists of a title bar, a frame, and content. Web Parts are the basic building blocks of a Web Part Page. A Web Part is the combination of a Web Part Description file (.dwp) and a Web Part assembly file (.dll). All Web Parts are based on Web Custom Controls.
Web Part description file (.dwp)
An XML file that defines default property settings for installing a Web Part, including references to any other files required to run and display the part.
Web Part Page
A special type of Web page that contains one or more Web Parts. A Web Part Page consolidates data, such as lists and charts, and Web content, such as text and images, into a dynamic information portal built around a common task or special interest.
Web server
A computer that hosts Web pages and responds to requests from browsers. Also known as an HTTP server, a Web server stores files whose URLs begin with http://.
workspace site
A subsite based on the Document Workspace or Meeting Workspace site templates.


About constants in formulas

About constants in formulas

A constant is a value that is not calculated. For example, the date 10/9/2008, the number 210, and the text "Quarterly Earnings" are all constants. Constants can be of the following data types:

  • String (Example: =[Last Name] = "Smith")

    String constants are enclosed in double quotes and can be up to 255 characters.

  • Number (Example: =[Cost] >= 29.99)

    Numeric constants can include decimal places, and can be positive or negative.

  • Date (Example: =[Date] <> 7/7/2002)

    Date constants do not require delimiters.

  • Boolean (Example: =IF([Cost]>[Revenue], "Loss", "No Loss")

    Yes and No are Boolean constants. You can use them in conditional expressions. In the above example, if Cost is greater than Revenue, the IF function returns Yes, and the formula returns the string "Loss". If Cost is equal to or less than Revenue, the function returns No, and formula returns the string "No Loss".


About application pools

About application pools

Internet Information Services (IIS) introduced application pools in IIS 6.0. With application pools, you can use an isolated process to run your Web applications. Each application pool has unique credentials on the server, so you can identify which applications are performing which actions. If one application fails, it does not affect other applications that are also running.

Microsoft Windows SharePoint Services supports the new application pool model in IIS 6.0. You configure the admin app pool when you install Windows SharePoint Services using the Server Farm option. When you choose the Typical Install option, the admininstrative virtual server is automatically configured for you during installation. When you configure a server or server farm, you can choose from the following options:

  • One application pool for the administrative virtual server.

    The administrative virtual server must always have its own, separate application pool. This option is the most secure of these options.

  • Shared application pools for all virtual servers hosting Web sites

    You can choose to use the same application pool for all other virtual servers you use in Windows SharePoint Services. If you do so, however, you lose the security and failure protection measures that multiple application pools help provide. Applications running on one virtual server can potentially read or write data from another virtual server's application, and if one virtual server fails, they all fail.

  • Separate application pools for each virtual server hosting Web sites

    With separate application pools for each virtual server, you gain the security and failure protection measures that application pools help provide. If one virtual server fails, it does not affect the others. And no application running in a unique application pool can read another application's data if the application is on another virtual server. However, separate application pools create more complexity in management, since usually unique domain accounts are created and maintained for each application pool.

  • "Shared" application pools for all virtual servers hosting the same Web sites

    In a server farm environment, you can also choose to use the same application pool accounts for any virtual servers that are hosting the same Web sites. For example, if your server farm has three servers, each of which has at least one virtual server that hosts the same Web site (http://www.example.com/site_name), you can use the same application pool account for all of the virtual servers hosting that site. This way, you only need to remember one set of credentials for that group of Web sites, and you can perform tasks across a set of virtual servers in your server farm.

    Note If you choose this configuration, you must be sure to use a domain account for the application pool account.

You specify the application pool to use for your administrative virtual server when you install Windows SharePoint Services to a server and set the configuration database. You specify any other application pools to use when you extend a virtual server on that server. For more information about application pools, see IIS 6.0 Help.


About calculation operators

About calculation operators

Operators specify the type of calculation that you want to perform on the elements of a formula. Lists support three different types of calculation operators: arithmetic, comparison, and text.

Types of operators

Arithmetic operators To perform basic mathematical operations such as addition, subtraction, or multiplication; combine numbers; and produce numeric results, use the following arithmetic operators.

Arithmetic operator | Meaning (Example)
+ (plus sign) | Addition (3+3)
– (minus sign) | Subtraction (3–1) Negation (–1)
* (asterisk) | Multiplication (3*3)
/ (forward slash) | Division (3/3)
% (percent sign) | Percent (20%)
^ (caret) | Exponentiation (3^2)

Comparison operators You can compare two values with the following operators. When two values are compared by using these operators, the result is a logical value of Yes or No.

Comparison operator | Meaning (Example)
= (equal sign) | Equal to (A=B)
> (greater than sign) | Greater than (A>B)
< (less than sign) | Less than (A<B)
>= (greater than or equal to sign) | Greater than or equal to (A>=B)
<= (less than or equal to sign) | Less than or equal to (A<=B)
<> (not equal to sign) | Not equal to (A<>B)

Text concatenation operator Use the ampersand (&) to join, or concatenate, one or more text strings to produce a single piece of text.

Text operator | Meaning (Example)
& (ampersand) | Connects, or concatenates, two values to produce one continuous text value ("North"&"wind")

The order in which a list performs operations in a formula

Formulas calculate values in a specific order. A list formula might begin with an equal sign (=). Following the equal sign are the elements to be calculated (the operands), which are separated by calculation operators. Lists calculate the formula from left to right, according to a specific order for each operator in the formula.

Operator precedence

If you combine several operators in a single formula, lists perform the operations in the order shown in the following table. If a formula contains operators with the same precedence — for example, if a formula contains both a multiplication and division operator — lists evaluate the operators from left to right.

Operator | Description
– | Negation (as in –1)
% | Percent
^ | Exponentiation
* and / | Multiplication and division
+ and – | Addition and subtraction
& | Connects two strings of text (concatenation)
= < > <= >= <> | Comparison

Use of parentheses

To change the order of evaluation, enclose in parentheses the part of the formula to be calculated first. For example, the following formula produces 11 because a list calculates multiplication before addition. The formula multiplies 2 by 3 and then adds 5 to the result.

=5+2*3

In contrast, if you use parentheses to change the syntax, the list adds 5 and 2 together and then multiplies the result by 3 to produce 21.

=(5+2)*3

In the example below, the parentheses around the first part of the formula force the list to calculate [Cost]+25 first and then divide the result by the sum of the values in columns EC1 and EC2.

=([Cost]+25)/SUM([EC1]+[EC2])


About column references in a formula

About column references in a formula

A reference identifies a cell in the current row in a datasheet and tells a list where to look for the values or data you want to use in a formula. For example, [Cost] references the value in the Cost column in the current row. If the Cost column has the value of 100 for the current row, then =[Cost]*3 will return 300.

With references, you can use data contained in different columns of a list in one or more formulas. Columns of the following data types can be referenced in a formula: Single line of text, number, currency, date and time, choice, yes/no, and calculated.

You use the display name of the column to reference it in a formula. If the name includes a space or a special character, you must enclose the name in square brackets ([ ]). References are not case-sensitive. For example, you could reference the Unit Price column in a formula as [Unit Price] or [unit price].

Note You cannot reference a value in a row other than the current row. You also cannot include column references in a formula that is specified as the default value of a column.


Add an attendee

Add an attendee
Add, edit, or delete an attendee in a Meeting Workspace site
About the difference between attendees and users in a Meeting Workspace site
About the Attendees list and rights in a Meeting Workspace site


Change item order

Change item order
Arrange list items in a custom order
About sorting and customizing item order
Allow or prevent custom ordering of items


About the Content Editor Web Part

About the Content Editor Web Part

You can use the Content Editor Web Part to add formatted text, tables, hyperlinks, and images to a Web Part Page.

Important

  • The Content Editor Web Part is intended for adding HTML content to a Web Part Page, it is not designed to link to a Web site. If you need to link to a Web site, consider using the Page Viewer Web Part.
  • The HTML <FORM> element is not allowed in the Content Editor Web Part. If you need to add a Web Part that uses the <FORM> element, consider using the Page Viewer Web Part or the Form Web Part.

Ways you can use the Content Editor Web Part

You might use the Content Editor Web Part to add:

  • An introductory, formatted paragraph to a page.
  • A table of instructions to explain a chart on your page, the data behind the chart, and how it was graphed.
  • A set of hyperlinks to more information.

Important The HTML <FORM> element is not allowed in the Content Editor Web Part. If you need to add a Web Part to a page that uses the <FORM> element, consider using the Page Viewer Web Part or the Form Web Part.

Ways to enter content

There are three ways you can add content to the Content Editor Web Part:

Rich Text Editor Using this editor, you can type formatted content automatically without prior knowledge of HTML syntax. Use the buttons on the standard and formatting toolbars at the top of the window to enter and format the content. Click Help on the standard toolbar to display a summary of the tasks you can perform and their corresponding buttons.

Source Editor Using this editor, you can enter or modify HTML source code. The Source Editor is a plain text editor and is intended for users who have knowledge of HTML syntax.

Content Link Instead of editing content, you can link to existing content by entering a hyperlink to a text file containing HTML source code. The two valid hyperlink protocols you can use are:

  • Hypertext Transfer Protocol (http://)
  • Hypertext Transfer Protocol with privacy, which uses Secure Sockets Layer (SSL) encryption (https://)

You can use an absolute URL or a relative URL. However, you cannot use a file path.

Important If the Content Link property links to a file that is located outside the Microsoft Windows SharePoint Services site and the site does not have anonymous user access enabled, then you cannot access the file. For assistance, contact your site administrator.

Combining edited and linked content

You can combine edited and linked content to provide both primary and secondary information. For example, you could provide an error message as secondary information in the edited content, in case the linked content, or primary information, is not available. When you provide both edited and linked content, the linked content is always used first. If the linked content is not accessible, the edited content is used.

Related Topics

About the Page Viewer Web Part
About the Form Web Part


Content Editor Web Part custom properties

Content Editor Web Part custom properties

Important

  • The Content Editor Web Part is intended for adding HTML content, it is not designed to link to a Web site. If you need to link to a Web site, consider using the Page Viewer Web Part.
  • The HTML <FORM> element is not allowed in the Content Editor Web Part. If you need to add a Web Part that uses the <FORM> element, consider using the the Form Web Part or the Page Viewer Web Part.
  • You cannot view or edit any of these custom properties in personal view.

Rich Text Editor (Content)

Use to enter formatted text, tables, hyperlinks, and images.

Click Rich Text Editor to enter and modify content. Knowledge of HTML syntax is not required to use this editor.

Source Editor (Content)

Use to enter HTML source code into a simple text editor. Knowledge of HTML syntax is required to use this editor.

Click Source Editor to enter or modify HTML source code.

Content Link (ContentLink)

Use to enter a hyperlink to a text file containing HTML source code.

The two valid hyperlink protocols you can use are:

  • Hypertext Transfer Protocol (http://)
  • Hypertext Transfer Protocol with privacy, which uses Secure Sockets Layer (SSL) encryption (https://)

You can use an absolute URL or a relative URL. However, you cannot use a file path.

Important If the Content Link property links to a file that is located outside the Windows SharePoint Services site and the site does not have anonymous user access enabled, then you cannot access the file. For assistance, contact your site administrator.

To make it easier to edit a long string, click Text Builder Button image .

Related Topics

About the Page Viewer Web Part
About the Form Web Part


About the Image Web Part

About the Image Web Part

You can use the Image Web Part to add a picture or graphic to a Web Part page. To more easily coordinate the image with other Web Parts on the page, you can control the vertical alignment, horizontal alignment, and background color of the image inside the Image Web Part by modifying its custom properties in shared view.

Ways you can use the Image Web Part

You might use the Image Web Part to:
  • Add a corporate or project logo to a page.
  • Display photos of employees or products.
  • Make the page more visually appealing.

Ways you can display an image

There are two ways you can display an image:

  • Enter a file path or hyperlink to the image file in the Image Link property text box. In this case, the image is static and does not change (unless you modify the property).
  • Connect the Image Web Part to another Web Part that provides the file path or hyperlink. In this case, the image can be dynamic and change based on an action in the other Web Part, such as a user selecting a row in a List View Web Part.

    For example, you can connect a List View Web Part containing Contacts to the Image Web Part. Each time you select a row in the Contacts List View Web Part that contains a column with a hyperlink to a file containing a picture of that contact, you can see the picture of the contact displayed in the Image Web Part.

Note If the Image Link property already has a value and you connect the Image Web Part to another Web Part, the Image Link property is ignored. If the Image Web Part is already connected to another Web Part, and you want to set a value for the Image Link property, you must first remove the connection.

Related Topics

About connecting Web Parts


Image Web Part custom properties

Image Web Part custom properties

Note You cannot view or edit any of these custom properties in personal view.

Image Link (ImageLink)

Specifies a file path or hyperlink to the image you want displayed in the Image Web Part.

Depending on the browser you are using, supported graphic file formats include the following:

Graphic File Format | File Type
Windows Bitmap (BMP) | .bmp
Windows Enhanced Metafile (EMF) | .emf
Graphics Interchange Format (GIF) | .gif
Joint Photographic Experts Group (JPEG) | .jpg, .jpeg
Portable Network Graphics (PNG) | .png

To ensure you have typed the correct hyperlink or path, click Test Link , which displays the hyperlink or file in a separate browser window.

To make it easier to edit long strings, click Text Builder Button image .

Note The Image Link property may not be available because the Image Web Part is connected to another Web Part that provides the image.

Image Horizontal Alignment (HorizontalAlignment)

Positions the image horizontally within the Image Web Part. Select one of the following: Left, Center, or Right. The default value is Center.

Image Vertical Alignment (VerticalAlignment)

Positions the image vertically within the Image Web Part. Select one of the following: Top, Middle, and Bottom. The default value is Middle.

Web Part Background Color (BackgroundColor)

Determines the color of the Image Web Part window behind the image. The default color is the background color of the current Windows SharePoint Services theme.

To specify a color, click Web Part Background Color button to the right of the text box, and then do one of the following:

  • Select a color in the color grid.
  • Type an HTML color name.
  • Type an RGB color value.

To make the background color the same as the Microsoft Windows SharePoint Services theme of the site, click Transparent in the Web Part Background Color dialog box.


About the List View Web Part

About the List View Web Part

You can use the List View Web Part to display and edit list data in your site, and to connect to other Web Parts, including other List View Web Parts. Lists are information that you share with team members and often display in tabular format. List views display this information in different ways for different purposes, such as filtering, sorting, selecting specific columns, and so on.

You can display most lists and List View Web Parts in one of two tabular views: Standard view, which is available to any user, and Datasheet view, which is a Microsoft Excel-like spreadsheet that uses the Microsoft Office List Datasheet Component and requires Microsoft Office Professional Edition 2003 to be installed on your client computer.

Ways you can use the List View Web Part

You might use the List View Web Part in the following ways:
  • Display list data on a Web Part Page in a tabular format to quickly sort, filter, isolate, and update the data.
  • Track project data in a List View Web Part and filter or sort it by a column containing a person's name or job assignment from a matching column in a connected Contacts List View Web Part.
  • From an Employee Basics List View Web Part that contains an employee name and ID number, look up detailed employee information, such as benefit options, family status, and medical insurance coverage, in a connected Employee Details List View Web Part.
  • Examine a complete customer order in two connected List View Web Parts: an Order List View Web Part that contains the order information, and an Order Details List View Web Part that contains all the line items for that order.
  • Visually enhance basic information about a person in a Contacts List View Web Part, by displaying a picture of that person in a connected Image Web Part, or a map of that person's business address in a connected, custom Map Web Part.

About connecting the List View Web Part

Using either Standard or Datasheet views, you can connect a List View Web Part to another Web Part, including another List View Web Part, from the Connections submenu on the Web Part menu in one of three ways:

Command on the Connection Type submenu | Description
Provide Row To | Pass a selected row of data to the other Web Part.
Provide View Data To | Pass all the data in the view to the other Web Part.
Get Sort/Filter From | Filter or sort data in the List View Web Part based on information from the other Web Part.

All the List View Web Parts at your site are usually available from the Site Web Part Gallery. When you first add a List View Web Part from a Web Part Gallery to the Web Part Page, it displays the default list view in the Web Part. To display the data you want in the List View Web Part as well as the other connected Web Part, you may need to modify the view of the list. For example, you may want to filter, sort, or group data a different way or display different columns.

You can change the list view from the custom properties List Views section of the tool pane in one of two ways:

  • Select a different view from the Selected View property.
  • Click Edit the current view to modify the current view.

Whenever you select or edit a list view, a copy of the list design is made from the original site list design and saved with the List View Web Part. However, the list data is the same.

Caution Be careful switching to a different view from the current view. You may remove changes you have made to the current view, and may disable Web Part connections that depend on columns in the current view. You are prompted for confirmation if you switch views.


About Connecting a List View Web Part

About Connecting a List View Web Part

The List View Web Part has two different tabular views: Standard view, which is available to any user, and Datasheet view, which is an Office Excel-like spreadsheet that uses the Microsoft Office List Datasheet Component and requires Microsoft Office Professional Edition 2003 installed on your client computer.

Using either Standard or Datasheet view, you can connect a List View Web Part to another Web Part, provide data to it, and change the way data is displayed in the other Web Part, including another List View Web Part. The following connection type commands on the Connections submenu of the Web Part menu are available:

Provide Row To

You can connect the List View Web Part to another Web Part by passing a selected row of data to the other Web Part. Depending on how the other Web Part was created and gets the data, it might display the row data or use it as a filter or parameter value.

In Standard view, a Select Item column containing option buttons is automatically added when you connect the List View Web Part, so you can indicate which row to pass to the other Web Part. You can only select one row at a time in Standard view. Some columns, such as the Edit column, are not available for use in a Web Part connection.

In Datasheet view, you can select multiple rows, but only one row is passed to the other Web Part. If multiple rows are selected, the row containing the active cell is passed to the other Web Part, and all other rows are ignored. You cannot provide data in the Total row or New row to the other Web Part.

You can have more than one Web Part connected with this type of connection to the List View Web Part.

Provide View Data To

You can connect the List View Web Part to another Web Part that works with list data. In this case, the List View Web Part is the data source for the other Web Part.

In Standard and Datasheet view, only the data in the view is provided to the other Web Part.

You can have more than one Web Part connected with this type of connection to the List View Web Part.

Get Sort/Filter From

In Standard and Datasheet view, you can connect the List View Web Part to another Web Part that can provide the following information to it:

  • One or more column name and value pairs of data that filter data in the List View Web Part.
  • A column of data to sort data by either ascending or descending order in the List View Web Part.

Only one other Web Part can be connected with this type of connection to the List View Web Part.

About supported list types that can be connected

Although you can display all list types in a List View Web Part, only certain list types are supported when making a Web Part connection. In general, list types that display data in tabular format, such as Contacts, are supported. Lists that display data in a non-tabular format, such as Folder view, are not supported.

Supported list types in a Web Part connection

Supported list types include the following:

  • Announcements
  • Contacts
  • Events
  • Links
  • Tasks
  • Custom Lists
  • Lists that contain data imported from a spreadsheet
  • Document Libraries
  • Form Libraries

Unsupported list types in a Web Part connection

Unsupported list types include the following:

  • Calendar view of an Events list
  • Discussion Boards
  • Issues
  • Surveys
  • Picture Libraries
  • Site and List Template Catalogs
  • Web Part Galleries
  • Data Sources

About supported list column types that can be connected

Although you can display all list column types in a List View Web Part, only certain list column types are supported when making a Web Part connection.

Supported list column types in a List View Web Part connection

Supported list column types include the following:

  • Single line of text
  • Choice
  • Number
  • Currency
  • Date and Time
  • Hyperlink or Picture (for matching columns)
  • Lookup
  • Yes/No
  • Calculated

Unsupported list column types in a Web Part connection

Unsupported list column types include the following:

  • Hyperlink or Picture (for filtering)
  • Mutiple Lines of Text
  • Edit


List View Web Part custom properties

List View Web Part custom properties

The List View Web Part custom properties are listed below with their corresponding base class property name in parentheses.

Note You cannot modify any of these custom properties in personal view.

Selected View

Caution Be careful switching to a different view from the current view. You may remove changes you have made to the current view, and may disable Web Part connections that depend on columns in the current view. You are prompted for confirmation if you switch views.

Specifies a list view to display in the Web Part. You can select one of the following:

All <List name> Displays all columns in the list, depending on the list type.

Note Select Current view to revert to the last view used before you have clicked the OK or Apply buttons, and ignore unsaved changes you have made to the copy of the list view design information. However, once you click the OK or Apply buttons, the changes you have made are applied to the new current view and saved with the List View Web Part.

Summary View Displays the summary view of the list. This view varies between list types.

<Additional list views> Displays user-defined views or other default views depending on the list type.

Edit the current view

Select Edit the current view to edit the current view used in the Web Part, including the columns displayed, the sort order and filter used, whether to display totals, and the item limit.

Whenever you select or edit a list view, a copy of the list design information is made from the original site list design and saved with the List View Web Part. However, the list data is the same.

Toolbar Type

Specifies the way the List toolbar is displayed or whether it is displayed at all. Select from one of three options:

Summary toolbar Displays the summary toolbar for the currently selected list view. This is the default value for most list types, except for custom lists.

Full toolbar Displays the entire toolbar for the currently selected list view. This is the default value for custom lists.

No Toolbar No toolbar is displayed.


About Getting Help for the List View Web Part

About Getting Help for the List View Web Part

The Help information you might need to use the List View Web Part is available from several different locations.

Getting List View Web Part Help

The List View Web Part help topics are context-sensitive topics that answer questions you might have regarding the Web Part, such as what is its purpose, how to use it, what are the common and custom properties, how to make connections to other Web Parts, and how to troubleshoot problems.

This help information becomes available when an administrator installs Microsoft Windows SharePoint Services on a server.

To display List View Web Part help information, on the Web Part menu, click Help.

Getting Windows SharePoint Services Help

The Windows SharePoint Services Help system provides information you may need about features related to the List View Web Part, especially the creating, using, and managing of lists and list views.

This help information becomes available when an administrator installs Windows SharePoint Services on a server.

To display this help information, click Help on the top link bar.

Getting Microsoft Office List Datasheet Component Help

Your List View Web Part may be in Datasheet view, which uses the Microsoft Office List Datasheet Component, and which contains a separate help system designed to explain how to use it.

This help information becomes available when you install Microsoft Office Professional Edition 2003 on your computer.

To get Datasheet view help information, right-click any cell, and click Help. When you are in edit mode, press F1.

Getting Help from additional Microsoft Web Sites

The following Microsoft Web Sites are good sources of additional, up-to-date information about using and customizing the List View Web Part:

Microsoft SharePoint Products and Technologies on Microsoft TechNet.
SharePoint Products and Technologies Developer Center


About the Form Web Part

About the Form Web Part

You can use the Form Web Part to connect to and filter a column of data in another Web Part. Both Web Parts must run on the site server.

Ways you can use the Form Web Part

You might use the Form Web Part in the following ways:
  • Filter all employees with the same last name in a List View Web Part containing employee data.
  • Customize the Form Web Part by adding radio buttons (option buttons), checkboxes, and text boxes with default values to filter a List View Web Part containing product information.

Connecting and using the Form Web Part

To use the Form Web Part, you connect it with another Web Part capable of filtering through a Web Part connection, such as the List View Web Part, by selecting the Provide Form Value To command from the Connections submenu on the Web Part menu. You can connect the Form Web Part to one or more Web Parts on the Web Part Page.

After connecting the Form Web Part to another Web Part, you can type text in the text box, click Go or press ENTER, and the other Web Part can display data that matches the text you typed.

To clear the text box and type new text, select the current text, and then delete it.

Customizing the Form Web Part

You can modify the Form Web Part by using either the Source Editor custom property or an HTML editor compatible with Microsoft Windows SharePoint Services, such as Microsoft Office FrontPage 2003.

You might want to enhance the Form Web Part by adding other form elements, such as radio buttons (option buttons), checkboxes, default values, and list boxes, or create forms with several fields to combine criteria and pass more complex filters to the other Web Part. Once you have modified the Form Web Part, you can create another instance of it and add it to a Web Part Gallery on your site.

If you customize the Form Web Part, keep in mind the following important points:

  • Only one Go button (which uses the HTML element, <INPUT TYPE=SUBMIT/>) can be used to pass data to the other Web Part.
  • The Form Web Part uses the HTML <FORM> element. Certain HTML elements cannot be used inside a <FORM> element including <HTML>, <BODY>, and <FORM>.
  • All form field names must be unique. Each name value is used to connect to a corresponding column name in the Web Part you are connecting to.
  • You can only use use the following <FORM> controls and they pass the following values to the other Web Part:
    Control | HTML element | Value passed
    Text Box. | <INPUT TYPE=”text”> | The VALUE attribute
    Text Area | <TEXTAREA> | The VALUE attribute
    Check Box | <INPUT TYPE=”checkbox” | The VALUE attribute if checked; the string, "off", if unchecked.
    Radio (Option) Button | <INPUT TYPE=”radio”> | The VALUE attribute if checked; the string, "off", if unchecked.
    Dropdown Box | <SELECT> | A comma delimited string of the VALUE attributes of the selected options; the string, "off", if no selection. For example, if “chairs” and “tables” are selected, the VALUE attributes is "chairs,tables".

Note The Form Web Part only provides data to another connectable Web Part, it cannot get data from another connectable Web Part. You cannot use the Form Web Part, for example, as a detail form to display a row of data.


Form Web Part custom properties

Form Web Part custom properties

The custom property of the Form Web Part is listed below with its "friendly" name used in the tool pane and its property name in parentheses.

Source Editor (Content)

Opens a Text Editor Window which you can use to add or edit HTML source code. The Source Editor is intended for users with knowledge of HTML syntax.

By default, when you first add the Form Web Part to your Web Part Page, the following HTML code is inserted and used to display the text box and Go button, and execute Java script:

<div (1)
onkeydown="javascript:if (event.keyCode == 13) _SFSUBMIT_"> (2)
<input type="text" name="T1"/> (3)
<input type="button" value="Go"  (4)
onclick="javascript:_SFSUBMIT_"/> (5)
</div> (1)

1 Defines a block element for the Form Web Part.

2 Defines a placeholder for a Java script routine that passes the form data to the other Web Part when the ENTER key is pressed.

3 Creates the text box on the form and defines the form field passed to the other Web Part.

4 Creates the Go button on the form.

5 Defines a placeholder for a Java script routine that passes the form data to the other Web Part when the Go button is pressed.

Caution Do not modify the onkeydown or onclick event code in the Source Editor. The Form Web Part dynamically creates the Java script routine at run-time to create the connection to the other Web Part, and you may unintentionally break the Form Web Part.

If you customize the Form Web Part, keep in mind the following important points:

  • Only one Go button (which uses the HTML element, <INPUT TYPE=SUBMIT/>) can be used to pass data to the other Web Part.
  • The Form Web Part uses the HTML <FORM> element. Certain HTML elements cannot be used inside a <FORM> element including <HTML>, <BODY>, and <FORM>.
  • All form field names must be unique. Each name value is used to connect to a corresponding column name in the Web Part you are connecting to.
  • You can only use the following <FORM> controls, which pass the following values to the other Web Part:
    Control | HTML element | Value passed
    Text Box. | <INPUT TYPE=”text”> | The VALUE attribute
    Text Area | <TEXTAREA> | The VALUE attribute
    Check Box | <INPUT TYPE=”checkbox” | The VALUE attribute if checked; the string, "off", if unchecked.
    Radio (Option)Button | <INPUT TYPE=”radio”> | The VALUE attribute if checked; the string, "off", if unchecked.
    Dropdown Box | <SELECT> | A comma delimited string of the VALUE attributes of the selected options; the string, "off", if no selection. For example, if “chairs” and “tables” are selected, the VALUE attributes is "chairs,tables".

You cannot view or modify this property in personal view.

Note You can more easily modify the Form Web Part by using an HTML editor compatible with Microsoft Windows SharePoint, such as Microsoft Office FrontPage 2003.


About the Page Viewer Web Part

About the Page Viewer Web Part

You can use the Page Viewer Web Part to display a Web page, file, or folder on a Web Part Page. You enter either a hyperlink, file path, or folder name to link to the content.

Notes

  • You can only use the Page Viewer Web Part in a browser that supports the HTML <IFRAME> element.
  • Displaying a file or folder requires Microsoft Internet Explorer.

Ways you can use the Page Viewer Web Part

You might use the Page Viewer Web Part to display:
  • A favorite Internet news source in a dedicated news summary section of a Web Part page.
  • A list of active work group files on a network server that you want to view on a regular basis.
  • A commonly-used document or spreadsheet.

How the Page Viewer Web Part displays a Web page within a Web Part Page

The linked content of the Page Viewer Web Part is isolated from other content on the Web Part Page through the use of the HTML <IFRAME> element. This element ensures that any HTML elements displayed as content in the Page Viewer Web Part will not conflict with other HTML elements on the Web Part Page. For example, the Web Part Page may already contain a <FORM> element, and the page would not display correctly if the linked content also contained a <FORM> element that was not contained inside the <IFRAME> element.

The Page Viewer Web Part displays content asynchronously from the rest of the page. This means that you can view and use other Web Parts on the page if the link happens to take a long time to return the content.


Page Viewer Web Part custom properties

Page Viewer Web Part custom properties

Note You cannot view or edit any of these custom properties in personal view.

Web Page, Folder, or File group (SourceType)

Specifies the type of content you want to display in the Page Viewer Web Part.

Select one of the following:

Web Page

Select this option if you want to display a Web page as the content of the Page Viewer Web Part.

This option automatically enters the Hypertext Transfer Protocol (http://) protocol in the Link text box and hides the Browse button if it is visible.

This is the default value.

Folder

Select this option if you want to display a list of files in a folder. This option hides the Browse button if it is visible.

File

Select this option to display the contents of a file. This option also displays the Browse button under the Link text box. The file opens either in a separate browser window, or inside the Web Part if the application that opens the file supports inline activation for that file in the browser window.

Link (ContentLink)

Specifies a hyperlink, folder, or file to the content you want displayed in the Page Viewer Web Part:
  • If you select Web Page above, you must enter a valid hyperlink. The two valid hyperlink protocols you can use are:
    • Hypertext Transfer Protocol (http://)
    • Hypertext Transfer Protocol with privacy, which uses Secure Sockets Layer (SSL) encryption (https://)
  • If you select Folder above, you must enter a valid local or network folder. Displaying a folder requires Microsoft Internet Explorer.
  • If you select File above, you must enter a valid file path. Displaying a file requires Microsoft Internet Explorer. You can also click Browse to locate the file.

To ensure you have typed the correct link, click Test Link to display the Web Page, folder, or file in a separate browser window.

To make it easier to edit long strings, click Text Builder Button image .


Troubleshoot importing and exporting Web Parts

Troubleshoot importing and exporting Web Parts

Troubleshoot importing a Web Part

I imported a Web Part description file (.dwp) onto my Web Part Page but it doesn't work.

Possible reasons include the following:
  • The Web Part assembly file (.dll) required for this Web Part may not be installed on the server for the site.
  • One or more Web Part resource files may not be accessible, or you do not have permission to access them.
  • The Web Part assembly file or the Web Part in the assembly file is not marked as safe by the site administrator.
  • The Web Part zone does not allow you to import a Web Part.
  • You have exceeded your SharePoint quota.

For assistance, contact your site administrator or the Web Part developer.

I can't import a Digital Dashboard Resource Kit version 3.0 Web Part.

You cannot automatically import a Digital Dashboard Resource Kit (DDRK) version 3.0 Web Part. You must first manually convert the Web Part before importing it. For more information on how to convert DDRK version 3.0 Web Parts, see the Windows SharePoint Services Software Development Kit.

I'm having problems importing a Web Part.

Possible reasons include the following:
  • The file you imported is not valid. Verify that the file is a Web Part description file (.dwp) and that it contains well-formed XML.
  • The Web Part is not specified as a safe Web Part on your site.
  • You do not have permission to import Web Parts.
  • There may be a problem writing to the database on the site server. Try again later.
  • You have exceeded your SharePoint site quota. Delete unnecessary documents or list data.
  • The Web Part Page does not contain any zones. This situation can occur when there is an attempt to add a Web Part to a Web Part Page programmatically.

For assistance, contact your site administrator or the Web Part developer.

I encounter an error with the XML source code when I try to import a Web Part.

Possible reasons include the following:
  • An unrecognized XML namespace.
  • An invalid file format.
  • A missing XML <Assembly> or <TypeName> element.
  • The use of XSL Transformations (XSLT).

For assistance, contact your site administrator or the Web Part developer.

Troubleshoot exporting a Web Part

I can't export a List View Web Part.

You cannot export a List View Web Part. Lists are specific to a site and cannot be transported to other sites in the same way as other Web Parts.

If you want to move list data from one site to another, in general, you can do try to do one of the following:

  • If you are a user, export the list data from one site, and then import the data into a custom list on the other site, which will then add a List View Web Part of the custom list data to the other Site Web Part gallery.
  • If you are a system administrator, save the list template and its contents to a file, and then upload the list template and contents to another site.

I can't export a Web Part.

Possible reasons include the following:

  • You don't have permission to export a Web Part.
  • You don't have enough disk space. Reclaim more disk space so that the Web Part description file (.dwp) can be saved to your disk.


Overview of Web Part Pages

Overview of Web Part Pages

Working with Web Part Pages

About Web Part Pages
About Web Parts
About Web Part Page templates
About the Web Part Page title bar
About Web Part galleries
Common Web Part properties
About Web Part Page personal and shared views
About Web browser support for Web Part Pages

Working with Web Part Connections

About connecting Web Parts
Create or modify a connection between two Web Parts
Complete a Web Part connection
Delete a connection between two Web Parts

Troubleshooting

Troubleshoot Web Part Pages
Troubleshoot connecting Web Parts
Troubleshoot importing and exporting Web Parts


Web Part Page keyboard shortcuts

Web Part Page keyboard shortcuts

A Web Part Page

ALT+W
Move to the next Web Part or tool pane section.
ALT+\
Move to the Web Part Page menu.
ALT+O
Save property changes in the tool pane, and then close the tool pane.
ALT+P
Save property changes in the tool pane and keep the tool pane open.
ALT+C
Cancel property changes in the tool pane, and then close the tool pane.
ALT+R
Add the selected Web Part in the tool pane to a Web Part Page.
ALT+ ,
Move to a Previous button if one is on the Web Part Page.
ALT+ .
Move to a Next button if one is on the Web Part Page.
UP ARROW
Move to the previous item in a drop down list, menu, or submenu.
DOWN ARROW
Move to the next item in a drop down list, menu, or submenu.
LEFT ARROW
Close a submenu and return to the previous menu or submenu.
RIGHT ARROW
Open the next submenu.

The Web Part Maintenance Page

ALT+C
Move to the Close button.
ALT+X
Move to the Delete button.
ALT+G
Return to the previous Web page.
ALT+R
Move to the Reset button.
ALT+S
Switch between shared and personal view.

The Rich Text Editor of the Content Editor Web Part

The standard toolbar

CTRL+X
Cut the selection to the Clipboard.
CTRL+C
Copy the selection to the Clipboard.
CTRL+V
SHIFT+INSERT
Paste the contents of the Clipboard to the current location.
CTRL+Z
Undo the most recent command.
CTRL+Y
Redo the most recently undone command.
CTRL+F
Find text.
CTRL+SHIFT+G
Switch between hiding and showing gridlines.
CTRL+L
Create a hyperlink for a selection or edit an existing hyperlink.
ALT+CTRL+I
Insert an image.
ALT+SHIFT+T
Insert a table.
ALT+CTRL+R
Insert a row in a table.
ALT+CTRL+C
Insert a column in a table.
ALT+CTRL+L
Insert a cell in a table.
ALT+CTRL+M
Merge cells in a table.
ALT+CTRL+S
Split cells in a table.
F1
Get help.

The formatting toolbar

CTRL+SHIFT+S
Change the text style.
CTRL+SHIFT+F
Change the text font.
CTRL+B
Switch between bolded text and text not bolded.
CTRL+I
Switch between italicized text and text not italicized.
CTRL+U
Switch between underlined text and text not underlined.
CTRL+SHIFT+B
Change the text background color.
ALT+SHIFT+[
Align the selection to the left.
ALT+SHIFT+|
Center the selection.
ALT+SHIFT+]
Align the selection to the right.
CTRL+SHIFT+ >
Convert the selection to a left-to-right orientation.
CTRL+SHIFT+ <
Convert the selection to a right-to-left orientation.
ALT+CTRL+N
Create a numbered list.
ALT+CTRL+B
Create a bulleted list.
CTRL+SHIFT+T
Decrease paragraph indentation.
CTRL+T
Increase paragraph indentation.

Editing content

DELETE
Delete the selection without placing it on the Clipboard.
INSERT
Switch between inserting and overwriting text.
BACKSPACE
Delete the selection, or if there is no selection, the character to the left of the insertion point.
CTRL+BACKSPACE
Delete all of a word to the left of the insertion point, but not the preceding space.
SHIFT+ENTER
Insert a new line (but not inside an HTML Paragraph element: <P>)

Navigating content

RIGHT ARROW
Move the insertion point one character to the right.
LEFT ARROW
Move the insertion point one character to the left.
UP ARROW
Move the insertion point up one line.
DOWN ARROW
Move the insertion point down one line.
CTRL+RIGHT ARROW
Move the insertion point right one word.
CTRL+LEFT ARROW
Move the insertion point left one word.
HOME
Move the insertion point to the start of the line.
END
Move the insertion point to the end of the line.
CTRL+UP ARROW
Move the insertion point up one paragraph.
CTRL+DOWN ARROW
Move the insertion point down one paragraph.
PAGE UP
Move the insertion point up one page.
PAGE DOWN
Move the insertion point down one page.
CTRL+HOME
Move the insertion point to the beginning of the content.
CTRL+END
Move the insertion point to the end of the content.

Extending selection of content

SHIFT+RIGHT ARROW
Extend the selection one character to the right.
SHIFT+LEFT ARROW
Extend the selection one character to the left.
CTRL+SHIFT+RIGHT ARROW
Extend the selection one word to the right.
CTRL+SHIFT+LEFT ARROW
Extend the selection one word to the left.
SHIFT+UP ARROW
Extend the selection up one line.
SHIFT+DOWN ARROW
Extend the selection down one line.
SHIFT+END
Extend the selection to the end of the line.
SHIFT+HOME
Extend the selection to the start of the line.
SHIFT+PAGE UP
Extend the selection up one page.
SHIFT+PAGE DOWN
Extend the selection down one page.
CTRL+SHIFT+HOME
Extend the selection to the beginning of the content.
CTRL+SHIFT+END
Extend the selection to the end of the content.
CTRL+A
Select the entire content.

Navigating tables, images, or objects (HTML block elements)

TAB
Move to the next table, image, or object (HTML block element) in the content.
SHIFT+TAB
Move to the previous table, image, or object (HTML block element) in the content.
CTRL+TAB
Move from the content to the next block element on the Web page.
SHIFT+CTRL+TAB
Move to the Save button.
CTRL+K
Switch between absolute and relative positioning for the table, image, or object (HTML block element).


About the XML Web Part

About the XML Web Part

You can use the XML Web Part to display Extensible Markup Language (XML) and apply Extensible Stylesheet Language Transformations (XSLT) to the XML before the content is displayed.

Important The content displayed in the XML Web Part cannot contain an HTML <FORM> element. If you need to use the <FORM> element, consider using the Page Viewer Web Part or the Form Web Part.

Ways you can use the XML Web Part

You might use the XML Web Part to display:
  • Structured data from database tables or queries.
  • XML-based documents.
  • XML forms that combine structured and unstructured data, such as weekly status reports or travel expense reports.

Ways to enter content

There are two ways you can add content to the XML Web Part:

XML and XSL Editors Using these editors, you can enter or modify XML and XSLT source code. The XML and XSL source editors are plain text editors intended for users who have knowledge of XML and XSLT syntax.

XML and XSL Links Instead of editing the XML and XSLT, you can enter a hyperlink to a text file containing XML and XSLT source code. The two valid hyperlink protocols you can use are:

  • Hypertext Transfer Protocol (http://)
  • Hypertext Transfer Protocol with privacy, which uses Secure Sockets Layer (SSL) encryption (https://)

You can use an absolute URL or a relative URL. However, you cannot use a file path.

Combining edited and linked XML content

You can combine edited and linked XML content to provide both primary and secondary information. For example, you could provide an error message as secondary information in the edited XML content, in case the linked XML content, or primary information, is not available. When you provide both edited and linked XML content, the linked XML content is always used first. If the linked XML content is not accessible, the edited XML content is used.

Note Combining edited and linked XSL content in this manner is not supported.

Related Topics

About the Page Viewer Web Part
About the Form Web Part


XML Web Part custom properties

XML Web Part custom properties

Note You cannot view or edit any of these custom properties in personal view.

XML Editor (XML)

Use to enter XML source code into a plain text editor. Knowledge of XML syntax is required to use this editor.

Click XML Editor to enter or modify XML source code.

XML Link (XMLLink)

Specifies a hyperlink to a text file that contains XML source code. The two valid hyperlink protocols you can use are:
  • Hypertext Transfer Protocol (http://)
  • Hypertext Transfer Protocol with privacy, which uses Secure Sockets Layer (SSL) encryption (https://)

Note You cannot use a file path.

To make it easier to edit long strings, click Text Builder Button image .

To ensure you have typed the correct link, click Test Link to display the file in a separate browser window.

XSL Editor (XSL)

Use to enter XSLT source code into a plain text editor. Knowledge of XSLT syntax is required to use this editor.

Click XSL Editor to enter or modify XML source code.

XSL Link (XSLLink)

Specifies a hyperlink to a text file containing XSLT source code. The two valid hyperlink protocols you can use are:
  • Hypertext Transfer Protocol (http://)
  • Hypertext Transfer Protocol with privacy, which uses Secure Sockets Layer (SSL) encryption (https://)

Note You cannot use a file path.

To make it easier to edit long strings, click Text Builder Button image to the right of the text box to expand it.

To ensure you have typed the correct link, click Test Link to display the file in a separate browser window.


Examples of common formulas

Examples of common formulas

Note You can use the following examples in calculated columns. Examples that do not include column references can be used to specify the default value of a column.

Conditional formulas

Check if a number is greater than or less than another number

Use the IF function to do this task.

Column1 | Column2 | Formula | Description
15000 | 9000 | =Column1>Column2 | Is Column1 greater than Column2? (Yes)
15000 | 9000 | =IF(Column1<=Column2, "OK", "Not OK") | Is Column1 less than or equal to Column2? (Not OK)

Return a logical value after comparing column contents

For a result that is a logical value (Yes or No), use the AND, OR, and NOT functions.
Column1 | Column2 | Column3 | Formula | Description
15 | 9 | 8 | =AND(Column1>Column2, Column1<Column3) | Is 15 greater than 9 and less than 8? (No)
15 | 9 | 8 | =OR(Column1>Column2, Column1<Column3) | Is 15 greater than 9 or less than 8? (Yes)
15 | 9 | 8 | =NOT(Column1+Column2=24) | Is 15 plus 9 not equal to 24? (No)

For a result that is another calculation, or any other value other than Yes or No, use the IF, AND, and OR functions.

Column1 | Column2 | Column3 | Formula | Description
15 | 9 | 8 | =IF(Column1=15, "OK", "Not OK") | If the value in Column1 equals 15, then return "OK". (OK)
15 | 9 | 8 | =IF(AND(Column1>Column2, Column1<Column3), "OK", "Not OK") | If 15 is greater than 9 and less than 8, then return "OK". (Not OK)
15 | 9 | 8 | =IF(OR(Column1>Column2, Column1<Column3), "OK", "Not OK") | If 15 is greater than 9 or less than 8, then return "OK". (OK)

Display zeroes as blanks or dashes

Use the IF function to do this task.
Column1 | Column2 | Formula | Description
10 | 10 | =Column1-Column2 | Second number subtracted from the first (0)
10 | 10 | =IF(Column1-Column2,"",Column1-Column2) | Returns null when the value is zero (blank column)
15 | 9 | =IF(Column1-Column2,"-",Column1-Column2) | Returns a dash when the value is zero (-)

Date and time formulas

Add dates

To add a number of days to a date, use the addition (+) operator. Note that when manipulating dates, the return type of the calculated column must be set to Date and Time.
Column1 | Column2 | Formula | Description
6/9/2007 | 3 | =Column1+Column2 | Add 3 days to 6/9/2007 (6/12/2007)
12/10/2008 | 54 | =Column1+Column2 | Add 54 days to 12/10/2008 (2/2/2009)

To add a number of months to a date, use the DATE, YEAR, MONTH, and DAY functions.

Column1 | Column2 | Formula | Description
6/9/2007 | 3 | =DATE(YEAR(Column1),MONTH(Column1)+Column2,DAY(Column1)) | Add 3 months to 6/9/2007 (9/9/2007)
12/10/2008 | 25 | =DATE(YEAR(Column1),MONTH(Column1)+Column2,DAY(Column1)) | Add 25 months to 12/10/2008 (1/10/2011)

To add a number of years to a date, use the DATE, YEAR, MONTH, and DAY functions.

Column1 | Column2 | Formula | Description
6/9/2007 | 3 | =DATE(YEAR(Column1)+Column2,MONTH(Column1),DAY(Column1)) | Add 3 years to 6/9/2007 (6/9/2010)
12/10/2008 | 25 | =DATE(YEAR(Column1)+Column2,MONTH(Column1),DAY(Column1)) | Add 25 years to 12/10/2008 (12/10/2033)

To add a combination of days, months, and years to a date, use the DATE, YEAR, MONTH, and DAY functions.

Column1 | Formula | Description
6/9/2007 | =DATE(YEAR(Column1)+3,MONTH(Column1)+1,DAY(Column1)+5) | Add 3 years, 1 month, and 5 days to 6/9/2007 (7/14/2010)
12/10/2008 | =DATE(YEAR(Column1)+1,MONTH(Column1)+7,DAY(Column1)+5) | Add 1 year, 7 months, and 5 days to 6/9/2007 (1/14/2009)

Calculate the difference between two dates

Use the DATEDIF function to do this task.
Column1 | Column2 | Formula | Description
01-Jan-1995 | 15-Jun-1999 | =DATEDIF(Column1, Column2,"d") | Return the number of days between the two dates (1626)
01-Jan-1995 | 15-Jun-1999 | =DATEDIF(Column1, Column2,"ym") | Return the number of months between the dates, ignoring the year part (5)
01-Jan-1995 | 15-Jun-1999 | =DATEDIF(Column1, Column2,"yd") | Return the number of days between the dates, ignoring the year part (165)

Calculate the difference between two times

For presenting the result in the standard time format (hours:minutes:seconds), use the subtraction operator (-) and the TEXT function.

For this method to work, hours must not exceed 24, and minutes and seconds must not exceed 60.

Column1 | Column2 | Formula | Description
06/09/2007 10:35 AM | 06/09/2007 3:30 PM | =TEXT(Column2-Column1,"h") | Hours between two times (4)
06/09/2007 10:35 AM | 06/09/2007 3:30 PM | =TEXT(Column2-Column1,"h:mm") | Hours and minutes between two times (4:55)
06/09/2007 10:35 AM | 06/09/2007 3:30 PM | =TEXT(Column2-Column1,"h:mm:ss") | Hours,minutes, and seconds between two times (4:55:00)

For presenting the result in a total based on one time unit, use the INT function, or HOUR, MINUTE, and SECOND functions.

Column1 | Column2 | Formula | Description
06/09/2007 10:35 AM | 06/10/2007 3:30 PM | =INT((Column2-Column1)*24) | Total hours between two times (28)
06/09/2007 10:35 AM | 06/10/2007 3:30 PM | =INT((Column2-Column1)*1440) | Total minutes between two times (1735)
06/09/2007 10:35 AM | 06/10/2007 3:30 PM | =INT((Column2-Column1)*86400) | Total seconds between two times (104100)
06/09/2007 10:35 AM | 06/10/2007 3:30 PM | =HOUR(Column2-Column1) | Hours between two times, when the difference does not exceed 24. (4)
06/09/2007 10:35 AM | 06/10/2007 3:30 PM | =MINUTE(Column2-Column1) | Minutes between two times, when the difference does not exceed 60. (55)
06/09/2007 10:35 AM | 06/10/2007 3:30 PM | =SECOND(Column2-Column1) | Seconds between two times, when the difference does not exceed 60. (0)

Convert times

To convert hours from standard time format to a decimal number, use the INT function.
Column1 | Formula | Description
10:35 AM | =(Column1-INT(Column1))*24 | Number of hours since 12:00 AM (10.583333)
12:15 PM | =(Column1-INT(Column1))*24 | Number of hours since 12:00 AM (12.25)

To convert hours from decimal number to the standard time format (hours:minutes:seconds), use the divisor operator and the TEXT function.

Column1 | Formula | Description
10:5833 | =TEXT(Column1/24, "h:mm") | Hours since 12:00 AM (10:35)
12:25 | =TEXT(Column1/24, "h:mm") | Hours since 12:00 AM (12:15)

Insert Julian dates

The phrase "Julian date" is sometimes used to refer to a date format that is a combination of the current year, and the number of days since the beginning of the year. For example, January 1, 2007 is represented as 2007001 and December 31, 2007 is represented as 2003356.

There is also a Julian date commonly used in astronomy, which is a serial date system starting on January 1, 4713 B.C.E.

Note This format is not based on the Julian calendar.

To convert a date to a Julian date, use the TEXT and DATEVALUE functions.

Column1 | Formula | Description
6/23/2007 | =TEXT(Column1,"yy")&TEXT((Column1-DATEVALUE("1/1/"& TEXT(Column1,"yy"))+1),"000") | Date in "Julian" format, with a two-digit year (07174)
6/23/2007 | =TEXT(Column1,"yyyy")&TEXT((Column1-DATEVALUE("1/1/"&TEXT(Column1,"yy"))+1),"000") | Date in "Julian" format, with a four-digit year (2007174)

To convert a date to a Julian date used in astronomy, use the constant 2415018.50.

This formula only works for dates after 3/1/1901, and if you are using the 1900 date system.

Column1 | Formula | Description
6/23/2007 | =Column1+2415018.50 | Date in "Julian" format, used in astronomy (2454274.50)

Show dates as the day of the week

To convert dates to the text for the day of the week, use the TEXT and WEEKDAY functions.
Column1 | Formula | Description
19-Feb-2007 | =TEXT(WEEKDAY(Column1), "dddd") | Calculates the day of the week for the date and returns the full name of the day (Monday)
3-Jan-2008 | =TEXT(WEEKDAY(Column1), "ddd") | Calculates the day of the week for the date and returns the abbreviated name of the day (Thu)

Math formulas

Add numbers

To add numbers in two or more columns in a row, use the addition operator or the SUM function.

Column1 | Column2 | Column3 | Formula | Description
6 | 5 | 4 | =Column1+Column2+Column3 | Add the values in the first three columns (15)
6 | 5 | 4 | =SUM(Column1,Column2,Column3) | Add the values in the first three columns (15)
6 | 5 | 4 | =SUM(IF(Column1>Column2, Column1-Column2, 10), Column3) | If Column1 is greater than Column2, add the difference and Column3. Else add 10 and Column3. (5)

Subtract numbers

Use the subtraction (-) operator to do this task.
Column1 | Column2 | Column3 | Formula | Description
15000 | 9000 | -8000 | =Column1-Column2 | Subtract 9000 from 15000 (6000)
15000 | 9000 | -8000 | =SUM(Column1, Column2, Column3) | Add numbers in the first three columns, including negative values (16000)

Calculate the difference between two numbers as a percentage

Use the subtraction (-) and division (/) operators, and the ABS function.
Column1 | Column2 | Formula | Description
2342 | 2500 | =(Column2-Column1)/ABS(Column1) | Percentage change (6.75% or 0.06746)

Multiply numbers

Use the multipliation (*) operator or the PRODUCT function to do this task.
Column1 | Column2 | Formula | Description
5 | 2 | =Column1*Column2 | Multiplies the numbers in the first two columns (10)
5 | 2 | =PRODUCT(Column1, Column2) | Multiplies the numbers in the first two columns (10)
5 | 2 | =PRODUCT(Column1,Column2,2) | Multiplies the numbers in the first two columns and the number 2 (20)

Divide numbers

Use the division operator (/) to do this task.

Column1 | Column2 | Formula | Description
15000 | 12 | =Column1/Column2 | Divides 15000 by 12 (1250)
15000 | 12 | =(Column1+10000)/Column2 | Adds 15000 and 9000, and then divides the total by 12 (2000)

Calculate the average of numbers

The average is also called the mean. To calculate the average of numbers in two or more columns in a row, use the AVERAGE function.

Column1 | Column2 | Column3 | Formula | Description
6 | 5 | 4 | =AVERAGE(Column1, Column2,Column3) | Average of the numbers in the first three columns (5)
6 | 5 | 4 | =AVERAGE(IF(Column1>Column2, Column1-Column2, 10), Column3) | If Column1 is greater than Column, calculate the average of the difference and Column3. Else calculate the average of the value 10 and Column3. (2.5)

Calculate the median of numbers

The median is the value at the center of an ordered range of numbers. Use the MEDIAN function to calculate the median of a group of numbers.
A | B | C | D | E | F | Formula | Description
10 | 7 | 9 | 27 | 0 | 4 | =MEDIAN(A, B, C, D, E, F) | Median of numbers in the first 6 columns (8)

Calculate the smallest or largest number in a range

To calculate the smallest or largest number in two or more columns in a row, use the MIN and MAX functions.
Column1 | Column2 | Column3 | Formula | Description
10 | 7 | 9 | =MIN(Column1, Column2, Column3) | Smallest number (7)
10 | 7 | 9 | =MAX(Column1, Column2, Column3) | Largest number (10)

Count values

To count numeric values, use the COUNT function.
Column1 | Column2 | Column3 | Formula | Description
Apple |  | 12/12/2007 | =COUNT(Column1, Column2, Column3) | Counts the number of columns that contain numeric values, including date and time values. Exludes text and null values. (1)
$12 | #DIV/0! | 1.01 | =COUNT(Column1, Column2, Column3) | Counts the number of columns that contain numeric values, but excludes error and logical values (2)

Increase or decrease a number by a percentage

Use the percentage (%) operator to do this task.
Column1 | Column2 | Formula | Description
23 | 3% | =Column1*(1+5%) | Increases number in Column1 by 5% (24.15)
23 | 3% | =Column1*(1+Column2) | Increase number in Column1 by the percent value in Column2: 3% (23.69)
23 | 3% | =Column1*(1-Column2) | Decrease number in Column1 by the percent value in Column2: 3% (22.31)

Raise a number to a power

Use the exponent (^) operator or the POWER function to do this task.
Column1 | Column2 | Formula | Description
5 | 2 | =Column1^Column2 | Calculates five squared (25)
5 | 3 | =POWER(Column1, Column2) | Calculates five cubed (125)

Round a number

To round up a number, use the ROUNDUP, ODD, and EVEN functions.

Column1 | Formula | Description
20.3 | =ROUNDUP(Column1,0) | Rounds 20.3 up to the nearest whole number (21)
-5.9 | =ROUNDUP(Column1,0) | Rounds -5.9 up (-6)
12.5493 | =ROUNDUP(Column1,2) | Rounds 12.5493 up to the nearest hundredth, two decimal places (12.55)
20.3 | =EVEN(Column1) | Rounds 20.3 up to the nearest even number (22)
20.3 | =ODD(Column1) | Rounds 20.3 up to the nearest odd number (21)

To round down a number, use the ROUNDDOWN function.

Column1 | Formula | Description
20.3 | =ROUNDDOWN(Column1,0) | Rounds 20.3 down to the nearest whole number (20)
-5.9 | =ROUNDDOWN(Column1,0) | Rounds -5.9 down (-5)
12.5493 | =ROUNDDOWN(Column1,2) | Rounds 12.5493 down to the nearest hundredth, two decimal places (12.54)

To round a number to the nearest number or fraction, use the ROUND function.

Column1 | Formula | Description
20.3 | =ROUND(Column1,0) | Rounds 20.3 down, because the fraction part is less than .5 (20)
5.9 | =ROUND(Column1,0) | Rounds 5.9 up, because the fraction part is greater than .5 (6)
-5.9 | =ROUND(Column1,0) | Rounds -5.9 down, because the fraction part is less than -.5 (-6)
1.25 | =ROUND(Column1, 1) | Rounds the number to the nearest tenth (one decimal place). Because the portion to be rounded is 0.05 or greater, the number is rounded up (result: 1.3)
30.452 | =ROUND(Column1, 2) | Rounds the number to the nearest hundredth (two decimal places). Because the portion to be rounded, 0.002, is less than 0.005, the number is rounded down (result: 30.45)

To round a number to the significant digit above 0, use the ROUND, ROUNDUP, ROUNDDOWN, INT, and LEN functions.

Column1 | Formula | Description
5492820 | =ROUND(Column1,3-LEN(INT(Column1))) | Rounds the number to 3 significant digits (5490000)
22230 | =ROUNDDOWN(Column1,3-LEN(INT(Column1))) | Rounds the bottom number down to 3 significant digits (22200)
5492820 | =ROUNDUP(Column1, 5-LEN(INT(Column1))) | Rounds the top number up to 5 significant digits (5492900)

Text formulas

Change the case of text

Use the UPPER, LOWER, or PROPER functions to do this task.
Column1 | Formula | Description
nancy Davolio | =UPPER(Column1) | Changes text to uppercase (NANCY DAVOLIO)
nancy Davolio | =LOWER(Column1) | Changes text to lowercase (nancy davolio)
nancy Davolio | =PROPER(Column1) | Changes text to title case (Nancy Davolio)

Combine first and last names

Use the ampersand (&) operator or the CONCATENATE function to do this task.
Column1 | Column2 | Formula | Description
Nancy | Fuller | =Column1&Column2 | Combines the two strings (NancyFuller)
Nancy | Fuller | =Column1&" "&Column2 | Combines the two strings, separated by a space (Nancy Fuller)
Nancy | Fuller | =Column2&","&Column1 | Combines the two strings, separated by a comma (Fuller, Nancy)
Nancy | Fuller | =CONCATENATE(Column2, ",", Column1) | Combines the two strings, separated by a comma (Fuller,Nancy)

Combine text and numbers from different columns

Use the CONCATENATE and TEXT functions, and the ampersand (&) operator to do this task.
Column1 | Column2 | Formula | Description
Buchanan | 28 | =Column1&" sold "&Column2&" units." | Combines contents above into a phrase (Buchanan sold 28 units)
Dodsworth | 40% | =Column1&" sold "&TEXT(Column2,"0%")&" of the total sales." | Combines contents above into a phrase (Dodsworth sold 40% of the total sales). Note The TEXT function appends the formatted value of Column2 instead of the underlying value, which is .4.
Buchanan | 28 | =CONCATENATE(Column1," sold ",Column2," units.") | Combines contents above into a phrase (Buchanan sold 28 units)

Combine text with a date or time

Use the TEXT function and the ampersand (&) operator to do this task.
Column1 | Column2 | Formula | Description
Billing Date | 5-Jun-2007 | ="Statement date: "&TEXT(Column2, "d-mmm-yyyy") | Combine text with a date (Statement date: 5-Jun-2007)
Billing Date | 5-Jun-2007 | =Column1&" "&TEXT(Column2, "mmm-dd-yyyy") | Combine text and date from difference columns into one column (Billing Date Jun-05-2007)

Compare column contents

To compare one column to another column or a list of values, use the EXACT and OR functions.
Column1 | Column2 | Formula | Description
BD122 | BD123 | =EXACT(Column1,Column2) | Compare contents of first two columns (No)
BD122 | BD123 | =EXACT(Column1, "BD122") | Compare contents of Column1 and the string "BD122" (Yes)
BD122 | BD123 | =OR(EXACT("BD121", Column1, Column2) | Compare the string "BD121" with the contents of the first two columns (No)

Check if a column value or a part of it matches specific text

To check if a column value or a part of it matches specific text, use the IF, FIND, SEARCH, and ISNUMBer functions.

Column1 | Formula | Description
Davolio | =IF(Column1="Davolio", "OK", "Not OK") | Checks to see if Column1 is Davolio (OK)
Davolio | =IF(ISNUMBER(FIND("v",Column1)), "OK", "Not OK") | Checks to see if Column1 contains the letter v (OK)
BD123 | =ISNUMBER(FIND("BD",Column1)) | Checks to see if Column1 contains BD (Yes)

Count nonblank columns

Use the COUNTA function to do this task.
Column1 | Column2 | Column3 | Formula | Description
Sales | 19 |  | =COUNTA(Column1, Column2) | Counts the number of nonblank columns (2)
Sales | 19 |  | =COUNTA(Column1, Column2, Column3) | Counts the number of nonblank columns (2)

Remove characters from text

Use the LEN, LEFT, and RIGHT functions to do this task.
Column1 | Formula | Description
Vitamin A | =LEFT(Column1,LEN(Column1)-2) | Return 7 (9-2) characters, starting from left (Vitamin)
Vitamin B1 | =RIGHT(Column1, LEN(Column1)-8) | Return 2 (10-8) characters, starting from right (B1)

Remove spaces from the beginning and end of a column

Use the TRIM function to do this task.
Column1 | Formula | Description
Hello there! | =TRIM(Column1) | Remove the spaces from the beginning and end (Hello there!)

Repeat a characater in a column

Use the REPT function to do this task.
Formula | Description
=REPT(".",3) | Repeats a period 3 times (...)
=REPT("-",10) | Repeats a dash 10 times (----------)

Other formulas

Hide error values in columns

To display a dash, #N/A, or NA in place of an error value, use the ISERROR function.
Column1 | Column2 | Formula | Description
10 | 0 | =Column1/Column2 | Results in an error (#DIV/0)
10 | 0 | =IF(ISERROR(Column1/Column2),"NA",Column1/Column2) | Returns NA when the value is an error
10 | 0 | =IF(ISERROR(Column1/Column2),"-",Column1/Column2) | Returns a dash when the value is an error


About formulas

About formulas

Formulas are equations that perform calculations on values in a list. A formula starts with an equal sign (=). For example, the following formula multiplies 2 by 3 and then adds 5 to the result.

=5+2*3

You can use a formula in a calculated column and to calculate default values for a column.

A formula can also contain any or all of the following: functions, column references, operators, and constants.

Parts of a formula
=PI()*[Result]^2

Functions The PI() function returns the value of pi: 3.142...

References (or column names) [Result] represents the value in the Result column for the current row.

Constants Numbers or text values entered directly into a formula, such as 2.

Operators The ^ (caret) operator raises a number to a power, and the * (asterisk) operator multiplies.

A formulas might use one or more of the above elements. Here are some examples of formulas (in order of complexity).

Simple formulas (such as =128+345)

The following formulas contain literal values and operators.

Example | Description
=128+345 | Adds 128 and 345
=5^2 | Squares 5

Formulas that contain column references (such as =[Revenue] – [Cost])

The following formulas refer to other columns in the same list.

Example | Description
=[Revenue] | Use the value in the Revenue column
=[Revenue]*10/100 | 10% of the value in the Revenue column
=[Revenue] > [Cost] | Returns Yes if the value in the Revenue column is greater than the value in the Cost column

Formulas that call functions (such as =AVG(1, 2, 3, 4, 5))

The following formulas call built-in functions.

Example | Description
=MAX(Q1, Q2, Q3, Q4) | Returns the largest value in a set of values
=IF(Cost>Revenue, "Not OK", "OK") | Returns Not OK if cost is greater than revenue. Else, returns OK.
=DAY("15-Apr-2008") | Returns a day part of a date. This formula returns the number 15.

Formulas with nested functions (such as =SUM(ROUND([Cost],2),[Profit])

The following formulas specify one or more functions as function arguments.

Example | Description
=SUM(IF(A>B, A-B, 10), C) | The IF function returns the difference between the values in columns A and B, or 10. The SUM function adds the return value of the IF function and the value in column C.
=DEGREES(PI()) | The PI function returns the number 3.14159265358979. The DEGREES function converts a value specified in radians to degrees. This formula returns the value 180.
=ISNUMBER(FIND("BD",Column1)) | The FIND function searches for the string BD in Column1 and returns the starting position of the string. It returns an error value if the string is not found. The ISNUMBER function returns Yes if the FIND function returned a numeric value. Else, it returns No.


About functions

About functions

Functions are predefined formulas that perform calculations by using specific values, called arguments, in a particular order, or structure. Functions can be used to perform simple or complex calculations. For example, the ROUND function rounds off a number in the Cost column.

=ROUND(Cost, 2)

Structure The structure of a function begins with an equal sign (=), followed by the function name, an opening parenthesis, the arguments for the function separated by commas, and a closing parenthesis.

Function name Name of a function that is supported by lists. Each function takes a specific number of arguments, processes them, and returns a value.

Arguments Arguments can be numbers, text, logical values such as True or False, or column references. The argument you designate must produce a valid value for that argument. Arguments can also be constants, formulas, or other functions.

Argument tooltip A tooltip with the syntax and arguments appears as you type the function. For example, type =ROUND( and the tooltip appears. Tooltips only appear for built-in functions.

Nested functions

In certain cases, you may need to use a function as one of the arguments of another function. For example, the following formula uses a nested AVERAGE function and compares the result with the sum of two column values.

=AVERAGE([Cost1], SUM([Cost2]+[Discount]))

Valid returns When a function is used as an argument, it must return the same type of value that the argument uses. For example, if the argument uses Yes or No, then the nested function must return Yes or No. If it doesn't, the list displays a #VALUE! error value.

Nesting level limits A formula can contain up to eight levels of nested functions. When Function B is used as an argument in Function A, Function B is a second-level function. For instance, the SUM function is a second-level function because it is an argument of the AVERAGE function. A function nested within the SUM function would be a third-level function, and so on.

Note Lists do not support the RAND and NOW functions. The TODAY and ME functions are not supported in calculated columns, but are supported in the default value setting of a column.


ABS

ABS

Returns the absolute value of a number. The absolute value of a number is the number without its sign.

Syntax

ABS(number)

Number is the real number of which you want the absolute value.

Examples

Col1 | Formula | Description (Result)
-4 | =ABS([Col1]) | Absolute value of -4 (4)


ACOS

ACOS

Returns the arccosine, or inverse cosine, of a number. The arccosine is the angle whose cosine is number. The returned angle is given in radians in the range 0 (zero) to pi.

Syntax

ACOS(number)

Number is the cosine of the angle you want and must be from -1 to 1.

Remark

If you want to convert the result from radians to degrees, multiply it by 180/PI() or use the DEGREES function.

Example

Formula | Description (Result)
=ACOS(-0.5) | Arccosine of -0.5 in radians, 2*pi/3 (2.094395)
=ACOS(-0.5)*180/PI() | Arccosine of -0.5 in degrees (120)
=DEGREES(ACOS(-0.5)) | Arccosine of -0.5 in degrees (120)


ACOSH

ACOSH

Returns the inverse hyperbolic cosine of a number. Number must be greater than or equal to 1. The inverse hyperbolic cosine is the value whose hyperbolic cosine is number, so ACOSH(COSH(number)) equals number.

Syntax

ACOSH(number)

Number is any real number equal to or greater than 1.

Example

Formula | Description (Result)
=ACOSH(1) | Inverse hyperbolic cosine of 1 (0)
=ACOSH(10) | Inverse hyperbolic cosine of 10 (2.993223)


AND

AND

Returns TRUE if all its arguments are TRUE; returns FALSE if one or more argument is FALSE.

Syntax

AND(logical1,logical2,...)

Logical1, logical2, ... are 1 to 30 conditions you want to test that can be either TRUE or FALSE.

Remarks

  • The arguments must evaluate to logical values such as TRUE or FALSE, or the arguments must be column references that contain logical values.
  • If a column reference argument contains text, AND returns the #VALUE! error value; if it is empty, it returns FALSE.
  • If the arguments contain no logical values, AND returns the #VALUE! error value.

Example 1

Formula | Description (Result)
=AND(TRUE, TRUE) | All arguments are TRUE (TRUE)
=AND(TRUE, FALSE) | One argument is FALSE (FALSE)
=AND(2+2=4, 2+3=5) | All arguments evaluate to TRUE (TRUE)

Example 2

Col1 | Col2 | Formula | Description (Result)
50 | 104 | =AND(1<[Col1], [Col1]<100) | Because 50 is between 1 and 100 (TRUE)
50 | 104 | =IF(AND(1<[Col2], [Col2]<100), [Col2], "The value is out of range.") | Displays the second number, if it is between 1 and 100, otherwise displays a message (The value is out of range.)
50 | 104 | =IF(AND(1<[Col1], [Col1]<100), [Col1], "The value is out of range.") | Displays the first number, if it is between 1 and 100, otherwise displays a message (50)


ASC

ASC

For Double-byte character set (DBCS) languages, changes full-width (double-byte) characters to half-width (single-byte) characters.

Syntax

ASC(text)

Text is the text or a column reference that contains the text you want to change. If text does not contain any full-width letters, text is not changed.

Examples

=ASC("EXCEL") equals "EXCEL"

=ASC(" Excel Excel Excel Excel ") equals " Excel Excel Excel Excel "


ASIN

ASIN

Returns the arcsine, or inverse sine, of a number. The arcsine is the angle whose sine is number. The returned angle is given in radians in the range -pi/2 to pi/2.

Syntax

ASIN(number)

Number is the sine of the angle you want and must be from -1 to 1.

Remark

To express the arcsine in degrees, multiply the result by 180/PI() or use the DEGREES function.

Formula | Description (Result)
=ASIN(-0.5) | Arcsine of -0.5 in radians, -pi/6 (-0.5236)
=ASIN(-0.5)*180/PI() | Arcsine of -0.5 in degrees (-30)
=DEGREES(ASIN(-0.5)) | Arcsine of -0.5 in degrees (-30)


ASINH

ASINH

Returns the inverse hyperbolic sine of a number. The inverse hyperbolic sine is the value whose hyperbolic sine is number, so ASINH(SINH(number)) equals number.

Syntax

ASINH(number)

Number is any real number.

Example

Formula | Description (Result)
=ASINH(-2.5) | Inverse hyperbolic sine of -2.5 (-1.64723)
=ASINH(10) | Inverse hyperbolic sine of 10 (2.998223)


ATAN

ATAN

Returns the arctangent, or inverse tangent, of a number. The arctangent is the angle whose tangent is number. The returned angle is given in radians in the range -pi/2 to pi/2.

Syntax

ATAN (number)

Number is the tangent of the angle you want.

Remark

To express the arctangent in degrees, multiply the result by 180/PI() or use the DEGREES function.

Example

Formula | Description (Result)
=ATAN(1) | Arctangent of 1 in radians, pi/4 (0.785398)
=ATAN(1)*180/PI() | Arctangent of 1 in degrees (45)
=DEGREES(ATAN(1)) | Arctangent of 1 in degrees (45)


ATAN2

ATAN2

Returns the arctangent, or inverse tangent, of the specified x- and y-coordinates. The arctangent is the angle from the x-axis to a line containing the origin (0, 0) and a point with coordinates (x_num, y_num). The angle is given in radians between -pi and pi, excluding -pi.

Syntax

ATAN2(x_num,y_num)

X_num is the x-coordinate of the point.

Y_num is the y-coordinate of the point.

Remarks

  • A positive result represents a counterclockwise angle from the x-axis; a negative result represents a clockwise angle.
  • ATAN2(a,b) equals ATAN(b/a), except that a can equal 0 in ATAN2.
  • If both x_num and y_num are 0, ATAN2 returns the #DIV/0! error value.
  • To express the arctangent in degrees, multiply the result by 180/PI( ) or use the DEGREES function.

Example

Formula | Description (Result)
=ATAN2(1, 1) | Arctangent of the point 1,1 in radians, pi/4 (0.785398)
=ATAN2(-1, -1) | Arctangent of the point -1,-1 in radians, -3*pi/4 (-2.35619)
=ATAN2(-1, -1)*180/PI() | Arctangent of the point 1,1 in degrees (-135)
=DEGREES(ATAN2(-1, -1)) | Arctangent of the point 1,1 in degrees (-135)


ATANH

ATANH

Returns the inverse hyperbolic tangent of a number. Number must be between -1 and 1 (excluding -1 and 1). The inverse hyperbolic tangent is the value whose hyperbolic tangent is number; ATANH(TANH(number)) equals number.

Syntax

ATANH(number)

Number is any real number between 1 and -1.

Example

Formula | Description (Result)
=ATANH(0.76159416) | Inverse hyperbolic tangent of 0.76159416 (1, approximately)
=ATANH(-0.1) | Inverse hyperbolic tangent of -0.1 (-0.10034)


AVERAGEA

AVERAGEA

Calculates the average (arithmetic mean) of the values in the list of arguments. Unlike the AVERAGE functions, text and logical values such as TRUE and FALSE are included in the calculation.

Syntax

AVERAGEA(value1,value2, ...)

Value1, value2,... are 1 to 30 arguments for which you want the average.

Remarks

  • Arguments that contain text evaluate as 0 (zero). Empty text ("") evaluates as 0 (zero). If the calculation must not include text values in the average, use the AVERAGE function.
  • Arguments that contain TRUE evaluate as 1; arguments that contain FALSE evaluate as 0 (zero).

Example

Col1 | Col2 | Col3 | Col4 | Col5 | Col6 | Formula | Description (Result)
10 | 7 | 9 | 2 | 0 |  | =AVERAGEA([Col1],[Col2],[Col3],[Col4],[Col5]) | Average of the numbers (5.6)
10 | 10 | 9 | 2 | 1 |  | =AVERAGEA([Col1],[Col2],[Col3],[Col4],[Col6]) | Average of the numbers, and the empty argument (7.75)


AVEDEV

AVEDEV

Returns the average of the absolute deviations of data points from their mean. AVEDEV is a measure of the variability in a data set.

Syntax

AVEDEV(number1,number2, ...)

Number1, number2, ... are 1 to 30 arguments for which you want the average of the absolute deviations.

Remarks

  • The arguments must be either numbers or column references that contain numbers.
  • If a column reference argument contains text, logical values, or is empty, those values are either ignored or return the #VALUE! error value; however, the value zero is included.
  • The equation for average deviation is:

AVEDEV is influenced by the unit of measurement in the input data.

Example

Col1 | Col2 | Col3 | Col4 | Col5 | Col6 | Col7 | Formula | Description (Result)
4 | 5 | 6 | 7 | 5 | 4 | 3 | =AVEDEV([Col1],[Col2],[Col3],[Col4],[Col5],[Col6],[Col7]) | Average of the absolute deviations of the numbers from their mean (1.020408)


AVERAGE

AVERAGE

Returns the average (arithmetic mean) of the arguments.

Syntax

AVERAGE(number1,number2, ...)

Number1, number2, ... are 1 to 30 numeric arguments for which you want the average.

Remarks

  • The arguments must be either numbers or references that contain numbers.
  • If an array or column reference argument contains text, logical values, or is empty, those values are either ignored or return the #VALUE! error value; however, arguments with the value zero are included.

Example

Col1 | Col2 | Col3 | Col4 | Col5 | Formula | Description (Result)
10 | 7 | 9 | 27 | 2 | =AVERAGE([Col1], [Col2], [Col3], [Col4], [Col5]) | Average of the column numbers (11)
10 | 7 | 9 | 27 | 2 | =AVERAGE([Col1], [Col2], [Col3], [Col4], [Col5], 5) | Average of the column numbers and 5 (10)


BETADIST

BETADIST

Returns the cumulative beta probability distribution function. The cumulative beta probability distribution function is commonly used to study variation in the percentage of something across samples, such as the fraction of the day people spend watching television.

Syntax

BETADIST(x,alpha,beta,A,B)

X is the value between A and B at which to evaluate the function.

Alpha is a parameter to the distribution.

Beta is a parameter to the distribution.

A is an optional lower bound to the interval of x.

B is an optional upper bound to the interval of x.

Remarks

  • If any argument is nonnumeric, BETADIST returns the #VALUE! error value.
  • If alpha ≤ 0 or beta ≤ 0, BETADIST returns the #NUM! error value.
  • If x < A, x > B, or A = B, BETADIST returns the #NUM! error value.
  • If you omit values for A and B, BETADIST uses the standard cumulative beta distribution, so that A = 0 and B = 1.

Example

X | Alpha | Beta | A | B | Formula | Description (Result)
2 | 8 | 10 | 1 | 3 | =BETADIST([X],[Alpha],[Beta],[A],[B]) | Cumulative beta probability density function, for the parameters (0.685470581)


BETAINV

BETAINV

Returns the inverse of the cumulative beta probability distribution function. That is, if probability = BETADIST(x,...), then BETAINV(probability,...) = x. The cumulative beta distribution can be used in project planning to model probable completion times given an expected completion time and variability.

Syntax

BETAINV(probability,alpha,beta,A,B)

Probability is a probability associated with the beta distribution.

Alpha is a parameter to the distribution.

Beta is a parameter to the distribution.

A is an optional lower bound to the interval of x.

B is an optional upper bound to the interval of x.

Remarks

  • If any argument is nonnumeric, BETAINV returns the #VALUE! error value.
  • If alpha ≤ 0 or beta ≤ 0, BETAINV returns the #NUM! error value.
  • If probability ≤ 0 or probability > 1, BETAINV returns the #NUM! error value.
  • If you omit values for A and B, BETAINV uses the standard cumulative beta distribution, so that A = 0 and B = 1.

BETAINV uses an iterative technique for calculating the function. Given a probability value, BETAINV iterates until the result is accurate to within ±3x10-7. If BETAINV does not converge after 100 iterations, the function returns the #N/A error value.

Example

Probability | Alpha | Beta | A | B | Formula | Description (Result)
0.685470581 | 8 | 10 | 1 | 3 | =BETAINV([Probability],[Alpha],[Beta],[A],[B]) | Inverse of the cumulative beta probability density function for the parameters (2)


BINOMDIST

BINOMDIST

Returns the individual term binomial distribution probability. Use BINOMDIST in problems with a fixed number of tests or trials, when the outcomes of any trial are only success or failure, when trials are independent, and when the probability of success is constant throughout the experiment. For example, BINOMDIST can calculate the probability that two of the next three babies born are male.

Syntax

BINOMDIST(number_s,trials,probability_s,cumulative)

Number_s is the number of successes in trials.

Trials is the number of independent trials.

Probability_s is the probability of success on each trial.

Cumulative is a logical value that determines the form of the function. If cumulative is TRUE, then BINOMDIST returns the cumulative distribution function, which is the probability that there are at most number_s successes; if FALSE, it returns the probability mass function, which is the probability that there are exactly number_s successes.

Remarks

  • Number_s and trials are truncated to integers.
  • If number_s, trials, or probability_s is nonnumeric, BINOMDIST returns the #VALUE! error value.
  • If number_s < 0 or number_s > trials, BINOMDIST returns the #NUM! error value.
  • If probability_s < 0 or probability_s > 1, BINOMDIST returns the #NUM! error value.
  • The binomial probability mass function is:

    where:

    is COMBIN(n,x).

    Note The COMBIN function is used here to illustrate the mathematical formula used by the BINOMDIST function. It is not a function that you can use in a list.

    The cumulative binomial distribution is:

Example

number_s | trials | probability_s | Formula | Description (Result)
6 | 10 | 0.5 | =BINOMDIST([number_s],[trials],[probability_s],FALSE) | Probability of exactly 6 of 10 trials being successful (0.205078)


CEILING

CEILING

Returns number rounded up, away from zero, to the nearest multiple of significance. For example, if you want to avoid using pennies in your prices and your product is priced at $4.42, use the formula =CEILING(4.42,0.05) to round prices up to the nearest nickel.

Syntax

CEILING(number,significance)

Number is the value you want to round.

Significance is the multiple to which you want to round.

Remarks

  • If either argument is nonnumeric, CEILING returns the #VALUE! error value.
  • Regardless of the sign of number, a value is rounded up when adjusted away from zero. If number is an exact multiple of significance, no rounding occurs.
  • If number and significance have different signs, CEILING returns the #NUM! error value.

Example

Formula | Description (Result)
=CEILING(2.5, 1) | Rounds 2.5 up to nearest multiple of 1 (3)
=CEILING(-2.5, -2) | Rounds -2.5 up to nearest multiple of -2 (-4)
=CEILING(-2.5, 2) | Returns an error, because -2.5 and 2 have different signs (#NUM!)
=CEILING(1.5, 0.1) | Rounds 1.5 up to the nearest multiple of 0.1 (1.5)
=CEILING(0.234, 0.01) | Rounds 0.234 up to the nearest multiple of 0.01 (0.24)


CHAR

CHAR

Returns the character specified by a number. Use CHAR to translate code page numbers you might get from files on other types of computers into characters.

Syntax

CHAR(number)

Number is a number between 1 and 255 specifying which character you want. The character is from the character set used by your computer.

Example

Formula | Description (Result)
=CHAR(65) | Displays the 65 character in the set (A)
=CHAR(33) | Displays the 33 character in the set (!)


CHIDIST

CHIDIST

Returns the one-tailed probability of the chi-squared distribution. The γ2 distribution is associated with a γ2 test. Use the γ2 test to compare observed and expected values. For example, a genetic experiment might hypothesize that the next generation of plants will exhibit a certain set of colors. By comparing the observed results with the expected ones, you can decide whether your original hypothesis is valid.

Syntax

CHIDIST(x,degrees_freedom)

X is the value at which you want to evaluate the distribution.

Degrees_freedom is the number of degrees of freedom.

Remarks

  • If either argument is nonnumeric, CHIDIST returns the #VALUE! error value.
  • If x is negative, CHIDIST returns the #NUM! error value.
  • If degrees_freedom is not an integer, it is truncated.
  • If degrees_freedom < 1 or degrees_freedom ≥ 10^10, CHIDIST returns the #NUM! error value.
  • CHIDIST is calculated as CHIDIST = P(X>x), where X is a γ2 random variable.

Example

X | DegreesFreedom | Formula | Description (Result)
18.307 | 10 | =CHIDIST([X],[DegreesFreedom]) | One-tailed probability of the chi-squared distribution, for the specified arguments (0.050001)


CHIINV

CHIINV

Returns the inverse of the one-tailed probability of the chi-squared distribution. If probability = CHIDIST(x,...), then CHIINV(probability,...) = x. Use this function to compare observed results with expected ones to decide whether your original hypothesis is valid.

Syntax

CHIINV(probability,degrees_freedom)

Probability is a probability associated with the chi-squared distribution.

Degrees_freedom is the number of degrees of freedom.

Remarks

  • If either argument is nonnumeric, CHIINV returns the #VALUE! error value.
  • If probability < 0 or probability > 1, CHIINV returns the #NUM! error value.
  • If degrees_freedom is not an integer, it is truncated.
  • If degrees_freedom < 1 or degrees_freedom ≥ 10^10, CHIINV returns the #NUM! error value.

CHIINV uses an iterative technique for calculating the function. Given a probability value, CHIINV iterates until the result is accurate to within ± 3x10^-7. If CHIINV does not converge after 100 iterations, the function returns the #N/A error value.

Example

Probability | DegreesFreedom | Formula | Description (Result)
0.05 | 10 | =CHIINV([Probability],[DegreesFreedom]) | Inverse of the one-tailed probability of the chi-squared distribution (18.30703)


CHOOSE

CHOOSE

Uses index_num to return a value from the list of value arguments. Use CHOOSE to select one of up to 29 values based on the index number. For example, if value1 through value7 are the days of the week, CHOOSE returns one of the days when a number between 1 and 7 is used as index_num.

Syntax

CHOOSE(index_num,value1,value2,...)

Index_num specifies which value argument is selected. Index_num must be a number between 1 and 29, or a formula or column reference containing a number between 1 and 29.

  • If index_num is 1, CHOOSE returns value1; if it is 2, CHOOSE returns value2; and so on.

  • If index_num is less than 1 or greater than the number of the last value in the list, CHOOSE returns the #VALUE! error value.

  • If index_num is a fraction, it is truncated to the lowest integer before being used.

Value1,value2,... are 1 to 29 value arguments from which CHOOSE selects a value or an action to perform based on index_num. The arguments can be numbers, column references, formulas, functions, or text.

Remarks

Example 1

Col1 | Col2 | Col3 | Col4 | Formula | Description (Result)
1st | 2nd | 3rd | Finished | =CHOOSE(2,[Col1],[Col2],[Col3],[Col4]) | Value from the second argument Col2 (2nd)
Nails | Screws | Nuts | Bolts | =CHOOSE(4,[Col1],[Col2],[Col3],[Col4]) | Value from the fourth argument Col4 (Bolts)

Example 2

Col1 | Col2 | Col3 | Col4 | Formula | Description (Result)
23 | 45 | 12 | 10 | =SUM([Col1], CHOOSE(2,[Col2],[Col3],[Col4])) | Sums the two arguments Col1 and the result of the Choose function (35)


CLEAN

CLEAN

Removes all nonprintable characters from text. Use CLEAN on text imported from other applications that contains characters that may not print with your operating system. For example, you can use CLEAN to remove some low-level computer code that is frequently at the beginning and end of data files and cannot be printed.

Syntax

CLEAN(text)

Text is any information from which you want to remove nonprintable characters.

Example

Col1 | Formula | Description (Result)
CHAR(7)&"text"&CHAR(7) | =CLEAN([Col1]) | Removes the nonprintable character, CHAR(7), from the string (text).


CODE

CODE

Returns a numeric code for the first character in a text string. The returned code corresponds to the character set used by your computer.

Syntax

CODE(text)

Text is the text for which you want the code of the first character in the text string.

Example

Formula | Description (Result)
=CODE("A") | Displays the numeric code for A (65)
=CODE("!") | Displays the numeric code for ! (33)


CONCATENATE

CONCATENATE

Joins several text strings into one text string.

Syntax

CONCATENATE (text1,text2,...)

Text1, text2, ... are 1 to 30 text items to be joined into a single text item. The text items can be text strings, numbers, or column references.

Remarks

The "&" operator can be used instead of CONCATENATE to join text items.

Example

Col1 | Col2 | Col3 | Formula | Description
brook trout | species | 32 | =CONCATENATE("Stream population for ",[Col1]," ",[Col2]," is ",[Col3],"/mile") | Concatenates a sentence from the data (Stream population for brook trout species is 32/mile)


CONFIDENCE

CONFIDENCE

Returns the confidence interval for a population mean with a normal distribution. The confidence interval is a range on either side of a sample mean. For example, if you order a product through the mail, you can determine, with a particular level of confidence, the earliest and latest the product will arrive.

Syntax

CONFIDENCE(alpha,standard_dev,size)

Alpha is the significance level used to compute the confidence level. The confidence level equals 100*(1 - alpha)%, or in other words, an alpha of 0.05 indicates a 95 percent confidence level.

Standard_dev is the population standard deviation for the data range and is assumed to be known.

Size is the sample size.

Remarks

  • If any argument is nonnumeric, CONFIDENCE returns the #VALUE! error value.
  • If alpha ≤ 0 or alpha ≥ 1, CONFIDENCE returns the #NUM! error value.
  • If standard_dev ≤ 0, CONFIDENCE returns the #NUM! error value.
  • If size is not an integer, it is truncated.
  • If size < 1, CONFIDENCE returns the #NUM! error value.
  • If we assume alpha equals 0.05, we need to calculate the area under the standard normal curve that equals (1 - alpha), or 95 percent. This value is ± 1.96. The confidence interval is therefore:

Example

Suppose we observe that, in our sample of 50 commuters, the average length of travel to work is 30 minutes with a population standard deviation of 2.5. We can be 95 percent confident that the population mean is in the interval:

Alpha | StdDev | Size | Formula | Description (Result)
0.05 | .5 | 50 | =CONFIDENCE([Alpha],[StdDev],[Size]) | Confidence interval for a population mean. In other words, the average length of travel to work equals 30 ± 0.692951 minutes, or 29.3 to 30.7 minutes. (0.692951)


COS

COS

Returns the cosine of the given angle.

Syntax

COS(number)

Number is the angle in radians for which you want the cosine.

Remark

If the angle is in degrees, multiply it by PI()/180 or use the RADIANS function to convert it to radians.

Example

Formula | Description (Result)
=COS(1.047) | Cosine of 1.047 radians (0.500171)
=COS(60*PI()/180) | Cosine of 60 degrees (0.5)
=COS(RADIANS(60)) | Cosine of 60 degrees (0.5)


COSH

COSH

Returns the hyperbolic cosine of a number.

Syntax

COSH(number)

Number is any real number for which you want to find the hyperbolic cosine.

Remark

The formula for the hyperbolic cosine is:

Example

Formula | Description (Result)
=COSH(4) | Hyperbolic cosine of 4 (27.30823)
=COSH(EXP(1)) | Hyperbolic cosine of the base of the natural logarithm (7.610125)


COUNT

COUNT

Counts the number of arguments that contain numbers.

Syntax

COUNT(value1,value2, ...)

Value1, value2, ... are 1 to 30 arguments that can contain or refer to a variety of different types of data, but only numbers are counted.

Remarks

  • Arguments that are numbers, dates, or text representations of numbers are counted; arguments that are error values or text that cannot be translated into numbers are ignored.
  • If you need to count logical values, text, or error values, use the COUNTA function.

Example

Col1 | Col2 | Col3 | Col4 | Col5 | Col6 | Col7 | Formula | Description (Result)
Sales | 12/8/2008 |  | 19 | 22.24 | TRUE | #DIV/0! | =COUNT([Col1],[Col2],[Col3],[Col4],[Col5],[Col6],[Col7]) | Counts the number of arguments that contain numbers in the list (3)
 |  |  | 19 | 22.24 | TRUE | #DIV/0! | =COUNT([Col4],[Col5],[Col6],[Col7]) | Counts the number of arguments that contain numbers in the last 4 rows of the list (2)
Sales | 2/8/2008 |  | 19 | 22.24 | TRUE | #DIV/0! | COUNT([Col1],[Col2],[Col3],[Col4],[Col5],[Col6],[Col7],2) | Counts the number of arguments that contain numbers in the list, and the value 2 (4)


COUNTA

COUNTA

Counts the number of arguments that are not empty.

Syntax

COUNTA(value1,value2, ...)

Value1, value2, ... are 1 to 30 arguments representing the values you want to count. In this case, a value is any type of information, including empty text ("") but not including empty arguments. If you do not need to count logical values, text, or error values, use the COUNT function.

Example

Col1 | Col2 | Col3 | Col4 | Col5 | Col6 | Col7 | Formula | Description (Result)
Sales | 12/8/2008 |  | 19 | 22.24 | TRUE | #DIV/0! | =COUNTA([Col1],[Col2],[Col3],[Col4],[Col5],[Col6],[Col7]) | Counts the number of nonblank arguments in the list (6)
Sales | 12/8/2008 |  | 19 | 22.24 | TRUE | #DIV/0! | =COUNTA([Col4],[Col5],[Col6],[Col7])) | Counts the number of nonblank arguments in the last 4 rows of the list (4)
Sales | 12/8/2008 |  | 19 | 22.24 | TRUE | #DIV/0! | =COUNTA([Col1],[Col2],[Col3],[Col4],[Col5],[Col6],[Col7],2) | Counts the number of nonblank arguments in the list and the value 2 (7)
Sales | 12/8/2008 |  | 19 | 22.24 | TRUE | #DIV/0! | =COUNTA([Col1],[Col2],[Col3],[Col4],[Col5],[Col6],[Col7], "Two") | Counts the number of nonblank arguments in the list and the value "Two" (7)


CRITBINOM

CRITBINOM

Returns the smallest value for which the cumulative binomial distribution is greater than or equal to a criterion value. Use this function for quality assurance applications. For example, use CRITBINOM to determine the greatest number of defective parts that are allowed to come off an assembly line run without rejecting the entire lot.

Syntax

CRITBINOM(trials,probability_s,alpha)

Trials is the number of Bernoulli trials.

Probability_s is the probability of a success on each trial.

Alpha is the criterion value.

Remarks

  • If any argument is nonnumeric, CRITBINOM returns the #VALUE! error value.
  • If trials is not an integer, it is truncated.
  • If trials < 0, CRITBINOM returns the #NUM! error value.
  • If probability_s is < 0 or probability_s > 1, CRITBINOM returns the #NUM! error value.
  • If alpha < 0 or alpha > 1, CRITBINOM returns the #NUM! error value.

Example

Trials | Probability_s | Alpha | Formula | Description (Result)
6 | 0.5 | 0.75 | =CRITBINOM([Trials],[Probability_s],[Alpha]) | Smallest value for which the cumulative binomial distribution is greater than or equal to a criterion value (4)


DATE

DATE

Returns the sequential serial number that represents a particular date.

Syntax

DATE(year,month,day)

Year The year argument can be one to four digits.

  • If year is between 0 (zero) and 1899 (inclusive), the value is added to 1900 to calculate the year. For example, DATE(108,1,2) returns January 2, 2008 (1900+108).

  • If year is between 1900 and 9999 (inclusive), the value is used as the year. For example, DATE(2008,1,2) returns January 2, 2008.

Month is a number representing the month of the year. If month is greater than 12, month adds that number of months to the first month in the year specified. For example, DATE(2008,14,2) returns the serial number representing February 2, 2009.

Day is a number representing the day of the month. If day is greater than the number of days in the month specified, day adds that number of days to the first day in the month. For example, DATE(2008,1,35) returns the serial number representing February 4, 2008.

Remarks

  • Dates are stored as sequential serial numbers so they can be used in calculations. By default, December 31, 1899 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900.
  • The DATE function is most useful in formulas where year, month, and day are formulas, not constants.

Example

Year | Month | Day | Formula | Description (Result)
2008 | 1 | 1 | =DATE([Year],[Month],[Day]) | Serial date for the date (1/1/2008 or 39448)


DATEDIF

DATEDIF

Calculates the number of days, months, or years between two dates. This function is provided for compatibility with Lotus 1-2-3.

Syntax

DATEDIF(start_date,end_date,unit)

Start_date A date that represents the first, or starting, date of the period. Dates may be entered as text strings within quotation marks (for example, "2001/1/30"), as serial numbers (for example, 36921, which represents January 30, 2001, if you're using the 1900 date system), or as the results of other formulas or functions (for example, DATEVALUE("2001/1/30")).

End_date A date that represents the last, or ending, date of the period.

Unit The type of information you want returned:

Unit | Returns
"Y" | The number of complete years in the period.
"M" | The number of complete months in the period.
"D" | The number of days in the period.
"MD" | The difference between the days in start_date and end_date. The months and years of the dates are ignored.
"YM" | The difference between the months in start_date and end_date. The days and years of the dates are ignored
"YD" | The difference between the days of start_date and end_date. The years of the dates are ignored.

Remarks

  • Dates are stored as sequential serial numbers so they can be used in calculations. By default, December 31, 1899 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900.
  • The DATEDIF function is useful in formulas where you need to calculate an age.

Example

Start_date | End_date | Formula | Description (Result)
1/1/2001 | 1/1/2003 | DATEDIF(Start_date,End_date,"Y") | Two complete years in the period (2)
6/1/2001 | 8/15/2002 | DATEDIF(Start_date,End_date,"D") | 440 days between June 1, 2001, and August 15, 2002 (440)
6/1/2001 | 8/15/2002 | DATEDIF(Start_date,End_date,"YD") | 75 days between June 1 and August 15, ignoring the years of the dates (75)
6/1/2001 | 8/15/2002 | DATEDIF(Start_date,End_date,"MD") | The difference between 1 and 15 — the day of start_date and the day of end_date — ignoring the months and the years of the dates (14)


DATEVALUE

DATEVALUE

Returns the serial number of the date represented by date_text. Use DATEVALUE to convert a date represented by text to a serial number.

Syntax

DATEVALUE(date_text)

Date_text is text that represents a date in a date format. For example, "1/30/2008" or "30-Jan-2008" are text strings within quotation marks that represent dates.

If the year portion of date_text is omitted, DATEVALUE uses the current year from your server's built-in clock. Time information in date_text is ignored.

Remarks

  • Dates are stored as sequential serial numbers so they can be used in calculations. By default, December 31, 1899 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900.
  • Most functions automatically convert date values to serial numbers.

Example

Formula | Description (Result)
=DATEVALUE("8/22/2008") | Serial number of the text date (39682)
=DATEVALUE("22-AUG-2008") | Serial number of the text date (39682)
=DATEVALUE("2008/02/23") | Serial number of the text date (39501)
=DATEVALUE("5-JUL") | Serial number of the text date, assuming the computer's built-in clock is set to 2000 (37807)


DAY

DAY

Returns the day of a date, represented by a serial number. The day is given as an integer ranging from 1 to 31.

Syntax

DAY(serial_number)

Serial_number is the date of the day you are trying to find.

Remarks

  • Dates are stored as sequential serial numbers so they can be used in calculations. By default, December 31, 1899 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900.
  • Values returned by the YEAR, MONTH and DAY functions will be Gregorian values regardless of the display format for the supplied date value. For example, if the display format of the supplied date is Hijri, the returned values for the YEAR, MONTH and DAY functions will be values associated with the equivalent Gregorian date.

Example

Formula | Description (Result)
=DAY("15-Apr-2008") | Day of the date (15)


DAYS360

DAYS360

Returns the number of days between two dates based on a 360-day year (twelve 30-day months), which is used in some accounting calculations. Use this function to help compute payments if your accounting system is based on twelve 30-day months.

Syntax

DAYS360(start_date,end_date,method)

Start_date and end_date are the two dates between which you want to know the number of days. If start_date occurs after end_date, DAYS360 returns a negative number.

Method is a logical value that specifies whether to use the U.S. or European method in the calculation.

Method | Defined
FALSE or omitted | U.S. (NASD) method. If the starting date is the 31st of a month, it becomes equal to the 30th of the same month. If the ending date is the 31st of a month and the starting date is earlier than the 30th of a month, the ending date becomes equal to the 1st of the next month; otherwise the ending date becomes equal to the 30th of the same month.
TRUE | European method. Starting dates and ending dates that occur on the 31st of a month become equal to the 30th of the same month.

Remark

Dates are stored as sequential serial numbers so they can be used in calculations. By default, December 31, 1899 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900.

Example

Col1 | Col2 | Formula | Description (Result)
1/30/2008 | 2/1/2008 | =DAYS360([Col1],[Col2]) | Number of days between the two dates, based on a 360-day year (1)


DDB

DDB

Returns the depreciation of an asset for a specified period using the double-declining balance method or some other method you specify.

Syntax

DDB(cost,salvage,life,period,factor)

Cost is the initial cost of the asset.

Salvage is the value at the end of the depreciation (sometimes called the salvage value of the asset).

Life is the number of periods over which the asset is being depreciated (sometimes called the useful life of the asset).

Period is the period for which you want to calculate the depreciation. Period must use the same units as life.

Factor is the rate at which the balance declines. If factor is omitted, it is assumed to be 2 (the double-declining balance method).

All five arguments must be positive numbers.

Remarks

  • The double-declining balance method computes depreciation at an accelerated rate. Depreciation is highest in the first period and decreases in successive periods. DDB uses the following formula to calculate depreciation for a period:

    ((cost-salvage) - total depreciation from prior periods) * (factor/life)

  • Change factor if you do not want to use the double-declining balance method.

Example

Cost | Salvage | Life | Formula | Description (Result)
2400 | 300 | 10 | =DDB([Cost],[Salvage],[Life]*365,1) | First day's depreciation. Factor is automatically assumed to be 2. (1.32)
2400 | 300 | 10 | =DDB([Cost],[Salvage],[Life]*12,1,2) | First month's depreciation (40.00)
2400 | 300 | 10 | =DDB([Cost],[Salvage],[Life],1,2) | First year's depreciation (480.00)
2400 | 300 | 10 | =DDB([Cost],[Salvage],[Life],2,1.5) | Second year's depreciation using a factor of 1.5 instead of the double-declining balance method (306.00)
2400 | 300 | 10 | =DDB([Cost],[Salvage],[Life],10) | Tenth year's depreciation. Factor is automatically assumed to be 2 (22.12)

Note The results are rounded to two decimal places.


DEGREES

DEGREES

Converts radians into degrees.

Syntax

DEGREES(angle)

Angle is the angle in radians that you want to convert.

Example

Formula | Description (Result)
=DEGREES(PI()) | Degrees of pi radians (180)


DEVSQ

DEVSQ

Returns the sum of squares of deviations of data points from their sample mean.

Syntax

DEVSQ(number1,number2, ...)

Number1,number2, ... are 1 to 30 arguments for which you want to calculate the sum of squared deviations.

Remarks

  • The arguments must be numbers or column references that contain numbers.
  • If argument contains text, logical values, or is empty, those values are ignored; however, arguments with the value zero are included.
  • The equation for the sum of squared deviations is:

Example

Col1 | Col2 | Col3 | Col4 | Col5 | Col6 | Col7 | Formula | Description (Result)
4 | 5 | 8 | 7 | 11 | 4 | 3 | =DEVSQ([Col1],[Col2],[Col3],[Col4],[Col5],[Col6],[Col7]) | Sum of squares of deviations of data from their sample mean (48)


DOLLAR

DOLLAR

Converts a number to text using currency format, with the decimals rounded to the specified place. The format used is $#,##0.00_);($#,##0.00).

Syntax

DOLLAR(number,decimals)

Number is a number, a colimn reference containing a number, or a formula that evaluates to a number.

Decimals is the number of digits to the right of the decimal point. If decimals is negative, number is rounded to the left of the decimal point. If you omit decimals, your system locale setting will be used to determine the number of decimal places.

Remark

The Dollar function uses the currency setting of your computer. If you always want to show U.S. currency, use the USDOLLAR function instead.

Example

Col1 | Formula | Description (Result)
1234.567 | =DOLLAR([Col1], 2) | Displays the first number in a currency format, 2 digits to the right of the decimal point ($1,234.57)
1234.567 | =DOLLAR([Col1], -2) | Displays the first number in a currency format, 2 digits to the left of the decimal point ($1,200)
-1234.567 | =DOLLAR([Col1], -2) | Displays the second number in a currency format, 2 digits to the left of the decimal point (($1,200))
-0.123 | =DOLLAR([Col1], 4) | Displays the third number in a currency format, 4 digits to the right of the decimal point(($0.1230))
99.888 | =DOLLAR([Col1]) | Displays the fourth number in a currency format, 2 digit to the left of the decimal point ($99.89)


EVEN

EVEN

Returns number rounded up to the nearest even integer. You can use this function for processing items that come in twos. For example, a packing crate accepts rows of one or two items. The crate is full when the number of items, rounded up to the nearest two, matches the crate's capacity.

Syntax

EVEN(number)

Number is the value to round.

Remarks

  • If number is nonnumeric, EVEN returns the #VALUE! error value.
  • Regardless of the sign of number, a value is rounded up when adjusted away from zero. If number is an even integer, no rounding occurs.

Example

Formula | Description (Result)
=EVEN(1.5) | Rounds 1.5 up to the nearest even integer (2)
=EVEN(3) | Rounds 3 up to the nearest even integer (4)
=EVEN(2) | Rounds 2 up to the nearest even integer (2)
=EVEN(-1) | Rounds -1 up to the nearest even integer (-2)


EXACT

EXACT

Compares two text strings and returns TRUE if they are exactly the same, FALSE otherwise. EXACT is case-sensitive. Use EXACT to test text being entered into a document.

Syntax

EXACT(text1,text2)

Text1 is the first text string.

Text2 is the second text string.

Example

Col1 | Col2 | Formula | Description (Result)
word | word | =EXACT([Col1],[Col2]) | Checks whether the strings match (TRUE)
Word | word | =EXACT([Col1],[Col2] | Checks whether the strings match (FALSE)
w ord | word | =EXACT([Col1],[Col2]) | Checks whether the strings match (FALSE)


EXP

EXP

Returns e raised to the power of number. The constant e equals 2.71828182845904, the base of the natural logarithm.

Syntax

EXP(number)

Number is the exponent applied to the base e.

Remarks

  • To calculate powers of other bases, use the exponentiation operator (^).
  • EXP is the inverse of LN, the natural logarithm of number.

Example

Formula | Description (Result)
=EXP(1) | Approximate value of e (2.718282)
=EXP(2) | Base of the natural logarithm e raised to the power of 2 (7.389056)


EXPONDIST

EXPONDIST

Returns the exponential distribution. Use EXPONDIST to model the time between events, such as how long an automated bank teller takes to deliver cash. For example, you can use EXPONDIST to determine the probability that the process takes at most 1 minute.

Syntax

EXPONDIST(x,lambda,cumulative)

X is the value of the function.

Lambda is the parameter value.

Cumulative is a logical value that indicates which form of the exponential function to provide. If cumulative is TRUE, EXPONDIST returns the cumulative distribution function; if FALSE, it returns the probability density function.

Remarks

  • If x or lambda is nonnumeric, EXPONDIST returns the #VALUE! error value.
  • If x < 0, EXPONDIST returns the #NUM! error value.
  • If lambda ≤ 0, EXPONDIST returns the #NUM! error value.
  • The equation for the probability density function is:

  • The equation for the cumulative distribution function is:

Example 1

Formula | Description (Result)
=EXPONDIST(0.2,10,FALSE) | Probability exponential distribution function (1.353353)

Example 2

X | Lambda | Formula | Description (Result)
0.2 | 10 | =EXPONDIST([X,][Lambda],TRUE) | Cumulative exponential distribution function (0.864665)


FACT

FACT

Returns the factorial of a number. The factorial of a number is equal to 1*2*3*...* number.

Syntax

FACT(number)

Number is the nonnegative number you want the factorial of. If number is not an integer, it is truncated.

Example

Formula | Description (Result)
=FACT(5) | Factorial of 5, or 1*2*3*4*5 (120)
=FACT(1.9) | Factorial of the integer of 1.9 (1)
=FACT(0) | Factorial of 0 (1)
=FACT(-1) | Negative numbers cause an error value (#NUM!)
=FACT(1) | Factorial of 1 (1)


FALSE

FALSE

Returns the logical value FALSE.

Syntax

FALSE( )

Remark

You can also type the word FALSE directly into the formula, and it is interpreted as the logical value FALSE.


FDIST

FDIST

Returns the F probability distribution. You can use this function to determine whether two data sets have different degrees of diversity. For example, you can examine test scores given to men and women entering high school and determine if the variability in the females is different from that found in the males.

Syntax

FDIST(x,degrees_freedom1,degrees_freedom2)

X is the value at which to evaluate the function.

Degrees_freedom1 is the numerator degrees of freedom.

Degrees_freedom2 is the denominator degrees of freedom.

Remarks

  • If any argument is nonnumeric, FDIST returns the #VALUE! error value.
  • If x is negative, FDIST returns the #NUM! error value.
  • If degrees_freedom1 or degrees_freedom2 is not an integer, it is truncated.
  • If degrees_freedom1 < 1 or degrees_freedom1 ≥ 10^10, FDIST returns the #NUM! error value.
  • If degrees_freedom2 < 1 or degrees_freedom2 ≥ 10^10, FDIST returns the #NUM! error value.
  • FDIST is calculated as FDIST=P( F<x ), where F is a random variable that has an F distribution.

Example

X | Degrees1 | Degrees2 | Formula | Description (Result)
15.20675 | 6 | 4 | =FDIST([X],[Degrees1],[Degrees2]) | F probability distribution for the specified arguments (0.01)


FIND

FIND

Finds one text string (find_text) within another text string (within_text), and returns the number of the starting position of find_text, from the first character of within_text. You can also use SEARCH to find one text string within another, but unlike SEARCH, FIND is case sensitive and doesn't allow wildcard characters.

Syntax

FIND(find_text,within_text,start_num)

Find_text is the text you want to find.

Within_text is the text containing the text you want to find.

Start_num specifies the character at which to start the search. The first character in within_text is character number 1. If you omit start_num, it is assumed to be 1.

Tip

Use start_num to skip a specified number of characters. For example, suppose you are working with the text string "AYF0093.YoungMensApparel". To find the number of the first "Y" in the descriptive part of the text string, set start_num equal to 8 so that the serial-number portion of the text is not searched. FIND begins with character 8, finds find_text at the next character, and returns the number 9. FIND always returns the number of characters from the start of within_text, counting the characters you skip if start_num is greater than 1.

Remarks

  • If find_text is "" (empty text), FIND matches the first character in the search string (that is, the character numbered start_num or 1).
  • Find_text cannot contain any wildcard characters.
  • If find_text does not appear in within_text, FIND returns the #VALUE! error value.
  • If start_num is not greater than zero, FIND returns the #VALUE! error value.
  • If start_num is greater than the length of within_text, FIND returns the #VALUE! error value.

Example 1

Formula | Description (Result)
=FIND("M","Miriam McGovern") | Position of the first "M" in the string (1)
=FIND("m","Miriam McGovern") | Position of the first "m" in the string (6)
=FIND("M","Miriam McGovern",3) | Position of the first "M" in the string, starting with the third character (8)

Example 2

Col1 | Formula | Description (Result)
Ceramic Insulators #124-TD45-87 | =MID([Col1],1,FIND(" #",[Col1],1)-1) | Extracts text from position 1 to the position of " #" in the string (Ceramic Insulators)
Copper Coils #12-671-6772 | =MID([Col1],1,FIND(" #",[Col1],1)-1) | Extracts text from position 1 to the position of " #" in the string (Copper Coils)
Variable Resistors #116010 | =MID([Col1],1,FIND(" #",[Col1],1)-1) | Extracts text from position 1 to the position of " #" in the string (Variable Resistors)


FINV

FINV

Returns the inverse of the F probability distribution. If p = FDIST(x,...), then FINV(p,...) = x.

The F distribution can be used in an F-test that compares the degree of variability in two data sets. For example, you can analyze income distributions in the United States and Canada to determine whether the two countries have a similar degree of diversity.

Syntax

FINV(probability,degrees_freedom1,degrees_freedom2)

Probability is a probability associated with the F cumulative distribution.

Degrees_freedom1 is the numerator degrees of freedom.

Degrees_freedom2 is the denominator degrees of freedom.

Remarks

  • If any argument is nonnumeric, FINV returns the #VALUE! error value.
  • If probability < 0 or probability > 1, FINV returns the #NUM! error value.
  • If degrees_freedom1 or degrees_freedom2 is not an integer, it is truncated.
  • If degrees_freedom1 < 1 or degrees_freedom1 ≥ 10^10, FINV returns the #NUM! error value.
  • If degrees_freedom2 < 1 or degrees_freedom2 ≥ 10^10, FINV returns the #NUM! error value.

FINV can be used to return critical values from the F distribution. For example, the output of an ANOVA calculation often includes data for the F statistic, F probability, and F critical value at the 0.05 significance level. To return the critical value of F, use the significance level as the probability argument to FINV.

FINV uses an iterative technique for calculating the function. Given a probability value, FINV iterates until the result is accurate to within ± 3x10^-7. If FINV does not converge after 100 iterations, the function returns the #N/A error value.

Example

Probability | Degrees1 | Degrees2 | Formula | Description (Result)
0.01 | 6 | 4 | =FINV([Probability],[Degrees1],[Degrees2]) | Inverse of the F probability distribution for the specified arguments (15.20675)


FISHER

FISHER

Returns the Fisher transformation at x. This transformation produces a function that is approximately normally distributed rather than skewed. Use this function to perform hypothesis testing on the correlation coefficient.

Syntax

FISHER(x)

X is a numeric value for which you want the transformation.

Remarks

  • If x is nonnumeric, FISHER returns the #VALUE! error value.
  • If x ≤ -1 or if x ≥ 1, FISHER returns the #NUM! error value.

  • The equation for the Fisher transformation is:

Example

Formula | Description (Result)
=FISHER(0.75) | Fisher transformation at 0.75 (0.972955)


FISHERINV

FISHERINV

Returns the inverse of the Fisher transformation. Use this transformation when analyzing correlations between ranges or arrays of data. If y = FISHER(x), then FISHERINV(y) = x.

Syntax

FISHERINV(y)

Y is the value for which you want to perform the inverse of the transformation.

Remarks

  • If y is nonnumeric, FISHERINV returns the #VALUE! error value.

  • The equation for the inverse of the Fisher transformation is:

Example

Formula | Description (Result)
=FISHERINV(0.972955) | Inverse of the Fisher transformation at 0.972955 (0.75)


FIXED

FIXED

Rounds a number to the specified number of decimals, formats the number in decimal format using a period and commas, and returns the result as text.

Syntax

FIXED(number,decimals,no_commas)

Number is the number you want to round and convert to text.

Decimals is the number of digits to the right of the decimal point.

No_commas is a logical value that, if TRUE, prevents FIXED from including commas in the returned text.

Remarks

  • If decimals is negative, number is rounded to the left of the decimal point.
  • If you omit decimals, your system locale setting will be used to determine the number of decimal places.
  • If no_commas is FALSE or omitted, then the returned text includes commas as usual.

Example

Formula | Description (Result)
=FIXED(1234.567, 1) | Rounds the first number 1 digit to the right of the decimal point (1,234.6)
=FIXED(1234.567, -1) | Rounds the first number 1 digit to the left of the decimal point (1,230)
=FIXED(-1234.567, -1, TRUE) | Rounds the second number 1 digit to the left of the decimal point, without commas (-1230)
=FIXED(44.332) | Rounds the third number 2 digits to the left of the decimal point (44.33)


FLOOR

FLOOR

Rounds number down, toward zero, to the nearest multiple of significance.

Syntax

FLOOR(number,significance)

Number is the numeric value you want to round.

Significance is the multiple to which you want to round.

Remarks

  • If either argument is nonnumeric, FLOOR returns the #VALUE! error value.
  • If number and significance have different signs, FLOOR returns the #NUM! error value.
  • Regardless of the sign of number, a value is rounded down when adjusted away from zero. If number is an exact multiple of significance, no rounding occurs.

Example

Formula | Description (Result)
=FLOOR(2.5, 1) | Rounds 2.5 down to nearest multiple of 1 (2)
=FLOOR(-2.5, -2) | Rounds -2.5 down to nearest multiple of -2 (-2)
=FLOOR(-2.5, 2) | Returns an error, because -2.5 and 2 have different signs (#NUM!)
=FLOOR(1.5, 0.1) | Rounds 1.5 down to the nearest multiple of 0.1 (1.5)
=FLOOR(0.234, 0.01) | Rounds 0.234 down to the nearest multiple of 0.01 (0.23)


FV

FV

Returns the future value of an investment based on periodic, constant payments and a constant interest rate.

Syntax

FV(rate,nper,pmt,pv,type)

For a more complete description of the arguments in FV and for more information on annuity functions, see PV.

Rate is the interest rate per period.

Nper is the total number of payment periods in an annuity.

Pmt is the payment made each period; it cannot change over the life of the annuity. Typically, pmt contains principal and interest but no other fees or taxes. If pmt is omitted, you must include the pv argument.

Pv is the present value, or the lump-sum amount that a series of future payments is worth right now. If pv is omitted, it is assumed to be 0 (zero), and you must include the pmt argument.

Type is the number 0 or 1 and indicates when payments are due. If type is omitted, it is assumed to be 0.

Set type equal to | If payments are due
0 | At the end of the period
1 | At the beginning of the period

Remarks
  • Make sure that you are consistent about the units you use for specifying rate and nper. If you make monthly payments on a four-year loan at 12 percent annual interest, use 12%/12 for rate and 4*12 for nper. If you make annual payments on the same loan, use 12% for rate and 4 for nper.
  • For all the arguments, cash you pay out, such as deposits to savings, is represented by negative numbers; cash you receive, such as dividend checks, is represented by positive numbers.

Example 1

Rate | Nper | Pmt | PV | Type | Formula | Description (Result)
6% | 10 | -200 | -500 | 1 | =FV(Rate/12, Nper, Pmt, PV, Type) | Future value of an investment with the specified arguments (2581.40)

Note The annual interest rate is divided by 12 because it is compounded monthly.

Example 2

Rate | Nper | Pmt | Formula | Description (Result)
12% | 12 | -1000 | =FV([Rate]/12, [Nper], [Pmt]) | Future value of an investment with the specified arguments (12,682.50)

Note The annual interest rate is divided by 12 because it is compounded monthly.


GAMMADIST

GAMMADIST

Returns the gamma distribution. You can use this function to study variables that may have a skewed distribution. The gamma distribution is commonly used in queuing analysis.

Syntax

GAMMADIST(x,alpha,beta,cumulative)

X is the value at which you want to evaluate the distribution.

Alpha is a parameter to the distribution.

Beta is a parameter to the distribution. If beta = 1, GAMMADIST returns the standard gamma distribution.

Cumulative is a logical value that determines the form of the function. If cumulative is TRUE, GAMMADIST returns the cumulative distribution function; if FALSE, it returns the probability mass function.

Remarks

  • If x, alpha, or beta is nonnumeric, GAMMADIST returns the #VALUE! error value.
  • If x < 0, GAMMADIST returns the #NUM! error value.
  • If alpha ≤ 0 or if beta ≤ 0, GAMMADIST returns the #NUM! error value.
  • The equation for the gamma distribution is:

    The standard gamma distribution is:

  • When alpha = 1, GAMMADIST returns the exponential distribution with:

  • For a positive integer n, when alpha = n/2, beta = 2, and cumulative = TRUE, GAMMADIST returns (1 - CHIDIST(x)) with n degrees of freedom.
  • When alpha is a positive integer, GAMMADIST is also known as the Erlang distribution.

Example

X | Alpha | Beta | Formula | Description (Result)
10 | 9 | 2 | =GAMMADIST([X],[Alpha],[Beta],FALSE) | Probability gamma distribution of the arguments (0.032639)
10 | 9 | 2 | =GAMMADIST([X],[Alpha],[Beta],TRUE) | Cumulative gamma distribution of the arguments (0.068094)


GAMMAINV

GAMMAINV

Returns the inverse of the gamma cumulative distribution. If p = GAMMADIST(x,...), then GAMMAINV(p,...) = x.

You can use this function to study a variable whose distribution may be skewed.

Syntax

GAMMAINV(probability,alpha,beta)

Probability is the probability associated with the gamma distribution.

Alpha is a parameter to the distribution.

Beta is a parameter to the distribution. If beta = 1, GAMMAINV returns the standard gamma distribution.

Remarks

  • If any argument is nonnumeric, GAMMAINV returns the #VALUE! error value.
  • If probability < 0 or probability > 1, GAMMAINV returns the #NUM! error value.
  • If alpha ≤ 0 or if beta ≤ 0, GAMMAINV returns the #NUM! error value.

GAMMAINV uses an iterative technique for calculating the function. Given a probability value, GAMMAINV iterates until the result is accurate to within ±3x10^-7. If GAMMAINV does not converge after 100 iterations, the function returns the #N/A error value.

Example

Probability | Alpha | Beta | Formula | Description (Result)
0.068094 | 9 | 2 | =GAMMAINV([Probability],[Alpha],[Beta]) | Inverse of the gamma cumulative distribution for the arguments (10)


GAMMALN

GAMMALN

Returns the natural logarithm of the gamma function, Γ(x).

Syntax

GAMMALN(x)

X is the value for which you want to calculate GAMMALN.

Remarks

  • If x is nonnumeric, GAMMALN returns the #VALUE! error value.
  • If x ≤ 0, GAMMALN returns the #NUM! error value.
  • The number e raised to the GAMMALN(i) power, where i is an integer, returns the same result as (i - 1)!.
  • GAMMALN is calculated as follows:

    where:

Example

Formula | Description (Result)
=GAMMALN(4) | Natural logarithm of the gamma function at 4 (1.791759)


GEOMEAN

GEOMEAN

Returns the geometric mean of positive data. For example, you can use GEOMEAN to calculate average growth rate given compound interest with variable rates.

Syntax

GEOMEAN(number1,number2, ...)

Number1,number2, ... are 1 to 30 arguments for which you want to calculate the mean.

Remarks

  • The arguments must be either numbers or column references that contain numbers.
  • If a column reference argument contains text, logical values, or is empty , those values are ignored; however, arguments with the value zero are included.
  • If any data point ≤ 0, GEOMEAN returns the #NUM! error value.
  • The equation for the geometric mean is:

Example

Col1 | Col2 | Col3 | Col4 | Col5 | Col6 | Col7 | Formula | Description (Result)
4 | 5 | 8 | 7 | 11 | 4 | 3 | =GEOMEAN([Col1],[Col2],[Col3],[Col4],[Col5],[Col6],[Col7]) | Geometric mean of the data (5.476987)


HARMEAN

HARMEAN

Returns the harmonic mean of a data set. The harmonic mean is the reciprocal of the arithmetic mean of reciprocals.

Syntax

HARMEAN(number1,number2, ...)

Number1,number2, ... are 1 to 30 arguments for which you want to calculate the mean.

Remarks

  • The arguments must be either numbers or column references that contain numbers.
  • If a column reference argument contains text, logical values, or is empty, those values are ignored; however, arguments with the value zero are included.
  • If any data point ≤ 0, HARMEAN returns the #NUM! error value.
  • The harmonic mean is always less than the geometric mean, which is always less than the arithmetic mean.
  • The equation for the harmonic mean is:

Example

Col1 | Col2 | Col3 | Col4 | Col5 | Col6 | Col7 | Formula | Description (Result)
4 | 5 | 8 | 7 | 11 | 4 | 3 | =HARMEAN([Col1],[Col2],[Col3],[Col4],[Col5],[Col6],[Col7]) | Harmonic mean of the data (5.028376)


HOUR

HOUR

Returns the hour of a time value. The hour is given as an integer, ranging from 0 (12:00 A.M.) to 23 (11:00 P.M.).

Syntax

HOUR(serial_number)

Serial_number is the time that contains the hour you want to find. Times may be entered as text strings within quotation marks (for example, "6:45 PM"), as decimal numbers (for example, 0.78125, which represents 6:45 PM), or as results of other formulas or functions (for example, TIMEVALUE("6:45 PM")).

Remark

Time values are a portion of a date value and represented by a decimal number (for example, 12:00 PM is represented as 0.5 because it is half of a day).

Example

Formula | Description (Result)
=HOUR("3:30:30 AM") | Hour of time (3)
=HOUR("3:30:30 PM") | Hour of time (15)
=HOUR("15:30") | Hour of time (15)


HYPGEOMDIST

HYPGEOMDIST

Returns the hypergeometric distribution. HYPGEOMDIST returns the probability of a given number of sample successes, given the sample size, population successes, and population size. Use HYPGEOMDIST for problems with a finite population, where each observation is either a success or a failure, and where each subset of a given size is chosen with equal likelihood.

Syntax

HYPGEOMDIST(sample_s,number_sample,population_s,number_population)

Sample_s is the number of successes in the sample.

Number_sample is the size of the sample.

Population_s is the number of successes in the population.

Number_population is the population size.

Remarks

  • All arguments are truncated to integers.
  • If any argument is nonnumeric, HYPGEOMDIST returns the #VALUE! error value.
  • If sample_s < 0 or sample_s is greater than the lesser of number_sample or population_s, HYPGEOMDIST returns the #NUM! error value.
  • If sample_s is less than the larger of 0 or (number_sample - number_population + population_s), HYPGEOMDIST returns the #NUM! error value.
  • If number_sample < 0 or number_sample > number_population, HYPGEOMDIST returns the #NUM! error value.
  • If population_s < 0 or population_s > number_population, HYPGEOMDIST returns the #NUM! error value.
  • If number_population < 0, HYPGEOMDIST returns the #NUM! error value.
  • The equation for the hypergeometric distribution is:

    where:

    x = sample_s

    n = number_sample

    M = population_s

    N = number_population

    HYPGEOMDIST is used in sampling without replacement from a finite population.

Example

A sampler of chocolates contains 20 pieces. Eight pieces are caramels, and the remaining 12 are nuts. If a person selects 4 pieces at random, the following function returns the probability that exactly 1 piece is a caramel.

Sample_s | Number_sample | Population_s | Number_Population | Formula | Description (Result)
1 | 4 | 8 | 20 | =HYPGEOMDIST([Sample_s],[Number_sample],[Population_s],[Number_Population]) | Hypergeometric distribution for sample and population (0.363261)


IF

IF

Returns one value if a condition you specify evaluates to TRUE and another value if it evaluates to FALSE.

Use IF to conduct conditional tests on values and formulas.

Syntax

IF(logical_test,value_if_true,value_if_false)

Logical_test is any value or expression that can be evaluated to TRUE or FALSE. For example, [Quarter1]=100 is a logical expression; if the value in one row of the column, [Quarter1], is equal to 100, the expression evaluates to TRUE. Otherwise, the expression evaluates to FALSE. This argument can use any comparison calculation operator.

Value_if_true is the value that is returned if logical_test is TRUE. For example, if this argument is the text string "Within budget" and the logical_test argument evaluates to TRUE, then the IF function displays the text "Within budget". If logical_test is TRUE and value_if_true is blank, this argument returns 0 (zero). To display the word TRUE, use the logical value TRUE for this argument. Value_if_true can be another formula.

Value_if_false is the value that is returned if logical_test is FALSE. For example, if this argument is the text string "Over budget" and the logical_test argument evaluates to FALSE, then the IF function displays the text "Over budget". If logical_test is FALSE and value_if_false is omitted, (that is, after value_if_true, there is no comma), then the logical value FALSE is returned. If logical_test is FALSE and value_if_false is blank (that is, after value_if_true, there is a comma followed by the closing parenthesis), then the value 0 (zero) is returned. Value_if_false can be another formula.

Remarks

  • Up to seven IF functions can be nested as value_if_true and value_if_false arguments to construct more elaborate tests. See the last of the following examples.
  • When the value_if_true and value_if_false arguments are evaluated, IF returns the value returned by those statements.
  • If any of the arguments to IF are arrays, every element of the array is evaluated when the IF statement is carried out.

Example 1

Col1 | Col2 | Col3 | Expense | Formula | Description (Result)
 |  |  | 50 | =IF([Expense]<=100,"Within budget","Over budget") | If the number is less than or equal to 100, then the formula displays "Within budget". Otherwise, the function displays "Over budget". (Within budget)
23 | 45 | 89 | 50 | =IF([Expense]=100,SUM([Col1],[Col2],[Col3]),"") | If the number is 100, then the three values are added. Otherwise, empty text ("") is returned. ()

Example 2

ActualExpenses | PredictedExpenses | Formula | Description (Result)
1500 | 900 | =IF([ActualExpenses]>[PredictedExpenses],"Over Budget","OK") | Checks whether the first row is over budget (Over Budget)
500 | 900 | =IF([ActualExpenses]>[PredictedExpenses],"Over Budget","OK") | Checks whether the second row is over budget (OK)

Example 3

Score | Formula | Description (Result)
45 | =IF([Score]>89,"A",IF([Score]>79,"B", IF([Score]>69,"C",IF([Score]>59,"D","F")))) | Assigns a letter grade to the first score (F)
90 | =IF([Score]>89,"A",IF([Score]>79,"B", IF([Score]>69,"C",IF([Score]>59,"D","F")))) | Assigns a letter grade to the second score (A)
78 | =IF([Score]>89,"A",IF([Score]>79,"B", IF([Score]>69,"C",IF([Score]>59,"D","F")))) | Assigns a letter grade to the third score (C)

In the preceding example, the second IF statement is also the value_if_false argument to the first IF statement. Similarly, the third IF statement is the value_if_false argument to the second IF statement. For example, if the first logical_test ([Score]>89) is TRUE, "A" is returned. If the first logical_test is FALSE, the second IF statement is evaluated, and so on.

The letter grades are assigned to numbers using the following key (assuming use of integers only).

If Score is | Then return
Greater than 89 | A
From 80 to 89 | B
From 70 to 79 | C
From 60 to 69 | D
Less than 60 | F


INT

INT

Rounds a number down to the nearest integer.

Syntax

INT(number)

Number is the real number you want to round down to an integer.

Example 1

Formula | Description (Result)
=INT(8.9) | Rounds 8.9 down (8)
=INT(-8.9) | Rounds -8.9 down (-9)

Example 2

Col1 | Formula | Description (Result)
19.5 | =[Col1]-INT([Col1]) | Returns the decimal part of a positive real number in Col1 (0.5)


IPMT

IPMT

Returns the interest payment for a given period for an investment based on periodic, constant payments and a constant interest rate. For a more complete description of the arguments in IPMT and for more information about annuity functions, see the PV function.

Syntax

IPMT(rate,per,nper,pv,fv,type)

Rate is the interest rate per period.

Per is the period for which you want to find the interest and must be in the range 1 to nper.

Nper is the total number of payment periods in an annuity.

Pv is the present value, or the lump-sum amount that a series of future payments is worth right now.

Fv is the future value, or a cash balance you want to attain after the last payment is made. If fv is omitted, it is assumed to be 0 (the future value of a loan, for example, is 0).

Type is the number 0 or 1 and indicates when payments are due. If type is omitted, it is assumed to be 0.

Set type equal to | If payments are due
0 | At the end of the period
1 | At the beginning of the period

Remarks
  • Make sure that you are consistent about the units you use for specifying rate and nper. If you make monthly payments on a four-year loan at 12 percent annual interest, use 12%/12 for rate and 4*12 for nper. If you make annual payments on the same loan, use 12% for rate and 4 for nper.
  • For all the arguments, cash you pay out, such as deposits to savings, is represented by negative numbers; cash you receive, such as dividend checks, is represented by positive numbers.

Example

Rate | Period | Nper | PV | Formula | Description (Result)
10% | 1 | 3 | 8000 | =IPMT([Rate]/12, [Period]*3, [Nper], [PV]) | Interest due in the first month for a loan with the specified arguments (-22.41)
10% | 1 | 3 | 8000 | =IPMT([Rate], 3, Nper, [PV]) | Interest due in the last year for a loan with the specified arguments, where payments are made yearly (-292.45)

Note The interest rate is divided by 12 to get a monthly rate. The years the money is paid out is multiplied by 12 to get the number of payments.


ISPMT

ISPMT

Calculates the interest paid during a specific period of an investment.

Syntax

ISPMT(rate,per,nper,pv)

Rate is the interest rate for the investment.

Per is the period for which you want to find the interest, and must be between 1 and nper.

Nper is the total number of payment periods for the investment.

Pv is the present value of the investment. For a loan, pv is the loan amount.

Remarks

  • Make sure that you are consistent about the units you use for specifying rate and nper. If you make monthly payments on a four-year loan at an annual interest rate of 12 percent, use 12%/12 for rate and 4*12 for nper. If you make annual payments on the same loan, use 12% for rate and 4 for nper.
  • For all the arguments, the cash you pay out, such as deposits to savings or other withdrawals, is represented by negative numbers; the cash you receive, such as dividend checks and other deposits, is represented by positive numbers.
  • For additional information about financial functions, see the PV function.

Example

Rate | Per | Nper | PV | Formula | Description (Result)
10% | 1 | 3 | 8000000 | =ISPMT([Rate]/12,[Per],[Nper]*12,[PV]) | Interest paid for the first monthly payment of a loan with the specified arguments (-64814.8)
10% | 1 | 3 | 8000000 | =ISPMT([Rate],1,[Nper],[PV]) | Interest paid in the first year of a loan with the specified arguments (-533333)

Note The interest rate is divided by 12 to get a monthly rate. The years the money is paid out is multiplied by 12 to get the number of payments.


KURT

KURT

Returns the kurtosis of a data set. Kurtosis characterizes the relative peakedness or flatness of a distribution compared with the normal distribution. Positive kurtosis indicates a relatively peaked distribution. Negative kurtosis indicates a relatively flat distribution.

Syntax

KURT(number1,number2, ...)

Number1,number2, ... are 1 to 30 arguments for which you want to calculate kurtosis.

Remarks

  • The arguments must be either numbers or column references that contain numbers.
  • If a column reference argument contains text, logical values, or is empty, those values are ignored; however, arguments with the value zero are included.
  • If there are fewer than four data points, or if the standard deviation of the sample equals zero, KURT returns the #DIV/0! error value.
  • Kurtosis is defined as:

    where:

    s is the sample standard deviation.

Example

Col1 | Col2 | Col3 | Col4 | Col5 | Col6 | Col7 | Col8 | Col9 | Col10 | Formula | Description (Result)
3 | 4 | 5 | 2 | 3 | 4 | 5 | 6 | 4 | 7 | =KURT([Col1], [Col2], [Col3], [Col4], [Col5], [Col6],[Col7],[Col8],[Col9],[Col10]) | Kurtosis of the ata set (-0.1518)


LEFT

LEFT

LEFT returns the first character or characters in a text string, based on the number of characters you specify.

Syntax

LEFT(text,num_chars)

Text is the text string that contains the characters you want to extract.

Num_chars specifies the number of characters you want LEFT to extract.

  • Num_chars must be greater than or equal to zero.

  • If num_chars is greater than the length of text, LEFT returns all of text.

  • If num_chars is omitted, it is assumed to be 1.

Example

Col1 | Formula | Description (Result)
Sale Price | =LEFT([Col1],4) | First four characters in the string (Sale)
Sweden | =LEFT([Col1]) | First character in the string (S)


LEN

LEN

LEN returns the number of characters in a text string.

Syntax

LEN(text)

Text is the text whose length you want to find. Spaces count as characters.

Example

Col1 | Formula | Description (Result)
Phoenix, AZ | =LEN([Col1]) | Length of the string (11)
 | =LEN([Col1]) | Length of the string (0)
A One | =LEN([Col1]) | Length of the string, which includes 5 spaces (8)


LN

LN

Returns the natural logarithm of a number. Natural logarithms are based on the constant e (2.71828182845904).

Syntax

LN(number)

Number is the positive real number for which you want the natural logarithm.

Remark

LN is the inverse of the EXP function.

Example

Formula | Description (Result)
=LN(86) | Natural logarithm of 86 (4.454347)
=LN(2.7182818) | Natural logarithm of the value of the constant e (1)
=LN(EXP(3)) | Natural logarithm of e raised to the power of 3 (3)


LOG

LOG

Returns the logarithm of a number to the base you specify.

Syntax

LOG(number,base)

Number is the positive real number for which you want the logarithm.

Base is the base of the logarithm. If base is omitted, it is assumed to be 10.

Example

Formula | Description (Result)
=LOG(10) | Logarithm of 10 (1)
=LOG(8, 2) | Logarithm of 8 with base 2 (3)
=LOG(86, 2.7182818) | Logarithm of 86 with base e (4.454347)


LOG10

LOG10

Returns the base-10 logarithm of a number.

Syntax

LOG10(number)

Number is the positive real number for which you want the base-10 logarithm.

Example

Formula | Description (Result)
=LOG10(86) | Base-10 logarithm of 86 (1.934498451)
=LOG10(10) | Base-10 logarithm of 10 (1)
=LOG10(1E5) | Base-10 logarithm of 1E5 (5)
=LOG10(10^5) | Base-10 logarithm of 10^5 (5)


LOGINV

LOGINV

Returns the inverse of the lognormal cumulative distribution function of x, where ln(x) is normally distributed with parameters mean and standard_dev. If p = LOGNORMDIST(x,...) then LOGINV(p,...) = x.

Use the lognormal distribution to analyze logarithmically transformed data.

Syntax

LOGINV(probability,mean,standard_dev)

Probability is a probability associated with the lognormal distribution.

Mean is the mean of ln(x).

Standard_dev is the standard deviation of ln(x).

Remarks

  • If any argument is nonnumeric, LOGINV returns the #VALUE! error value.
  • If probability < 0 or probability > 1, LOGINV returns the #NUM! error value.
  • If standard_dev <= 0, LOGINV returns the #NUM! error value.

  • The inverse of the lognormal distribution function is:

Example

Probablility | Mean | StdDev | Formula | Description (Result)
0.039084 | 3.5 | 1.2 | =LOGINV([Probablility], [Mean], [StdDev]) | Inverse of the lognormal cumulative distribution function for the specified arguments (4.000028)


LOGNORMDIST

LOGNORMDIST

Returns the cumulative lognormal distribution of x, where ln(x) is normally distributed with the parameters mean and standard_dev. Use this function to analyze data that has been logarithmically transformed.

Syntax

LOGNORMDIST(x,mean,standard_dev)

X is the value at which to evaluate the function.

Mean is the mean of ln(x).

Standard_dev is the standard deviation of ln(x).

Remarks

  • If any argument is nonnumeric, LOGNORMDIST returns the #VALUE! error value.
  • If x ≤ 0 or if standard_dev ≤ 0, LOGNORMDIST returns the #NUM! error value.
  • The equation for the lognormal cumulative distribution function is:

Example

X | Mean | StdDev | Formula | Description (Result)
4 | 3.5 | 1.2 | =LOGNORMDIST([X],[Mean],[StdDev]) | Cumulative lognormal distribution at 4 with the specified arguments (0.039084)


LOWER

LOWER

Converts all uppercase letters in a text string to lowercase.

Syntax

LOWER(text)

Text is the text you want to convert to lowercase. LOWER does not change characters in text that are not letters.

Example

Col1 | Formula | Description (Result)
E. E. Cummings | =LOWER([Col1]) | Lower case of string (e. e. cummings)
Apt. 2B | =LOWER([Col1]) | Lower case of string (apt. 2b)


MAX

MAX

Returns the largest value in a set of values.

Syntax

MAX(number1,number2, ...)

Number1,number2, ... are 1 to 30 numbers for which you want to find the maximum value.

Remarks

  • You can specify arguments that are numbers, empty arguments, logical values, or text representations of numbers. Arguments that are error values or text that cannot be translated into numbers cause errors.
  • If logical values and text must not be ignored, use MAXA instead.
  • If the arguments contain no numbers, MAX returns 0 (zero).

Example

Col1 | Col2 | Col3 | col4 | Col5 | Formula | Description (Result)
10 | 7 | 9 | 27 | 2 | =MAX([Col1],[Col2],[Col3],[Col4],[Col5]) | Largest of the numbers (27)
10 | 7 | 9 | 27 | 2 | =MAX(Col1],[Col2],[Col3],[Col4],[Col5],30) | Largest of the numbers and 30 (30)


MAXA

MAXA

Returns the largest value in a list of arguments. Text and logical values such as TRUE and FALSE are compared as well as numbers.

MAXA is similar to MINA. For more information, see the examples for MINA.

Syntax

MAXA(value1,value2, ...)

Value1, Value2, ... are 1 to 30 values for which you want to find the largest value.

Remarks

  • You can specify arguments that are numbers, empty arguments, logical values, or text representations of numbers. Arguments that are error values cause errors. If the calculation must not include text or logical values, use MAX instead.
  • Arguments that contain TRUE evaluate as 1; arguments that contain text or FALSE evaluate as 0 (zero).
  • If the arguments contain no values, MAXA returns 0 (zero).

Example

Col1 | Col2 | Col3 | Col4 | col5 | Formula | Description (Result)
0 | 0.2 | 0.5 | 0.4 | TRUE | =MAXA([Col1],[Col2],[Col3],[Col4],[Col5]) | Largest of the numbers. TRUE evaluates to 1 (1)


Me

Me

Returns the current user name.

Syntax

Me

Remarks

  • The Me function can only be used with default values; you cannot use the Me function in a calculated column.


MEDIAN

MEDIAN

Returns the median of the given numbers. The median is the number in the middle of a set of numbers; that is, half the numbers have values that are greater than the median, and half have values that are less.

Syntax

MEDIAN(number1,number2, ...)

Number1, number2, ... are 1 to 30 numbers for which you want the median.

Remarks

  • The arguments should be either numbers or column references that contain numbers.
  • If a column reference argument contains text, logical values, or is empty, those values are ignored; however, arguments with the value zero are included.

  • If there is an even number of numbers in the set, then MEDIAN calculates the average of the two numbers in the middle. See the second formula following.

Example

Col1 | Col2 | Col3 | Col4 | Col5 | Col6 | Formula | Description (Result)
1 | 2 | 3 | 4 | 5 | 6 | =MEDIAN([Col1],[Col2],[Col3],[Col4],[Col5]) | Median of the first 5 numbers in the list (3)
1 | 2 | 3 | 4 | 5 | 6 | =MEDIAN([Col1],[Col2],[Col3],[Col4],[Col5],[Col6]) | Median of all the numbers, or the average of 3 and 4 (3.5)


MID

MID

MID returns a specific number of characters from a text string, starting at the position you specify, based on the number of characters you specify.

Syntax

MID(text,start_num,num_chars)

Text is the text string containing the characters you want to extract.

Start_num is the position of the first character you want to extract in text. The first character in text has start_num 1, and so on.

Num_chars specifies the number of characters you want MID to return from text.

Remarks

  • If start_num is greater than the length of text, MID returns "" (empty text).
  • If start_num is less than the length of text, but start_num plus num_chars exceeds the length of text, MID returns the characters up to the end of text.
  • If start_num is less than 1, MID returns the #VALUE! error value.

  • If num_chars is negative, MID returns the #VALUE! error value.

Example

Formula | Description (Result)
=MID("Fluid Flow",1,5) | Five characters from the string, starting at the first character (Fluid)
=MID("Fluid Flow",7,20) | Twenty characters from the string, starting at the seventh (Flow)
=MID("Fluid Flow",20,5) | Because the starting point is greater than the length of the string, empty text is returned ()


MIN

MIN

Returns the smallest number in a set of values.

Syntax

MIN(number1,number2, ...)

Number1, number2, ... are 1 to 30 numbers for which you want to find the minimum value.

Remarks

  • You can specify arguments that are numbers, empty, logical values, or text representations of numbers. Arguments that are error values or text that cannot be translated into numbers cause errors.
  • If an argument is a column reference, only numbers are used. If logical values and text should not be ignored, use MINA instead.
  • If the arguments contain no numbers, MIN returns 0.

Example

Col1 | Col2 | Col3 | Col4 | Col5 | Formula | Description (Result)
10 | 7 | 9 | 27 | 2 | =MIN([Col1],[Col2],[Col3],[Col4],[Col5]) | Smallest of the numbers (2)
10 | 7 | 9 | 27 | 2 | =MIN([Col1],[Col2],[Col3],[Col4],[Col5],0) | Smallest of the numbers and 0 (0)


MINA

MINA

Returns the smallest value in the list of arguments. Text and logical values such as TRUE and FALSE are compared as well as numbers.

Syntax

MINA(value1,value2,...)

Value1, value2,... are 1 to 30 values for which you want to find the smallest value.

Remarks

  • You can specify arguments that are numbers, empty , logical values, or text representations of numbers. Arguments that are error values cause errors. If the calculation must not include text or logical values, use the MIN function instead.
  • Arguments that contain TRUE evaluate as 1; arguments that contain text or FALSE evaluate as 0 (zero).
  • If the arguments contain no values, MINA returns 0.

Example

Col1 | Col2 | Col3 | Col4 | Col5 | Formula | Description (Result)
FALSE | 0.2 | 0.5 | 0.4 | 0.8 | =MINA([Col1],[Col2],[Col3],[Col4],[Col5]) | Smallest of the numbers. FALSE evaluates to 0 (0)


MINUTE

MINUTE

Returns the minutes of a time value. The minute is given as an integer, ranging from 0 to 59.

Syntax

MINUTE(serial_number)

Serial_number is the time that contains the minute you want to find. Times may be entered as text strings within quotation marks (for example, "6:45 PM"), as decimal numbers (for example, 0.78125, which represents 6:45 PM), or as results of other formulas or functions (for example, TIMEVALUE("6:45 PM")).

Remarks

Time values are a portion of a date value and represented by a decimal number (for example, 12:00 PM is represented as 0.5, since it is half of a day).

Example

Formula | Description (Result)
=MINUTE("4:48:00 PM") | Minutes of the time (48)


MOD

MOD

Returns the remainder after number is divided by divisor. The result has the same sign as divisor.

Syntax

MOD(number,divisor)

Number is the number for which you want to find the remainder.

Divisor is the number by which you want to divide number.

Remarks

  • If divisor is 0, MOD returns the #DIV/0! error value.

  • The MOD function can be expressed in terms of the INT function:

    MOD(n, d) = n - d*INT(n/d)

Example

Formula | Description (Result)
=MOD(3, 2) | Remainder of 3/2. (1)
=MOD(-3, 2) | Remainder of -3/2. The sign is the same as divisor. (1)
=MOD(3, -2) | Remainder of 3/-2. The sign is the same as divisor. (-1)
=MOD(-3, -2) | Remainder of -3/-2. The sign is the same as divisor. (-1)


MODE

MODE

Returns the most frequently occurring, or repetitive, value in the argument list. Like MEDIAN, MODE is a location measure.

Syntax

MODE(number1,number2, ...)

Number1, number2, ... are 1 to 30 arguments for which you want to calculate the mode.

Remarks

  • The arguments should be numbers or column references that contain numbers.
  • If a column reference argument contains text, logical values, or is empty, those values are ignored; however, arguments with the value zero are included.
  • If the data set contains no duplicate data points, MODE returns the #N/A error value.

In a set of values, the mode is the most frequently occurring value; the median is the middle value; and the mean is the average value. No single measure of central tendency provides a complete picture of the data. Suppose data is clustered in three areas, half around a single low value, and half around two large values. Both AVERAGE and MEDIAN may return a value in the relatively empty middle, and MODE may return the dominant low value.

Example

Col1 | Col2 | Col3 | Col4 | Col5 | Col6 | Formula | Description (Result)
5.6 | 4 | 4 | 3 | 2 | 4 | =MODE([Col1], [Col2], [Col3], [Col4], [Col5], [Col6]) | Mode, or most frequently occurring number (4)


MONTH

MONTH

Returns the month of a date represented by a serial number. The month is given as an integer, ranging from 1 (January) to 12 (December).

Syntax

MONTH(serial_number)

Serial_number is the date of the month you are trying to find.

Remarks

Dates are stored as sequential serial numbers so they can be used in calculations. By default, December 31, 1899 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900.

Values returned by the YEAR, MONTH and DAY functions will be Gregorian values regardless of the display format for the supplied date value. For example, if the display format of the supplied date is Hijri, the returned values for the YEAR, MONTH and DAY functions will be values associated with the equivalent Gregorian date.

Example

Formula | Description (Result)
=MONTH("15-Apr-2008") | Month of the date (4)


NEGBINOMDIST

NEGBINOMDIST

Returns the negative binomial distribution. NEGBINOMDIST returns the probability that there will be number_f failures before the number_s-th success, when the constant probability of a success is probability_s. This function is similar to the binomial distribution, except that the number of successes is fixed, and the number of trials is variable. Like the binomial, trials are assumed to be independent.

For example, you need to find 10 people with excellent reflexes, and you know the probability that a candidate has these qualifications is 0.3. NEGBINOMDIST calculates the probability that you will interview a certain number of unqualified candidates before finding all 10 qualified candidates.

Syntax

NEGBINOMDIST(number_f,number_s,probability_s)

Number_f is the number of failures.

Number_s is the threshold number of successes.

Probability_s is the probability of a success.

Remarks

  • Number_f and number_s should be >= 0.
  • Number_f and number_s are truncated to integers.
  • If any argument is nonnumeric, NEGBINOMDIST returns the #VALUE! error value.
  • If probability_s < 0 or if probability > 1, NEGBINOMDIST returns the #NUM! error value.
  • The equation for the negative binomial distribution is:

    where:

    x is number_f, r is number_s, and p is probability_s.

Example

Number_f | Number_s | Probability_s | Formula | Description (Result)
10 | 5 | 0.25 | =NEGBINOMDIST([Number_f], [Number_s], [Probability_s]) | Negative binomial distribution for the specified arguments (0.055049)


NORMDIST

NORMDIST

Returns the normal distribution for the specified mean and standard deviation. This function has a very wide range of applications in statistics, including hypothesis testing.

Syntax

NORMDIST(x,mean,standard_dev,cumulative)

X is the value for which you want the distribution.

Mean is the arithmetic mean of the distribution.

Standard_dev is the standard deviation of the distribution.

Cumulative is a logical value that determines the form of the function. If cumulative is TRUE, NORMDIST returns the cumulative distribution function; if FALSE, it returns the probability mass function.

Remarks

  • If mean or standard_dev is nonnumeric, NORMDIST returns the #VALUE! error value.
  • If standard_dev ≤ 0, NORMDIST returns the #NUM! error value.
  • If mean = 0, standard_dev = 1, and cumulative = TRUE, NORMDIST returns the standard normal distribution, NORMSDIST.
  • The equation for the normal density function (cumulative = FALSE) is:

  • When cumulative = TRUE, the formula is the integral from negative infinity to x of the given formula.

Example

X | Mean | StdDev | Formula | Description (Result)
42 | 40 | 1.5 | =NORMDIST([X],[Mean],[StdDev],TRUE) | Cumulative distribution function for the specified arguments (0.908789)
42 | 40 | 1.5 | =NORMDIST([X],[Mean],[StdDev],FALSE) | Probability mass function for the specified arguments (0.10934005)


NORMINV

NORMINV

Returns the inverse of the normal cumulative distribution for the specified mean and standard deviation.

Syntax

NORMINV(probability,mean,standard_dev)

Probability is a probability corresponding to the normal distribution.

Mean is the arithmetic mean of the distribution.

Standard_dev is the standard deviation of the distribution.

Remarks

  • If any argument is nonnumeric, NORMINV returns the #VALUE! error value.
  • If probability < 0 or if probability > 1, NORMINV returns the #NUM! error value.
  • If standard_dev ≤ 0, NORMINV returns the #NUM! error value.

  • If mean = 0 and standard_dev = 1, NORMINV uses the standard normal distribution (see NORMSINV).

NORMINV uses an iterative technique for calculating the function. Given a probability value, NORMINV iterates until the result is accurate to within ± 3x10^-7. If NORMINV does not converge after 100 iterations, the function returns the #N/A error value.

Example

Probability | Mean | StdDev | Formula | Description (Result)
0.908789 | 40 | 1.5 | =NORMINV([Probability],[Mean],[StdDev]) | Inverse of the normal cumulative distribution for the specified arguments (42)


NORMSDIST

NORMSDIST

Returns the standard normal cumulative distribution function. The distribution has a mean of 0 (zero) and a standard deviation of one. Use this function in place of a table of standard normal curve areas.

Syntax

NORMSDIST(z)

Z is the value for which you want the distribution.

Remarks

  • If z is nonnumeric, NORMSDIST returns the #VALUE! error value.
  • The equation for the standard normal density function is:

Example

Formula | Description (Result)
=NORMSDIST(1.333333) | Normal cumulative distribution function at 1.333333 (0.908789)


NORMSINV

NORMSINV

Returns the inverse of the standard normal cumulative distribution. The distribution has a mean of zero and a standard deviation of one.

Syntax

NORMSINV(probability)

Probability is a probability corresponding to the normal distribution.

Remarks

  • If probability is nonnumeric, NORMSINV returns the #VALUE! error value.
  • If probability < 0 or if probability > 1, NORMSINV returns the #NUM! error value.

NORMSINV uses an iterative technique for calculating the function. Given a probability value, NORMSINV iterates until the result is accurate to within ± 3x10^-7. If NORMSINV does not converge after 100 iterations, the function returns the #N/A error value.

Example

Formula | Description (Result)
=NORMSINV(0.908789) | Inverse of the standard normal cumulative distribution, with a probability of 0.908789 (1.3333)


NOT

NOT

Reverses the value of its argument. Use NOT when you want to make sure a value is not equal to one particular value.

Syntax

NOT(logical)

Logical is a value or expression that can be evaluated to TRUE or FALSE.

Remark

If logical is FALSE, NOT returns TRUE; if logical is TRUE, NOT returns FALSE.

Example

Formula | Description (Result)
=NOT(FALSE) | Reverses FALSE (TRUE)
=NOT(1+1=2) | Reverses an equation that evaluates to TRUE (FALSE)


IS

IS

This section describes the eight functions used for testing the type of a value or column reference.

Each of these functions, referred to collectively as the IS functions, checks the type of value and returns TRUE or FALSE depending on the outcome. For example, the ISBLANK function returns the logical value TRUE if value is a column reference that is empty; otherwise it returns FALSE.

Syntax

ISBLANK(value)
ISERR(value)
ISERROR(value)
ISLOGICAL(value)
ISNA(value)
ISNONTEXT(value)
ISNUMBER(value)
ISTEXT(value)

Value is the value you want tested. Value can be blank, error, logical, text, number, or column reference.

Function | Returns TRUE if
ISBLANK | Value refers to an empty column reference.
ISERR | Value refers to any error value except #N/A.
ISERROR | Value refers to any error value (#N/A, #VALUE!, #REF!, #DIV/0!, #NUM!, #NAME?, or #NULL!).
ISLOGICAL | Value refers to a logical value.
ISNA | Value refers to the #N/A (value not available) error value.
ISNONTEXT | Value refers to any item that is not text. (Note that this function returns TRUE if value refers to a blank column reference.)
ISNUMBER | Value refers to a number.
ISTEXT | Value refers to text.

Remarks
  • The value arguments of the IS functions are not converted. For example, in most other functions where a number is required, the text value "19" is converted to the number 19. However, in the formula ISNUMBER("19"), "19" is not converted from a text value, and the ISNUMBER function returns FALSE.
  • The IS functions are useful in formulas for testing the outcome of a calculation. When combined with the IF function, they provide a method for locating errors in formulas (see the following examples).

Example 1

Formula | Description (Result)
=ISLOGICAL(TRUE) | Checks whether TRUE is a logical value (TRUE)
=ISLOGICAL("TRUE") | Checks whether "TRUE" is a logical value (FALSE)
=ISNUMBER(4) | Checks whether 4 is a number (TRUE)

Example 2

Col1 | Formula | Description (Result)
Gold | =ISBLANK([Col1]) | Checks whether the value in Col1 is blank (FALSE)
#REF! | =ISERROR([Col1]) | Checks whether #the value in Col1 is an error (TRUE)
#REF! | =ISNA([Col1]) | Checks whether the value in Col1 is the #N/A error (FALSE)
#N/A | =ISNA([Col1]) | Checks whether the value in Col1is the #N/A error (TRUE)
#N/A | =ISERR([Col1]) | Checks whether the value in Col1 is an error (FALSE)
330.92 | =ISNUMBER([Col1]) | Checks whether the value in Col1 is a number (TRUE)
Region1 | =ISTEXT([Col1]) | Checks whether the value in Col1 is text (TRUE)


NPER

NPER

Returns the number of periods for an investment based on periodic, constant payments and a constant interest rate.

Syntax

NPER(rate, pmt, pv, fv, type)

For a more complete description of the arguments in NPER and for more information about annuity functions, see PV.

Rate is the interest rate per period.

Pmt is the payment made each period; it cannot change over the life of the annuity. Typically, pmt contains principal and interest but no other fees or taxes.

Pv is the present value, or the lump-sum amount that a series of future payments is worth right now.

Fv is the future value, or a cash balance you want to attain after the last payment is made. If fv is omitted, it is assumed to be 0 (the future value of a loan, for example, is 0).

Type is the number 0 or 1 and indicates when payments are due.

Set type equal to | If payments are due
0 or omitted | At the end of the period
1 | At the beginning of the period

Example
Rate | Pmt | PV | FV | Type | Formula | Description (Result)
12% | -100 | -1000 | 10000 | 1 | =NPER([Rate]/12, [Pmt], [PV], [FV], 1) | Periods for the investment with the specified arguments (60)
12% | -100 | -1000 | 10000 | 1 | =NPER([Rate]/12, [Pmt], [PV], [FV]) | Periods for the investment with the specified arguments, except payments are made at the beginning of the period (60)
12% | -100 | -1000 | 10000 | 1 | =NPER([Rate]/12, [Pmt], [PV]) | Periods for the investment with the specified arguments, except with a future value of 0 (-9.578)


NPV

NPV

Calculates the net present value of an investment by using a discount rate and a series of future payments (negative values) and income (positive values).

Syntax

NPV(rate,value1,value2, ...)

Rate is the rate of discount over the length of one period.

Value1, value2, ... are 1 to 29 arguments representing the payments and income.

  • Value1, value2, ... must be equally spaced in time and occur at the end of each period.
  • NPV uses the order of value1, value2, ... to interpret the order of cash flows. Be sure to enter your payment and income values in the correct sequence.
  • Arguments that are numbers, empty, logical values, or text representations of numbers are counted; arguments that are error values or text that cannot be translated into numbers are ignored.

Remarks

  • The NPV investment begins one period before the date of the value1 cash flow and ends with the last cash flow in the list. The NPV calculation is based on future cash flows. If your first cash flow occurs at the beginning of the first period, the first value must be added to the NPV result, not included in the values arguments. For more information, see the examples below.
  • If n is the number of cash flows in the list of values, the formula for NPV is:

  • NPV is similar to the PV function (present value). The primary difference between PV and NPV is that PV allows cash flows to begin either at the end or at the beginning of the period. Unlike the variable NPV cash flow values, PV cash flows must be constant throughout the investment. For information about annuities and financial functions, see PV.
  • NPV is also related to the IRR function (internal rate of return). IRR is the rate for which NPV equals zero: NPV(IRR(...), ...) = 0.

Example 1

In the following example:

  • Rate is the annual discount rate.
  • Value1 is the initial cost of investment one year from today.
  • Value2 is the return from first year.
  • Value3 is the return from second year.
  • Value4 is the return from third year.
Rate | Value1 | Value2 | Value3 | Value4 | Formula | Description (Result)
10% | -10000 | 3000 | 4200 | 6800 | =NPV([Rate], [Value1], [Value2], [Value3], [Value4]) | Net present value of this investment (1,188.44)

In the preceding example, you include the initial $10,000 cost as one of the values, because the payment occurs at the end of the first period.

Example 2

In the following example:

  • Rate is the annual discount rate. This might represent the rate of inflation or the interest rate of a competing investment.
  • Value1 is the initial cost of investment one year from today.
  • Value2 is the return from first year.
  • Value3 is the return from second year.
  • Value4 is the return from third year.
  • Value5 is the return from fourth year.
  • Value6 is the return from fifth year.
Rate | Value1 | Value2 | Value3 | Value4 | Value5 | Value6 | Formula | Description (Result)
8% | 40000 | 8000 | 9200 | 10000 | 12000 | 14500 | =NPV(Rate, [Value2], [Value3], [Value4], [Value5], [Value6])+[Value1] | Net present value of this investment (1,922.06)
8% | 40000 | 8000 | 9200 | 10000 | 12000 | 14500 | =NPV(Rate, [Value2], [Value3], [Value4], [Value5], [Value6], -9000)+[Value1] | Net present value of this investment, with a loss in the sixth year of 9000 (-3,749.47)

In the preceding example, you don't include the initial $40,000 cost as one of the values, because the payment occurs at the beginning of the first period.


ODD

ODD

Returns number rounded up to the nearest odd integer.

Syntax

ODD(number)

Number is the value to round.

Remarks

  • If number is nonnumeric, ODD returns the #VALUE! error value.
  • Regardless of the sign of number, a value is rounded up when adjusted away from zero. If number is an odd integer, no rounding occurs.

Example

Formula | Description (Result)
=ODD(1.5) | Rounds 1.5 up to the nearest odd integer (3)
=ODD(3) | Rounds 3 up to the nearest odd integer (3)
=ODD(2) | Rounds 2 up to the nearest odd integer (3)
=ODD(-1) | Rounds -1 up to the nearest odd integer (-1)
=ODD(-2) | Rounds -2 up to the nearest odd integer (-3)


OR

OR

Returns TRUE if any argument is TRUE; returns FALSE if all arguments are FALSE.

Syntax

OR(logical1,logical2,...)

Logical1, logical2, ... are 1 to 30 conditions you want to test that can be either TRUE or FALSE.

Remarks

  • The arguments must evaluate to logical values such as TRUE or FALSE, or be arrays or references that contain logical values.
  • If a column reference argument contains text or is empty, those values are ignored.
  • If the specified range contains no logical values, OR returns the #VALUE! error value.

Example

Formula | Description (Result)
=OR(TRUE) | One argument is TRUE (TRUE)
=OR(1+1=1,2+2=5) | All arguments evaluate to FALSE (FALSE)
=OR(TRUE,FALSE,TRUE) | At least one argument is TRUE (TRUE)


PI

PI

Returns the number 3.14159265358979, the mathematical constant pi, accurate to 15 digits.

Syntax

PI( )

Example

Formula | Description (Result)
=PI() | Pi (3.14159265358979)
=PI()/2 | Pi/2 (1.570796327)
=PI()*(3^2) | Area of a circle, with the radius (28.27433388)


PMT

PMT

Calculates the payment for a loan based on constant payments and a constant interest rate.

Syntax

PMT(rate,nper,pv,fv,type)

For a more complete description of the arguments in PMT, see the PV function.

Rate is the interest rate for the loan.

Nper is the total number of payments for the loan.

Pv is the present value, or the total amount that a series of future payments is worth now; also known as the principal.

Fv is the future value, or a cash balance you want to attain after the last payment is made. If fv is omitted, it is assumed to be 0 (zero), that is, the future value of a loan is 0.

Type is the number 0 (zero) or 1 and indicates when payments are due.

Set type equal to | If payments are due
0 or omitted | At the end of the period
1 | At the beginning of the period

Remarks
  • The payment returned by PMT includes principal and interest but no taxes, reserve payments, or fees sometimes associated with loans.
  • Make sure that you are consistent about the units you use for specifying rate and nper. If you make monthly payments on a four-year loan at an annual interest rate of 12 percent, use 12%/12 for rate and 4*12 for nper. If you make annual payments on the same loan, use 12 percent for rate and 4 for nper.

Tip

To find the total amount paid over the duration of the loan, multiply the returned PMT value by nper.

Example 1

In the following example:

  • Rate is the annual interest rate
  • Nper is the number of months of payments
  • PV is the amount of loan
Rate | Nper | PV | Formula | Description (Result)
8% | 10 | 10000 | =PMT([Rate]/12, [Nper], [PV]) | Monthly payment for a loan with the specified arguments (-1,037.03)
8% | 10 | 10000 | =PMT([Rate]/12, [Nper], [PV], 0, 1) | Monthly payment for a loan with the specified arguments, except payments are due at the beginning of the period (-1,030.16)

Example 2

You can use PMT to determine payments to annuities other than loans.

In the following example:

  • Rate is the annual interest rate.
  • Nper is the years you plan on saving.
  • PV is the amount you want to have save in 18 years.
Rate | Nper | PV | Formula | Description (Result)
6% | 18 | 50000 | =PMT([Rate]/12, [Nper]*12, 0, [PV]) | Amount to save each month to have 50,000 at the end of 18 years (-129.08)

Note The interest rate is divided by 12 to get a monthly rate. The years the money is paid out is multiplied by 12 to get the number of payments.


POISSON

POISSON

Returns the Poisson distribution. A common application of the Poisson distribution is predicting the number of events over a specific time, such as the number of cars arriving at a toll plaza in 1 minute.

Syntax

POISSON(x,mean,cumulative)

X is the number of events.

Mean is the expected numeric value.

Cumulative is a logical value that determines the form of the probability distribution returned. If cumulative is TRUE, POISSON returns the cumulative Poisson probability that the number of random events occurring will be between zero and x inclusive; if FALSE, it returns the Poisson probability mass function that the number of events occurring will be exactly x.

Remarks

  • If x is not an integer, it is truncated.
  • If x or mean is nonnumeric, POISSON returns the #VALUE! error value.
  • If x ≤ 0, POISSON returns the #NUM! error value.
  • If mean ≤ 0, POISSON returns the #NUM! error value.
  • POISSON is calculated as follows.

    For cumulative = FALSE:

    For cumulative = TRUE:

Example

X | Mean | Formula | Description (Result)
2 | 5 | =POISSON([X],[Mean],TRUE) | Cumulative Poisson probability with the specified arguments (0.124652)
2 | 5 | =POISSON([X],[Mean],FALSE) | Poisson probability mass function with the specified arguments (0.084224)


POWER

POWER

Returns the result of a number raised to a power.

Syntax

POWER(number,power)

Number is the base number. It can be any real number.

Power is the exponent to which the base number is raised.

Remark

The "^" operator can be used instead of POWER to indicate to what power the base number is to be raised, such as in 5^2.

Example

Formula | Description (Result)
=POWER(5,2) | 5 squared (25)
=POWER(98.6,3.2) | 98.6 raised to the power of 3.2 (2401077)
=POWER(4,5/4) | 4 raised to the power of 5/4 (5.656854)


PPMT

PPMT

Returns the payment on the principal for a given period for an investment based on periodic, constant payments and a constant interest rate.

Syntax

PPMT(rate,per,nper,pv,fv,type)

For a more complete description of the arguments in PPMT, see PV.

Rate is the interest rate per period.

Per specifies the period and must be in the range 1 to nper.

Nper is the total number of payment periods in an annuity.

Pv is the present value — the total amount that a series of future payments is worth now.

Fv is the future value, or a cash balance you want to attain after the last payment is made. If fv is omitted, it is assumed to be 0 (zero), that is, the future value of a loan is 0.

Type is the number 0 or 1 and indicates when payments are due.

Set type equal to | If payments are due
0 or omitted | At the end of the period
1 | At the beginning of the period

Remark

Make sure that you are consistent about the units you use for specifying rate and nper. If you make monthly payments on a four-year loan at 12 percent annual interest, use 12%/12 for rate and 4*12 for nper. If you make annual payments on the same loan, use 12% for rate and 4 for nper.

Example 1

Rate | Nper | PV | Formula | Description (Result)
10% | 2 | 2000 | =PPMT([Rate]/12, 1, [Nper]*12, [PV]) | Payment on principle for the first month of loan (-75.62)

Note The interest rate is divided by 12 to get a monthly rate. The years the money is paid out is multiplied by 12 to get the number of payments.

Example 2

Rate | Per | PV | Formula | Description (Result)
8% | 10 | 200,000 | =PPMT([Rate], [Per], 10, [PV]) | Principal payment for the last year of the loan with the specified arguments (-27,598.05)


PRODUCT

PRODUCT

Multiplies all the numbers given as arguments and returns the product.

Syntax

PRODUCT(number1,number2,...)

Number1, number2, ... are 1 to 30 numbers that you want to multiply.

Remarks

  • Arguments that are numbers, logical values, or text representations of numbers are counted; arguments that are error values or text that cannot be translated into numbers cause errors.
  • If an argument is a column reference, only numbers are counted. Empty arguments, logical values, text, or error values are ignored.

Example

Col1 | Col2 | Col3 | Formula | Description (Result)
5 | 15 | 30 | =PRODUCT([Col1], [Col2], [Col3]) | Multiplies the numbers (2250)
5 | 15 | 30 | =PRODUCT([Col1], [Col2], [Col3],2) | Multiplies the numbers and 2 (4500)


PROPER

PROPER

Capitalizes the first letter and any other letters that follow a non-letter character in a text string. Converts all other letters in the text string to lowercase letters.

Syntax

PROPER(text)

Text is text enclosed in quotation marks, a formula that returns text, or a column reference containing the text you want to partially capitalize.

Example

Formula | Description (Result)
=PROPER("this is a TITLE") | Proper case of string (This Is A Title)
=PROPER("2-cent's worth") | Proper case of string (2-Cent'S Worth)
=PROPER("76BudGet") | Proper case of string (76Budget)


PV

PV

Returns the present value of an investment. The present value is the total amount that a series of future payments is worth now. For example, when you borrow money, the loan amount is the present value to the lender.

Syntax

PV(rate,nper,pmt,fv,type)

Rate is the interest rate per period. For example, if you obtain an automobile loan at a 10 percent annual interest rate and make monthly payments, your interest rate per month is 10%/12, or 0.83%. You would enter 10%/12, or 0.83%, or 0.0083, into the formula as the rate.

Nper is the total number of payment periods in an annuity. For example, if you get a four-year car loan and make monthly payments, your loan has 4*12 (or 48) periods. You would enter 48 into the formula for nper.

Pmt is the payment made each period and cannot change over the life of the annuity. Typically, pmt includes principal and interest but no other fees or taxes. For example, the monthly payments on a $10,000, four-year car loan at 12 percent are $263.33. You would enter -263.33 into the formula as the pmt. If pmt is omitted, you must include the fv argument.

Fv is the future value, or a cash balance you want to attain after the last payment is made. If fv is omitted, it is assumed to be 0 (the future value of a loan, for example, is 0). For example, if you want to save $50,000 to pay for a special project in 18 years, then $50,000 is the future value. You could then make a conservative guess at an interest rate and determine how much you must save each month. If fv is omitted, you must include the pmt argument.

Type is the number 0 or 1 and indicates when payments are due.

Set type equal to | If payments are due
0 or omitted | At the end of the period
1 | At the beginning of the period

Remarks
  • Make sure that you are consistent about the units you use for specifying rate and nper. If you make monthly payments on a four-year loan at 12 percent annual interest, use 12%/12 for rate and 4*12 for nper. If you make annual payments on the same loan, use 12% for rate and 4 for nper.
  • The following functions apply to annuities:
    • FV
    • IPMT
    • PMT
    • PPMT
    • PV
    • RATE
    An annuity is a series of constant cash payments made over a continuous period. For example, a car loan or a mortgage is an annuity. For more information, see the description for each annuity function.
  • In annuity functions, cash you pay out, such as a deposit to savings, is represented by a negative number; cash you receive, such as a dividend check, is represented by a positive number. For example, a $1,000 deposit to the bank would be represented by the argument -1000 if you are the depositor and by the argument 1000 if you are the bank.
  • One financial argument is solved in terms of the others. If rate is not 0, then:

    If rate is 0, then:

    (pmt * nper) + pv + fv = 0

Example

In the following example:

  • Pmt is the money paid out of an insurance annuity at the end of every month.
  • Rate is the interest rate earned on the money paid out.
  • Nper is the years the money will be paid out.
Pmt | Rate | Nper | Formula | Description (Result)
500 | 8% | 20 | =PV([Rate]/12, 12*[Nper], [Pmt], , 0) | Present value of an annuity with the specified arguments (-59,777.15).

The result is negative because it represents money that you would pay, an outgoing cash flow. If you are asked to pay (60,000) for the annuity, you would determine this would not be a good investment because the present value of the annuity (59,777.15) is less than what you are asked to pay.

Note The interest rate is divided by 12 to get a monthly rate. The years the money is paid out is multiplied by 12 to get the number of payments.


RADIANS

RADIANS

Converts degrees to radians.

Syntax

RADIANS(angle)

Angle is an angle in degrees that you want to convert.

Example

Formula | Description (Result)
=RADIANS(270) | 270 degrees as radians (4.712389 or 3π/2 radians)


RATE

RATE

Returns the interest rate per period of an annuity. RATE is calculated by iteration and can have zero or more solutions. If the successive results of RATE do not converge to within 0.0000001 after 20 iterations, RATE returns the #NUM! error value.

Syntax

RATE(nper,pmt,pv,fv,type,guess)

For a complete description of the arguments nper, pmt, pv, fv, and type, see PV.

Nper is the total number of payment periods in an annuity.

Pmt is the payment made each period and cannot change over the life of the annuity. Typically, pmt includes principal and interest but no other fees or taxes. If pmt is omitted, you must include the fv argument.

Pv is the present value — the total amount that a series of future payments is worth now.

Fv is the future value, or a cash balance you want to attain after the last payment is made. If fv is omitted, it is assumed to be 0 (the future value of a loan, for example, is 0).

Type is the number 0 or 1 and indicates when payments are due.

Set type equal to | If payments are due
0 or omitted | At the end of the period
1 | At the beginning of the period

Guess is your guess for what the rate will be.

  • If you omit guess, it is assumed to be 10 percent.
  • If RATE does not converge, try different values for guess. RATE usually converges if guess is between 0 and 1.

Remark

Make sure that you are consistent about the units you use for specifying guess and nper. If you make monthly payments on a four-year loan at 12 percent annual interest, use 12%/12 for guess and 4*12 for nper. If you make annual payments on the same loan, use 12% for guess and 4 for nper.

Example

Nper | Pmt | PV | Formula | Description (Result)
4 | -200 | 8000 | =RATE([Nper]*12, [Pmt], [PV]) | Monthly rate of the loan with the specified arguments (1%)
4 | -200 | 8000 | =RATE([Nper]*12, [Pmt], [PV])*12 | Annual rate of the loan with the specified arguments (0.09241767 or 9.24%)

Note The years of the loan is multiplied by 12 to get the number of months.


REPLACE

REPLACE

REPLACE replaces part of a text string, based on the number of characters you specify, with a different text string.

Syntax

REPLACE(old_text,start_num,num_chars,new_text)

Old_text is text in which you want to replace some characters.

Start_num is the position of the character in old_text that you want to replace with new_text.

Num_chars is the number of characters in old_text that you want REPLACE to replace with new_text.

New_text is the text that will replace characters in old_text.

Example

Formula | Description (Result)
=REPLACE("abcdefghijk",6,5,"*") | Replaces five characters, starting with the sixth character (abcde*k)
=REPLACE("2009",3,2,"10") | Replaces the last two digits of 2009 with 10 (2010)
=REPLACE("123456",1,3,"@") | Replaces the first three characters with @ (@456)


REPT

REPT

Repeats text a given number of times. Use REPT to add a number of instances of a text string.

Syntax

REPT(text,number_times)

Text is the text you want to repeat.

Number_times is a positive number specifying the number of times to repeat text.

Remarks

  • If number_times is 0 (zero), REPT returns "" (empty text).

  • If number_times is not an integer, it is truncated.

  • The result of the REPT function cannot be longer than 2000 characters, or REPT returns #VALUE!.

Example

Formula | Description (Result)
=REPT("*-", 3) | Displays the string 3 times (*-*-*-)
=REPT("-",10) | Displays a dash 10 times (----------)


RIGHT

RIGHT

RIGHT returns the last characters in a text string, based on the number of characters you specify.

Syntax

RIGHT(text,num_chars)

Text is the text string containing the characters you want to extract.

Num_chars specifies the number of characters you want RIGHT to extract.

Remarks

  • Num_chars must be greater than or equal to zero.
  • If num_chars is greater than the length of text, RIGHT returns all of text.
  • If num_chars is omitted, it is assumed to be 1.

Example

Formula | Description (Result)
=RIGHT("Sale Price",5) | Last 5 characters of the string (Price)
=RIGHT("Stock Number") | Last character of the string (r)


ROMAN

ROMAN

Converts an arabic numeral to roman, as text.

Syntax

ROMAN(number,form)

Number is the arabic numeral you want converted.

Form is a number specifying the type of roman numeral you want. The roman numeral style ranges from Classic to Simplified, becoming more concise as the value of form increases. See the example following ROMAN(499,0) below.

Form | Type
0 or omitted | Classic.
1 | More concise. See example below.
2 | More concise. See example below.
3 | More concise. See example below.
4 | Simplified.
TRUE | Classic.
FALSE | Simplified.

Remarks

  • If number is negative, the #VALUE! error value is returned.
  • If number is greater than 3999, the #VALUE! error value is returned.

Example

Formula | Description (Result)
=ROMAN(499,0) | Classic roman numeral style for 499 (CDXCIX)
=ROMAN(499,1) | More concise version for 499 (LDVLIV)
=ROMAN(499,2) | More concise version for 499 (XDIX)
=ROMAN(499,3) | More concise version for 499 (VDIV)
=ROMAN(499,4) | More concise version for 499 (ID)
=ROMAN(2013,0) | Classic roman numeral style for 2013 (MMXIII)


ROUND

ROUND

Some of the content in this topic may not be applicable to some languages.

Rounds a number to a specified number of digits.

Syntax

ROUND(number,num_digits)

Number is the number you want to round.

Num_digits specifies the number of digits to which you want to round the number.

Remarks

  • If num_digits is greater than 0 (zero), then number is rounded to the specified number of decimal places.
  • If num_digits is 0, then number is rounded to the nearest integer.
  • If num_digits is less than 0, then number is rounded to the left of the decimal point.

Example

Formula | Description (Result)
=ROUND(2.15, 1) | Rounds 2.15 to one decimal place (2.2)
=ROUND(2.149, 1) | Rounds 2.149 to one decimal place (2.1)
=ROUND(-1.475, 2) | Rounds -1.475 to two decimal places (-1.48)
=ROUND(21.5, -1) | Rounds 21.5 to one decimal place to the left of the decimal point (20)


ROUNDDOWN

ROUNDDOWN

Rounds a number down, toward zero.

Syntax

ROUNDDOWN(number,num_digits)

Number is any real number that you want rounded down.

Num_digits is the number of digits to which you want to round the number.

Remarks

  • ROUNDDOWN behaves like ROUND, except that it always rounds a number down.
  • If num_digits is greater than 0 (zero), then number is rounded down to the specified number of decimal places.
  • If num_digits is 0, then number is rounded down to the nearest integer.
  • If num_digits is less than 0, then number is rounded down to the left of the decimal point.

Example

Formula | Description (Result)
=ROUNDDOWN(3.2, 0) | Rounds 3.2 down to zero decimal places (3)
=ROUNDDOWN(76.9,0) | Rounds 76.9 down to zero decimal places (76)
=ROUNDDOWN(3.14159, 3) | Rounds 3.14159 down to three decimal places (3.141)
=ROUNDDOWN(-3.14159, 1) | Rounds -3.14159 down to one decimal place (-3.1)
=ROUNDDOWN(31415.92654, -2) | Rounds 31415.92654 down to 2 decimal places to the left of the decimal (31400)


ROUNDUP

ROUNDUP

Rounds a number up, away from 0 (zero).

Syntax

ROUNDUP(number,num_digits)

Number is any real number that you want rounded up.

Num_digits is the number of digits to which you want to round the number.

Remarks

  • ROUNDUP behaves like ROUND, except that it always rounds a number up.

  • If num_digits is greater than 0 (zero), then number is rounded up to the specified number of decimal places.

  • If num_digits is 0, then number is rounded up to the nearest integer.

  • If num_digits is less than 0, then number is rounded up to the left of the decimal point.

Example

Formula | Description (Result)
=ROUNDUP(3.2,0) | Rounds 3.2 up to zero decimal places (4)
=ROUNDUP(76.9,0) | Rounds 76.9 up to zero decimal places (77)
=ROUNDUP(3.14159,3) | Rounds 3.14159 up to three decimal places (3.142)
=ROUNDUP(-3.14159,1) | Rounds -3.14159 up to one decimal place (-3.2)
=ROUNDUP(31415.92654,-2) | Rounds 31415.92654 up to 2 decimal places to the left of the decimal (31500)


SEARCH

SEARCH

SEARCH returns the number of the character at which a specific character or text string is first found, beginning with start_num. Use SEARCH to determine the location of a character or text string within another text string so that you can use the MID or REPLACE functions to change the text.

Syntax

SEARCH(find_text,within_text,start_num)

Find_text is the text you want to find. You can use the wildcard characters — question mark (?) and asterisk (*) in find_text. A question mark matches any single character; an asterisk matches any sequence of characters. If you want to find an actual question mark or asterisk, type a tilde (~) before the character.

Within_text is the text in which you want to search for find_text.

Start_num is the character number in within_text at which you want to start searching.

Tip

Use start_num to skip a specified number of characters. For example, suppose you are working with the text string "AYF0093.YoungMensApparel". To find the number of the first "Y" in the descriptive part of the text string, set start_num equal to 8 so that the serial-number portion of the text is not searched. SEARCH begins with character 8, finds find_text at the next character, and returns the number 9. SEARCH always returns the number of characters from the start of within_text, counting the characters you skip if start_num is greater than 1.

Remarks

  • SEARCH does not distinguish between uppercase and lowercase letters when searching text.
  • SEARCH is similar to FIND except that FIND is case sensitive.
  • If find_text is not found, the #VALUE! error value is returned.
  • If start_num is omitted, it is assumed to be 1.
  • If start_num is not greater than 0 (zero) or is greater than the length of within_text, the #VALUE! error value is returned.

Example

Col1 | Col2 | Col3 | Formula | Description (Result)
Statements | Profit Margin | margin | =SEARCH("e",[Col1],6) | Position of the first "e" in the string, starting at the sixth position (7)
Statements | Profit Margin | margin | =SEARCH([Col2],[Col3]) | Position of "margin" in "Profit Margin" (8)
Statements | Profit Margin | margin | =REPLACE([Col3],SEARCH([Col3],[Col2]),6,"Amount") | Replaces "Margin" with "Amount" (Profit Amount)


SECOND

SECOND

Returns the seconds of a time value. The second is given as an integer in the range 0 (zero) to 59.

Syntax

SECOND(serial_number)

Serial_number is the time that contains the seconds you want to find. Times may be entered as text strings within quotation marks (for example, "6:45 PM"), as decimal numbers (for example, 0.78125, which represents 6:45 PM), or as results of other formulas or functions (for example, TIMEVALUE("6:45 PM")).

Remark

Time values are a portion of a date value and represented by a decimal number (for example, 12:00 PM is represented as 0.5 because it is half of a day).

Example

Formula | Description
=SECOND("4:48:18 PM") | Seconds in the time (18)
=SECOND("4:48 PM") | Seconds in the time (0)


SIGN

SIGN

Determines the sign of a number. Returns 1 if the number is positive, zero (0) if the number is 0, and -1 if the number is negative.

Syntax

SIGN(number)

Number is any real number.

Example

Formula | Description (Result)
=SIGN(10) | Sign of a positive number (1)
=SIGN(4-4) | Sign of zero (0)
=SIGN(-0.00001) | Sign of a negative number (-1)


SIN

SIN

Returns the sine of the given angle.

Syntax

SIN(number)

Number is the angle in radians for which you want the sine.

Remark

If your argument is in degrees, multiply it by PI()/180 or use the RADIANS function to convert it to radians.

Example

Formula | Description (Result)
=SIN(PI()) | Sine of pi radians (0, approximately)
=SIN(PI()/2) | Sine of pi/2 radians (1)
=SIN(30*PI()/180) | Sine of 30 degrees (0.5)
=SIN(RADIANS(30)) | Sine of 30 degrees (0.5)


SINH

SINH

Returns the hyperbolic sine of a number.

Syntax

SINH(number)

Number is any real number.

Remark

The formula for the hyperbolic sine is:

Example 1

Formula | Description (Result)
=SINH(1) | Hyperbolic sine of 1 (1.175201194)
=SINH(-1) | Hyperbolic sine of -1 (-1.175201194)

Example 2

You can use the hyperbolic sine function to approximate a cumulative probability distribution. Suppose a laboratory test value varies between 0 and 10 seconds. An empirical analysis of the collected history of experiments shows that the probability of obtaining a result, x, of less than t seconds is approximated by the following equation:

P(x<t) = 2.868 * SINH(0.0342 * t), where 0<t<10

To calculate the probability of obtaining a result of less than 1.03 seconds, substitute 1.03 for t.

Formula | Description (Result)
=2.868*SINH(0.0342*1.03) | Probability of obtaining a result of less than 1.03 seconds (0.101049063)

You can expect this result to occur about 101 times for every 1000 experiments.


SKEW

SKEW

Returns the skewness of a distribution. Skewness characterizes the degree of asymmetry of a distribution around its mean. Positive skewness indicates a distribution with an asymmetric tail extending toward more positive values. Negative skewness indicates a distribution with an asymmetric tail extending toward more negative values.

Syntax

SKEW(number1,number2, ...)

Number1,number2... are 1 to 30 arguments for which you want to calculate skewness.

Remarks

  • The arguments must be either numbers or column references that contain numbers.
  • If a column reference argument contains text, logical values, or is empty , those values are ignored; however, arguments with the value zero are included.
  • If there are fewer than three data points, or the sample standard deviation is zero, SKEW returns the #DIV/0! error value.
  • The equation for skewness is defined as:

Example

D1 | D2 | D3 | D4 | D5 | D6 | D7 | D8 | D9 | D10 | Formula | Description (Result)
3 | 4 | 5 | 2 | 3 | 4 | 5 | 6 | 4 | 7 | =SKEW([D1], [D2], [D3], [D4], [D5], [D6], [D7], [D8], [D9], [D10]) | Skewness of a distribution of the data set (0.359543)


SLN

SLN

Returns the straight-line depreciation of an asset for one period.

Syntax

SLN(cost,salvage,life)

Cost is the initial cost of the asset.

Salvage is the value at the end of the depreciation (sometimes called the salvage value of the asset).

Life is the number of periods over which the asset is depreciated (sometimes called the useful life of the asset).

Example

Cost | Salvage | Life | Formula | Description (Result)
30,000 | 7,500 | 10 | =SLN([Cost], [Salvage], [Life]) | The depreciation allowance for each year (2,250)


SQRT

SQRT

Returns a positive square root.

Syntax

SQRT(number)

Number is the number for which you want the square root.

Remark

If number is negative, SQRT returns the #NUM! error value.

Example

Formula | Description (Result)
=SQRT(16) | Square root of 16 (4)
=SQRT(-16) | Square root of 16. Because the number is negative, an error is returned (#NUM!)
=SQRT(ABS(-16)) | Square root of the absolute value of the number (4)


STANDARDIZE

STANDARDIZE

Returns a normalized value from a distribution characterized by mean and standard_dev.

Syntax

STANDARDIZE(x,mean,standard_dev)

X is the value you want to normalize.

Mean is the arithmetic mean of the distribution.

Standard_dev is the standard deviation of the distribution.

Remarks

  • If standard_dev ≤ 0, STANDARDIZE returns the #NUM! error value.
  • The equation for the normalized value is:

Example

X | Mean | StdDev | Formula | Description (Result)
42 | 40 | 1.5 | =STANDARDIZE([X],[Mean],[StdDev]) | Normalized value of 42 for the specified arguments (1.333333)


STDEV

STDEV

Estimates standard deviation based on a sample. The standard deviation is a measure of how widely values are dispersed from the average value (the mean).

Syntax

STDEV(number1,number2,...)

Number1,number2,... are 1 to 30 number arguments corresponding to a sample of a population.

Remarks

  • Logical values such as TRUE and FALSE and text are ignored. If logical values and text must not be ignored, use the STDEVA function.
  • STDEV assumes that its arguments are a sample of the population. If your data represents the entire population, then compute the standard deviation using STDEVP.
  • The standard deviation is calculated using the "nonbiased" or "n-1" method.
  • STDEV uses the following formula:

Example

Suppose 10 tools stamped from the same machine during a production run are collected as a random sample and measured for breaking strength.

St1 | St2 | St3 | St4 | St5 | St6 | St7 | St8 | St9 | St10 | Formula | Description (Result)
1345 | 1301 | 1368 | 1322 | 1310 | 1370 | 1318 | 1350 | 1303 | 1299 | =STDEV([St1], [St2], [St3], [St4], [St5], [St6], [St7], [St8], [St9], [St10]) | Standard deviation of breaking strength (27.46391572)


STDEVA

STDEVA

Estimates standard deviation based on a sample. The standard deviation is a measure of how widely values are dispersed from the average value (the mean). Text and logical values such as TRUE and FALSE are included in the calculation.

Syntax

STDEVA(value1,value2, ...)

Value1,value2, ... are 1 to 30 values corresponding to a sample of a population.

Remarks

  • STDEVA assumes that its arguments are a sample of the population. If your data represents the entire population, you must compute the standard deviation using STDEVPA.
  • Arguments that contain TRUE evaluate as 1; arguments that contain text or FALSE evaluate as 0 (zero). If the calculation must not include text or logical values, use the STDEV spreadsheet function instead.
  • The standard deviation is calculated using the "nonbiased" or "n-1" method.
  • STDEVA uses the following formula:

Example

Suppose 10 tools stamped from the same machine during a production run are collected as a random sample and measured for breaking strength.

St1 | St2 | St3 | St4 | St5 | St6 | St7 | St8 | St9 | St10 | Formula | Description (Result)
1345 | 1301 | 1368 | 1322 | 1310 | 1370 | 1318 | 1350 | 1303 | 1299 | =STDEVA([St1], [St2], [St3], [St4], [St5], [St6], [St7], [St8], [St9], [St10]) | Standard deviation of breaking strength for all the tools (27.46391572)


STDEVP

STDEVP

Calculates standard deviation based on the entire population given as arguments. The standard deviation is a measure of how widely values are dispersed from the average value (the mean).

Syntax

STDEVP(number1,number2, ...)

Number1,number2, ... are 1 to 30 number arguments corresponding to a population.

Remarks

  • Logical values such as TRUE and FALSE and text are ignored. If logical values and text must not be ignored, use the STDEVPA spreadsheet function.
  • STDEVP assumes that its arguments are the entire population. If your data represents a sample of the population, then compute the standard deviation using STDEV.
  • For large sample sizes, STDEV and STDEVP return approximately equal values.
  • The standard deviation is calculated using the "biased" or "n" method.
  • STDEVP uses the following formula:

Example

St1 | St2 | St3 | St4 | St5 | St6 | St7 | St8 | St9 | St10 | Formula | Description (Result)
1345 | 1301 | 1368 | 1322 | 1310 | 1370 | 1318 | 1350 | 1303 | 1299 | =STDEVP([St1], [St2], [St3], [St4], [St5], [St6], [St7], [St8], [St9], [St10]) | Standard deviation of breaking strength, assuming only 10 tools are produced (26.05455814)


STDEVPA

STDEVPA

Calculates standard deviation based on the entire population given as arguments, including text and logical values. The standard deviation is a measure of how widely values are dispersed from the average value (the mean).

Syntax

STDEVPA(value1,value2, ...)

Value1,value2,... are 1 to 30 values corresponding to a population.

Remarks

  • STDEVPA assumes that its arguments are the entire population. If your data represents a sample of the population, you must compute the standard deviation using STDEVA.
  • Arguments that contain TRUE evaluate as 1; arguments that contain text or FALSE evaluate as 0 (zero). If the calculation must not include text or logical values, use the STDEVP spreadsheet function instead.
  • For large sample sizes, STDEVA and STDEVPA return approximately equal values.
  • The standard deviation is calculated using the "biased" or "n" method.
  • STDEVPA uses the following formula:

Example

St1 | St2 | St3 | St4 | St5 | St6 | St7 | St8 | St9 | St10 | Formula | Description (Result)
1345 | 1301 | 1368 | 1322 | 1310 | 1370 | 1318 | 1350 | 1303 | 1299 | =STDEVPA([St1], [St2], [St3], [St4], [St5], [St6], [St7], [St8], [St9], [St10]) | Standard deviation of breaking strength, assuming only 10 tools are produced (26.05455814)


SUM

SUM

Adds all the numbers in the specified arguments.

Syntax

SUM(number1,number2,...)

Number1, number2, ... are 1 to 30 arguments for which you want the total value or sum.

Remarks

  • Numbers, logical values, and text representations of numbers that you type directly into the list of arguments are counted. See the first and second examples following.
  • Arguments cause errors if they are error values or text that cannot be translated into numbers.

Example

Col1 | Col2 | Col3 | Col4 | Col5 | Formula | Description (Result)
-5 | 15 | 30 |  | TRUE | =SUM(3, 2) | Adds 3 and 2 (5)
-5 | 15 | 30 |  | TRUE | =SUM("5", 15, TRUE) | Adds 5, 15 and 1, because the text values are translated into numbers, and the logical value TRUE is translated into the number 1 (21)
-5 | 15 | 30 |  | TRUE | =SUM(Col1], [Col2], [Col3]) | Adds the first three numbers in the columns (40)
-5 | 15 | 30 |  | TRUE | =SUM(Col1], [Col2], [Col3], 15) | Adds the first three numbers in the columns, and 15 (55)
-5 | 15 | 30 |  | TRUE | =SUM([Col4], [Col5], 2) | Adds the values in the last two columns and 2 (2)


SUMSQ

SUMSQ

Returns the sum of the squares of the arguments.

Syntax

SUMSQ(number1,number2,...)

Number1, number2, ... are 1 to 30 arguments for which you want the sum of the squares.

Example

Formula | Description (Result)
=SUMSQ(3, 4) | Sum of the squares of 3 and 4 (25)


SYD

SYD

Returns the sum-of-years' digits depreciation of an asset for a specified period.

Syntax

SYD(cost,salvage,life,per)

Cost is the initial cost of the asset.

Salvage is the value at the end of the depreciation (sometimes called the salvage value of the asset).

Life is the number of periods over which the asset is depreciated (sometimes called the useful life of the asset).

Per is the period and must use the same units as life.

Remark

  • SYD is calculated as follows:

Example

Cost | Salvage | Life | Formula | Description (Result)
30000 | 7500 | 10 | =SYD([Cost],[Salvage],[Life],1) | Yearly depreciation allowance for the first year (4,090.91)
30000 | 7500 | 10 | =SYD([Cost],[Salvage],[Life],10) | Yearly depreciation allowance for the tenth year (409.09)


T

T

Returns the text referred to by value.

Syntax

T(value)

Value is the value you want to test.

Remarks

  • If value is or refers to text, T returns value. If value does not refer to text, T returns "" (empty text).

  • You do not generally need to use the T function in a formula because values are generally converted as necessary.

Example

Formula | Description (Result)
=T("Rainfall") | Because the value is text, the text is returned (Rainfall)
=T(19) | Because the value is a number, empty text is returned ()
=T(TRUE) | Because the value is a logical value, empty text is returned ()


TAN

TAN

Returns the tangent of the given angle.

Syntax

TAN(number)

Number is the angle in radians for which you want the tangent.

Remark

If your argument is in degrees, multiply it by PI()/180 or use the RADIANS function to convert it to radians.

Example

Formula | Description (Result)
=TAN(0.785) | Tangent of 0.785 radians (0.99920)
=TAN(45*PI()/180) | Tangent of 45 degrees (1)
=TAN(RADIANS(45)) | Tangent of 45 degrees (1)


TANH

TANH

Returns the hyperbolic tangent of a number.

Syntax

TANH(number)

Number is any real number.

Remark

The formula for the hyperbolic tangent is:

Example

Formula | Description (Result)
=TANH(-2) | Hyperbolic tangent of -2 (-0.96403)
=TANH(0) | Hyperbolic tangent of 0 (0)
=TANH(0.5) | Hyperbolic tangent of 0.5 (0.462117)


TDIST

TDIST

Returns the Percentage Points (probability) for the Student t-distribution where a numeric value (x) is a calculated value of t for which the Percentage Points are to be computed. The t-distribution is used in the hypothesis testing of small sample data sets. Use this function in place of a table of critical values for the t-distribution.

Syntax

TDIST(x,degrees_freedom,tails)

X is the numeric value at which to evaluate the distribution.

Degrees_freedom is an integer indicating the number of degrees of freedom.

Tails specifies the number of distribution tails to return. If tails = 1, TDIST returns the one-tailed distribution. If tails = 2, TDIST returns the two-tailed distribution.

Remarks

  • If any argument is nonnumeric, TDIST returns the #VALUE! error value.
  • If degrees_freedom < 1, TDIST returns the #NUM! error value.
  • The degrees_freedom and tails arguments are truncated to integers.
  • If tails is any value other than 1 or 2, TDIST returns the #NUM! error value.
  • TDIST is calculated as TDIST = p( x<abs(X)), where X is a random variable that follows the t-distribution.

Example

X | Degrees | Formula | Description (Result)
1.96 | 60 | =TDIST([X],[Degrees],2) | Two-tailed distribution (0.054644927 or 5.46 percent)
1.96 | 60 | =TDIST([X],[Degrees],1) | One-tailed distribution (0.027322463 or 2.73 percent)


TEXT

TEXT

Converts a value to text in a specific number format.

Syntax

TEXT(value,format_text)

Value is a numeric value, a formula that evaluates to a numeric value, or a column reference containing a numeric value.

Format_text is a number format in text format.

Remarks

  • Using the TEXT function converts a value to formatted text, and the result is no longer calculated as a number.

Example

Salesperson | Sales | Formula | Description (Result)
Buchanan | 2800 | =[Salesperson]&" sold "&TEXT([Sales], "$0.00;($0.00)")&" worth of units." | Combines contents into a phrase (Buchanan sold $2,800.00 worth of units.)
Dodsworth | .4 | =[Salesperson]&" sold "&TEXT([Sales],"0.00%")&" of the total sales." | Combines contents into a phrase (Dodsworth sold 40.00% of the total sales.)


TIME

TIME

Returns the decimal number for a particular time. The decimal number returned by TIME is a value ranging from 0 (zero) to 0.99999999, representing the times from 0:00:00 (12:00:00 AM) to 23:59:59 (11:59:59 P.M.).

Syntax

TIME(hour,minute,second)

Hour is a number from 0 (zero) to 32767 representing the hour. Any value greater than 23 will be divided by 24 and the remainder will be treated as the hour value. For example, TIME(27,0,0) = TIME(3,0,0) = .125 or 3:00 AM.

Minute is a number from 0 to 32767 representing the minute. Any value greater than 59 will be converted to hours and minutes. For example, TIME(0,750,0) = TIME(12,30,0) = .520833 or 12:30 PM.

Second is a number from 0 to 32767 representing the second. Any value greater than 59 will be converted to hours, minutes, and seconds. For example, TIME(0,0,2000) = TIME(0,33,22) = .023148 or 12:33:20 AM

Remark

Time values are a portion of a date value and represented by a decimal number (for example, 12:00 PM is represented as 0.5 because it is half of a day).

Example

Hour | Minute | Second | Formula | Description (Result)
12 | 0 | 0 | =TIME([Hour],[Minute],[Second]) | Decimal representation of the time of day, for the time (0.5)
16 | 48 | 10 | =TIME([Hour],[Minute],[Second]) | Decimal representation of the time of day, for the time (0.700115741)


TIMEVALUE

TIMEVALUE

Returns the decimal number of the time represented by a text string. The decimal number is a value ranging from 0 (zero) to 0.99999999, representing the times from 0:00:00 (12:00:00 AM) to 23:59:59 (11:59:59 P.M.).

Syntax

TIMEVALUE(time_text)

Time_text is a text string that represents a time in any one of the spreadsheet time formats; for example, "6:45 PM" and "18:45" text strings within quotation marks that represent time.

Remarks

  • Date information in time_text is ignored.

Example

Formula | Description (Result)
=TIMEVALUE("2:24 AM") | Decimal part of a day, for the time (0.1)
=TIMEVALUE("22-Aug-2008 6:35 AM") | Decimal part of a day, for the time (0.274305556)


TINV

TINV

Returns the t-value of the Student's t-distribution as a function of the probability and the degrees of freedom.

Syntax

TINV(probability,degrees_freedom)

Probability is the probability associated with the two-tailed Student's t-distribution.

Degrees_freedom is the number of degrees of freedom to characterize the distribution.

Remarks

  • If either argument is nonnumeric, TINV returns the #VALUE! error value.
  • If probability < 0 or if probability > 1, TINV returns the #NUM! error value.
  • If degrees_freedom is not an integer, it is truncated.
  • If degrees_freedom < 1, TINV returns the #NUM! error value.
  • TINV is calculated as TINV = p( t<X ), where X is a random variable that follows the t-distribution.
  • A one-tailed t-value can be returned by replacing probability with 2*probability. For a probability of 0.05 and degrees of freedom of 10, the two-tailed value is calculated with TINV(0.05,10), which returns 2.28139. The one-tailed value for the same probability and degrees of freedom can be calculated with TINV(2*0.05,10), which returns 1.812462.

    Note In some tables, probability is described as (1-p).

TINV uses an iterative technique for calculating the function. Given a probability value, TINV iterates until the result is accurate to within ± 3x10^-7. If TINV does not converge after 100 iterations, the function returns the #N/A error value.

Example

Probability | Degrees | Formula | Description (Result)
0.054645 | 60 | =TINV([Probability],[Degrees]) | t-value of the Student's t-distribution for the specified arguments (1.959997462)


TODAY

TODAY

Returns the serial number of the current date. The serial number is the date-time code used for date and time calculations.

Note You can only use the TODAY function as a default value; you cannot use it in a calculated column.

Syntax

TODAY

Remark

Dates are stored as sequential serial numbers so they can be used in calculations. By default, December 31, 1899 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900.


TRIM

TRIM

Removes all spaces from text except for single spaces between words. Use TRIM on text that you have received from another application that may have irregular spacing.

Syntax

TRIM(text)

Text is the text from which you want spaces removed.

Example

Formula | Description (Result)
=TRIM(" First Quarter Earnings ") | Removes leading and trailing spaces from the text in the formula (First Quarter Earnings)


TRUE

TRUE

Returns the logical value TRUE.

Syntax

TRUE( )

Remark

You can enter the value TRUE directly without using this function. The TRUE function is provided primarily for compatibility with other programs.


TRUNC

TRUNC

Truncates a number to an integer by removing the fractional part of the number.

Syntax

TRUNC(number,num_digits)

Number is the number you want to truncate.

Num_digits is a number specifying the precision of the truncation. The default value for num_digits is 0 (zero).

Remark

TRUNC and INT are similar in that both return integers. TRUNC removes the fractional part of the number. INT rounds numbers down to the nearest integer based on the value of the fractional part of the number. INT and TRUNC are different only when using negative numbers: TRUNC(-4.3) returns -4, but INT(-4.3) returns -5 because -5 is the lower number.

Example

Formula | Description (Result)
=TRUNC(8.9) | Integer part of 8.9 (8)
=TRUNC(-8.9) | Integer part of -8.9 (-8)
=TRUNC(PI()) | Integer part of pi (3)


UPPER

UPPER

Converts text to uppercase.

Syntax

UPPER(text)

Text is the text you want converted to uppercase. Text can be a column reference or text string.

Example

Formula | Description (Result)
=UPPER("total") | Upper case of string (TOTAL)
=UPPER("Yield") | Upper case of string (YIELD)


USDOLLAR

USDOLLAR

Converts a number to text using currency format, with the decimals rounded to the specified place. The format used is $#,##0.00_);($#,##0.00).

Syntax

USDOLLAR(number,decimals)

Number is a number, a column reference containing a number, or a formula that evaluates to a number.

Decimals is the number of digits to the right of the decimal point. If decimals is negative, number is rounded to the left of the decimal point. If you omit decimals, your system locale setting will be used to determine the number of decimal places.

Remark

The USDOLLAR function always shows U.S. currency. If you want to show the currency setting of your computer, use the DOLLAR function instead.

Example

Col1 | Formula | Description (Result)
1234.567 | =USDOLLAR([Col1], 2) | Displays the first number in a currency format, 2 digits to the right of the decimal point ($1,234.57)
1234.567 | =USDOLLAR([Col1], -2) | Displays the first number in a currency format, 2 digits to the left of the decimal point ($1,200)
-1234.567 | =USDOLLAR([Col1], -2) | Displays the second number in a currency format, 2 digits to the left of the decimal point (($1,200))
-0.123 | =USDOLLAR([Col1], 4) | Displays the third number in a currency format, 4 digits to the right of the decimal point(($0.1230))
99.888 | =USDOLLAR([Col1]) | Displays the fourth number in a currency format, 2 digit to the left of the decimal point ($99.89)


VALUE

VALUE

Converts a text string that represents a number to a number.

Syntax

VALUE(text)

Text is the text enclosed in quotation marks or a column reference containing the text you want to convert.

Remarks

  • Text can be in any of the constant number, date, or time formats. If text is not in one of these formats, VALUE returns the #VALUE! error value.

Example

Formula | Description (Result)
=VALUE("$1,000") | Number equivalent of the string (1000)
=VALUE("16:48:00")-VALUE("12:00:00") | The serial number equivalent to 4 hours and 48 minutes, which is "16:48:00"-"12:00:00" (0.2 or 4:48)


VAR

VAR

Estimates variance based on a sample.

Syntax

VAR(number1,number2, ...)

Number1,number2, ... are 1 to 30 number arguments corresponding to a sample of a population.

Remarks

  • VAR assumes that its arguments are a sample of the population. If your data represents the entire population, then compute the variance using VARP.
  • Logical values such as TRUE and FALSE and text are ignored. If logical values and text must not be ignored, use the VARA function.
  • VAR uses the following formula:

Example

Suppose 10 tools stamped from the same machine during a production run are collected as a random sample and measured for breaking strength.

St1 | St2 | St3 | St4 | St5 | St6 | St7 | St8 | St9 | St10 | Formula | Description (Result)
1345 | 1301 | 1368 | 1322 | 1310 | 1370 | 1318 | 1350 | 1303 | 1299 | =VAR([St1], [St2], [St3], [St4], [St5], [St6], [St7], [St8], [St9], [St10]) | Variance for the breaking strength of the tools (754.2666667)


VARA

VARA

Estimates variance based on a sample. In addition to numbers, text and logical values such as TRUE and FALSE are included in the calculation.

Syntax

VARA(value1,value2, ...)

Value1,value2, ... are 1 to 30 value arguments corresponding to a sample of a population.

Remarks

  • VARA assumes that its arguments are a sample of the population. If your data represents the entire population, you must compute the variance using VARPA.
  • Arguments that contain TRUE evaluate as 1; arguments that contain text or FALSE evaluate as 0 (zero). If the calculation must not include text or logical values, use the VAR function instead.
  • VARA uses the following formula:

Example

Suppose 10 tools stamped from the same machine during a production run are collected as a random sample and measured for breaking strength.

St1 | St2 | St3 | St4 | St5 | St6 | St7 | St8 | St9 | St10 | Formula | Description (Result)
1345 | 1301 | 1368 | 1322 | 1310 | 1370 | 1318 | 1350 | 1303 | 1299 | =VARA([St1], [St2], [St3], [St4], [St5], [St6], [St7], [St8], [St9], [St10]) | Estimates the variance for the breaking strength (754.2666667)


VARP

VARP

Calculates variance based on the entire population.

Syntax

VARP(number1,number2, ...)

Number1,number2, ... are 1 to 30 number arguments corresponding to a population.

  • Logical values such as TRUE and FALSE and text are ignored. If logical values and text must not be ignored, use the VARPA function.

Remarks

  • VARP assumes that its arguments are the entire population. If your data represents a sample of the population, then compute the variance using VAR.
  • The equation for VARP is:

Example

Suppose all 10 tools stamped from the same machine during a production run are collected and measured for breaking strength.

St1 | St2 | St3 | St4 | St5 | St6 | St7 | St8 | St9 | St10 | Formula | Description (Result)
1345 | 1301 | 1368 | 1322 | 1310 | 1370 | 1318 | 1350 | 1303 | 1299 | =VARP([St1], [St2], [St3], [St4], [St5], [St6], [St7], [St8], [St9], [St10]) | Variance of breaking strengths for all the tools, assuming that only 10 tools are produced (678.84)


VARPA

VARPA

Calculates variance based on the entire population. In addition to numbers, text and logical values such as TRUE and FALSE are included in the calculation.

Syntax

VARPA(value1,value2, ...)

Value1,value2,... are 1 to 30 value arguments corresponding to a population.

Remarks

  • VARPA assumes that its arguments are the entire population. If your data represents a sample of the population, you must compute the variance using VARA.
  • Arguments that contain TRUE evaluate as 1; arguments that contain text or FALSE evaluate as 0 (zero). If the calculation must not include text or logical values, use VARP instead.
  • The equation for VARPA is :

Example

Suppose all 10 tools stamped from the same machine during a production run are collected and measured for breaking strength.

St1 | St2 | St3 | St4 | St5 | St6 | St7 | St8 | St9 | St10 | Formula | Description (Result)
1345 | 1301 | 1368 | 1322 | 1310 | 1370 | 1318 | 1350 | 1303 | 1299 | =VARPA([St1], [St2], [St3], [St4], [St5], [St6], [St7], [St8], [St9], [St10]) | Variance of breaking strengths for all the tools, assuming that only 10 tools are produced (678.84)


WEEKDAY

WEEKDAY

Returns the day of the week corresponding to a date. The day is given as an integer, ranging from 1 (Sunday) to 7 (Saturday), by default.

Syntax

WEEKDAY(serial_number,return_type)

Serial_number is a sequential number that represents the date of the day you are trying to find.

Return_type is a number that determines the type of return value.

Return_type | Number returned
1 or omitted | Numbers 1 (Sunday) through 7 (Saturday).
2 | Numbers 1 (Monday) through 7 (Sunday).
3 | Numbers 0 (Monday) through 6 (Sunday).

Remark

Dates are stored as sequential serial numbers so they can be used in calculations. By default, December 31, 1899 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900.

Example

Formula | Description (Result)
=WEEKDAY("2/14/2008") | Day of the week, with numbers 1 (Sunday) through 7 (Saturday) (5)
=WEEKDAY("2/14/2008",2) | Day of the week, with numbers 1 (Monday) through 7 (Sunday) (4)
=WEEKDAY("2/14/2008",3) | Day of the week, with numbers 0 (Monday) through 6 (Sunday) (3)

Note 2/14/2008 is a Thursday.


WEIBULL

WEIBULL

Returns the Weibull distribution. Use this distribution in reliability analysis, such as calculating a device's mean time to failure.

Syntax

WEIBULL(x,alpha,beta,cumulative)

X is the value at which to evaluate the function.

Alpha is a parameter to the distribution.

Beta is a parameter to the distribution.

Cumulative determines the form of the function.

Remarks

  • If x, alpha, or beta is nonnumeric, WEIBULL returns the #VALUE! error value.
  • If x < 0, WEIBULL returns the #NUM! error value.
  • If alpha ≤ 0 or if beta ≤ 0, WEIBULL returns the #NUM! error value.
  • The equation for the Weibull cumulative distribution function is:

  • The equation for the Weibull probability density function is:

  • When alpha = 1, WEIBULL returns the exponential distribution with:

Example

X | Alpha | Beta | Formula | Description (Result)
105 | 20 | 100 | =WEIBULL([X],[Alpha],[Beta],TRUE) | Weibull cumulative distribution function for the specified arguments (0.929581)
105 | 20 | 100 | =WEIBULL([X],[Alpha],[Beta],FALSE) | Weibull probability density function for the specified arguments (0.035589)


YEAR

YEAR

Returns the year corresponding to a date.

Syntax

YEAR(serial_number)

Serial_number is the date of the year you want to find.

Remarks

Dates are stored as sequential serial numbers so they can be used in calculations. By default, December 31, 1899 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900.

Values returned by the YEAR, MONTH and DAY functions will be Gregorian values regardless of the display format for the supplied date value. For example, if the display format of the supplied date is Hijri, the returned values for the YEAR, MONTH and DAY functions will be values associated with the equivalent Gregorian date.

Example

Formula | Description (Result)
=YEAR("7/5/2008") | Year of the first date (2008)
=YEAR("7/5/10") | Year of the second date (2010)


About where the Modify This Workspace menu appears

About where the Modify This Workspace menu appears

The Modify This Workspace menu appears (upper-right corner of the window) only when the page that is currently displayed is either the home page or a page that was added to the workspace site. This menu is only available for members of the Administrator or Web Designer site groups.


Microsoft Windows SharePoint Services Copyright Information

Microsoft Windows SharePoint Services Copyright Information

Microsoft® Windows® SharePoint™ Services Copyright Information

Information in this document, including URL and other Internet Web site references, is subject to change without notice. Unless otherwise noted, the example companies, organizations, products, domain names, e-mail addresses, logos, people, places and events depicted herein are fictitious, and no association with any real company, organization, product, domain name, e-mail address, logo, person, place or event is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

© 2001-2003 Microsoft Corporation. All rights reserved.

Microsoft, MS-DOS, Windows, Windows NT, Active Directory, FrontPage, InfoPath, MSDN, Outlook, PowerPoint, and SharePoint are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.

The names of actual companies and products mentioned herein may be the trademarks of their respective owners.


Configure blocked file types

Configure blocked file types
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the SharePoint Central Administration page, under Security Configuration, click Manage blocked file types.
  3. On the Manage Blocked File Types page, perform one of the following actions:
    • To add a file type, click in the list and type the extension.
    • To delete a file type, delete the file extension from the list.
  4. Click OK.

Related Topic

About blocked file types


About backing up site collections

About backing up site collections

With Microsoft Windows SharePoint Services, you can back up and restore site collections hosted on your server or server farm. You can use this backup and restore method to replace a site collection that has become corrupted, or that contains changes that need to be rolled back (for example, if you need to recover a list or a list item that was deleted accidentally). This backup and restore method is not dependent on the type of database server that you are using. You can perform this backup and restore even if you are running Microsoft SQL Server 2000 Desktop Engine (Windows) (WMSDE) instead of Microsoft SQL Server 2000.

If you need to back up a specific site, rather than a whole installation of Windows SharePoint Services, you can do so by using the backup and restore operations with the Stsadm.exe command line tool. You do not need SQL Server 2000 to perform a site-by-site backup. If you are using WMSDE, this is the only backup and restore option that is available.

When you back up a site collection, you back up the content database for the site collection, including all pages in the site, files in document libraries or lists, security and permission settings, and feature settings. The backup process creates a single file that contains all of this data. You can then restore your site collection to either the same location, or to a new location. The backup file for a site includes any subsites of the site collection.

You must be a member of the server computer's Administrators group to back up or restore a site.

About sitebackup and restore

Site backup and restore is intended to help you reconnect sites that have become corrupted or that need to be restored to a previous state. This process is not intended for moving a site to a new server. If you want to move a site, use the Microsoft SharePoint Migration Tool (smigrate.exe) instead. For more information, see About migrating Web sites.

When using site backup and restore, keep the following items in mind:

  • You can automate the backup process by using a batch file, script, or the Windows Scheduled Tasks control panel.

    You can use the object model to include the backup operation in a scripted procedure. For more information, see the Microsoft Windows SharePoint Services Software Development Kit.

  • Site backup and restore affects performance.

    The process of backing up and restoring sites takes up both memory and processing power on your server. If you choose to schedule automatic backups in a batch file or script, be sure to run the backup process when server usage is light.

  • Sites with duplicate names cannot be restored.

    This could be a problem in the following situation: If you have two virtual servers, with separate content databases for each virtual server that are listed only by relative paths in the configuration database, the site names may conflict. For example, if the configuration database lists the site names without the http://server_name prefix, you could have several sites that use the same path. For example, http://server_1/sites/site1 and http://server_2/sites/site1 could both be listed in the configuration database as /sites/site1, even though they are on separate virtual servers. In this case, the sites will not be restored correctly, and you will see an error in the restore log file.

  • You must have the appropriate language packs installed to successfully restore a site.

    If a site that you are restoring to a new server used a specific language pack, you must add the language pack to the new server before restoring the site. You can also update the new server with the language pack after you restore. If you do not add the language pack, users who browse to the site or any subsites will see a "file not found" error.

Restoring Sites in Active Directory Account Creation Mode

When restoring a site that was running in Active Directory account creation mode, the destination site must also be running in Active Directory account creation mode. Further, you cannot restore a site that was not running in Active Directory account creation mode to a server that is running in Active Directory account creation mode.

Important

  • Do not run the both the original and the restored sites simultaneously. Doing so creates security risks as it allows users from the backup site to have full access to the restored site, and all user management changes to one site will apply to the other site.
  • When deleting either the original or restored site, make sure that you specify the -deleteusers false option on the stsadm.exe command line or users from both sites will be deleted from Active Directory service. For example: stsadm –o deletesites –deleteusers false

Related Topic

About migrating Web sites


About command line options

About command line options

Most tasks that you can perform from the HTML administration pages can also be performed from the command line for Microsoft Windows SharePoint Services. In addition, there are several properties you can set from the command line that you cannot set from the administration pages. For a complete list of commands and properties, see the Windows SharePoint Services Administrator's Guide.

You can also get a list of the command-line operations by typing stsadm.exe -help on the command line. Syntax help for specific operations is available by typing stsadm.exe -help <operation name>.


Alerts and security

Alerts and security

Alert settings are not deleted when you remove a user's access from a site or a list. After removing a user, you must manually delete his or her alerts to prevent the user from continuing to receive alerts about the list or item. Removing these alerts is essential to help prevent unauthorized users from being notified of changes to the site, file names, user names, and other information.

Related topic

Delete an alert


About enabling Self-Service Site Creation

About enabling Self-Service Site Creation

Microsoft Windows SharePoint Services allows members of the Administrator and Web Designer roles to create subsites from their Web sites. These subsites can be fully functioning SharePoint sites, complete with a home page, document libraries, and so on — they can even have their own unique permissions. Self-Service Site Creation is a feature that is enabled by administrators and allows users to create their own top-level Web sites. Users do not need administrator permissions on the server or virtual server, only permissions on the Web site where Self-Service Site Creation is hosted. Users simply enters some basic information to create their own top-level Web sites automatically.

You turn on Self-Service Site Creation from the Configure Self-Service Site Creation page for the virtual server that you want to enable. When you turn on Self-Service Site Creation, an announcement is added to the home page of the top-level Web site on that virtual server, with a link to the signup page (Scsignup.aspx). Users can click the link to go to the signup page and create their sites. This announcement is set to appear indefinitely, but if the Announcements list is long, or is removed from the home page of your site, the announcement may not appear. If you want to ensure that the link always appears on the home page, you can customize the home page in a Web page editor compatible with Windows SharePoint Services to include the link in a prominent position, such as the top link bar.

Security and Self-Service Site Creation

Self-Service Site Creation allows users to create and manage their own top-level Web sites automatically. This capability can obviously affect the security for your Web server running Windows SharePoint Services. Self-Service Site Creation is disabled by default — you must turn on the feature to use it. You enable Self-Service Site Creation for a single virtual server at a time. If you want to use it on all virtual servers in your server farm, you must enable it for every virtual server individually.

The Administration pages for Self-Service Site Creation are part of the virtual server administration pages, which can only be accessed by local computer administrators or members of the SharePoint administrators group. Access to the signup page follows the same security rules as other Web site pages. By default, the Use Self-Service Site Creation right is included in all site groups except the Guest site group, and gives users access to the signup page and the ability to use Self-Service Site Creation to create their own top-level Web sites.

Note that because Self-Service Site Creation simply creates new top-level Web sites on an existing virtual server, any new sites automatically conform to the virtual server's quota settings, unused Web site notification settings, and other administrative policies.

Managed paths and Self-Service Site Creation

By default, when you install Windows SharePoint Services, a URL path called /sites is added to your virtual server. When you enable Self-Service Site Creation, that path is the default path for sites that your users create. For example, using Self-Service Site Creation, a user can create "MyTeamSite" on Server 1. Using the defaults, the path for this site would be similar to the following: http://server/sites/MyTeamSite. You can use the default /sites path for user's sites, or you can create additional paths. By adding managed paths, you can specify which URL paths are available for Self-Service Site Creation users to create sites under. If you do add more URL paths for Self-Service Site Creation use, when users go to the Scsignup.aspx page, they will see a drop-down menu listing the various paths available, and they can choose under which path to create their site. For more information about defining a URL path, see About Managed Paths.


About checking site usage

About checking site usage

If you want to know what kind of impact your Web site has, you need to track how many users visit your site, the type and number of hits your site receives, and other site-usage information. Microsoft Windows SharePoint Services includes features that analyze the usage of your site. Summary and detailed usage reports supply information such as the following:

  • Number of hits per page
  • Number of unique users
  • Browser and operating system information
  • Referring domains and URLs

Tracking usage information can be useful for identifying which content on your site is being heavily used (and therefore should be kept) and which content is not being heavily used (and may be a candidate for archival). In addition to site usage statistics, you can keep track of how much storage space your site is taking up and the level of activity that your site is generating. This information is gathered as part of the quota tracking for sites. For more information about quotas, see Manage site quotas and locks.

The usage reports rely on usage log data gathered from the Web sites and stored in the content database for each virtual server. The log data is a summary record of transactions on your Web site. When you view a usage report, the data is arranged into a list format. You must be a member of the Administrator site group (or have the View Usage Data right) for a site to view the site usage statistics.

You can view summary data about a site from the Site Settings page.

About usage analysis administration options

You configure the settings for processing the usage log by using commands in HTML Administration pages. From the SharePoint Central Administration page, you can control the following:

  • Whether or not to log usage data.

    Usage analysis is not enabled by default. If you want to use the usage analysis features for your server, you must enable the usage analysis logging process. Log files are created daily to track usage information. When the log file is processed, a flag is added to indicate that is has been processed. If you do not want to track usage analysis data and you want to conserve disk space, you can turn off data logging for usage analysis.

  • When to process the usage logs.

    By default, the log files are set to be processed every day at 1:00 A.M. You can schedule processing of the usage log at a more convenient downtime for your Web sites. If your Web sites are primarily used by internal employees, for example, you might schedule the log to be processed at night, when demand on the sites is lower than during working hours. If you have multiple servers, you can stagger the processing. For example, you can configure the processing to start at midnight, and stagger it by 15 minutes, so that server1 starts at 12:00, server2 starts at 12:15, server3 at 12:30, and so on.

  • Where the log files are stored.

    By default, the log files are in c:\%windir%\system32\LogFiles\STS. Inside this folder is a folder for every virtual server, and under those folders, folders for each day. You can specify any other location that you prefer.

    Note If you choose a different log file location, you must be sure to give the STS_WPG user group Read, Write, and Update permissions to the directory. Without these permissions, the usage log files cannot be created or updated. For more information about setting permissions for a directory, see the Microsoft Windows Help system.

In Microsoft Windows SharePoint Services, usage analysis data is gathered from the front-end Web servers and collected into temporary files. When the scheduled log processing takes place, the data is merged into the content databases on the back-end servers. Usage data is collected for an entire virtual server at a time, even if you have separate top-level Web sites on a virtual server. When you view the data in HTML Administration pages, you can see only the data for a particular Web site or subsite, not for the virtual server or the entire top-level Web site and any subsites together. For more information about the type of data gathered in the usage analysis logs and how to view the usage analysis reports, see Analyze Web site usage.

Usage data is stored for 31 months. Daily information is stored for 31 days. The log files will not be deleted, even after processing. Note that usage analysis processes rely on the Microsoft SharePoint Timer service to manage the timing of log processing. For more information about the SharePoint Timer service, see Schedule timed jobs.

You control settings for usage analysis processing from the SharePoint Central Administration page. You must be an administrator of the local server computer or a member of the SharePoint Administrators group to configure usage analysis settings.

Related Topics

Specify usage analysis settings
Analyze site usage
Manage site quotas and locks
Schedule timed jobs


About Internet Explorer Enhanced Security Configuration

About Internet Explorer Enhanced Security Configuration

By default, Microsoft Windows Server 2003 provides a set of security settings called Internet Explorer Enhanced Security Configuration. These settings limit the types of content that a user at the server can view using Microsoft Internet Explorer, except for sites listed in the Local intranet and Trusted sites zones. For example, by default, scripting on pages available from the Internet does not run. The goal of these settings is to help ensure that a local user on a computer that is also running as a server does not download a virus or other harmful files from the Internet and infect the server. Internet Explorer Enhanced Security Configuration doesn't affect remote users viewing content on the server, only users running Internet Explorer on the server computer itself.

Important Using Internet Explorer Enhanced Security Configuration on a Web server running Microsoft Windows SharePoint Services prevents some code that is necessary for viewing site pages or SharePoint Central Administration pages from running. Again, remote users with proper access rights can view the pages correctly, but a user running Internet Explorer on the server computer is unable to view or manage the site. Note also that the user at the server computer is unable to view and manage a remote SharePoint site, because of the security settings.

Recommendations

Browse to your SharePoint site as http://localhost

For single server deployments, running Windows SharePoint Services by using the default host name localhost allows you to view the pages. This is not recommended for more complex deployments, such as header-based host sites or server farms.

Add the SharePoint sites to the list of local intranet sites

It is recommended that you add the URLs of all virtual servers that are hosted to the Internet Explorer Local intranet zone. In a server farm, you must also add the URLs of all domain-named sites to the list of local intranet sites. The advantage of this approach is that it helps secure local server computers by taking advantage of the Internet Explorer Enhanced Security Configuration and also allows administrators to manage local and remote SharePoint sites directly from a server computer. The disadvantage of this approach is that you must ensure that all Web servers and domain-named sites are added to the list of local intranet sites on every server in the deployment.

For example, if a server farm hosts the sites http://site1 and http://site2, you must add both site1 and site2 to the list of local intranet sites. In addition, you must add the names of each front-end Web server that is a member of the server farm to the list of local intranet sites. For example, if you have a server farm that includes two database servers named sql1 and sql2, and three front-end Web servers named it1, it2, and it3, you must add it1, it2, and it3 to the list of intranet sites. You must add all these server names and domain-named sites to the list of local intranet sites on each front-end Web server.

Remove Internet Explorer Enhanced Security Configuration

If you are not concerned about users working locally at the Web server, you can remove Internet Explorer Enhanced Security Configuration using Add or Remove Programs. The advantage of this solution is that it requires less time to configure server settings. This is of particular advantage for header-based host sites or server farms. The disadvantage of removing the enhanced security configuration is that it may leave the server computer vulnerable to attack by malicious users.


Schedule timed jobs

Schedule timed jobs

Several features of Microsoft Windows SharePoint Services rely on scheduled background processes. For example, to be able to review usage analysis information, you must first gather the information, preferably when your site is not being heavily used. With Windows SharePoint Services, you can schedule the following operations to occur automatically at specific times.

Operation | Frequency | Scope
Processing the usage analysis log files | Daily | Server or server farm
Sending alerts | Immediately, daily, or weekly | Virtual server
Checking for and automatically deleting unused Web sites | Daily, weekly, or monthly | Virtual server
Checking for and automatically adding e-mail attachments from a specific public folder to a specific document library | Every few minutes, hourly, or daily | Virtual server

Scheduled times apply to all Web sites on a particular Web server or in a particular content database, as indicated. The scope determines how the job is run. If a job is scoped to the Web server level, it is run for each Web server computer, independently of any other Web servers that might be hosting the same content. If an operation is scoped to the content database level, it is run once for the content database, which means once for the each content database in the entire server or server farm.

The Microsoft SharePoint Timer service, a background utility, handles scheduled jobs in Windows SharePoint Services. This utility is installed to your Web server when you set up Windows SharePoint Services. The SharePoint Timer service relies on the Gregorian calendar for scheduling. For every job you schedule, you must specify a beginning time for that job based on a 24-hour clock. You specify the time in local time versus an offset from Universal Coordinated Time (UCT), and the time is stored in that format as well.

The dates used by the SharePoint Timer service are not stored in context. This means that you cannot schedule jobs to run every X days/weeks/months/years, where X is greater than 1. So, while you can schedule jobs to run every day, every week, or every month, you cannot schedule a process for every two days, and so on. Neither can you schedule jobs for relative days in a month, such as the third Monday of every month.

When you schedule a timed job, you schedule the beginning time for the job. For example, you can schedule a job to be run daily, beginning between 1:00 AM and 2:00 AM. You always schedule jobs to begin within a time range, rather than at a specific time. This allows the SharePoint Timer service to be run at a random time in that range, so that not every server in a server farm is running the scheduled job at the same time. For example, if you set usage analysis processing to be done during the range 1:00 AM to 2:00 AM, then each front-end Web server starts processing usage analysis sometime between 1:00 and 2:00 AM.

You can schedule timed jobs by using the SharePoint Central Administration or Site Administration pages. To schedule a timed job, go to the page that contains the settings for the job you want to schedule, and then select the day, date, month, year, and time that you want the job performed.


Integrate with search and portal products

Integrate with search and portal products

You must enable search in order to make it available to users on your site. To enable search for Microsoft SQL Server 2000, you must install the full-text searching feature for SQL Server 2000 and then enable search in Microsoft Windows SharePoint Services. If you want to enable Microsoft Office SharePoint Portal Server 2003 searching, you must be sure that SharePoint Portal Server is available, and then configure Windows SharePoint Services to be included in the index by the portal site.

Enable search for SQL Server 2000

  1. On your SQL Server computer, run the SQL Server 2000 Setup program.
  2. On the setup screen, click SQL Server 2000 Components, and then click Install Database Server.

    The Microsoft SQL Server 2000 Installation Wizard opens.

  3. On the Welcome screen, click Next.
  4. On the Computer Name screen, select the computer type, and then click Next.
  5. On the Installation Selection panel, select Upgrade, remove, or add components to an existing instance of SQL Server, and then click Next.
  6. On the Instance Name panel, clear the Default check box, and then in the Instance Name box, select your SQL Server instance for Windows SharePoint Services and click Next.
  7. Select Add components to your existing installation, and then click Next.
  8. On the Select Components panel, in the Sub-Components list, select Full-Text Search, and then click Next.
  9. Click Next again to begin the installation.
  10. Click Finish.

Enable search for SharePoint Portal Server

After you have configured SQL Server 2000 to support full-text searching, you're ready to enable search for Windows SharePoint Services.

Related Topic

About managing and customizing search


Configure antivirus settings

Configure antivirus settings

You can specify antivirus settings by using SharePoint Central Administration or by using the command line.

Use SharePoint Central Administration to configure antivirus protection

  1. Click Start, point to Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the SharePoint Central Administration page, under Security Configuration, click Configure antivirus settings.
  3. Select the Scan documents on download box.
  4. Select the Scan documents on upload box.
  5. If desired, select the Attempt to clean infected documents box.
  6. If you want to allow users to save potentially infected files locally, select the Allow users to download infected documents check box.
  7. In the Time out scanning after ___ seconds box, type the number of seconds to allow before timing out the scanning process.

    Note The default time is 300 seconds, or 5 minutes. This should be enough time to allow the antivirus processes to finish without affecting performance. The default time is recommended, but you can adjust this time if you are experiencing performance issues.

  8. In the Allow scanner to use up to ___ threads box, type the number of threads to allow the scanning process to use.

    By default, the number of threads is set to five, which should be sufficient for even a large number of sites. It is recommended that you use the default number of threads, but you can adjust the number of threads to modify performance.

  9. Click OK.

Use the command line to configure antivirus protection

You can also configure antivirus protection by setting properties on the command line. To set a property, you use the Stsadm.exe tool with the setproperty operation. The following properties are available for use in configuring antivirus protection.

Property name | Description | Values
avallowdownload | Specifies whether users can download infected documents to their client computers. | yes/no
avcleaningenabled | Specifies whether antivirus cleaning is enabled or disabled. | yes/no
avdownloadscanenabled | Specifies whether documents are scanned on download. | yes/no
avnumberofthreads | Specifies the number of threads to use for antivirus processes. | A numerical value—the number of threads to use
avtimeout | Specifies how long to wait before timing out an antivirus process. | A numerical value, in seconds.
avuploadscanenabled | Specifies whether documents are scanned on upload. | yes/no

The following example shows the syntax to use when setting an antivirus property:

stsadm.exe -o setproperty -pn property_name -pv property_value

For example, to set the avtimeout property to 200 for http://server_name, use the following syntax:

stsadm.exe -o setproperty -pn avtimeout -pv 200

For more information about setting properties using the command line, see the SharePoint Portal Server 2003 Resource Kit.

Related Topic

About virus protection

See Also

Windows SharePoint Services Partners Site


About online presence integration

About online presence integration

Online presence allows users of your site to see if other users are online and allows real-time communication. To enable online presence, your users must have Microsoft Office 2003 installed, and must have an account for and be running Microsoft Windows Messenger or MSN Messenger.

Note The e-mail address for the account must be the same as the e-mail address for the user account in Windows SharePoint Services.

The Office 2003 installation includes an ActiveX control that allows Microsoft Windows SharePoint Services to return online status for site users. This control checks the e-mail address for the user and directs a query to the presence server for that client to see if the user is online. The ActiveX control does not store online information or e-mail addresses; it simply directs queries from the site to the e-mail address and returns the appropriate status.

You can enable or disable online presence information at the virtual server level. When you enable online presence for a virtual server, it is enabled for all sites and subsites of that virtual server.


Customize Help

Customize Help

Web sites based on Microsoft Windows SharePoint Services are fully customizable — you can add any type of Web page to the site, and all kinds of interactive content to the pages. To complement this flexibility in the site, the Help system for Windows SharePoint Services was designed to be customizable. So, when you customize the pages available on a Web site, you can also customize the Help available for those pages by adding topics that contain information specific to your organization.

For example, you might want to add topics to Help when:

  • You change the behavior of a default Web site page and want to explain how users can interact with the modified page.
  • You add a new page to the site with a form that users must fill out and you want to provide assistance for particular fields in the form.
  • You want to explain your organization's Web site policies, processes, or structure to new users of the site.

You must have administrator rights to the server computer to add topics to the Windows SharePoint Services Help system.

Adding topics to Help

You can use any level 4 HTML-compatible Web page editor, such as Microsoft Office FrontPage 2003, to create topics. When you add a topic, be sure to edit the table of contents topic to include the new file, and also create a hyperlink in the index topic to link to important terms in the new topic.

Windows SharePoint Services stores Help content as HTML and image files in the file system of the server computer. Windows SharePoint Services stores these files per server, so when you add a Help topic, it is available for all users of that server. The following table lists and describes the contents of the folders used to store Help content on a server.

Folder | Contains
\_vti_bin\help\lcid\sts | All Help topic files for Windows SharePoint Services. LCID stands for the locale ID. For example, U.S. English Help topics are stored in \_vti_bin\help\1033\.
\_vti_bin\help\lcid\sts\html\ | Localized HTML, cascading style sheets, and JavaScript files used in the Help topics.
\_vti_bin\help\lcid\sts\images\ | Localized images used in the Help topics.
About the Windows SharePoint Services Help folder and security

Because the Windows SharePoint Services Help topics take advantage of Microsoft JScript code to control some Help features, the \_vti_bin\help\lcid\sts\ folder that contains the Windows SharePoint Services Help files grants Read and Read and Execute permissions to the Everyone group. It is recommended that you control access to this folder and any other installation folders for Windows SharePoint Services. Because of the Read and Execute permission, a user with Write permissions to this folder could potentially add malicious scripting to files in the folder, which would then be allowed to run.

Customizing special Help files

The Help system for Windows SharePoint Services consists of Help topic files plus special files such as the table of contents, index, glossary, and other files. When you add custom content to the Help system, consider updating these special files as well to contain references to your new content.

Finding specific Help files

You can find topics in the Help system by browsing through the table of contents. After you identify the topic you want, you can turn on the Address bar for the Help window to identify the path to the topic. To do this in Microsoft Internet Explorer, on the View menu, click Toolbars, and then click Address Bar. Alternatively, you can use the search feature included with Microsoft Windows operating system to search through the _vti_bin\lcid\sts\html folder to find a particular sentence or phrase in Help.

Performing advanced customization of Help

You can also perform more advanced customization of the Help system. For example, each default page has one or more unique Help topics associated with it. These associations are maintained in a table in the Help ASPx home page. By editing this table, you can make your custom Help topics appear in the list of context-sensitive topics for a particular page in your Web site. For more information about advanced customization of Help, see the Microsoft Windows SharePoint Services Software Development Kit.

Preserving customized Help when installing service releases

Windows SharePoint Services service releases often contain updated Help files. If you customize a default Help topic, and then apply a service release, Windows SharePoint Services may overwrite the customized version of the Help file.

Note Because service releases update default Help topics, it is not recommended that you customize the default Help topics, aside from the table of contents and index files.

New topics that you add to the Help system are not overwritten by service releases, unless you use the same file names as existing or new topics.

If you are customizing the Help system extensively, it is recommended that you back up your customized topics before applying a service release, so that you can restore your customizations after the service release is installed.


About Web Page Security Validation

About Web Page Security Validation

Web Page Security Validation enhances security by imposing a time limit on pages when the user is submitting information to the server. This feature ensures that the connection between the browser and the server is more secure, and that data is not altered on a user's behalf without his or her knowledge. When users take too long before submitting changes to the server, they receive a message informing them that they must go back to the previous page and retry the operation.

In most installations, a setting of 30 minutes is usually appropriate. If site users experience frequent time-outs because of long data transfer times, consider increasing the interval. However, you should not turn off Web Page Security Validation, as it helps to maintain the security of your server.


About configuring e-mail settings

About configuring e-mail settings

Microsoft Windows SharePoint Services sends alerts and other administrator messages by using an SMTP server. This feature is also required for end-users to request access to a site or list. You can specify which SMTP server to use, and set the e-mail address to use for sending alerts and receiving replies for all sites, by using the SharePoint Central Administration e-mail settings. You can also specify different settings for a specific virtual server. At either level, you can specify the following settings: outbound SMTP server, from address, reply-to address, and character set to use.

About character sets and e-mail

When you configure e-mail settings, one of the settings that you specify is the character set to use in e-mail. The default character set is 65001 (Unicode UTF-8), a standard character set that works well for most languages. You can choose a specific language code to apply instead, such as 1256 (Arabic [Windows]), but be aware that changing to a specific language code may cause the e-mail messages to be unreadable to clients of other language codes, for example, 1252 (Western European [Windows]).

Configuring an SMTP server in Internet Information Services

If you want to use an SMTP server in Internet Information Services (IIS) to send outbound e-mail messages from Windows SharePoint Services, you must configure the SMTP server to allow anonymous access and to allow e-mail messages to be relayed. Note that the SMTP server that you use must have Internet access to be able to send messages to external e-mail addresses.

Note The SMTP Service for IIS is not installed by default. If you have not installed the SMTP Service, or you do not see the default SMTP virtual server in IIS, you must install the SMTP Service. For more information about installing, configuring, or managing the SMTP Service, see the Help system for Internet Information Services (IIS) Manager.

Related Topic

Configure e-mail settings


Back up or restore a site

Back up or restore a site

Back up a site

Use the Stsadm.exe command-line tool to backup or restore a site. The Stsadm.exe tool takes the following parameters.

Parameter | Required? | Description
-filename | Yes | Name of the backup file. For example, backup.dat
-url | Yes | URL of the Web site. For example, http://server_name/site
-overwrite | No | Overwrite any existing backup file or Web site. If you do not specify this parameter and a backup file or Web site exists, the backup stops.

The -filename parameter can take any of the following types of information:

  • Filename, such as backup.dat
  • Path on the local hard drive, such as local_drive:\path_name\file_name.dat
  • Path on a network share, such as \\share\folder\file_name.dat

Note Before backing up sites, it is recommended that you generate a list of sites and identify which sites to back up. To generate a list of sites on your server, you can use the enumsites operation. Generating a list of sites by using the enumsites command can help when automating backups. For example, you can include enumsites in the batch file, parse the list of sites, and then use the list of sites to create the backups. The enumsites operation uses the following syntax: stsadm.exe -o enumsites -url url

To perform a simple backup of a site, use the following syntax:

stsadm.exe -o backup -url http://server_name/site -filename file_name.dat

To back up a site and overwrite an existing backup file, use the following syntax:

stsadm.exe -o backup -url http://server_name/site -filename local_drive:\path_name\file_name.dat -overwrite

Restore a site

To restore a site, you use the restore operation with the Stsadm.exe command-line tool. The restore operation takes the following parameters:

Parameter | Required? | Description
-filename | yes | Name of the backup file. For example, backup.dat
-url | yes | URL of the Web site. For example, http://server_name/site
-overwrite | no | Overwrite any existing backup file or Web site. If you do not specify this parameter and a backup file or Web site exists, the restore operation stops.

You have three options for restoring sites from a backup.

  • You can restore a site to an existing site.

    Important Use this option with caution. When you overwrite an existing site, the existing site is completely overwritten. You cannot merge sites. Any existing site content, and existing site permissions, are destroyed when you overwrite a site.

  • You can restore a site to a new site on the same server.

    This is the recommended option. When you restore a site to a new site on the same server, you can copy the data from the restored site, and paste it back into the original site. Use this method if you are restoring a site to recover data.

    Note In order for the restore operation to work correctly, the included and excluded paths for your virtual server must be configured properly. If you are restoring a site to a new site, be sure to create an included path for the site, if necessary, before restoring the site.

  • You can restore a site to a separate server, with a separate installation of Windows SharePoint Services that uses a copy of the configuration database from the original server.

    This is a more complicated scenario, but it allows you to set up two versions of the same site, as in the previous option, but with the ability to use the unused Web site deletion feature to remove the site automatically after a specific time period.

    Note To recover a specific list or list item from a site backup, use this method to restore the site, then copy the list or item from the restored site back to the original site.

To restore a site from a backup file, either to a new site or a separate server, use the following syntax:

stsadm.exe -o restore -url http://server_name/site -filename file_name.dat

To restore a site from a backup file on a server share, and to overwrite any existing site at the new location, use the following syntax:

stsadm.exe -o restore -url http://server_name/site -filename \\share\folder\file_name.dat -overwrite

Restoring Sites in Active Directory Account Creation Mode

When restoring a site that was running in Active Directory account creation mode, the destination site must also be running in Active Directory account creation mode. Further, you cannot restore a site that was not running in Active Directory account creation mode to a server that is running in Active Directory account creation mode.

Important

  • Do not run the both the original and the restored sites simultaneously. Doing so creates security risks as it allows users from the backup site to have full access to the restored site, and all user management changes to one site will apply to the other site.
  • When deleting either the original or restored site, make sure that you specify the -deleteusers false option on the stsadm.exe command line or users from both sites will be deleted from Active Directory service. For example: stsadm –o deletesites –deleteusers false

Related Topic

About managing unused site collections


About the SharePoint administrators group

About the SharePoint administrators group

Two sets of users are allowed to perform administrative functions for Microsoft Windows SharePoint Services: members of the administrators group for the local server computer and members of the SharePoint administrators group. The SharePoint administrators group is a Microsoft Windows NT domain group that is assigned by using Windows SharePoint Services. Members of this domain group can perform tasks from SharePoint Central Administration without having to be assigned administrator rights to the local server computer. This is particularly useful in a server farm, because you can grant rights across the server farm, rather than individually for each computer in the server farm. This is also useful for applications that call into the administrative object model for Windows SharePoint Services. If you can configure the application process to run as a member of the SharePoint administrators group, it can create sites, modify quota values for sites, and perform other administration tasks.

Members of the SharePoint administrators group do not have access to the Internet Information Services (IIS) metabase or to the local server's file system, so they cannot perform the following actions for Windows SharePoint Services:

  • Extend virtual servers.

    Note Members of the SharePoint administrators group can create top-level Web sites or change settings for a virtual server.

  • Remove Windows SharePoint Services from a virtual server.
  • Manage paths.
  • Change the SharePoint administrators group.
  • Change the configuration database settings.
  • Use the Stsadm.exe command-line tool.

Members of the SharePoint administrators group can perform any other administrative action using the SharePoint Central Administration pages or the object model for Windows SharePoint Services. For example, members of the group can view and manage all sites created on their servers. This means that a member of the SharePoint administrators group can read documents or list items, change survey settings, delete a site, or perform any action on a site that the site administrator can perform.


Specify anonymous user access settings

Specify anonymous user access settings

Use the anonymous user account on the Web server to provide anonymous access to a SharePoint site. Internet Information Services (IIS) creates and maintains the account to provide anonymous Web access on a Web server computer, not Microsoft Windows SharePoint Services. By default, IIS creates the anonymous user account, IUSR_ComputerName. When you enable anonymous access in Windows SharePoint Services, you are allowing that user account to access the Web site.

Allow anonymous access for a virtual server in Internet Information Services

To allow anonymous access for a virtual server in Internet Information Services you must be a member of the local server's Administrators group or you must have been granted privileges to administer IIS.

  1. Click Start, point to All Programs, point to Administrative Tools, and then click Internet Information Services (IIS) Manager.
  2. Right-click the virtual server you want to enable anonymous access for, and then click Properties.
  3. Click the Directory Security tab.
  4. In the Authentication and access control section, click Edit.

  5. The Authentication Methods dialog box appears.

  6. Select the Anonymous access check box.
  7. Click OK to close the Authentication Methods dialog box.
  8. Click OK to close the Properties dialog box.

Note You may need to restart IIS for this change to take effect. After anonymous access is turned on for the virtual server in IIS, you can enable anonymous access for a specific top-level Web site.

Enable anonymous access for a top-level Web site

  1. On the site, click Site Settings.
  2. In the Administration section, click Go to Site Administration.
  3. On the Site Administration page, in the Users and Permissions section, click Manage anonymous access.
  4. In the Anonymous Access section, select a level of access to allow:
    • Entire Web site
    • Lists and libraries
    • Nothing
  5. Click OK.


Configure Self-Service Site Creation

Configure Self-Service Site Creation

You can use either HTML Administration pages or the command-line tool to turn on and configure Self-Service Site Creation. Either method allows you to turn Self-Service Site Creation on or off, and allows you to specify the type of information to require when creating a site.

Configuring Self-Service Site Creation from SharePoint Central Administration

To turn on Self-Service Site Creation for a virtual server, use the Configure Self-Service Site Creation page for that virtual server.

Turn Self-Service Site Creation on or off

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the SharePoint Central Administration page, in the Virtual Server Configuration section, click Configure virtual server settings.
  3. On the Virtual Server List page, click the virtual server to enable.
  4. On the Virtual Server Settings page, under Automated Web Site Collection Management, click Configure Self-Service Site Creation.
  5. In the Enable Self-Service Site Creation section, next to Self-Service Site Creation is, click On.
  6. To require two contact names for each site, select the Require secondary contact check box.
  7. Click OK.

To disable the ability for users to create sites, go to the Configure Self-Service Site Creation page, and then next to Self-Service Site Creation is, select Off, and then click OK.

Configuring Self-Service Site Creation from the command line

Use the enablessc operation to turn on and configure Self-Service Site Creation from the command line. The enablessc operation requires the URL parameter, and optionally takes the requiresecondarycontact parameter. For example, to turn on Self-Service Site Creation for a server called My_Server and require two contact names for each site, you would use the following syntax:

stsadm -o enablessc -url http://My_Server -requiresecondarycontact

To disable Self-Service Site Creation, use the disablessc operation. The disablessc operation takes only the URL parameter. To turn off Self-Service Site Creation for My_Server, use the following syntax:

stsadm -o disablessc -url http://My_Server


Use Windows Integrated Authentication with Windows SharePoint Services

Use Windows Integrated Authentication with Windows SharePoint Services

Microsoft Windows Integrated Authentication supports two protocols to provide challenge/response authentication:

  • NTLM A secure protocol based on encrypting user names and passwords before sending them over the network. NTLM is required in networks where the server will get requests from legacy clients that do not support Kerberos authentication.
  • Kerberos A protocol based upon ticketing. In this scheme a user must first provide a valid user name and password to an authentication server. This server grants the user a ticket, which can then be used on the network for requesting other network resources. To use this scheme, both the client and server must have a trusted connection to the domain Key Distribution Center and be compatible with Microsoft Active Directory directory services.

Kerberos also provides a method for creating trust relationships between network domains. These trust relationships can be transitive, mono-directional, or bidirectional. For more information on Kerberos authentication, see Microsoft Internet Information Services (IIS) documentation in Windows Server 2003.

Both NTLM and Kerberos enhance security by encrypting user names and passwords before sending them over the network. By default, virtual servers extended with a version of Windows SharePoint Services earlier than Windows SharePoint Services Service Pack 2 enabled NTLM authentication by default because it is compatible with more clients. Windows SharePoint Services Service Pack 2 and later do not automatically enable NTLM authentication. However, if you choose to use Kerberos authentication, and the application pool account used by Windows SharePoint Services on the virtual server is not the default Network Service, you must complete these steps:

  • Configure a service principle name for the application pool identity used by the virtual server running Windows SharePoint Services
  • Configure trust for delegation for Web Parts that access remote resources

    Additionally, if the virtual server was extended with a version of Windows SharePoint Services earlier than Windows SharePoint Services Service Pack 2, you must edit the IIS metabase to enable both NTLM and Kerberos authentication.

Configure a service principle name for the application pool identity

Note You must be a domain administrator to complete the steps in this section.

If the application pool identity for the Windows SharePoint Services site is configured to use a built-in security principal (such as NT Authority\Network Service or NT Authority\Local System), you do not have to perform this step. The built-in accounts are automatically configured to work with Kerberos authentication. However, if you use a remote Microsoft SQL Server database it is not recommended that you use a built-in security principle or an account such as domain/computername$.

If you use a remote server running Microsoft SQL Server 2000 and you want to use NT Authority\Network Service as the domain account, you must add the Domain\ComputerName$ entry and configure it with Database Creators and Security Administrators permissions. Doing so allows Windows SharePoint Services to connect to the remote SQL Server computer to create the configuration and content databases.

If the application pool identity is a domain user account, you must configure an service principle name (SPN) for that account. To configure an SPN for the domain user account, follow these steps:

  1. Download and install the Setspn.exe command-line tool from the Setspn.exe download page.
  2. Use the Setspn.exe tool to add an SPN for the domain account. To do this, type the following line at the command prompt:

    setspn -A HTTP/ServerName Domain\UserName

    where ServerName is the fully qualified domain name (FQDN) of the server, Domain is the name of the domain, and UserName is the name of the domain user account.

Configure trust for delegation for Web Parts that access remote resources

Note You must be a domain administrator to complete the steps in this section.

You do not have to follow these extra steps if you do not have Web Parts that are accessing remote resources.

If you are developing Web Parts for Windows SharePoint Services that access remote resources, you must follow the steps that are listed in the "Configure a Service Principal Name for the Domain User Account" section and configure both the computer and the application pool account to be trusted for delegation as described in the following sections.

Configure the IIS server to be trusted for delegation

Note You must be a domain administrator to complete the steps in this section.

  1. Click Start, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the left pane, click Computers.
  3. In the right pane, right-click the name of the IIS server, and then click Properties.
  4. Click the General tab, click to turn on Trust computer for delegation, and then click OK.

Configure the application pool domain account for trusted delegation

  1. Click Start, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the left pane, click Users.
  3. In the right pane, right-click the name of the user account used by the application pool, and then click Properties.
  4. Click the Account tab, under Account Options, click to turn on Account is trusted for delegation, and then click OK.

Edit the IIS metabase

You can edit the IIS metabase by using Microsoft Notepad or a script. The script method is the preferred method if you are updating multiple servers. The following sections tell you how to use both methods.

Edit the IIS metabase by using Notepad

Note You only need to complete this step on virtual servers that were extended with a version of Windows SharePoint Services prior to Service Pack 2.

  1. On the server running Windows SharePoint Services, Click Start, point to All Programs, point to Accessories, and then click Notepad.
  2. Click File, click Open, and then open the file %Systemroot%\System32\Inetsrv\Metabase.xml, where %Systemroot% is the path and folder name where Microsoft Windows is installed.
  3. In the <IIsWebServer> section, locate the line:

    NTAuthenticationProviders="NTLM"

  4. Change the line to:

    NTAuthenticationProviders="Negotiate,NTLM"

  5. Click File and then click Save.
  6. Click File and then click Exit.
  7. Restart IIS:
    1. Click Start, and then click Run.
    2. In the Run window, type cmd, and then click OK.
    3. At the command prompt, type iisreset, and then press Enter
    4. Type exit, and then press Enter to close Command Prompt window.

Edit the IIS metabase by using scripts

Note You only need to complete this step on virtual servers that were extended with a version of Windows SharePoint Services prior to Service Pack 2.

  1. Click Start, and then click Run.
  2. In the Run window, type cmd, and then click OK.
  3. Change to the Inetpub\Adminscripts folder, type:

    cd Drive:\inetpub\adminscripts

    where Drive is the drive where Windows is installed
  4. Type the command:

    cscript adsutil.vbs get w3svc/xx/NTAuthenticationProviders

    where xx is the virtual server ID number. The virtual server ID of the Default Web site in IIS is 1. If the virtual server has been extended with Windows SharePoint Services, the following string is returned:

    ntauthenticationproviders: (STRING) "NTLM"

  5. To enable Kerberos on the virtual server, type:

    cscript adsutil.vbs set w3svc/xx/NTAuthenticationProviders "Negotiate,NTLM"

    where xx is the virtual server ID number.
  6. Restart IIS:
    1. Click Start, and then click Run.
    2. In the Run window, type cmd, and then click OK.
    3. At the command prompt, type iisreset, and then press Enter
    4. Type exit, and then press Enter to close Command Prompt window.

Related Topics

Windows SharePoint Services Administrator's Guide


Install a language pack

Install a language pack

Language template packs for Microsoft Windows SharePoint Services are available as downloadable files from Windows Update. You can install language template packs to support Web sites in 26 languages. For a complete list of supported languages, see the Windows SharePoint Services Resource Kit.

To install a language template pack, download it, and then run Setup. At the end of setup, Internet Information Services (IIS) automatically restarts. If you are in a server farm environment, you must install the language template packs to each front-end Web server in the server farm.

During installation, Windows SharePoint Services adds the site templates to the default installation directory, under the \TEMPLATE\LCID directory, where LCID is the locale ID for the language. After installation, server administrators, members of the SharePoint Administrators group, and users with the Create Sites and Workspaces or Use Self-Service Site Creation rights can create Web sites based on the language templates by selecting the language on the Create Top-Level Web Site or New SharePoint Site pages.

If you no longer need a language template pack, you can remove it by using the Add or Remove Programs in Control Panel. This removes the language template files from the \TEMPLATE\LCID directories.

Caution When you remove a language template pack, any sites based on that language no longer work. You can re-install the language template pack to restore the sites.

Related Topics

About regional and language settings
Configure regional settings


Manage paths

Manage paths

Managing paths by using SharePoint Central Administration

Add a new path

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, select the virtual server that you want to configure.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Define managed paths.
  5. In the Add a New Path section, in the Path box, type the path to add.
  6. Select Excluded path or Included path. If you select Included path, select a type (wildcard or explicit) in the Type box.
  7. Click OK.

Remove a path

If you change how you use the URL namespace, and no longer need a path to be included or excluded, you can remove the path.

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, select the virtual server that you want to configure.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Define managed paths.
  5. Under Included Paths or Excluded Paths, select the check box next to the path that you want to remove, and then click Remove selected paths.

Managing paths from the command line

You can use the addpath and deletepath operations to manage paths on the command line. Both operations take the -url and -type parameters. The -type parameter has three values: exclusion, explicitinclusion, and wildcardinclusion. For example, to add a new wildcard inclusion to manage all sites at the top level of http://server1, you would use syntax like the following:

stsadm -o addpath -url http://server1/ -type wildcardinclusion

You can also remove an included or excluded path by using the command line. For example, to remove an exclusion for the site at http://server1/hrweb/webapp, you would use syntax like the following:

stsadm -o deletepath -url http://server1/hrweb/webapp

Related Topic

About managed paths


Change authentication methods

Change authentication methods

Change authentication methods

To change authentication methods in IIS you must be a member of the local server's Administrators group or you must have been granted privileges to administer IIS.

  1. Click Start, point to All Programs, point to Administrative Tools, and then click Internet Information Services (IIS) Manager.
  2. Click the PLUS SIGN (+) next to the server name that contains the virtual server you want to change.
  3. Click the PLUS SIGN (+) next to Web sites.
  4. Right-click the virtual server, and then click Properties.
  5. On the Directory Security tab, in the Authentication and access control section, click Edit.
  6. Select or clear the check boxes for the authentication methods you want to allow or disallow.
  7. Click OK to close the Authentication Methods dialog box.
  8. Click OK again to close the Properties dialog box.

Enabling Secure Sockets Layer (SSL)

To enable SSL for a virtual server hosting Web sites based on Microsoft Windows SharePoint Services, you must turn on SSL in Internet Information Services (IIS). If you want to use SSL for the virtual server used by SharePoint Central Administration, you must also use the setadminport command-line operation to enable SSL in Windows SharePoint Services.

Enable SSL in IIS

  1. Click Start, point to All Programs, point to Administrative Tools, and then click Internet Information Services (IIS) Manager.
  2. Click the PLUS SIGN (+) next to the server name that contains the virtual server you want to change.
  3. Click the PLUS SIGN (+) next to Web sites.
  4. Right-click the virtual server, and then click Properties.
  5. On the Directory Security tab, in the Secure communications section, click Edit.
  6. In the Secure Communications dialog box, select the Require secure channel (SSL) box, and then click OK.
  7. Click OK again to close the Properties dialog box.

Enabling SSL for the SharePoint Central Administration pages

After you have enabled SSL for the SharePoint Central Administration virtual server in IIS, you must use the command line to configure Windows SharePoint Services to use SSL. Perform the following steps to configure Windows SharePoint Services to use SSL for the Central Administration pages.

Enable SSL for the SharePoint Central Administration pages

  1. If you have a server farm, you must set all of the servers in your server farm to use the same administration port by using the following syntax:
    stsadm.exe –o –setadminport –p 443

    Important Replace the port number in the example syntax with the port number you want to use for remote administration. Run this command on each front-end Web server in the server farm. You only need to perform this step running Windows SharePoint Services on a server farm; you do not need to change the administration port if you are running Windows SharePoint Services on a single server.

  2. Configure the administration pages to use SSL by using the following syntax:
    stsadm.exe –o –setadminport –ssl

    If you have a server farm, you must run this command on each front-end Web server in the server farm.

Note To improve security for the administration port, it is recommended that you also use a firewall or the IIS IP and domain restrictions feature to restrict access to the administration port. By using the firewall or IP and domain restrictions, you can specify that Windows SharePoint Services ignore requests from unauthorized IP addresses or network domain names.

Related Topic

About authentication methods

See Also

Internet Information Services 6.0 Help


About blocked file types

About blocked file types

Microsoft Windows SharePoint Services provides the ability to restrict certain kinds of files from being uploaded or retrieved, based on the file extension. For example, a file with the .exe file extension could potentially contain code that runs on client computers when it is downloaded. Because it has the .exe file extension, the file can be run on demand when it is downloaded. If files with the .exe file extension are blocked, users can neither upload nor download a file with the .exe extension, and potentially dangerous content in the .exe file cannot be downloaded. This feature does not prevent all exploits based on file types, nor is it designed to do so.

By default, several standard file extensions are blocked, including any file extensions that are treated as executable files by Windows Explorer. Files with curly braces { or } are also blocked automatically. The file extensions blocked by default are shown in the following table.

File extension | File type
.ade | Microsoft Access project extension
.adp | Microsoft Access project
.app | Application file
.bas | Microsoft Visual Basic class module
.bat | Batch file
.chm | Compiled HTML Help file
.class | Java class file
.cmd | Microsoft Windows NT Command Script
.com | Microsoft MS-DOS program
.cpl | Control Panel extension
.crt | Security certificate
.dll | Windows dynamic link library
.exe | Program
.fxp | Microsoft Visual FoxPro compiled program
.hlp | Help file
.hta | HTML program
.ins | Internet Naming Service
.isp | Internet Communication settings
.jse | JScript Encoded Script file
.lnk | Shortcut
.mda | Microsoft Access add-in program
.mdb | Microsoft Access program
.mde | Microsoft Access MDE database
.mdt | Microsoft Access data file
.mdw | Microsoft Access workgroup
.mdz | Microsoft Access wizard program
.msc | Microsoft Common Console Document
.msi | Microsoft Windows Installer package
.msp | Windows Installer patch
.mst | Visual Test source files
.ops | Microsoft Office profile settings file
.pcd | Photo CD image or Microsoft Visual Test compiled script
.pif | Shortcut to MS-DOS program
.prf | System file
.prg | Program source file
.reg | Registration entries
.scf | Windows Explorer command file
.scr | Screen saver
.sct | Windows Script Component
.shb | Windows shortcut
.shs | Shell Scrap Object
.url | Uniform Resource Locator (Internet shortcut)
.vb | Microsoft Visual Basic Scripting Edition (VBScript) file
.vbe | VBScript Encoded Script file
.vbs | VBScript file
.wsc | Windows Script Component
.wsf | Windows Script file
.wsh | Windows Script Host Settings file

The list of file extensions is controlled for the entire server or server farm and is recorded in the configuration database. Because the list of blocked file types is maintained by file extension, all files that use a file extension on the list cannot be uploaded or downloaded, irrespective of the file's intended use. If .asp is on the list of extensions to block, the feature blocks all .asp files on the server, even if they're used to support Web site features on another server in the server farm. If a file ends in a period (.), the preceding characters are checked against the list of blocked file extensions as well. For example, if .exe is on the list of blocked file extensions, a file called "filename.exe." is also blocked. The following list shows different ways of representing the same file, all of which are blocked if the .hta extension is on the list of blocked file extensions:

  • filename.hta
  • filename.hta.
  • filename.hta.{3050F4D8-98B5-11CF-BB82-00AA00BDCE0B}
  • filename.hta::$DATA

You can determine which files are blocked for Web sites on your servers by modifying the list of blocked file extensions. You can block additional file extensions (up to 1,024 file types) by adding them to the list in the SharePoint Central Administration pages, or you can remove a block by deleting the file extension from the list. When you change the list of file extensions, the change affects both new files being added to a Web site and files already posted to a Web site. For example, if a document library contains a .doc file, and you add the .doc file extension to the list of blocked file extensions, users will no longer be able to open the .doc file in the document library. Users will be able to rename or delete a file with a blocked file extension but will not be able to perform any other actions.

Related Topic

Configure blocked file types


About configuring e-mail-enabled document libraries

About configuring e-mail-enabled document libraries

Microsoft Windows SharePoint Services includes the ability to link a document library with a public folder based on Microsoft Exchange 2000 or later. Any documents attached to messages in the public folder can be automatically inserted into the document library; the document library then displays the document, plus the from address, the subject line, and the date and time that the attachment was inserted into the document library. Note that the body text of the e-mail message is not preserved. It remains in the public folder but is not transferred to the document library.

A user can simply send e-mail to the public folder, with an attached document, and the document will be automatically added to the correct document library on a SharePoint site. For example, if you are using an XML template to store invoice information, a user could fill out the XML invoice and e-mail it to the public folder. The XML file is then posted to the document library and would be available for rolling up into larger reports on invoices, or for easy retrieval.

About e-mail and document library security

Because this feature relies on e-mail to transport documents, it uses the same security rules as all e-mail messages. Before enabling this feature, you should be aware of the following issues and vulnerabilities:

  • Because e-mail messages can cross firewalls, external users can use this method to send documents to an internal SharePoint site. This is useful for many scenarios, such as sending expense reports in from the field, but it can also open your site to unwanted junk e-mail messages, or spam. For information about controlling spam in public folders, see the Exchange 2000 Server documentation.
  • Because e-mail messages can carry documents with viruses, you might end up with a virus-laden document on your site. However, documents inserted into a document library from e-mail attachments can be scanned for viruses like any other documents in document libraries. For more information about virus scanning in Windows SharePoint Services, see About virus protection.
  • Because e-mail addresses can be spoofed, the from address is preserved in the document properties and displayed in the document library. Trust the from address as much or as little as you trust other e-mail addresses.
  • To allow this feature to work, the document libraries allow anonymous insertions from e-mail attachments. You cannot control who has rights to add attached documents to this document library. However, you can control who can add documents directly to the document library, and you can control who has rights to post to the public folder by using the Exchange Server user management tools.
  • As with any public folder or document library, there is the possibility that a malicious user could add so many documents that the site or server's storage capacity is filled, thus blocking other users from accessing the site or server. Be sure to control the list of users with access to the public folder, and consider using quotas to control the size of the site. For more information about quotas, see About quotas and locks.

This feature adheres to the blocked file extension rules for a document library. Any documents with file extensions that are blocked at the server level are also blocked from being added to an e-mail-enabled document library. For example, if you have a file with an .exe file extension, and you send it to the public folder, it will not be transferred to the document library. For more information about blocked file types, see Configure blocked file types.

How it works

The Microsoft SharePoint Timer service controls when the public folder is checked for new attached documents. When the Timer service event runs, the service checks the public folder for new documents and inserts them into the document library. The SharePoint Timer service simply inserts documents; it does not update, overwrite, or delete documents. If the same document is added to the public folder more than once, that document will appear more than once in the document library. However, each document in the document library will have a unique file name (which is automatically generated by adding numbers, such as "1" to the end of the file name, so that filename.doc when added again becomes filename1.doc).

You can use this feature with any document library, or any list based on a document library template such as a custom document library, except picture library, which is not supported. The data sent to the document library along with the document is fixed. Any additional fields (even required fields) that you specify in the document library properties are ignored when documents are inserted.

Managing the public folder

You must configure the Exchange Server public folder to work with Windows SharePoint Services before you can enable this feature. After you configure the feature, you must continue to perform the public folder administration tasks from within Exchange.

To use this feature, you must use the Exchange 2000 Server administration tools to do the following:

  • Create the public folder.
  • Grant read access to the appropriate Windows SharePoint Services application pool accounts. If you are using one account for all virtual servers, grant that account access. If you are using separate accounts for each virtual server, you must grant the virtual server accounts access to the appropriate public folders.

    If you prefer not to grant access to the application pool accounts, you can instead give the anonymous user account access to read the public folder. This is a less secure method than granting access to the application pool account.

  • Determine which e-mail distribution list to allow to post to the public folder, and grant the distribution list appropriate access to the public folder. Note that you will need to enable the public folder to receive e-mail. This is not turned on by default, so the Exchange 2000 Server administrator will need to create an e-mail address for the public folder.
  • Continue to manage the public folder and the access to the public folder.

For more information about managing public folders and managing user access in Exchange 2000, see the Exchange 2000 Server documentation.

Enabling e-mail access to document libraries

To enable this feature, you must be a local server administrator or a member of the SharePoint Administrators group. You enable this feature by entering an Exchange server name in the Virtual Server General Settings page. After you have enabled this feature for a virtual server, any administrator of a site on that virtual server can enable the feature for a document library in his or her site.

Related Topics

Configure e-mail-enabled document libraries
About virus protection
About quotas and locks
Configure blocked file types


Configure e-mail-enabled document libraries

Configure e-mail-enabled document libraries

If this feature is enabled at the virtual server level, any administrator, or other user with the Manage Lists right, of any SharePoint site on that virtual server can configure a document library to receive messages from a public folder.

Before completing the steps below, make sure the server running Windows SharePoint Services is configured to use an SMTP mail server.

Configure a virtual server to allow e-mail-enabled document libraries

  1. Click Start, point to Administrative Tools, and then click SharePoint Central Administration.
  2. In the Virtual Server Configuration section, click Configure virtual server settings.
  3. On the Virtual Server List page, select the virtual server you want to use.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Virtual server general settings.
  5. In the E-Mail Enabled Document Libraries section, next to Document libraries on this virtual server can accept e-mail attachments, click Yes.
  6. In the Public folder server and root path box, type the path to the root folder for the Exchange public folders, for example http://myexchange/public.
  7. Specify how frequently the public folders are checked for attachments by selecting one of the following:
    • Every ___ minutes

      Type the number of minutes to wait before checking again.

    • Hourly between ___ and ___ past the hour

      Type the times between which you want to check. For example, between 10 and 20 past the hour would specify that the public folder is checked between 1:10 and 1:20, 2:10 and 2:20, and so on.

      -or-

    • In the Daily between section, specify the times of day to process e-mail insertions.

    The default value is hourly, between 0 and 59 minutes past the hour.

  8. Click OK.

If this feature has been enabled at the virtual server level, any administrator (or other user with the Manage List Permissions right) of any site on that virtual server can configure a document library to link to a public folder.

Configure a document library to allow e-mail insertion

  1. Navigate to the document library you want to use.
  2. In the Actions section, click Modify settings and columns.
  3. In the General Settings section, click Change advanced settings.
  4. On the Document Library Advanced Settings: Library name page, in the E-Mail Settings section, in the Public folder address box, type the path to the Exchange public folder you want to link to.

    This path is relative to the path specified on the Virtual Server General Settings page. For example, if the virtual server specified http://server_name/public as the root path for public folders, and the full path to the folder is http://server_name/public/folder_name, then you would type /folder_name in the Public folder address box.

  5. Click OK.

Related topic

About configuring e-mail-enabled document libraries
Configure e-mail settings


Managing Web Parts on virtual servers

Managing Web Parts on virtual servers

This topic describes Web Parts administration on virtual servers. Web Part administration tasks include:

  • Installing Web Parts.
  • Upgrading Web Parts.
  • Deleting Web Parts.
  • Managing an online Web Part gallery.
  • Allowing part-to-part connections.
  • Setting additional Web Part configuration options.

For information about managing Web Parts for a site collection, see Managing a site collection Web Part gallery.

Installing Web Parts

As a server administrator, you will be called on to install Web Parts on a server or server farm. To meet the needs of your organization, internal teams may develop Web Parts to deploy on some servers or across your entire intranet. Also, external software developers will build general purpose applications based on Web Parts technology and make them available to your user community. Installing a Web Part is a three-step process: evaluation, installation, and verification.

  • Evaluation

    Evaluate a custom Web Part before installing it on your server or server farm. You should be comfortable that installing the Web Part will not compromise your server's security or performance. Web parts should be coded and tested by following recommended best practices, and they must be configured to run with the minimum level of permissions required to access the system and other resources that they need. Microsoft Windows SharePoint Services takes advantage of the Microsoft .NET Framework code access security mechanism to provide server administrators with the flexibility to set permissions on Web Part assemblies tailored to their needs. For a complete discussion, see Microsoft Windows SharePoint Services and Code Access Security.

    The SharePoint Products and Technologies 2003 Software Development Kit contains guidelines for software developers that will help them implement their Web Parts following best security practices. For example, the SDK includes a topic, "Code Access Security For Administrators," that describes how code access security is used in Windows SharePoint Services and how an administrator can create custom security policy files if needed. Also, see the SharePoint Developer Center on MSDN for additional information on creating and testing Web Parts, and see the Microsoft Security Developer Center for information that helps developers create secure software. Make sure that your developer community uses these resources in designing, coding, and testing Web Parts before you agree to deploy them.

  • Installation

    Custom Web Part packages are distributed as cabinet (.cab) files. You use the command-line tool Stsadm.exe to add Web Parts from a Web Part package to one or more virtual servers.

    In addition to installing the Web Part assemblies, .dwp files, and resources needed by Web Parts, Stsadm.exe puts a copy of the Web Part package in the configuration database. In a server farm configuration, you use this centrally located Web Part package when installing the Web Parts from other servers.

    Note The Wppackager tool is an alternative method of packaging and installing custom Web Parts. This unsupported tool is available on the Microsoft Download Center at SharePoint Products and Technologies Tool: wppackager for packaging and deploying Web Parts. A whitepaper on this tool is published at Using Wppackager to Package and Deploy Web Parts for Microsoft SharePoint Products and Technologies.

    An important decision when adding a new Web Part assembly is whether to install it to the global assembly cache (GAC) or to the Bin directory (C:\inetpub\wwwroot\bin for the default virtual server). The Bin directory is the more secure option. When installed in the Bin directory, an assembly is only available to the virtual server. Because the administrator controls the trust level for the virtual server, assemblies installed in the Bin directory will run, by default, at a lower level of trust, such as WSS_Minimal, than they would in the GAC. (By default, assemblies installed in the GAC run at Full trust.)

    In some IIS configurations, you must install assemblies in the GAC. For example, when you configure an IIS virtual server, extended by using Windows SharePoint Services, that has a host header name, you must install Web Part assemblies in the GAC. But generally, you should install custom Web Parts in the Bin directory, and you should demand of your developer community that they develop Web Parts that work properly under the trust level that you want to enforce on your virtual servers.

  • Verification

    After installing Web Parts to each server, you can verify your installation by using the SharePoint Configuration Analyzer tool. Along with verifying that IIS and Windows SharePoint Services configurations are compatible, this tool reports on errors in Web Part and Web Control assemblies installations, mismatches between SafeControls lists (in web.config files) and the Web Parts that they reference, and Web Part assemblies that are missing from your server but referenced from pages in the database.

    After installing a new Web Part assembly, using SharePoint Configuration Analyzer to check the installation, and fixing any errors, you should run SharePoint Configuration Analyzer again with the Save state information option selected. When you select Save state information, SharePoint Configuration Analyzer creates a reference XML file that it uses to reconstruct the mappings between global unique identifiers (GUIDs) and type names, so that it can report the more readable type names of Web Parts in its reports.

    For information about installing and using SharePoint Configuration Analyzer, see the topic "Using SharePoint Configuration Analyzer," in the Administrator's Guide for Windows SharePoint Services.

Installing Web Parts By Using Stsadm.exe

To add a new Web Part package to your virtual server, use the following syntax:

stsadm.exe -o addwppack -filename <path to Web Part Package> [-url <URL>] [-globalinstall]
  • -filename specifies the path to the cabinet file containing the Web Parts and associated resources.
  • -url optionally specifies the URL of the virtual server on which to install the Web Parts. To install the Web Parts on every virtual server on a server, omit the -url parameter.
  • -globalinstall tells Stsadm.exe to install the Web Parts in the global assembly cache (GAC) rather than in the Bin directories of each virtual server.

    Assemblies installed in the GAC are available to all applications on the server. This is less secure than installing in Bin directories because it potentially grants a higher level of permission to your assemblies across a larger scope than might be necessary.

    Notes

    • Web Parts must be strongly named to be installed in the GAC. If one or more Web Parts in the Web Part package are not strongly named, the Web Part package will be installed in the Bin directory and not in the GAC. For more information, see the topic ”Code Access Security for Developers” in the SharePoint Products and Technologies 2003 Software Development Kit .
    • If you specify both the URL of a single virtual server and the -globalinstall parameter, the Web Part will only appear in the Web Part Gallery of the virtual server that you specified. However, the assembly will be installed in the GAC, will run at the Full Trust level by default, and will be available from other applications.

In a server farm configuration, if a Web Part package has already been installed on one front-end server, you can install the Web Part Package on another server from the configuration database by using the following syntax:

stsadm.exe -o addwppack -name <name of Web Part Package> [-url <URL>] [-globalinstall]
  • -name specifies the name of a Web Part Package.
  • -url optionally specifies the URL of the virtual server on which to install the Web Parts. To install the Web Parts on every virtual server on the server, omit the-url parameter.
  • -globalinstall specifies to install the Web Parts in the global assembly cache (GAC) rather than in the Bin directories of each virtual server. Use this flag consistently on all front-end servers of a server farm.

To enumerate the Web Part packages installed on a virtual server, use the following syntax:

stsadm.exe -o enumwppacks [-name <name of Web Part Package>] [-url <URL>]
  • -name specifies the name of a Web Part package. Omitting this parameter specifies to list all Web Part packages for the virtual server or virtual servers.
  • -url optionally specifies the URL of the virtual server for which to enumerate the Web Part packages. If -url is omitted, Stsadm.exe enumerates Web Part packages on every virtual server on the server.

Upgrading Web Parts

You may need to upgrade installed Web Parts on a server or server farm, either to introduce new functionality or to distribute repaired Web Parts in response to bugs or security issues. Upgrading Web Parts is a four-step process: evaluation, notification, installation, and verification.

  • Evaluation

    Evaluate changes to a custom Web Part before upgrading it. As when installing new Web Parts, you should verify that changes to the Web Part do not compromise your server security or performance. Make sure that your developer community uses the resources available at SharePoint Developer Center and in the SharePoint Products and Technologies 2003 Software Development Kit when designing, coding, and testing new or updated Web Parts before you agree to deploy them.

  • Notification

    Before upgrading a Web Part package, you should notify everyone in your user community who is using Web Parts from the package. An upgraded Web Part may function differently, and an upgraded Web Part description (.dwp) file may expose new properties. Failing to notify your user community could result in broken Web sites and the resultant support calls.

    To find all owners of pages containing a Web Part on a virtual server, use the SharePoint Configuration Analyzer tool. SharePoint Configuration Analyzer lists each Web Part installed on a virtual server and, for each Web Part, lists all of the pages that contain an instance of that Web Part in a Web Part Zone. Using this information, you can contact owners of pages containing Web Parts that are about to be upgraded. For more information about SharePoint Configuration Analyzer, including where to find this tool, see the topic "Using SharePoint Configuration Analyzer," in the Administrator's Guide for Windows SharePoint Services.

  • Installation

    Installing an upgraded Web Part package is similar to installing a new package. Use the Stsadm.exe command line tool to upgrade the Web Part package.

  • Verification

    As with new Web Parts packages, after upgrading Web Parts to each server, you can verify your installation by using the SharePoint Configuration Analyzer tool.

    After upgrading a Web Part assembly, using SharePoint Configuration Analyzer to check the upgrade, and fixing any errors, you should run SharePoint Configuration Analyzer again with the Save state information option selected. When you select Save state information, SharePoint Configuration Analyzer creates a reference XML file that it uses to reconstruct the mappings between GUIDs and type names, so that it can report the more readable type names of Web Parts in its reports.

Upgrading Web Parts By Using Stsadm.exe

You use the command-line tool Stsadm.exe to upgrade Web Parts from a Web Part package (in cabinet file format) to a virtual server. In addition to upgrading the Web Part assemblies and optional Web Part Definition (.dwp) files to the server, Stsadm.exe puts a copy of the Web Part package in the configuration database. In a server farm configuration, use this centrally located cabinet file when upgrading the Web Parts from other servers.

The syntax for upgrading a Web Part package on a virtual server is similar to the syntax for installing a new package:

stsadm.exe -o addwppack -filename <path to file> -force [-url <URL>] [-globalinstall]
  • -filename specifies the path to the cabinet file containing the Web Parts.
  • -force instructs Stsadm.exe to overwrite an existing Web Part package with a new version.
  • -url optionally specifies the URL of the virtual server on which to upgrade the Web Parts. If -url is omitted, Stsadm.exe upgrades the Web Parts in the Bin folder of every virtual server on the server. On servers where the Web Parts were not installed, this is equivalent to a new installation.
  • -globalinstall specifies to install the Web Parts in the global assembly cache (GAC) rather than in the Bin directories of each virtual server.

In a server farm, if a Web Part package has already been upgraded on one front-end server, you can upgrade the Web Part package from another server by using the following syntax, where -name specifies the name of the Web Part package:

stsadm.exe -o addwppack -name <name of Web Part Package> -force [-url <URL>] [-globalinstall]

When you upgrade a Web Part assembly that is currently in the global assembly cache, if you omit the -globalinstall parameter, the Web Part assembly will be moved to the Bin folder. When you upgrade a Web Part assembly that is currently in the Bin folder, adding the -globalinstall parameter will move the upgraded assembly to the global assembly cache.

Deleting Web Parts

When you delete a Web Part on a server, you delete the assembly (that part of the Web Part implementation that is executable code) and related resources. Users must remove the Web Part Definition file from any pages that use the Web Part. Deleting Web Parts is a three-step process: notification, deletion, and verification.

  • Notification

    Before deleting a Web Part assembly, you should notify everyone in your user community who is using the assembly. Deleting Web Parts that are in use will break the functionality of Web pages that are dependent on the Web Part. Failing to notify your user community could result in support calls as pages stop working as expected.

    To find all owners of pages containing a Web Part on a virtual server, use the SharePoint Configuration Analyzer tool, which lists each Web Part installed on a virtual server and, for each Web Part, lists all of the pages that contain an instance of the Web Part in a Web Part Zone. Using this information, contact owners of pages containing Web Parts that are to be deleted, so that they can remove instances of that Web Part from their pages. For more information about SharePoint Configuration Analyzer, see the topic "Using SharePoint Configuration Analyzer," in the Administrator's Guide for Windows SharePoint Services.

    Note Because SharePoint Configuration Analyzer does not report on the Web Parts that have been added to each site collection gallery, you should also contact all site administrators of site collection galleries to warn them to remove Web Parts that you are deleting from these galleries.

  • Deletion

    Use the Stsadm.exe tool to delete a Web Part assembly.

  • Verification

    After deleting Web Part assemblies from each server, you can verify the operation using the SharePoint Configuration Analyzer tool. By using this tool, you can find unwanted Web Part assemblies that remain on virtual servers along with pages that refer to deleted assemblies.

Deleting Web Parts By Using Stsadm.exe

To delete the Web Parts in a Web Part package, use the following syntax:

stsadm -o deletewppack -name <name of Web Part package> [-url <url>]
  • -name specifies the name of the Web Part package.
  • -url optionally specifies the URL of the virtual server on which to delete the Web Parts. If -url is omitted, Stsadm.exe deletes the Web Parts from the Bin folder of every virtual server on the server or from the global assembly cache.

Note When you delete the last instance of a Web Parts package on a server or server farm, Stsadm.exe also deletes the Web Part package from the configuration database.

Managing the Online Gallery

If your organization runs Windows SharePoint Services over multiple front-end servers, you may want to create your own online Web Part gallery as a central location for deploying Web Parts to all your sites.

For details on how to implement a custom online Web Part gallery, including the XML schema for communications between the server accessing the gallery and the server hosting the gallery, see the article Building an Online Web Part Gallery on MSDN.

Specifying an Online Web Part Gallery

To specify an online Web Part gallery for a virtual server:

  1. On the Web server, navigate to the folder containing the virtual server, and then, using a text editor such as Microsoft Notepad, open the web.config file under the following directory:

    \Inetpub\wwwroot

  2. In the web.config file, modify the following line, which is contained in the <SharePoint> element

    <OnlineLibrary Url="http://Server/Path"/>
    Where Server is the server hosting the online gallery and Path is the path to the .aspx page that implements the online gallery.

  3. Save and close the web.config file.
  4. Repeat steps 1 through 3 for each virtual server for which you want to specify an online Web Part gallery.

Adding Web Parts to an Online Web Part Gallery

As with all Web Part galleries, a new Web Part added to an online gallery can be implemented either as a Web Part description (.dwp) file or as a .dwp file along with a new assembly file. New Web Parts implemented as .dwp files provide their functionality by configuring existing assemblies to behave in new ways. New Web Parts that are implemented as both a .dwp file and an assembly file provide their functionality by implementing new code in the assembly file.

When a new Web Part that has a new assembly is added to an online gallery, the server administrator for each server that accesses the online gallery must install the assembly on each server. It is up the owner of the online gallery to contact each server administrator and provide a method for installing the new assembly, and the administrator of each server must evaluate the Web Part before installing its assembly, as with any custom Web Part.

Controlling Access to the Online Gallery

You can configure access to the online gallery for each virtual server. You must be an administrator of the local server computer or a member of the SharePoint Administrators group to configure access to the online gallery.

  1. On your server computer, click Start, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the SharePoint Central Administration page, click Configure virtual server settings.
  3. On the Virtual Server List page, click the virtual server you want to configure.
  4. On the Virtual Server Settings page, click Manage security settings for Web Part Pages.
  5. In the Online Web Part Gallery section, click Enabled to allow access to the online Web Part gallery, or click Disabled to prevent access to the gallery, and then click OK.

    You can also return to using the default server setting for enabling use of the Online Web Part gallery by clicking Restore Defaults.

Allowing Access to the Online Web Part Gallery from Behind a Proxy Server or Firewall

If your server is behind a proxy server or firewall, you must also edit the web.config file for each virtual server for which you want to enable an online Web Part gallery that is implemented outside of your firewall. In a server farm environment, you must edit this file for each virtual server in every front-end Web server in the server farm.

  1. On your Web front-end server computer, open Notepad, navigate to the folder containing the virtual server for which you want to enable the online Web Part gallery, and then open the web.config file under the following directory:

    \Inetpub\wwwroot

  2. In the web.config file, add the following lines.

    <system.net>
      <defaultProxy>
      <proxy proxyaddress="http://Proxy_Server:port" bypassonlocal = "true"/>
      </defaultProxy>
    </system.net>
    Where Proxy_Server:port is the proxy server or firewall used for your environment.

  3. Save and close the web.config file.
  4. Repeat steps 1 through 3 for each virtual server for which you want to enable access to the online Web Part gallery.

Allowing Part-to-Part Connections

You specify whether or not users can connect Web Parts to each other for each virtual server. You must be an administrator of the local server computer or a member of the SharePoint Administrators group to allow part-to-part connections.

  1. On your server computer, click Start, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the SharePoint Central Administration page, click Configure virtual server settings.
  3. On the Virtual Server List page, click the virtual server you want to configure.
  4. On the Virtual Server Settings page, click Manage security settings for Web Part Pages.
  5. Select the options you want to enable or disable, and then click OK.

    You can also return to using the default server setting for part-to-part connections by clicking Restore Defaults.

Additional Web Part Settings

There are additional Web Part options you can set in the Windows SharePoint Services web.config file. The web.config file is a text file containing custom XML elements. You can edit this file using a text editor, such as Microsoft Notepad. The web.config file for the default virtual server is located in the C:\Inetpub\wwwroot\ folder. When a virtual server is extended with Windows SharePoint Services, a top-level web.config file is placed within the content root folder of the extended virtual server.

The following is a summary of these additional Web Part options and their values.

Setting Safemode Attributes

There are two safe mode attributes:

  • MaxControls specifies the maximum number of server-side controls (controls with the HTML Element attribute runat = "server") on a Web Part Page, including Web Parts, static Web Parts (that is, Web Parts not in a zone), and Web Form Controls. The default value is 50.

  • CallStack shows or hides many (but not all) ASP.NET exceptions that may occur in addition to the initial error reported in the SharePoint Error page. You can do the following:

    • To show these messages, set CallStack to "true".
    • To hide these messages, set CallStack to "false". This is the default.

    You might set this attribute to "true" for developers who are testing Web Parts so they can view these messages on a remote computer. You must also set the customErrors mode in the <system.web> section to "On".

    Setting CallStack to "true" also enables stack tracing.

Note Except when debugging, CallStack should be set to "false." Setting CallStack to "true" on a production Web server will make your Web server less secure.

The following example sets the safe mode attributes to their default values:

<SharePoint>
    <SafeMode MaxControls="50" CallStack="False" />
</SharePoint>
<system.web>
    <customErrors mode="On" />
</system.web>

Setting WebPartLimits Attributes

There are two Web Part limit attributes:

  • MaxZoneParts specifies the total number of Web Parts allowed within all Web Part zones on a Web Part Page.
  • PropertySize specifies the maximum number of bytes used to store Web Part properties on the server.

The following example sets the Web Part limit attributes to their default values:

<SharePoint>
    <WebPartLimits MaxZoneParts="50" PropertySize="1048576" />
</SharePoint>

Configuring Web Part Caching

WebPartCache Storage specifies how a Web Part is cached on the server, if at all. You can enter one of the following values:

Value | Description
None | Prevent caching Web Parts on the server.
CacheObject | Use ASP.NET Web server memory caching. This is the default. In general, this value helps improve performance if your site is installed on a single server.
Database | Cache Web Parts in site server database. In general, this value helps improve performance if your site is installed on a server farm.

The following example sets the Web Part cache storage attribute to its default value:

<SharePoint>
    <WebPartCache Storage="CacheObject" />
</SharePoint>

Note A Web Part must implement caching to take advantage of the server or database cache. Developing Web Parts that use caching is described in the SharePoint Products and Technologies 2003 Software Development Kit .

Setting Web Part Timeout Values

WebPartWorkItem Timeout specifies a timeout value in milliseconds for any asynchronous child processes started by a Web Part. The default value is 7000.

The following example sets the Web Part work item timeout to its default value:

<SharePoint>
    <WebPartWorkItem Timeout value="7000" />
</SharePoint>

Setting the Default Security Policy and Trust Level

You can define and specify a default security policy and trust level for all Web Parts installed on the site server by using two configuration files. There are two default policies:

WSS_Minimal A copy of the ASP.NET web_minimaltrust.config file with WebPartPermission.Connections enabled. This is the default.

WSS_Medium A copy of ASP.NET web_mediumtrust.config file with WebPartPermission.Connections and SharePointPermission.ObjectModel enabled.

The following example defines and sets a minimal trust level

<system.web>
  <securityPolicy>
      <trustLevel name="WSS_Minimal" policyFile="C:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\60\config\wss_minimaltrust.config" />
   </securityPolicy>
   <trust level="WSS_Minimal" originUrl="" />
</system.web>

The following example defines and sets a medium trust level

<system.web>
  <securityPolicy>
      <trustLevel name="WSS_Medium" policyFile="C:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\60\config\wss_mediumtrust.config" />
  </securityPolicy>
  <trust level="WSS_Medium" originUrl="" />
</system.web>

For a full discussion of setting trust levels, see the topic "Code Access Security For Administrators" in the SharePoint Products and Technologies 2003 Software Development Kit .

The SafeControls List

To register a Web Part as a safe control for use in Windows SharePoint Services, in the SafeControls block, add a SafeControl element that specifies the Web Part in the top-level web.config file of the virtual server. When you add and delete Web Part assemblies using the Stsadm.exe tool, this is handled by Stsadm.exe.

The following example, from the SharePoint Products and Technologies 2003 Software Development Kit, registers a sample Web Part as a SafeControl:

<SafeControls>
  <SafeControl
   Assembly="SimpleWebPart, Version=1.0.0.0, Culture=neutral, PublicKeyToken=def148956c61a16b"
   Namespace="MyWebParts"
   TypeName="*" >
    .
    .
    .
<\SafeControls>

Related Topics

For information on managing a site collection Web Part Gallery, see Managing a site collection Web Part gallery.


About managed paths

About managed paths

When you extend a virtual server, create a top-level Web site, or configure Self-Service Site Creation, you may also need to define managed paths. Managed paths allow you to perform two important tasks:

  • Indicate which pieces of the URL namespace are controlled by Microsoft Windows SharePoint Services.

    Many organizations installing Microsoft Windows SharePoint Services already have a Web server or server farm in use and must be able to identify areas of the existing URL namespace that should not be managed by Windows SharePoint Services. For example, if you have a Web application on your Web server already, and you install Windows SharePoint Services, you need a way to specify that Windows SharePoint Services will not to attempt to control content in, or settings for, that path.

  • Specify paths to use for Self-Service Site Creation.

    You can restrict Self-Service Site Creation users to specific paths when they create sites. By default, the /sites path is created and added as a path for Self-Service Site Creation users when you enable Self-Service Site Creation. You can create other paths for Self-Service Site Creation users, or you can remove the /sites path when you manage paths.

You can manage two categories of paths: included and excluded paths. An included path indicates that Windows SharePoint Services manages that path. An excluded path indicates that a different application manages the path and that Windows SharePoint Services should leave it alone. Included paths can be further broken down into the following two types:

  • Explicit inclusions Includes only the specific path that you set. Use explicit inclusions, for example, if you want Windows SharePoint Services to manage a specific path, such as /portal, but not any possible sites below it, such as /portal/webapp.
  • Wildcard inclusions Includes any sites below the path that you set, so you don't have to add them individually. This is the type of inclusion to use for Self-Service Site Creation, when you want users to be able to create top-level Web sites underneath a specific path, such as /sites.

Note Web server performance declines linearly with the number of inclusions and exclusions. You can minimize the performance impact by using wildcard inclusions rather than many explicit inclusions, and by putting as many excluded applications under the same excluded path as possible.

The following table lists example URLs and explains the types of paths.

Path type | Example URL | Path name | Comments
Explicit inclusion | http://server1/site1 | /site1 | Identifies the Web site at /site1 as a Windows SharePoint Services site.
Wildcard inclusion | http://server1/sites/* | /sites/* | Identifies all sites below the /sites/ path as Windows SharePoint Services sites.
Exclusion | http://server1/webapp | /webapp | Indicates that the /webapp directory is not handled by Windows SharePoint Services.
Top-level Web site explicit inclusion | http://server1 | / | Indicates an explicit inclusion for the top-level Web site. Only the top-level Web site is a Windows SharePoint Services site, not any other sites below the top-level Web site.
Top-level Web site wildcard inclusion | http://server1 | /* | Indicates a wildcard inclusion for the top level of the virtual server. Every directory under the specified path is a Windows SharePoint Services top-level Web site.

Included and excluded paths are used only for directories, not pages in a Web site, and they are recursive (for example, if you exclude /mango, Windows SharePoint Services ignores any URL beginning with /mango/ or equal to /mango). Exclusions take precedence over inclusions, so if you accidentally set a particular path to be both included and excluded, the path is excluded. Inclusions are evaluated by length; longer URLs are checked before shorter URLs, so an inclusion for http://server1/sites/teams is evaluated before an inclusion for http://server1/teams.

You can manage paths by using either SharePoint Central Administration or the command line.

Related Topics

Extend a virtual server
Create a site
Configure Self-Service Site Creation


Analyze site usage

Analyze site usage

View site usage summary data

  1. On the site you want to view data for, click Site Settings.
  2. In the Administration section, click Go to Site Administration.
  3. In the Management and Statistics section, click View site usage data.

You can view the usage data and quota settings for an entire site collection at the same time.

View usage data and quota information for a site collection

  1. On the top-level Web site of the site collection, click Site Settings.
  2. In the Administration section, click Go to Site Administration.
  3. In the Site Collection Administration section, click View site collection usage summary.

You can also see detailed reports about storage and user activity.

Related topics

About checking site usage
Specify usage analysis settings


Contribute to a site

Contribute to a site

Work with lists

Announcements

Contacts

Events

Links

Tasks

Issues

Filter items

Sort items

Work with document libraries

Add a document to a document library

Add multiple files to a document library simultaneously

Read, edit, or delete a document in a document library

Filter items

Sort items

Participate in discussions

Participate in a discussion board

Filter items

Sort items

Work with surveys

Respond to a survey

Be alerted to site changes

Add an alert


Create or customize lists, libraries, and pages

Create or customize lists, libraries, and pages

Create and modify lists and discussion boards

Create a list of announcements, contacts, events, tasks, or links

Create a custom list

Create a discussion board

Add, edit, or delete a column

Change the name or description

Create and modify document libraries

Create a document library

Set up a template for a document library

Add, edit, or delete a column

Change the name or description

Create and modify surveys

Create a survey

Add, edit, or delete a survey question

Change the name or description

Modify data entry forms

Modify the New Item form

Modify the Upload Document form

Change how items are displayed

Create a personalized view

Display current day's information

Show or hide columns

Display sorted or filtered items

Set a default view

Change the name or file name of a view


Copy a SharePoint list to a spreadsheet

Copy a SharePoint list to a spreadsheet

You can copy lists from your SharePoint team Web site into a Windows SharePoint Services-compatible spreadsheet program. For example, if you export a list to Microsoft Excel 2002, you can create PivotTables and charts to analyze the information or apply text formatting. In Excel, the exported list is a Web Query that stays updated with changes to the original list in your team Web site.

Note You can also export the results of a survey to a spreadsheet program.

  1. Go to the page that displays the list you want to export.

    How?

    1. On the top link bar, click Lists.
    2. Click the list or survey you want to export.
  2. At the top of the list, click Export, or at the top of the survey, click Export Results to a Spreadsheet, and then open the file from its current location.


About data retrieval services

About data retrieval services

A data retrieval service implements a new data-binding technology that enables data consumers and data sources to communicate with each other through Simple Object Access Protocol (SOAP) and Extensible Markup Language (XML). A data retrieval service is a Web service that returns XML data from different data sources or manipulates data against those data sources. A data retrieval service is installed and runs on a server running Microsoft Windows SharePoint Services. Windows SharePoint Services includes a default set of data retrieval services for working with data in SharePoint lists, OLEDB, and XML data sources. Client applications, and data-bound Web Parts, such as the Spreadsheet Web Part, can use a data provider service to query the data source supported by the particular data source.

You can allow or disallow data retrieval services and configure settings for data retrieval services by using the SharePoint Central Administration page.

Note If your data retrieval service is attempting to connect to a remote Microsoft SQL Server database that is configured to use Microsoft Windows authentication, the server with the data retrieval service, the remote server running SQL Server, and the client initially making the request against the data retrieval service must be using Kerberos authentication. For more information about setting up Kerberos authentication, see the Help system for Internet Information Services (IIS) 6.0.

Related topic

Configure data retrieval services


Managing a site collection Web Part gallery

Managing a site collection Web Part gallery

Administrators of a top-level Web site can determine which Web Parts are available to the users of sites in their site collection. They can use the site collection Web Part gallery page to add or remove Web Parts from the list of Web Parts available for use or to upload new Web Parts. Note that users may also have access to Web Parts in the online Web Part gallery or in the server Web Part gallery. The Web Part gallery for a site collection controls only a subset of all Web Parts available to users.

Make a Web Part available in the Web Part gallery
  1. On a top-level Web site, click Site Settings.
  2. Under Administration, click Go to Site Administration.
  3. Under Site Collection Galleries, click Manage Web Part gallery.
  4. On the Web Part Gallery page, click New Web Part.
  5. Select the check box next to the Web Parts you want to include in the gallery, and then click Populate Gallery.

    Note The list of Web Parts that can be added to the Web Part gallery is derived from the list of safe Web Parts in the web.config file. There may be Web Parts in the web.config file that have never been in the gallery or that were deleted from the gallery.

    When you click Populate Gallery, the Web Parts you select are added to the gallery and are made available to all users.

If you have installed a Web Part package and need to add the Web Parts to the gallery, you can use the Upload Web Part button to add the new Web Parts to the gallery.

Web Parts can be organized into groups for easy filtering in the gallery. You can specify which group a Web Part belongs to when you add a Web Part to the Web Part gallery. Groups are optional — you can add a Web Part without specifying a group.

Add a Web Part to the Web Part gallery
  1. On the Web Part Gallery page, click Upload Web Part.
  2. In the Name box, type the name of the Web Part (including the full path to the .dwp file) or click Browse.
  3. In the Group box, select a group or, under Specify your own value, type a group name for the Web Part.
  4. Click Save and Close.

You can add several Web Parts to your gallery at once by using the Upload Multiple Files option on the Upload Web Part page.

Note You must be using a Windows SharePoint Services-compatible client application to use the Upload Multiple Files option.

Add multiple Web Parts to the Web Part gallery
  1. On the Web Part Gallery page, click Upload Web Part.
  2. Under Name, click Upload Multiple Files.
  3. Select the check boxes next to the Web Parts you want to upload, and then click Save and Close.

You can remove a Web Part from the gallery if you want to make it unavailable to users. If a user has already used a Web Part in the site, and you delete the Web Part from the site gallery, the Web Part will remain on the Web Part Page and will still work. However, if an administrator on the server computer removes the Web Part assembly that contains the Web Part from the server, or marks the assembly as unsafe in the Web.config file for the server, the Web Part will no longer run, and the user will see an error message.

Remove a Web Part from the Web Part gallery
  1. On the Web Part Gallery page, next to the Web Part you want to remove, click the Edit icon.
  2. On the Web Part Gallery: <Web Part Name> page, click Delete.
  3. Click OK to delete the Web Part.

Related Topics

For information about installing, upgrading, and deleting custom Web Parts, along with descriptions of other central administration Web Part configuration tasks, see Managing Web Parts on virtual servers.


About virus protection

About virus protection

Microsoft Windows SharePoint Services allows you to help protect your users from uploading or downloading files that contain viruses. When you install an antivirus scanner that is compatible with Windows SharePoint Services, you can enable the antivirus protection feature for a server. When you enable the antivirus protection feature, files are checked for viruses when a user adds a document to a document library or list, or when a user views a document in a document library or list. If a virus is found, the scanner can attempt to clean the file, or if the file cannot be cleaned, can block the file from being added or viewed.

You enable and configure antivirus protection at the server level. When enabled, antivirus protection is available for all document libraries on all sites and subsites on the server, or for all servers in a server farm. You can use SharePoint Central Administration or the command-line tool to configure virus protection settings.

Note You must install antivirus software compatible with Windows SharePoint Services on any server computer running Windows SharePoint Services before you can enable virus protection in Windows SharePoint Services. In a server farm deployment, you must install antivirus software on every front-end Web server in the server farm. Consult your antivirus software vendor to find out whether they offer a virus scanner for use with Windows SharePoint Services and for information about installing the virus scanner. For a list of antivirus software vendors that support virus protection for Windows SharePoint Services, see the See Also section in this topic.

Related Topic

Configure antivirus settings

See Also

Windows SharePoint Services Partners Site


About content and configuration databases

About content and configuration databases

Microsoft Windows SharePoint Services relies on Microsoft SQL Server. Supported database servers are as follows:

  • Microsoft SQL Server™ 2000, Service Pack 3
  • Microsoft SQL Server 2000 Desktop Engine (Windows) (WMSDE), Service Pack 3

If you do not have SQL Server installed on your server, WMSDE is installed automatically when you install Windows SharePoint Services. If you are using the command-line interface to install Windows SharePoint Services, or if you are using a script to run the installation, you can specify a separate server to use for your database.

Windows SharePoint Services uses two separate databases to run sites within the virtual server — a content database and a configuration database.

About the content database

Windows SharePoint Services uses a database to store and manage site content. Just as each virtual server can host multiple top-level Web sites, each virtual server can rely on multiple content databases to store site content. If you are running Windows SharePoint Services on a single server, and hosting just a few sites, you can probably use the same content database for all of your sites. If you want to add capacity in a server farm, you will most likely need several content databases to store site data for each virtual server.

To make it easier to manage site content for large server farms, you can also set a limit on how many top-level Web sites can store content in a content database. You can specify a warning limit and a maximum limit for the number of sites. When a warning limit is reached, an event is logged in the server's Windows NT Event Log, so you can take action. When a maximum limit is reached, no more sites can be created using that content database.

You can specify any number of sites for the warning and maximum number of sites. To determine an appropriate number for your situation, divide the amount of available disk space on the database server by the estimated size for each site (plus a buffer). If you are using quotas, divide the disk space by the disk space quota (plus a buffer).

A buffer allows the number of sites to grow beyond the warning level, but not to exceed your disk space. The size of the buffer is up to you, but make sure to provide enough space for growth so that you don't exceed the maximum number before you can react to a warning event. When the maximum number is reached, no more sites can be created in that content database. Be sure to create a buffer large enough so that your users can continue to create sites as required, without having to constantly create new content databases.

Content databases are created and managed at the virtual server level. When you create a new content database (or when you extend a virtual server), you specify the database connection settings for the content database. You can update these settings if, for example, the database server name changes.

You can create or delete content databases, and specify settings such as the database server to use for the content and how many top-level Web sites to allow per content database in a server farm setting, by using SharePoint Central Administration. From there, you can view the full list of content databases for your virtual server, and see the current, warning, and maximum levels of sites for the content database at a glance.

About the configuration database

Windows SharePoint Services uses a database to store configuration and site mapping information for your server computer, the virtual servers on your server computer, and for servers in a server farm. This database is called the configuration database. You need one configuration database for your server farm, whether your server farm is one server computer with everything on it, or several server computers.

If you install Windows SharePoint Services on a single server using Microsoft SQL Server 2000 Desktop Engine (Windows) (WMSDE), the configuration database is created for you. If you install Windows SharePoint Services in a server farm environment, or with Microsoft SQL Server, the installation ends without creating a configuration database, and you must create the database by using HTML Administration pages or the command line.


About virtual server configuration settings

About virtual server configuration settings

After you have installed Microsoft Windows SharePoint Services and extended a virtual server, you can configure settings for the virtual server. Specifying the following options at the virtual server level affects all sites on that virtual server:

  • Site creation settings Enable or disable the ability for users to create sites.
  • Site use confirmation and auto-deletion settings Determine whether to require confirmation of site use, or whether to automatically delete unused Web sites.
  • User rights settings Specify which rights to make available to users of sites on your virtual server.
  • Virtual server general settings Configure settings to use as defaults for all sites that are created on your virtual server.
  • E-mail settings Specify the outbound e-mail server to use, and the e-mail addresses to use when accepting or sending e-mail messages to and from the server. You can also configure and use e-mail settings at the server level.
  • Web Part Page security settings Specify whether users can add connections between Web Parts in a Web site, and whether the Microsoft Office 2003 Web Part gallery is available.

In addition, you can perform the following administration tasks from the virtual server level:

  • Manage content databases You can create or delete content databases, or change the capacity settings for a particular content database.
  • Manage defined paths You can add or remove included and excluded paths to control which areas of the URL namespace are managed by Windows SharePoint Services.
  • Create or delete a top-level Web site You can create a top-level Web site or delete an existing top-level Web site.
  • Remove Windows SharePoint Services from the virtual server You can remove Windows SharePoint Services either permanently or temporarily.
  • Configure settings for data retrieval services You can specify settings to be used for data retrieval services. These are Web services that return XML data from different data sources or that manipulate data against those data sources.

About General settings for a virtual server

The Virtual Server General Settings page contains several options that apply to any sites that you create for the virtual server. When you configure a setting for a virtual server, it takes priority over settings applied on specific sites of that virtual server. For example, if you disable alerts for a virtual server, no site or subsite can use alerts. However, if you enable alerts on the virtual server, each top-level Web site can allow or disallow alerts for that Web site and its subsites. For more information about how each setting is treated at different levels, see the specific topic for that setting.

You can configure the following settings on the Virtual Server General Settings page:

  • Time zone to use for the virtual server Select a time zone to use for all sites created on this virtual server.
  • Default quota template for sites created under the virtual server Specify the default quota template to use. When you create a top-level Web site, you can create it using the default template or a different template.
  • Online presence and smart tags for user names settings Enable or disable presence information for site members.
  • Maximum upload size Specify the maximum file size to allow when files are uploaded to a Web site on this virtual server.
  • Alert settings Enable or disable alerts for all sites under the virtual server, and configure default settings for alerts.
  • Web page security validation Enable or disable security validation for Web site pages, and specify how long to wait before the validation expires for a given page.
  • User name and password settings in e-mail Specify whether to send user names and passwords in e-mail messages to new users. This setting is used for user account mode for Active Directory directory servive only.
  • E-mail attachments Allow or disallow document libraries to include e-mail messages and e-mail attachments. Specify the public folder path for e-mail attachments and how frequently to check for attachments.
  • Event handlers Enable or disable event handlers. After the feature is turned on, you can write code to handle the events, and then specify the code to use for a particular document library in the document library settings.

Related Topics

Configure a virtual server
Configure Self-Service Site Creation
Manage unused Web sites
Configure a virtual server
About managing Web Part availability
Specify content database settings
About managed paths
Create a site
Remove Windows SharePoint Services
Manage site quotas and locks
Configure online presence Information
About managing alerts
Configure e-mail-enabled document libraries
About document library event handlers


Overview of Windows SharePoint Services Administration

Overview of Windows SharePoint Services Administration

Microsoft Windows SharePoint Services includes tools to help you manage the Web sites you create. You can manage Windows SharePoint Services locally by using HTML Administration pages or a command-line interface, or remotely by using HTML Administration pages. In addition, you can set properties — such as specifying whether alerts are enabled for a virtual server — by using the command-line interface or HTML Administration pages.

HTML administration

Windows SharePoint Services includes HTML Administration pages to help you manage your Web sites and servers. You can use these forms on the local server computer or from a remote computer that is connected to the Internet. You must have administrator rights to use HTML Administration pages.

For Windows SharePoint Services, there are two types of administration pages:

  • Central Administration pages
  • Site Settings pages

Central Administration pages

The Central Administration pages allow you to manage settings for your Web server and virtual servers. These pages are created during Windows SharePoint Services Setup. By default, a newly created virtual server inherits settings from defaults set on the Central Administration pages. You can change these default settings and specify what settings to use for each extended virtual server. You must be a member of the local administrators group for the server computer or a member of the SharePoint administrators group to view the Central Administration pages.

The Central Administration pages are stored on the administration port that Windows SharePoint Services created during Setup. To view the pages, on the Start menu, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration; or, from the browser on a remote computer, type the URL for the pages on the administration port. For example: http://servername:port or http://localhost:

Note You can also open the administration pages locally by using localhost on the Run command. Click Start, click Run, type http://localhost:port, and then click OK.

Site Administration pages

In addition to the Central Administration pages, which control settings for each server and virtual server, there are administration pages that control settings for each Web site. You can perform some administrative actions from the Site Settings page, and you can link from there to the Site Administration page. You must have administrator rights to the Web site to perform administrative actions on the Site Settings and Site Administration pages.

From the Site Settings and Site Administration pages, you can perform tasks such as the following:

  • Manage users and site groups.

    You can add or remove users, edit site groups, and change a user's site group membership. For more information, see Manage users and groups and Assign permissions to users and groups.

  • Create or delete subsites.

    You can add a subsite or manage the existing subsites of your Web site.

  • Change anonymous access.

    If anonymous access is available for the virtual server that contains your Web site, you can control whether it is enabled for your Web site. For more information, see Assign permissions to users and groups.

  • Change regional settings.

    You can change the locale, time zone, sort order, and time format to use for your Web site.

  • Manage Web discussions and alerts.

    You can view all Web discussions and user alerts for your Web site and delete any that are no longer needed. For more information, see Manage alerts.

Note that if you are managing a subsite, the administration tasks that are available on the Site Administration page for the subsite are a subset of those that are available for top-level Web sites of a virtual server.

The Site Settings and Site Administration pages are stored in the _layouts directory of the Web site. The navigation bar for each SharePoint site includes a Site Settings link that takes you to these pages. Even if you do not have a SharePoint site, you can get to these pages for SharePoint sites from a compatible Web page editor, such as Microsoft Office FrontPage 2003, or by typing the URL to the pages directly in the browser.

To view the pages from Office FrontPage 2003, on the Tools menu, click Server, and then click Administration Home.

The path to the Site Settings page is http://websiteurl/_layouts/lcid/settings.aspx, where lcid refers to the locale ID. For example, for U.S. English, the lcid is 1033.

The path to the Site Administration page is http://websiteurl/_layouts/lcid/webadmin.aspx.

The files for the Site Settings and Site Administration pages are stored in the ..\Program Files\Common Files\Microsoft Shared\Web Server Extensions\60\template\admin\lcid folder.

Using HTML Administration pages remotely

When you install Windows SharePoint Services, the Central Administration pages are installed to an administration port. You use these pages on the administration port to manage your server remotely. You can open Central Administration pages from any client computer, provided you know the administration port number and log on by using an account that is a member of the Administrators group on the server. You can use the Site Administration pages by using an account that is a member of a site group with the Manage Web Site right for that site.

If you have chosen to use Secure Sockets Layer (SSL) on your administration port, you must use the HTTPS protocol to go to the pages. For more information about configuring SSL, see Configure authentication.

To connect to the administration port by using the HTTPS protocol
  • In the Address box of your browser, use the HTTPS protocol and type the address to your server's administration pages, including the secure server port number.

    For example, type https://sample.microsoft.com:1439.

After you connect to the remote HTML Administration pages, you can perform any of the administration tasks as if you were connected locally.

Command-line administration

Most tasks that you can perform from the Server Administration and Site Administration pages can also be performed from the command line for Windows SharePoint Services. In addition, you can set several properties from the command line that you cannot set from the administration pages. To use the Stsadm.exe tool, you must be a member of the local Administrators group on the server computer. For more information about using the command line administration tools and setting configuration properties, see the Windows SharePoint Services Administrator's Guide.


About domain and Active Directory account modes

About domain and Active Directory account modes

Every Web site has users, and part of your job as administrator is to make sure that the users of a Web site have the appropriate rights to use the site. To grant access to a site, users must be added to the site (either individually or as part of a cross-site group) and assigned to a site group. In Microsoft Windows SharePoint Services, users and cross-site groups can be added by using one of two modes:

  • Domain account mode Used inside organizations to grant access to users with existing domain accounts
  • Active Directory account mode Used by Internet service providers to create unique accounts for customers

You determine which mode to use when you first install and configure Windows SharePoint Services, and you cannot switch between modes later. Whichever mode you use, you can add users and cross-site groups to your site by using either the command-line tool or HTML Administration pages for your Web site.

About domain account mode

If you are using Windows SharePoint Services inside an organization that uses Microsoft Windows domain accounts, you can use domain account mode for user and cross-site group accounts. With domain account mode, you add users and cross-site groups to your site by using their existing domain account information, including their user names and e-mail addresses. Domain account mode is the standard mode for Windows SharePoint Services. Note that you can use the Active Directory directory service to manage domain accounts — the difference between the modes is the type of account that you use, not the tool that you use to manage them.

About Active Directory account mode

If you host Web sites based on Windows SharePoint Services for customers on the World Wide Web, you can configure Windows SharePoint Services to automatically create Active Directory directory service accounts for new users and cross-site groups. You must enable Active Directory account mode when you first configure Windows SharePoint Services. When you use Active Directory account mode, you cannot use domain accounts.

Creating users and cross-site groups with Active Directory account mode is the same as creating users with domain account mode, except that you enter only the e-mail address, not a domain account, when adding the user or cross-site group to a site. Windows SharePoint Services checks Active Directory to see if an account with that e-mail address already exists. If the user or cross-site group already has an account in Active Directory, the account is used. If the user or cross-site group is new, an account is created for the user or group in Active Directory, using the Windows SharePoint Services credentials; the users are then notified of their account name and password through e-mail.

Notes

  • When you are in Active Directory account mode, there are certain administrative tasks that are unavailable in the HTML Administration pages. For example, you cannot create a top-level Web site, you cannot enable Self-Service Site Creation, and you cannot add a user to a site from the Central Administration pages. To perform these actions in Active Directory account mode, you must use the object model.
  • The Minimum Password Age group policy on the domain controller must be set to 0 days. Failure to do so will result in users being unable to change their passwords, unless they have administrator rights on the server. For information on setting the Minimum Password Age group policy, see Microsoft Windows 2003 Server online help.

Related topics

About cross-site groups
Add a user to a cross-site group
Create, edit, or delete a cross-site group

See Also

Microsoft Windows SharePoint Services Administrators Guide


About security options

About security options

Microsoft Windows SharePoint Services includes or takes advantage of the following elements that interact with and affect your security for Web site content:

  • User authentication The process used to validate the user account that is attempting to gain access to a Web site or network resource. You manage security using Microsoft Windows NT users and security groups (DOMAIN\user and DOMAIN\security group). You cannot use distribution lists to control access to content in Windows SharePoint Services, because distribution lists are not used for authentication in Windows.
  • SharePoint administrators group A Microsoft Windows user group authorized to perform administration tasks for Windows SharePoint Services.
  • Site groups A means of assigning rights to specific users or groups in a SharePoint site. There is a predefined list of site groups for each Web site (Administrators and Web Designers, for example). To grant a user access to a Web site, you assign that user to a site group. Windows SharePoint Services also uses cross-site groups. A cross-site group is a group of users that can be assigned to a site group on any Web site in a site collection. There are no site groups defined by default in Windows SharePoint Services.
  • Secure Sockets Layer and firewall protection Security practices recommended to help secure the port used for SharePoint Central Administration. Secure Sockets Layer (SSL) security and a firewall can help to prevent external access to the administration port.
  • Microsoft SQL Server connection security Use either Windows NT Integrated authentication or SQL Server authentication to connect to your configuration database and content database.
  • Firewall protection A firewall helps protect your data from access by other people and organizations on the Internet. Windows SharePoint Services can work inside or through a firewall.

User authentication

User authentication for Windows SharePoint Services is based on Internet Information Services (IIS) authentication methods. You can use Windows SharePoint Services with the following forms of user authentication:

  • Anonymous authentication
  • Basic authentication
  • Integrated Windows authentication
  • Digest and Advanced Digest authentication
  • Certificates authentication (SSL)

You choose the authentication method you want to use when you set up your Web server. You cannot change the authentication method by using the Windows SharePoint Services administration tools; you must use the Internet Information Services administration tool for your server computer to change the authentication method.

Anonymous authentication

Anonymous authentication provides access to users who do not have Windows accounts on the server computer, such as Web site visitors. IIS creates the anonymous account for Web services, which is often named IUSR_computername. When IIS receives an anonymous request, it impersonates the anonymous account.

You can allow or disallow anonymous access in IIS for a particular virtual server, and allow or disallow anonymous access for a site on that virtual server by using SharePoint Central Administration. Anonymous access must be enabled in IIS before you can enable it for a Web site on that virtual server.

Basic authentication

Basic authentication is an authentication protocol supported by most Web servers and browsers. Although Basic authentication transmits user names and passwords in easily decoded clear text, it has some advantages over more secure authentication methods, in that it works through a proxy server firewall and ensures that a Web site is accessible by almost any Web browser. If you use Basic authentication in combination with Secure Sockets Layer (SSL) security, you can help protect user names and passwords, making your user information more secure than using only Basic authentication.

Integrated Windows authentication

Integrated Windows authentication (also known as Windows NT Challenge Response) encrypts user names and passwords in a multiple transaction interaction between client and server, thus making this method more secure than Basic authentication. Disadvantages are that this method cannot be performed through a proxy server firewall, and some Web browsers, such as Netscape Navigator, do not support it. You can choose to use this authentication method and Basic authentication. Most Web browsers select the most secure option. For example, if both Basic authentication and Integrated Windows authentication are enabled, Microsoft Internet Explorer tries Integrated Windows authentication first.

Certificates authentication (SSL)

Certificates authentication (also known as Secure Sockets Layer (SSL) security) provides communications privacy, authentication, and message integrity for a TCP/IP connection. By using the SSL protocol, clients and servers can communicate in a way that prevents eavesdropping, tampering, or message forgery. With Windows SharePoint Services, SSL helps secure access across firewalls and allows more secure remote administration of Windows SharePoint Services. You can also specify that SSL be used when opening a Web site based on Windows SharePoint Services.

SharePoint administrators group

To install Windows SharePoint Services, you must be a member of the local administrators group on the server computer. This group also gives users the permissions needed to control settings on the SharePoint Central Administration pages, and to run the command-line tool Stsadm.exe. You can also identify a specific domain group to allow administration access to Windows SharePoint Services, in addition to the local administrators group. Help documentation for Microsoft SharePoint Products and Technologies refers to this domain group as the SharePoint administrators group. You can add users to this group rather than to the local administrators group, to separate administration access to Windows SharePoint Services from administration access to the local server computer.

Members of the SharePoint administrators group do not have access to the IIS metabase, so they cannot perform the following actions for Windows SharePoint Services:

  • Extend virtual servers.

    Note Members of this group can create top-level Web sites and change virtual server settings.

  • Manage paths.
  • Change the SharePoint administrators group.
  • Change the configuration database settings.
  • Use the Stsadm.exe command-line tool.

Members of the SharePoint administrators group can perform any other administrative action using SharePoint Central Administration or the object model for Windows SharePoint Services.

Members of both the SharePoint administrators group and the local administrators group have rights to view and manage all sites created on their servers. This means that a server administrator can read documents or list items, change survey settings, delete a site, or perform any action on a site that the site administrator can perform.

Site groups

Windows SharePoint Services includes site groups to help you assign particular rights to users and cross-site groups. With site groups, you do not have to control the file and folder permissions separately, or worry about keeping your local groups synchronized with your list of Web users. You use site groups to give users permissions on your Web site, and use Windows SharePoint Services administration tools to add users directly.

In effect, user management is delegated from server administrators to the site owners and administrators. Site administrators control site access and, by default, have rights to add, delete, or change site group membership for users. Inside an organization, this typically means that site administrators select users from the list of the organization's users, and grant them access to varying degrees. For example, if the Web site is for members of a particular workgroup to share documents and information, the site administrator adds members of that workgroup to the site and assigns them to the Contributor site group, so that they can add documents and update lists.

In an ISP or extranet environment, a site owner can add users and create accounts, perhaps using separate user lists for each site collection. The site administrator adds the users to the Web site and Windows SharePoint Services automatically adds the users to Microsoft Active Directory directory service.

Members of the Administrator site group for a top-level Web site can control more options than administrators of a subsite. Administrators of a top-level Web site can perform actions such as specifying settings for Web document discussions or alerts, viewing usage and quota data, and changing anonymous access settings.

Note The owner and secondary owner of a top-level Web site may be members of the Administrator site group for their site, but they are also identified separately in the configuration database as site collection owners. This owner flag can only be changed by using the Manage Site Collection Owners page in SharePoint Central Administration or by using the siteowner operation with Stsadm.exe. If you remove an owner from the Administrator site group for the site, the owner retains the owner flag in the database, and can still perform site collection administration tasks.

Securing the port used to access SharePoint Central Administration

If a malicious user gains access to the port used to access SharePoint Central Administration, he or she can potentially block other users from accessing sites, or can modify site content, or even completely disable a Web server. It is important to restrict access to the port used by SharePoint Central Administration. To do so, it is recommended that you do the following:

  • Use Secure Sockets Layer (SSL) encryption.

    If you want to be able to manage Windows SharePoint Services across an Internet connection, use SSL to provide more secure communication between a client computer and the server, even across the Internet. To use SSL, you must first configure SSL in Internet Information Services (IIS), and then use the command line to configure Windows SharePoint Services.

    Note When you use SSL, the URL for SharePoint Central Administration changes from http:// to https://.

  • Use a firewall or IIS to restrict external access to certain domains.

    It is recommended that if you do not need to provide access to SharePoint Central Administration from the Internet, you use the firewall settings to block access to the port used by SharePoint Central Administration, or to restrict access to the port to certain domains. Use the stsadm -o setadminport operation to set each server in a server farm to the same port number, and configure the firewall to help protect that port on all servers. Alternatively, you can use the IP and name restrictions feature in IIS to restrict access to specific domains. To do this, you must specify these restrictions for each virtual server to which you want to restrict access.

  • Use the SharePoint administrators group to restrict internal access.

    Use the SharePoint administrators group to control which users can access SharePoint Central Administration. Only the domain group you specify, and local administrators, can access the port used by SharePoint Central Administration. Limit the local administrator access to only a few computer operators.

  • Use Integrated Windows authentication instead of Basic authentication.

    When you use Integrated Windows authentication, you avoid having passwords sent in clear text, as can happen when Basic authentication is used. Basic authentication is less secure because it uses clear text.

  • Disable anonymous access.

    Allowing anonymous access makes a server inherently less secure. If anonymous users can get access to a server, they can change settings or content, and their actions cannot be traced to a real user account. Anonymous access is disabled by default for the port used by SharePoint Central Administration.

Securing SQL Server connections

If you are using SQL Server instead of Microsoft SQL Server 2000 Desktop Engine (Windows) (WMSDE) for your databases, you can choose between the following two security methods for interactions between Windows SharePoint Services and database servers running SQL Server:

  • Windows NT Integrated authentication Connect to the database computer using an application pool in Internet Information Services (IIS). This method is the more secure option, and is the default authentication type for Windows SharePoint Services deployments with SQL Server.

    Note If you are using SQL Server on a separate database server from the server running Windows SharePoint Services, you must use a domain account (or the Local System or Network Service account) as the IIS application pool account. If you use a local account, it cannot access the computer running SQL Server. For the administration virtual server, the IIS application pool account must also have rights to create databases in SQL Server. If you use Local System or Network Service, you must grant the database server privileges to the machine account for the Web server computer. Application pool accounts for other virtual servers do not need database creation rights; they rely on the administration virtual server to create databases.

  • SQL Server authentication Connect to the database server using credentials you provide from SharePoint Central Administration.

About Windows NT Integrated authentication

With Windows NT Integrated authentication, you use the Internet Information Services (IIS) application credentials and an application pool to connect to the SQL Server databases. The credentials are stored securely in the IIS metabase with other IIS worker processes. When Windows SharePoint Services connects to the databases, it runs under its usual process, and uses the IIS process for the connection. In a server farm deployment, you must ensure that changes to credentials are populated to all servers. For example, if the domain has a policy requiring frequent password resets, you must change the password in IIS for every server computer in the server farm.

You can have a single process for all of the virtual servers in a deployment, or you can isolate each virtual server with its own application pool. Using separate processes is more secure. For example, if you have a custom script running for one virtual server, it could potentially be written to access pages in another virtual server if they share an application pool. If they have separate application pools, the script cannot authenticate to the database across virtual servers.

About SQL Server authentication

SQL Server authentication uses an administrator account and password (often the default sa account) stored in the SQL Server database to connect between Windows SharePoint Services and the databases. This same user name and password are used for all updates to the databases, no matter which server in a server farm or virtual server on a single server or in a server farm requests the update.

Important When you use SQL Server authentication, the password for the administrator account is sent over the network, and can potentially be detected by malicious users. It is recommended that you use Windows NT Integrated authentication for connections between Windows SharePoint Services and the SQL Server databases. Also note that when you use SQL Server authentication, the user name and password you specify is available to all members of the STS_WPG group, which may include accounts associated with other applications on your server.

About firewalls

Windows SharePoint Services supports connectivity through firewalls. Depending on your configuration, you must ensure the firewall is open for the standard HTTP ports 80 and 443. When using a firewall, you must configure SharePoint sites with Basic authentication because Integrated Windows authentication cannot pass through a firewall.

Related Topics

Assign permissions to users and groups
Manage users and groups
About authentication methods
Change authentication methods

See Also

Internet Information Services (IIS) Help


About quotas and locks

About quotas and locks

If you are using Microsoft Windows SharePoint Services in a large deployment, such as at an Internet service provider (ISP) or in a large intranet, you need to maintain control over server resources and carefully monitor areas such as storage space and site security. You must ensure that one site cannot deplete so many resources that other sites can no longer function. Windows SharePoint Services allows you to specify quotas for sites, so that you can manage site and server resources. You can set quota limits for the following items:

  • Storage When you set a quota limit for storage, you set two values: a warning value and a maximum value. When a site passes the warning limit, Windows SharePoint Services sends an e-mail message to the site administrator and owner notifying them that the site is near to its storage quota. When a site meets the maximum limit, Windows SharePoint Services sends another e-mail message to the owner and administrator, and users are prevented from adding content to the site.

    Note The size of the data reported by quotas does not necessarily match the size of the actual storage used on the database server. This is because the quota feature estimates storage figures for empty sites (sites that contain no user content) and includes those figures in the quota, as well as the actual storage from the content database. The estimated size of an empty site includes the real size of the template pages for Windows SharePoint Services, such as the forms pages and pages in the _layouts directory. These pages are not normally included in the estimate, since there is only one copy of these pages for all sites. Although each site has a unique URL to the pages, the site does not have a unique instance of the page.

  • Users When using the Active Directory directory service, you can limit the number of users that are added to Active Directory from any specific SharePoint site collection. When you specify a quota for user accounts, you specify a maximum limit only. When the maximum number of users for a site collection has been reached, no additional user accounts can be added unless one or more user accounts are deleted from the site collection.

You can create multiple sets of quotas, called quota templates, and use them in different areas of the server farm, or to suit different users. For example, if the deployment supports an Internet service provider (ISP), you might implement the following quota templates:

  • Free Apply to free or demo sites, restricts users to 10 MB of storage and 5 users.
  • Standard Apply to monthly-fee sites, allows site owners up to 25 MB of storage and 50 registered users.
  • Premium Apply to extranet sites for large corporate customers, allows organizations up to 10 GB of storage and 5000 user accounts.

You must be an administrator of the local server computer, or a member of the SharePoint Administrators group to be able to manage quotas and quota templates.

About enabling quotas

By default, Windows SharePoint Services disables the quota feature. There are no default quota values or templates. To enable quotas, use the following methods:

  • To use quotas for your server or server farm, create a quota template.
  • To use quotas for a specific virtual server, assign a default quota template to that virtual server.
  • To use quotas for a particular top-level Web site, assign a quota template to the top-level Web site when you create the site.
  • To use a set of quota values for a single site only, apply specific quota limits to the site itself, independent of any quota template.

You can implement quotas at any point in the logical deployment of Windows SharePoint Services. For example, applying a default quota template to a virtual server enables the ability to apply quota limits but does not require their use on all top-level Web sites under that virtual server. You can also change site settings at any time.

About quota templates

Windows SharePoint Services stores quota templates and their settings in the configuration database for a server or server farm. Windows SharePoint Services applies quota values to top-level Web sites when you create a top-level Web site. You can specify a default template to use for all top-level Web sites created on a virtual server or you can specify the template to use when you create the top-level Web site.

Note Windows SharePoint Services copies the values listed in the quota template into the database when a site is created. If you change the values for a quota template, those changes apply only to new top-level Web sites created using that template, not to existing top-level Web sites. To apply the template changes to existing sites, you must use the Windows SharePoint Services object model to make the change by using an SQL query. When you delete a quota template, Windows SharePoint Services removes the template from the configuration database, but any top-level Web sites created using that template retain the quota values. To remove quotas from all sites using a specific quota template, you must use the object model and perform an SQL query.

About specifying quota values for a specific site

You can specify a different set of limits for a specific site. This allows you to turn on quotas on a site-by-site basis or to make an exception to a quota template for a specific site.

Caution You can lock a site by changing the quota value. If you already specified quota values for a site, and want to update the value, it is important that you check the current quota levels before making the change. For example, if the current quota level for site storage is 25 MB, and a site has 21 MB in storage and you change the value to 20 MB, the site is locked as soon as you save the change. To prevent locking a site accidentally, check the current storage or user count for the site before changing the quota values.

To view existing quota values for a site, use SharePoint Central Administration to view the current values and the current amount of storage used and number of users.

About managing locks

You can use locks to stop sites from exceeding your storage quota limits, and to block all users from accessing a site if necessary. Windows SharePoint Services locks sites automatically when they exceed the maximum storage quota. You can also lock a site manually if, for example, it is in violation of site use policies. Depending on the type of lock, the result of a locked site is different:

  • When a site is locked for exceeding a storage quota limit, users who attempt to upload new content see a disk full error.
  • When a site is locked manually, users who attempt to view the site will see an access denied message.

You can unlock sites by different methods, depending on the reason for the lock. Site administrators can unlock sites by themselves if the sites are locked for exceeding quota limits. Only a server administrator can clear a manual lock.

Related Topic

Manage site quotas and locks


Migrate a Web site

Migrate a Web site

If you have been using SharePoint Team Services v1.0 from Microsoft, you probably have several Web sites that you need to move to new servers running Microsoft Windows SharePoint Services. You may also have new Web sites based on Windows SharePoint Services that you want to move to another URL or another Internet Service Provider, for example. To accomplish these tasks, you use the Microsoft SharePoint Migration Tool (smigrate.exe). For more information, see "Migrating and Upgrading Web Sites" in the Windows SharePoint Services Administrator's Guide.

For larger scale site migration in Windows SharePoint Services, such as moving a block of sites to a new server, use the full backup and restore features for Windows SharePoint Services. For more information, see "Backing Up and Restoring Web Sites" in the Windows SharePoint Services Administrator's Guide.

The Windows SharePoint Services Administrator's Guide is available at Microsoft SharePoint Products and Technologies on Microsoft TechNet.


About migrating Web sites

About migrating Web sites

If you have been using SharePoint Team Services v1.0 from Microsoft, you probably have several Web sites that you need to move to new servers running Microsoft Windows SharePoint Services. You may also have new Web sites based on Windows SharePoint Services that you want to move to another URL or another Internet Service Provider, for example. To accomplish these tasks, you use the Microsoft SharePoint Migration Tool (smigrate.exe). For more information, see "Migrating and Upgrading Web Sites" in the Windows SharePoint Services Administrator's Guide.

For larger scale site migration in Windows SharePoint Services, such as moving a block of sites to a new server, use the full backup and restore features for Windows SharePoint Services. For more information, see "Backing Up and Restoring Web Sites" in the Windows SharePoint Services Administrator's Guide.

The Windows SharePoint Services Administrator's Guide is available at Microsoft SharePoint Products and Technologies on Microsoft TechNet.


About authentications methods

About authentications methods

You configure authentication for Web sites based on Microsoft Windows SharePoint Services by configuring authentication methods in Internet Information Services (IIS). Windows SharePoint Services uses the authentication method you specify for a virtual server in IIS to control authentication for all top-level Web sites and subsites of that virtual server. Windows SharePoint Services works with the following authentication methods in IIS:

  • Anonymous authentication
  • Basic authentication
  • Integrated Windows authentication
  • Certificates authentication (SSL)

You can change authentication methods for virtual servers hosting Web sites based on Windows SharePoint Services, and you can change the authentication method used for the SharePoint Central Administration site. You can also enable Secure Sockets Layer (SSL) security in IIS to help protect your sites or the administration port for your server.

About changing authentication methods

Each virtual server can use a different authentication method in Internet Information Services (IIS). You can even enable multiple authentication methods if you are using the same Web site content in more than one environment. For example, if you have a Web site that is primarily for internal use within your organization, you would most likely choose Integrated Windows authentication. If, however, your use of the site changes, and you must allow your organization's members to access the site externally through a firewall, you might also want to enable Basic authentication.

Note Basic authentication is less secure than Integrated Windows authentication. For this scenario, it is recommended that you use Basic authentication with SSL to help make your environment more secure.

When you change authentication methods in IIS, you do not need to change any settings in Windows SharePoint Services. For example, if you decide to use Integrated Windows authentication instead of Basic authentication, you make the change only in IIS.

Related Topic

Change authentication methods


Configure online presence information

Configure online presence information
  1. On the SharePoint Central Administration page, in the Virtual Server Configuration section, click Configure virtual server settings.
  2. On the Virtual Server List page, click the name of the virtual server you want to configure.
  3. In the Virtual Server Management section, click Virtual server general settings.
  4. In the Person Name Smart Tag and Presence Settings section, select Yes.
  5. Click OK.


About managing and customizing search

About managing and customizing search

Microsoft Windows SharePoint Services enables users to search all Web site content on a server or server farm. Windows SharePoint Services offers a broader search capability than that offered in SharePoint Team Services 1.0 from Microsoft. In SharePoint Team Services, searching was implemented by using Internet Information Services (IIS) catalogs. This limited search to documents on the file system; users were not able to search through lists, such as tasks and contacts, or through discussion board items. Because all site information, including documents is now stored in a database, search in Windows SharePoint Services allows searching of all site content.

  • If you have Microsoft Office SharePoint Portal Server 2003 installed, you can use the search features included with SharePoint Portal Server to search your Web sites from a portal site.
  • If you are running Microsoft SQL Server 2000, Windows SharePoint Services uses the SQL Server 2000 full-text searching features to search for Web site content.

Search features are only available for Windows SharePoint Services with SQL Server 2000. If you are running Microsoft SQL Server 2000 Desktop Engine (Windows) (WMSDE), no search features are available.

Understanding Search in Windows SharePoint Services

Search is available per server or server farm. This means that search is either turned on or off for all top-level Web sites and subsites in your server or server farm. If search is not enabled, the search links do not appear in the Web sites that reside on that virtual server.

Search can query most lists and all document libraries on your site. Search cannot query lists of lists such as the Quick Launch bar or surveys. Users can search the entire site or a single list within the site. For example, you can search for a particular contact in the Contacts list.

Searching with SQL Server 2000

If you are using SQL Server 2000, you can enable full-text searching for your Web sites. SQL Server 2000 full-text searching is a good solution for searching Windows SharePoint Services Web sites in small or medium organizations; however, SQL Server 2000 full-text searching does not scale well to large server farms. Search catalogs can use up to 40 percent of the hard disk space that data uses. There is a hard limit of 256 search catalogs per server. In addition, you encounter performance issues when you reach 1 million rows in the search catalog table. If you are running a large server farm, it is not recommended that you offer search features for all of the Web sites in your server farm. Consider adding search for premium customers if you are an Internet service provider (ISP) or Application service provider (ASP), or for only a limited number of sites if you are hosting Web sites based on Windows SharePoint Services inside a large organization.

SQL Server 2000 full-text searching supports only one language for each database. If you are supporting Windows SharePoint Services Web sites in several languages and you want to enable full-text searching in those languages, consider hosting each language on a separate virtual server with a separate database per language.

SQL Server 2000 uses language resources on full-text search catalogs. The following list includes the languages for which language resources are available:

  • Neutral
  • Dutch
  • English (UK)
  • English (US)
  • French
  • German
  • Italian
  • Japanese
  • Korean
  • Simplified Chinese
  • Spanish (Modern Sort) - Spain
  • Swedish
  • Traditional Chinese
  • Thai

The neutral language resources package is provided for use with languages not on this list.

When you enable full-text searching in Windows SharePoint Services, an empty catalog is created by default and named ix_databasename. SQL Server 2000 then indexes the existing site content and adds content to this catalog as it is added to your new Web site. Aside from enabling and disabling full-text search, any search management or monitoring must be done from within SQL Server 2000 with the SQL Server administration tools.

Related topic

Integrate with search and portal products

See Also

SharePoint Portal Server Help documentation
SQL Server 2000 documentation
SQL Server Books Online system


Specify content database settings

Specify content database settings

Specify a default content database server

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Server Configuration, click Set default content database server.
  3. In the Content Database Server section, type the database server name.

    If you are using Microsoft SQL Server authentication, you must also supply the administrator account user name and password.

  4. Click OK.

Create a new content database for a virtual server

You can create multiple content databases for each virtual server. There are two situations in which you create a new content database: when you extend a new virtual server and when your other content databases are getting full. You use a different method to create the content databases in each of these cases.

To create a content database when you extend a virtual server, use the Extend Virtual Server page. For information about extending a virtual server and creating a content database, see About extending a virtual server.

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, click the virtual server that you want to configure.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Manage content databases.
  5. On the Manage Content Databases page, under Content Databases, click Add a content database.
  6. In the Database Information section, select either Use default content database server or Specify database server settings.

    If you select Specify database server settings, type the database server name and database name. If you are using SQL Server authentication, you must also supply the administrator account user name and password.

  7. In the Database Capacity Settings section, type a number in the Number of sites before a warning event is generated box.
  8. Type a number in the Maximum number of sites that can be created in this database box.
  9. Click OK.

Change settings for a content database

You can also change database connection settings and warning and maximum site levels for a content database.

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, select the virtual server that you want to configure.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Manage content databases.
  5. On the Manage Content Databases page, under Content Databases, click the database that you want to change.
  6. To change database status, in the Database Status box, select Ready or Offline.
  7. To change the number of sites allowed for a content database, in the Database Capacity Settings section, type a new warning and maximum number.
  8. Click OK.

Remove a content database

Note that when you remove a content database, the site data stored in that database is not deleted. You can reconnect to the content database later to restore the sites.

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, select the virtual server that you want to configure.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Manage content databases.
  5. On the Manage Content Databases page, under Content Databases, select the database that you want to change.
  6. On the Manage Content Database Settings page, in the Remove Content Database section, select the Remove content database check box.
  7. Click OK.

You can reconnect to a content database that you have removed by adding it again. To reconnect to an existing content database, use the same database server and database name.


Manage unused Web sites

Manage unused Web sites

You manage unused Web sites at the virtual server level by using the Configure Site Collection Use Confirmation and Auto-Deletion page in SharePoint Central Administration. You must be an administrator on the server computer or a member of the SharePoint Administrators group to access this administration page. By default, both site use confirmation and automatic deletion are turned off.

Open the Configure Site Collection Use Confirmation and Auto-Deletion page

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, click the virtual server that you want to configure.
  4. On the Virtual Server Settings page, under Automated Web Site Collection Management, click Configure site collection use confirmation and deletion.

Enable and configure e-mail confirmation notices

By default, site use confirmation is turned off. To require confirmation of use, you can specify the interval to wait before sending the first notification, and how frequently to continue sending notifications if site use is not confirmed. Notices are sent to the e-mail address specified in the site for the site owner and the secondary owner (if a secondary contact has been identified).

  1. On the Configure Site Collection Use Confirmation and Auto-Deletion page, in the Confirmation and Automatic Deletion Settings section, select the Send e-mail notifications to owners of unused site collections check box.
  2. In the Start sending notifications ___ days after site collection creation, or use is confirmed box, type the number of days to wait before sending notifications after the site is created or use is confirmed.

    For example, if you specify 60 days, when a user creates a site, the first notification will be sent after 60 days. If the user confirms that the site is in use at that time, another 60 days will pass before the user gets another notification.

  3. In the Check for unused site collections, and send notices ____ and run the check at ____ boxes, specify daily, weekly, or monthly, and then specify the time of day to run the check.
  4. Click OK.

You must enable and configure e-mail confirmation notices before you can enable automatic deletion.

Enable and configure automatic deletion

  1. Enable and configure e-mail confirmation notices.
  2. Select the Automatically delete the site collection if use is not confirmed check box.
  3. In the Delete the web after sending ___ notices box, specify how many e-mail notifications to send before deleting the site.
  4. Click OK.

Related Topic

About checking site usage


Manage HTML Viewers

Manage HTML Viewers
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. In the Server Configuration section, click Configure HTML Viewer.
  3. Select the Allow HTML Viewing check box.
  4. In the Path to HTML Viewer Server box, type the full URL to the server hosting HTML viewing.
  5. In the Maximum Cache Size box, type the maximum size to allow for the HTML viewing cache.
  6. In the Maximum File Size box, type the maximum file size to view.
  7. In the Timeout Length box, type the length of time to wait before ending an HTML Viewer process.
  8. Click OK.


About managing unused site collections

About managing unused site collections

In Microsoft Windows SharePoint Services, new administrative options allow you to automatically send notices to site collection owners requiring them to confirm that their sites collections are in use. You can also delete unconfirmed site collections automatically. These features give you a way to control the number of unused Web sites on your server.

Use confirmation is similar to alerts. When you create a site collection, Windows SharePoint Services adds it to the database and logs it as an active site. After a specified time, Windows SharePoint Services sends the site collection owner an e-mail notification asking the owner to either reactivate or delete the unused site collection. The e-mail notification contains links to confirm that a site collection is active or to delete a site collection. After Windows SharePoint Services sends the notification, there are three possible outcomes:

  • If the site is in use, the site collection owner confirms that the site collection is active and Windows SharePoint Services preserves the site collection. When the owner clicks the confirmation link, the certification date of the site is renewed.
  • If the site collection is not in use, the owner can delete the site collection by following the instructions in the e-mail notification, or do nothing. The owner continues to receive periodic e-mail notifications according to the interval specified by the virtual server administrator until the owner confirms that the site collection is in use or deletes the site collection.
  • If the site collection is not in use, and you turn on the automatic deletion feature, Windows SharePoint Services queries the site collection owner a specific number of times. If the site collection owner does not confirm site collection use, Windows SharePoint Services automatically deletes the site collection.

You can use automatic deletion to delete unneeded site collections without any administrative intervention and without any backup mechanism. To prevent a site collection from being deleted without any notification, you must turn on site collection use confirmation before you can turn on automatic deletion. Also, Windows SharePoint Services must always send the site collection owner mat least two confirmation notices before deleting a site collection. You can configure automatic deletion from SharePoint Central Administration pages or from the command line. For more information, see the Windows SharePoint Services Resource Kit. In addition to these basic safeguards included as defaults, it is recommended that you consider the following best practices:

  • Require a secondary contact when users create site collections.

    By default, the site collection creator is listed as site collection owner. Depending on your configuration, the user must also specify a secondary contact for the site collection. Windows SharePoint Services automatically sends confirmation notifications to the site collection owner and the secondary contact, if one exists.

  • Set reasonable intervals between confirmations and before automatic deletion.

    For example, if a site collection owner is unavailable for four weeks, and Windows SharePoint Services deletes site collections after four missed weekly confirmations, Windows SharePoint Services may delete the site collection without allowing the owner a chance to confirm usage. If you enable this feature inside a corporation, make sure you consider your organization's policies regarding vacations and leaves of absence when you configure the intervals for confirmation and deletion.

  • Back up site collections regularly, so you can restore a recent copy if Windows SharePoint Services deletes a site collection unintentionally.

    For example, if you configure confirmation and automatic deletion to happen on the fifth day of each month, back up your server on the fourth day. To automate this process, create a stored process in Microsoft SQL Server to check the sites table and automatically back up any items scheduled for deletion.

Configuring site collection use confirmation and deletion

It is recommended that you configure the following settings to control how much time elapses between site collection usage confirmation and automatic deletion:

  • When to begin sending site collection use confirmation notices

    The initial notification value controls when Windows SharePoint Services sends the first confirmation notice to a site collection. This value does not control the frequency of notifications, only the number of days to wait before the first notification.

  • How frequently to check for site collections needing confirmation and how frequently to send out notifications

    The frequency value affects both how often Windows SharePoint Services checks the server and how often Windows SharePoint Services sends confirmation notices. If you set the frequency to weekly, Windows SharePoint Services checks the server weekly, and Windows SharePoint Services also sends notifications weekly, immediately after checking the server.

  • What time to perform the check and to send out notifications

    Change this time to suit your environment. For example, if most of your users are online and use the server during the day, pick a time during the night when the server is not as busy.

  • How many notifications to send before allowing automatic deletion

    Adjust this number to ensure site collection owners receive notification before Windows SharePoint Services deletes a site collection. The number of notifications also depends on the frequency, so if you specify daily checks, with thirty reminders before deletion, Windows SharePoint Services notifies the site collection owner every day for a month before deleting the site collection.

Configure these times according to the requirements of your organization. In a large organization, where users may need long term storage of data, specify longer intervals. For example, send notifications at 180 days, notify every month, and delete after six months without a confirmation. If you host free sites for customers, you may choose to shorten these intervals. For example, send notifications at 45 days, notify weekly, delete after four weeks. If you host paid sites for customers, you may not use this feature, unless you have an automated backup strategy that allows you to restore sites on request.

The following table shows each of these settings as you see them on the Configure Site Collection Use Confirmation and Auto-Deletion page and the default and minimum values.

Setting | Default value | Minimum value
Start sending notifications ___ days after site collection creation, or use is confirmed | 90 days | 30 days
Check for unused site collections, and send notices <Daily Weekly Monthly> and run the check at <time> | Weekly 12:00 AM | Daily
Delete the site collection after sending ___ notices | 4 | Daily minimum: 28 Weekly minimum: 4 Monthly minimum: 2

In a scenario using the default values above, Windows SharePoint Services sends the first notice at 90 days. Windows SharePoint Services sends additional notices every week for five additional weeks. On the sixth week after the initial notification, if the site collection owner or secondary contact does not confirm site collection usage, Windows SharePoint Services deletes the site collection. If at any point the site collection owner or secondary contact confirms site collection usage, Windows SharePoint Services resets the count, and does not send another e-mail notification for 90 days.

Note If for any reason Windows SharePoint Services cannot send the e-mail notification, then Windows SharePoint Services does not increment the count. For example, if Windows SharePoint Services sends three notices, and fails to send the fourth notification, the count is not incremented until such time as Windows SharePoint Services successfully sends the fourth notice.

Microsoft SharePoint Timer service performs timed jobs such as the confirmation and automatic deletion feature. The times and intervals you specify here follow the same rules as any other job performed by using the SharePoint Timer service in Windows SharePoint Services.

Related Topics

About enabling Self-Service Site Creation
Schedule timed jobs


About backing up the configuration and content databases

About backing up the configuration and content databases

In Microsoft Windows SharePoint Services, all server and site configuration information is stored in the configuration database, and all site content is stored in content databases. If you want to back up all the Windows SharePoint Services information on your server or server farm, you must back up these databases by using the Microsoft SQL Server 2000 backup and restore tools.

Notes

  • You must be running SQL Server 2000 SP3 to back up and restore the databases used by Windows SharePoint Services. If you are running Microsoft SQL Server 2000 Desktop Engine (Windows) (WMSDE), you can use the client tools for SQL Server 2000 to back up and restore WMSDE databases, but there is no provision for backing up and restoring from WMSDE itself.
  • To back up and restore the configuration and content databases, you must be logged on using an account that is a member of the db_admin role in SQL Server.

Note You can also back up and restore individual Web sites that are hosted on your server or server farm. This backup and restore method is not dependent on the type of database that you are using. You can perform this backup and restore even if you are running WMSDE instead of SQL Server 2000.


Configure a virtual server

Configure a virtual server
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. In the Virtual Server Configuration section, click Configure virtual server settings.
  3. On the Virtual Server List page, click the name of the virtual server you want to configure.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Virtual server general settings.
  5. In the Default Time Zone section, select the time zone to use for all sites and subsites under the virtual server.
  6. In the Default Quota Template section, select the quota template to use as a default for sites.

    If there are no quota templates, you can create a template by using the Manage Quota Templates page. Note that when you specify a default template for the virtual server, you can still select a different template when you create a site.

  7. In the Person Name Smart Tag and Presence Settings section, select Yes or No next to Enable Person Name Smart Tag and Online Status for Members to show that information for all sites under the virtual server.
  8. In the Maximum Upload Size section, type the maximum file size to allow.
  9. In the Alerts section, specify settings for alerts:
    • Select On or Off to allow or disallow alerts for all sites under this virtual server.
    • If you choose to allow alerts, and want to limit the number of alerts that users can create, enter a value under Maximum number of alerts that a user can create. To allow an unlimited number of alerts, select Unlimited number.
  10. In the Web Page Security Validation section, specify the following settings:
    • Select On or Off to allow or disallow Web page security validation.
    • To set the expiration time, select After, and then type the length of time to wait before the security validations expire, or select Never to keep the validations from expiring.
  11. In the Send User Name and Password in E-Mail section, select Yes or No to allow or disallow this option.
  12. In the E-Mail Enabled Document Libraries section, specify the option to allow attachments to be inserted:
    • Select Yes or No to allow or disallow e-mail attachments.
    • In the Public folder server and root path box, type the name of the computer running Microsoft Exchange Server and the path to the root folder for Exchange Server public folders on that server.
    • If you choose to allow e-mail attachments, specify the frequency and times to check for e-mail attachments in the public folder.
  13. In the Event Handlers section, select On or Off to allow or disallow event handlers. When this feature is enabled, you can write code to handle events, and then specify the code to use for a particular document library in the document library settings.
  14. Click OK.

Related Topic

About virtual server configuration settings


Specify configuration database settings

Specify configuration database settings

Create a configuration database after setting up Microsoft Windows SharePoint Services using the remotesql=yes command line parameter

  1. When Setup finishes, the Configure Admin Virtual Server page appears.
  2. In the Application Pool section, select Use an existing application pool or Create a new application pool.
    • If you selected Use an existing application pool, select the application pool to use. You must then restart Internet Information Services (IIS) for the change to take effect.
    • If you selected Create a new application pool, under Application pool name, type a name for the application pool. Under Select a security account for this application pool, select a type, and then enter the required information. You must then restart Internet Information Services (IIS) for the change to take effect.

      Note that if you select Configurable, you must specify an account that is a member of the Security Administrators and Database Creators roles for the Microsoft SQL Server database. It is recommended that you use a dedicated account for this account, rather than a user's logon account, and that you use the same account for each application pool that hosts the same content.

    • Click OK.

    After you configure the administrative virtual server, you must restart IIS by typing iisreset on the command line. After you reset IIS, you can click the link on the Application Pool Changed page to continue configuring Microsoft Windows SharePoint Services.

    Note To complete this procedure, you must be logged on as a member of the Administrators group on the local computer, or you must be logged on using an account that is both a member of the SharePoint administrators group and that has been granted permissions to administer IIS.

  3. After IIS has been restarted, on the Application Pool Changed page, click OK.
  4. On the Set Configuration Database Server page, in the Configuration Database section, type the server name and database name to use.
  5. Under Database connection type, select Use Windows authentication (recommended security level) or Use SQL authentication (less secure).

  6. If you selected Use SQL authentication (less secure), you must also type the database account user name and password.

  7. In the Active Directory Account Creation section, select one of the following options:
    • If you are using a Microsoft Windows domain, select Users already have domain accounts. Do not create active directory accounts.
    • If you are using Microsoft Active Directory directory service outside of a Windows domain, select Automatically create active directory accounts for users of this site.

  8. If you selected Automatically create active directory accounts for users of this site, you must fill in the Active Directory Domain and Organization Unit information.

  9. Click OK.

Connect to a configuration database

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. Under Server Configuration, click Set configuration database server.
  3. In the Configuration Database section, type the server name and database name for the existing configuration database.
  4. Under Database connection type, select Use Windows integrated authentication (more secure, recommended) or Use SQL authentication (less secure).

  5. If you selected Use SQL authentication (less secure), type the database account user name and password.

  6. Select the Connect to existing configuration database check box.
  7. Click OK.

Use the command line to create or connect to a configuration database

You use the same operation on the command line to create or connect to a configuration database. The setconfigdb operation allows you to perform either action, depending on the parameters that you include. The setconfigdb operation takes the following required parameters: databaseserver (ds), databaseuser (du), and databasepassword (dp). (Note that the -du and -dp parameters are required only if you are using SQL Server authentication; they are not used with Windows authentication.) In addition, you can use the following optional parameters: connect, databasename (dn), and hh, which specifies that you are in server farm mode.

To create a new configuration database and specify a name for the database, use the following syntax:

stsadm -o setconfigdb -ds <database server> -dn <database name>
-du <database user> -dp <database user password>

For example, to create a new configuration database called "config1" at http://mydomain, on the Sql_02 database server, using Windows authentication, type:

stsadm -o setconfigdb -ds mydomain -dn config1

To connect to an existing configuration database, use syntax that is similar to the following:

stsadm -o setconfigdb -connect -ds <database server>
-dn <database name> -du <database user>
-dp <database user password>

Note that the -do and -du parameters in the example above are not required when using Windows authentication.


About options for removing Microsoft Windows SharePoint Services

About options for removing Microsoft Windows SharePoint Services

There are different degrees to which you can remove Microsoft Windows SharePoint Services. Depending on your needs, you can choose from the following options:

  • Remove Windows SharePoint Services from a virtual server and preserve the site content.

    You can choose to remove Windows SharePoint Services, but keep the site content in the content database. This allows you to extend the virtual server again later and reconnect to the site content. If you leave the content databases intact, you can reconnect to them, from the same virtual server or from a different virtual server, and continue hosting the site content using the same URL. Use this method to temporarily remove and then restore a virtual server, or to change which virtual servers are hosting which content in a server farm setting.

  • Remove Windows SharePoint Services from a virtual server and delete the site content.

    You can choose to remove Windows SharePoint Services and delete the site content in the database. Use this method to remove a virtual server permanently, but continue using Windows SharePoint Services on other virtual servers. For example, use this method if you are finished with a project and no longer need the associated Web sites.

    Caution When you use this method, you cannot reconnect to the site content later. If you choose to delete the content databases, you are permanently deleting the site content, and cannot recover the site data except from a backup.

  • Remove Windows SharePoint Services completely from a server.

    You can choose to remove Windows SharePoint Services by using the Add or Remove Programs in Control Panel. This method does not delete site content. You can reinstall and reconnect to the site content. Use this method to repair an installation or to remove a front-end Web server from a server farm.

All of these methods leave the virtual server or server in a clean state, ready to be used for other Web sites or applications; however, each method affects the content and configuration databases in a different way.

The most secure approach to removing Windows SharePoint Services is to combine two of the preceding methods: First remove Windows SharePoint Services and the associated site content from each virtual server, and then remove Windows SharePoint Services completely from the server computer.

Related Topics

Remove Windows SharePoint Services

See Also

Microsoft Windows SharePoint Services Administrators Guide


Extend a virtual server

Extend a virtual server

Before extending a virtual server, you must first make sure that you've created it in Internet Information Services (IIS). Also, if you are adding a server to a farm, you must connect the content database to the virtual server before extending.

Note To complete this procedure, you must be logged on as a member of the Administrators group on the local computer, or you must be logged on using an account that is both a member of the SharePoint administrators group and that has been granted permissions to administer IIS.

Create a virtual server in IIS

If you are adding a new virtual server to an existing server, you must create the virtual server in IIS first. To do this, create a folder on your hard disk (usually under the \Inetpub folder) to store the virtual server's files and then add the virtual server in IIS.

How?

  1. Click Start, point to All Programs, point to Administrative Tools, and then click Internet Information Services (IIS) Manager.
  2. Click the plus sign (+) next to the server name to which you want to add a virtual server.
  3. Right-click the Web Sites folder, click New, and then click Web site.
  4. Click Next.
  5. In the Description box, type the description of your virtual server, and then click Next.
  6. In the Enter the IP address to use for this Web site box, select the IP address that you want to use, or use the default (All Unassigned).
  7. In the TCP port this Web site should use (Default: 80) box, type the port number to assign to the virtual server.

    You do not need to assign a host header, because Microsoft Windows SharePoint Services handles the hosting.

  8. Click Next.
  9. In the Path box, type (or browse to) the path on your hard disk where the site content will reside.
  10. To disallow anonymous access to your virtual server, clear the Allow anonymous access to this Web site check box.
  11. Click Next.
  12. On the Permissions panel, select the permissions to use, and then click Next.

    The default permissions, Read and Run Scripts (such as ASP), are recommended. Windows SharePoint Services adds the Execute (such as ISAPI applications or CGI) permission automatically to the appropriate folders.

  13. Click Finish.

For more information about creating Web sites on servers running the Microsoft Windows Server 2003, see Help for IIS.

Connecting to a configuration database (server farm only)

If you are adding a server to a server farm, and provisioning the first virtual server for that server, you must connect to the configuration database for your server farm before you can extend the virtual server. To connect to a configuration database, use the Set Configuration Database Server page. For more information, see Specifying configuration database settings. After you have connected to the configuration database, you can extend the virtual server.

Remove FrontPage Server Extensions (if installed)

Note If you wish to preserve the content from your FrontPage 2002 Server Extensions-based site, use the Microsoft SharePoint Migration tool (smigrate.exe) to migrate the content to your new Windows SharePoint Services-based site before uninstalling. For information on smigrate, see About migrating Web sites.

  1. Click Start, and then click Run.
  2. In the Run window, type cmd and then click OK.
  3. Change to the directory where FrontPage Server Extensions are installed. For example:

    cd ..\..\program files\common files\microsoft shared\web server extensions\50\bin

  4. Type the owsadm.exe command to uninstall FrontPage Server Extensions:

    owsadm.exe -o fulluninstall -p <port number>

    Where "<port number>" represents the port number used by the virtual server running FrontPage Server Extensions.

Extend and create a content database by using SharePoint Central Administration

  1. On the SharePoint Central Administration page, click Extend or upgrade virtual server.
  2. On the Virtual Server List page, click the name of the virtual server to extend.
  3. On the Extend Virtual Server page, in the Provisioning Options section, select Extend and create a content database.
  4. In the Application Pool section, select either Use an existing application pool or Create a new application pool.

    Notes

    • When using Windows SharePoint Services with SharePoint Portal Server, re-use the MSSharePointPortalServerAppPool application pool created by SharePoint Portal Server. This application pool can be managed by clicking on Configure Server Farm Account Settings in SharePoint Portal Server Central Administration.
    • In most other installations, it is recommended that you create a new application pool for each virtual server, so that they run in separate processes. This application pool should use a domain account, but it does not need to have database creation rights in Microsoft SQL Server — the administration virtual server account creates any databases that are required.

  5. If you selected Use an existing application pool, select the application pool to use. If you selected Create a new application pool, type the new application pool name, user name, and password to use.

  6. In the Site Owner section, in the User name box, type the user name for the site owner (in the format DOMAIN\username if the username is part of a Windows domain group).
  7. In the E-mail box, type the e-mail address that corresponds to the account.
  8. In the Database Information section, type the following database connection information or select the Use default content database server check box:
    • In the Database server box, type the server name for your server computer.
    • In the Database name box, type the name to use for your content database.
  9. To specify a path for the URL, in the Custom URL path box, type the path to use.
  10. If you are using quotas, select a template in the Select a quota template box of the Quota Settings section.
  11. In the Site Language section, select the language to use.
  12. Click OK.

The virtual server is extended, a site is created at the root of the virtual server, and the browser window returns to the Virtual Server Settings page, where you can configure default settings for new top-level Web sites.

When you connect to an existing content database, you do not need to create a top-level Web site. After you extend the virtual server, the virtual server hosts the existing sites in the database.

Extend and connect to an existing content database by using SharePoint Central Administration

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. Click Extend or upgrade virtual server.
  3. On the Virtual Server List page, click the virtual server that you want to extend.
  4. On the Extend Virtual Server page, click Extend and connect to existing content database.
  5. On the Extend and Connect to Existing Content Database page, in the Server Mapping section, in the Host name or IIS virtual server name box, select the name of the host or virtual server that you want to use.
  6. In the Application Pool section, select either Use an existing application pool or Create a new application pool.

    Notes

    • When using Windows SharePoint Services with SharePoint Portal Server, re-use the MSSharePointPortalServerAppPool application pool created by SharePoint Portal Server. This application pool can be managed by clicking on Configure Server Farm Account Settings in SharePoint Portal Server Central Administration.
    • In most other installations, it is recommended that you create a new application pool for each virtual server, so that they run in separate processes. This application pool should use a domain account, but it does not need to have database creation rights in Microsoft SQL Server — the administration virtual server account creates any databases that are required.

  7. If you selected Use an existing application pool, select the application pool to use. If you selected Create a new application pool, type the new application pool name, user name, and password to use.

  8. Click Submit.

The virtual server is extended and can now provide the same content as the other virtual servers pointing to that content database. You can add a new top-level Web site to the virtual server if you need to, and it will be hosted by any virtual server that is connected to the content database.

Extending a virtual server from the command line

You can extend virtual servers from the command line by using the extendvs operation. The extendvs operation allows you to extend a virtual server and either connect to an existing content database or create a new content database, specify the language for the top-level Web site, and specify a template to use for the top-level Web site. The extendvs operation takes the following required parameters: url, ownerlogin, owneremail and the following optional parameters: ownername, databaseserver (ds), databaseuser (du), databasepassword (dp), databasename (dn), lcid, sitetemplate, donotcreatesite, apcreatenew, apidname, apidtype, apidlogin, and apidpwd.

The lcid parameter allows you to specify a language to use for the default top-level Web site. For example, to specify U.S. English as the language to use, type -lcid 1033 on the command line. If you do not specify a locale ID (LCID) by using the lcid parameter, the language of the server is used for the default top-level Web site.

The donotcreatesite parameter allows you to extend a virtual server and create a content database without a top-level Web site. Use this parameter when you are setting up a server farm and hosting sites with URLs like http://server_name/site1, http://server_name/site2, and so on. (To use this site naming scheme, you must create a wildcard inclusion for the path under which you create the sites. For more information about inclusions, see About managed paths.)

The sitetemplate parameter allows you to extend a virtual server, create a top-level Web site, and apply a site template to the top-level Web site during site creation. If you do not use the sitetemplate parameter, the site owner can choose a site template when he or she first goes to the site.

To extend a virtual server and use the default content database server and default application pool, use the following syntax:

Stsadm –o extendvs -url <url> -ownerlogin DOMAIN\username -owneremail
 someone@example.com [-ownername <full name>]

To extend a virtual server, specify a content database name and server, and create a new application pool, use the following syntax:

stsadm -o extendvs -url <url> -ownerlogin DOMAIN\user -owneremail
 someone@example.com [-ownername <full name>] -ds <database server name>
 [-du <database user name> -dp <password>] -dn <database name>
 -lcid <lcid> -sitetemplate sts -apcreatenew -apidname <application pool name>
 -apidtype <configurableid/NetworkService/LocalService/LocalSystem>
 -apidlogin <DOMAIN\name> -apidpwd <password>

Note that you do not need the -du and -dp parameters if you are using Windows authentication to connect to the SQL Server databases.

To extend a virtual server and create a new application pool, use the following syntax:

stsadm -o extendvs -url <url> -ds <database server name>
 [-du <database user name> -dp <password>] -dn <database name>
 -ownerlogin <owner login as DOMAIN\username> -owneremail <e-mail address
 as someone@example.com> -ownername <owner's full name as "Owner
 Name"> -lcid <lcid>

If you are in a server farm environment, you can use the extendvsinwebfarm operation. The extendvsinwebfarm operation uses the following syntax:

stsadm -o extendvsinwebfarm -url <url> -vsname <virtualservername>
 [-apcreatenew] [-apidname <app pool id>]
 [-apidtype <configurableid/NetworkService/LocalService/LocalSystem>]
 [-apidlogin <app pool user account>]
 [-apidpwd <app pool password>]

Related Topics

Specify configuration database settings
Specify content database settings
Configure a virtual server
Create a site


Manage site quotas and locks

Manage site quotas and locks

Microsoft Windows SharePoint Services allows you to specify quotas for sites, so that you can manage site and server resources. You can create multiple sets of quotas, called quota templates, and use them in different areas of the server farm, or to suit different users. You can use locks to stop sites from exceeding your storage quota limits, and to block all users from accessing a site if necessary.

Create a quota template

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Component Configuration, click Manage quotas and locks.
  3. On the Manage Quotas and Locks page, click Manage Quota Templates.
  4. On the Manage Quota Templates page, in the Template name area, click Create a new quota template.
  5. In the Template to start from box, select a template to base your new template on.
  6. In the New template name box, type the name to use for your new quota template.
  7. Select the Limit site storage to a maximum of: ___ MB check box, and then type the amount of storage to allow at a maximum.
  8. In the Storage Limit Values section, select the Send warning e-mail when site storage reaches ___ MB check box, and then type the amount of storage to allow before sending a warning e-mail message.
  9. In the Invited User Limits section, select the Limit invited users to a maximum of: ___ users, and then type the number of users to allow.

    Note The user limit option is available only in Active Directory account mode.

  10. Click OK.

    When you click OK, the new template is added to the list of available templates, and the page is refreshed.

Delete a quota template

You can delete a quota template if you change your quota structures. However, remember that deleting a quota template does not delete quota values from sites that were created using the quota template. To remove quotas from all sites using a particular quota template, you must use the object model and perform a SQL Server query.

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Component Configuration, click Manage quotas and locks.
  3. On the Manage Quotas and Locks page, click Manage Quota Templates.
  4. On the Manage Quota Templates page, in the Template name area, click Edit an existing template.
  5. In the Template to modify box, select the quota template you want to delete.
  6. Click Delete.

    When you click OK, Windows SharePoint Services removes the quota template from the list of available templates, and the page is refreshed.

Change an existing quota template

You can change individual quota values in a template. The new values apply only to new top-level Web sites created by using the quota template. Windows SharePoint Services does not apply the changed values to existing sites unless you use the object model to update the values in the database.

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Component Configuration, click Manage quotas and locks.
  3. On the Manage Quotas and Locks page, click Manage Quota Templates.
  4. On the Manage Quota Templates page, in the Template name area, click Edit an existing template.
  5. In the Template to modify box, select the quota template to change.
  6. Update the options you want to change, and then click OK.

    When you click OK, Windows SharePoint Services updates the template, and refreshes the page.

Specifying a quota template for a virtual server

When you extend a new virtual server, you can specify a quota template to use as the default quota template for that virtual server on the Extend and Create Content Database page. Any new top-level Web sites that you create under the virtual server automatically use the values in the default quota template. You can change the default quota template for a virtual server from the Virtual Server Settings page. Changing the default quota template does not change quota values for existing top-level Web sites. Only newly created top-level Web sites use the new quota template.

Change the default quota template for a virtual server

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, select the name of the virtual server you want to change.
  4. Under Virtual Server Management, click Virtual server general settings.
  5. In the Default Quota Template section, select the quota template to use as the default template when new top-level Web sites are created.
  6. Click OK.

View current quota values and data for a site

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Component Configuration, click Manage quotas and locks.
  3. On the Manage Quotas and Locks page, click Manage Site Collection Quotas and Locks.
  4. In the Select a top-level Web site section, type the URL in the Enter the top level Web site URL box, and then click View Data.
  5. In the Site Quota Information section, view the settings listed to see the quota settings and current values.

To view the current data for a site, you can also use the Site Collection Usage Statistics Summary page for the top-level Web site.

View quota data for a site

  1. On the site you want to view data for, click Site Settings.
  2. In the Administration section, click Go to Site Administration.
  3. In the Site Collection Administration section, click View site collection usage summary.

Change quota values for a site

After you check the site quota data, you can change the quota values for a site. Note that this action does not change the quota template, and the change does not affect any site except the site you specify.

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Component Configuration, click Manage quotas and locks.
  3. On the Manage Quotas and Locks page, click Manage Site Collection Quotas and Locks.
  4. In the URL of top-level Web site section, type the URL in the Enter the top-level Web site URL box, and then click View Data.
  5. In the Site Quota Information section, change the Limit storage to a maximum of __ MB amount, Send warning e-mail when site storage reaches __MB amount, or Maximum users allowed amount setting.

    Note The user limit option is available only in account mode for Active Directory directory service.

  6. Click OK.

Lock a site manually

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Component Configuration, click Manage quotas and locks.
  3. On the Manage Quotas and Locks page, click Manage Site Collection Quotas and Locks.
  4. In the URL of top-level Web site section, type the URL in the Enter the top-level Web site URL box, and then click View Data.
  5. In the Site Lock Information section, select Adding content prevented or No access. Choosing No access blocks all access to the site including viewing pages. Choosing Adding content prevented blocks adding new subsites or content, but does not block reading or deleting content.

  6. To add details about the reason for the lock, type an explanation in the Additional lock information: box.

  7. Click OK.

Unlock a site

When a site is locked manually, you can unlock it by using the Site Quota Settings and Locks page.

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Component Configuration, click Manage quotas and locks.
  3. On the Manage Quotas and Locks page, click Manage Site Collection Quotas and Locks.
  4. In the URL of top-level Web site section, type the URL in the Enter the top-level Web site URL box, and then click View Data.
  5. In the Site Lock Information section, select Not locked, and then click OK.

Related Topic

About quotas and locks


Upgrade a server or virtual server

Upgrade a server or virtual server

To upgrade your server to Microsoft Windows SharePoint Services, run Setupsts.exe. Running Setupsts.exe upgrades your server and the default virtual server. If you have additional virtual servers to upgrade, you can upgrade each virtual server individually by using the upgrade operation with the Stsadm.exe command-line tool.

How?

  1. Click Start, point to All Programs, point to Accessories, and then click Command Prompt.
  2. Navigate to the C:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\60\Bin folder.
  3. Type stsadm.exe -o upgrade -url <URL>, where <URL> is the URL of the virtual server you want to upgrade.

Extending a virtual server that is already running Microsoft FrontPage 2002 Server Extensions

If you have an existing virtual server running FrontPage 2002 Server Extensions that you would like to upgrade to Windows SharePoint Services, you must uninstall FrontPage Server Extensions and then extend the virtual server. If you wish to preserve the content from your FrontPage 2002 Server Extensions-based site, use the smigrate.exe tool to migrate the content to your new Windows SharePoint Services-based site before uninstalling. For information on smigrate, see About migrating Web sites.


Specify rights available for site groups

Specify rights available for site groups
  1. On the server computer, click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the SharePoint Central Administration page, in the Virtual Server Configuration section, click Configure virtual server settings.
  3. On the Virtual Server List page, select the virtual server you want to change.
  4. In the Security Settings section, click Manage user rights for virtual server.
  5. Select or clear the box for a specific right to enable or disable it.

    Select or clear the Select All box to enable or disable all rights in the list.

  6. Click OK.


Configure e-mail settings

Configure e-mail settings

If you want to use an Simple Mail Transfer Protocol (SMTP) server in Microsoft Internet Information Services (IIS) to send outbound e-mail messages from Microsoft Windows SharePoint Services, you must configure the SMTP server to allow anonymous access and to allow e-mail messages to be relayed. You can specify the e-mail settings for Windows SharePoint Services by using either SharePoint Central Administration or the command line.

Configure an SMTP server in IIS for use with Windows SharePoint Services

Note To complete this procedure, you must be logged on as a member of the Administrators group on the local computer, or you must be logged on using an account that is both a member of the SharePoint administrators group and that has been granted permissions to administer IIS.

  1. Click Start, point to All Programs, point to Administrative Tools, and then click Internet Information Services (IIS) Manager.
  2. Press the PLUS SIGN (+) next to the server name that contains the SMTP server you want to configure.
  3. Right-click the SMTP virtual server you want to configure, and then click Properties.
  4. On the Access tab, in the Access control section, click Authentication.
  5. On the Authentication dialog box, in the Select acceptable authentication methods for this resource section, verify that Anonymous access is selected.
  6. Click OK.
  7. On the Access tab, under Relay restrictions, click Relay.
  8. In the Select which computer may relay through this virtual server section, select All except the list below.
  9. Click OK to close the Relay Restrictions dialog box.
  10. Click OK to close the Properties dialog box.

Using SharePoint Central Administration to configure e-mail settings

You specify e-mail settings for a server or server farm. You can also specify e-mail settings for a particular virtual server. The virtual server settings override the settings specified on the SharePoint Central Administration pages. Specify virtual server settings when you want a virtual server to use a different SMTP server for alerts than the one specified in the server settings.

Specify e-mail settings for a server or server farm

  1. On the SharePoint Central Administration page, in the Server Configuration section, click Configure e-mail server settings.
  2. In the Outbound SMTP server box, type the name of the Simple Mail Transfer Protocol (SMTP) mail server to use for sending messages.
  3. In the From address box, type the e-mail address from which to send e-mail messages.

    This address appears in the From box of any e-mail messages from the server.

    Note No e-mail messages are sent to this address, so you can use an unmonitored e-mail address if you want.

  4. In the Reply-to address box, type the e-mail address to which users can reply.

    If a user replies to an e-mail message from the server, it is sent to this address. You should use an address that is monitored for the reply-to address.

  5. In the Character set box, select the character set to use.
  6. Click OK.

Specify mail settings for a virtual server

  1. On the SharePoint Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  2. On the Virtual Server List page, click the name of the virtual server you want to configure.
  3. In the Virtual Server Management section, click Virtual server e-mail settings .
  4. In the Mail Settings section, in the Outbound SMTP server box, type the name of the SMTP mail server to use for sending messages.
  5. In the From address box, type the e-mail address from which to send e-mail messages.

    This address appears in the From box of any e-mail messages from the server. No e-mail messages are sent to this address, so you can use an unmonitored e-mail address if you want.

  6. In the Reply-to address box, type the e-mail address to which users can reply.

    If a user replies to an e-mail message from the server, it is sent to this address. You should use an address that is monitored for the reply-to address.

  7. In the Character set box, select the character set to use.
  8. Click OK.

Using the command line to configure e-mail settings

You can also configure e-mail settings from the command line, by using the email operation with Stsadm.exe. The email operation takes the following required parameters:

  • outsmtpserver Outgoing SMTP server
  • outsmtpserver Outgoing SMTP server
  • fromaddress E-mail address from which to send e-mail messages.

    Note fromaddress can be an unmonitored address.

  • replytoaddress E-mail address to which to send replies.

    Note replytoaddress must be a monitored address.

  • codepage Code page to use.

In addition, you can use the optional url parameter to specify settings for a particular virtual server.

The email operation uses the following syntax:

                    stsadm.exe -o email -outsmtpserver <smtp_server>
  -fromaddress <from address> -replytoaddress <reply-to address>
  -codepage <codepage> [-url <url>]

For example, to configure the e-mail settings to use the server \\SMTP_server_name, and to use someone@example.com as both the from and reply to addresses, you would use syntax similar to the following:

                    stsadm.exe -o email -outsmtpserver SMTP_server_name
  -fromaddress someone@example.com
  -replytoaddress someone@example.com
  -codepage 65001

To set the http://server_name virtual server to use a different code page, you would use syntax similar to the following:

                    stsadm.exe -o email -outsmtpserver SMTP_server_name
  -fromaddress someone@example.com -replytoaddress someone@example.com
  -codepage <codepage> -url http://server_name

Related Topic

About configuring e-mail settings


Configure alerts for a virtual server

Configure alerts for a virtual server
  1. On the server that contains the virtual server, click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, click the virtual server you want to configure.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Virtual server general settings.
  5. In the Alerts section, next to Alerts on this server are, click On or Off.
  6. Under Maximum number of alerts that a user can create, specify whether users can have a limited or unlimited number of alerts on the site.
    • If you want to limit the number of alerts users can create, click the option next to the text box and then specify the number of alerts a user can create.
    • If you want users to be able to create as many alerts as they'd like, click Unlimited number.
  7. Click OK.

Important When you remove a user from a site after he or she has create alerts, you must manually delete any alerts that he or she has set up. This is also true for any lists or libraries where you change security settings to limit access. If a user has set up alerts for the list or library, he or she will continue to receive them after you change the security settings. It is important to delete these alerts to prevent unauthorized users from having access to site and user information.

Using the command line to configure alerts

You can manage alerts from the command line by using the GetProperty and SetProperty operations with Stsadm.exe. You can set the following properties to configure how alerts work.

Property | Description
alerts-enabled | Turn alerts on or off.
alerts-limited | Specify whether users are limited to a specific number of alerts.
alerts-maximum | Specify the maximum number of alerts users can create.
job-immediate-notification | Specify how often to check for immediate alerts (in minutes), for example every 5 minutes between 0 and 59.
job-daily-notification | Specify the time of day (using a 24-hour clock) to send out daily alerts, for example daily between 22:00:00 and 06:00:00.
job-weekly-notification | Specify the day of the week and time of day (using a 24-hour clock) to send out weekly alerts, for example weekly between Friday 22:00:00 and Monday 06:00:00.

The following example shows the syntax to use to turn off alerts:

stsadm.exe -o setproperty -p <port> -pn alerts-enabled -pv false

Related Topics

About alerts
About managing alerts
Specifying mail settings


Remove Windows SharePoint Services

Remove Windows SharePoint Services

You can remove Microsoft Windows SharePoint Services from a virtual server by using HTML Administration or the command line administration tool. Both of these tools allow you to either preserve or delete content when you remove Windows SharePoint Services.

Remove Windows SharePoint Services from a virtual server by using HTML administration pages

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, select the virtual server you want to configure.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Remove Windows SharePoint Services from Virtual Server.
  5. On the Remove Windows SharePoint Services from Virtual Server page, select one of the following:
    • Remove without deleting content databases

      This removes only the Windows SharePoint Services folders from the virtual server — the content database remains intact, so you can reconnect to it later using the same virtual server or a different one.

    • Remove and delete content databases

      This both removes the Windows SharePoint Services folders from the virtual server and deletes the content database. You will not be able to reconstruct the sites previously stored on that virtual server unless you have a backup.

  6. Click OK.

Remove Windows SharePoint Services from a virtual server by using the command line

You can use the unextendvs operation with the Stsadm.exe command line utility to remove Windows SharePoint Services from a virtual server. The unextendvs operation takes the -url parameter and the optional -deletecontent parameter. When you use unextendvs without the -deletecontent parameter, it leaves the content databases in place, so that you can reconnect to the content for a virtual server. When you include the -deletecontent parameter, the content databases are removed and the virtual server is removed from the configuration database.

For example, to remove Windows SharePoint Services from a virtual server, but preserve the content databases, use the unextendvs operation with syntax like the following:

stsadm -o unextendvs -url http://servername

To remove Windows SharePoint Services from a virtual server and remove the content databases permanently, use the unextendvs operation with syntax like the following:

stsadm -o unextendvs -url http://servername -deletecontent

When you use the unextendvs operation with the -deletecontent parameter, you cannot reconnect to the site content later.

Uninstall Windows SharePoint Services from the server computer

Note You must be an administrator on the server computer to uninstall Windows SharePoint Services.

If you want to remove Windows SharePoint Services from a server computer entirely, you can uninstall it by using Add or Remove Programs in Control Panel. Uninstalling Windows SharePoint Services does not remove any related products, such as the Microsoft SQL Server 2000 Desktop Engine (Windows) (WMSDE), that were installed. You must uninstall these programs separately.

  1. On the server computer, click Start, click Control Panel, and then click Add or Remove Programs.
  2. Select Windows SharePoint Services, and then click Remove.

Related Topic

About options for removing Microsoft Windows SharePoint Services


About extending a virtual server

About extending a virtual server

Microsoft Windows SharePoint Services uses virtual servers to host Web sites on your server. The process of applying Windows SharePoint Services to a virtual server is called extending. You must extend a virtual server with Windows SharePoint Services before you can create a Web site based on Windows SharePoint Services. When you install Windows SharePoint Services on a single server by using the simple installation method, your default virtual server is extended automatically and a Web site is created. If you are installing Windows SharePoint Services in a more complex environment (for example, hosting multiple sites on a single server, or many sites in a server farm), you must extend each virtual server individually. To extend a new virtual server, perform the following steps:

  1. Create the virtual server in Internet Information Services (IIS).

    Note To complete this procedure, you must be logged on as a member of the Administrators group on the local computer, or you must be logged on using an account that is both a member of the SharePoint administrators group and that has been granted permissions to administer IIS.

  2. If necessary, connect to the configuration database for the server farm.
  3. Extend the virtual server by using SharePoint Central Administration pages or the command line.

How does extending a virtual server interact with the databases?

Windows SharePoint Services relies on databases to store all data for a virtual server, including both configuration settings and site content. When you extend a virtual server and configure a site, you interact with two different databases:

  • Configuration database The configuration database maintains connections between servers and content databases, stores server settings, and identifies which content is to be provided by which virtual servers. There is one configuration database per stand-alone server or per server farm. For more information about the configuration database, see About content and configuration databases.
  • Content database Content databases store data from the sites: both site management data, such as user names and permissions, and content, such as list data and documents from document libraries. You can create as many content databases as you need to support the Web sites on your servers. For a departmental server, you may need only one content database; for a server farm, you may need thousands. For a Web site that is available to members both behind and outside of a firewall (an extranet), you may have one content database linked to two virtual servers with very different URLs. For more information about content databases, see About content and configuration databases.

Before you extend the first virtual server on a server computer, you must create or connect to a configuration database; subsequent virtual servers do not have to be separately registered with the configuration database. When you extend a virtual server, you choose whether to create a new content database or connect to an existing content database.

Connecting to a configuration database (server farm only)

If you are adding a server to a server farm, and provisioning the first virtual server for that server, you must connect to the configuration database for your server farm before you can extend the virtual server. To connect to a configuration database, use the Set Configuration Database Server page. For more information, see Manage the configuration database. After you have connected to the configuration database, you can extend the virtual server.

Extending a virtual server that is already running Microsoft FrontPage 2002 Server Extensions

If you have an existing virtual server running FrontPage 2002 Server Extensions that you would like to upgrade to Windows SharePoint Services, you must uninstall FrontPage Server Extensions and then extend the virtual server. If you wish to preserve the content from your FrontPage 2002 Server Extensions-based site, use the smigrate.exe tool to migrate the content to your new Windows SharePoint Services-based site before uninstalling. For information on smigrate, see About migrating Web sites.

Reasons for extending a virtual server

Generally, you extend a virtual server because you need to add more capacity to your server, whether that server is a departmental server or one of many in your server farm. More capacity can mean either more space for Web site content or more connections to existing Web sites. For example, if you have a site with many visitors, you can have several virtual servers hosting the same content to increase the number of concurrent users that you can support and balance the load for your servers. You can extend a virtual server to do one of the following:

  • Contain new content If you need to provide space for users to create new Web sites, you can extend a new virtual server to contain new content. Note that you can also add space for users by adding more site collections or new content databases to an existing virtual server. For more information about creating top-level Web sites, see About creating sites. For more information about content databases, see Manage the content database.
  • Connect to existing content To have your new virtual server point to a Web site that is already in use, either to allow for more connections to a site or to allow more than one URL to point to a site, you can connect to an existing content database. When you extend a virtual server, you can choose which content database to use. The content databases are actually listed as virtual servers, and the list contains all virtual servers that currently exist on the server (in a single-server setting), or in the server farm. Querying the configuration database generates this list, which is why you must be connected to the configuration database before you can extend a virtual server.

    When you extend and connect to an existing content database, all of the configuration data about the existing virtual server is applied to the new virtual server. Any managed paths are also applied. This means that if virtual server A contains the paths /teams, /sites, and /users, when you extend virtual server B and connect to the content database for virtual server A, virtual server B will also have the /teams, /sites, and /users paths. You can direct a user to either virtual server A or B, and the user will see the same content — A and B are essentially mirrored virtual servers. For more information about URLs in Windows SharePoint Services, see the Windows SharePoint Services Resource Kit.

When you extend a virtual server, you must supply the following information:

  • The application pool to use for the virtual server.
  • The user account and e-mail address for the owner of the default top-level Web site for the virtual server.
  • The content database to use for storing data for sites on the virtual server.
  • Which URL to use for your top-level Web site (optional). The default is to create the top-level Web site at the root of the virtual server, but you can specify a custom URL path instead.
  • Which quota template to apply, if you are using quotas on your server (optional).
  • The language to use for the default top-level Web site (select from the set of Windows SharePoint Services languages installed on your server).
  • Which site template to apply to the top-level Web site (optional). On the command line, you can specify which template to apply to the top-level Web site in the same command that you use to extend the virtual server. You can choose the template from SharePoint Central Administration as well, but you must go to the site to do so.

Related Topics

About content and configuration databases
Specify configuration database settings
Extend a virtual server
About creating sites


Specify usage analysis settings

Specify usage analysis settings
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. In the Component Configuration section, click Configure usage analysis processing.
  3. In the Logging Settings section, select the Enable logging check box.
  4. In the Log file location box, type the location in which to store the log file.

    The default location for the log file is C:\WINDOWS\system32\logfiles\STS.

  5. In the Number of log files to create box, type a number between 1 and 30.

    In general, you should use a number that is one to three times the number of database servers in your server farm, with a maximum number of 30 log files.

  6. In the Processing Settings section, select the Enable usage analysis processing check box.
  7. Under Run processing between these times daily, in the Start box, select the earliest time of day that log processing can begin. In the End box, select the latest time of day that log processing can begin. Be sure to set an interval of at least 30 minutes for the start of usage processing.
  8. Click OK.

Related Topics

About checking site usage
Analyze site usage
Schedule timed jobs


About Secure Sockets Layer connections

About Secure Sockets Layer connections

The Secure Sockets Layer (SSL) protocol provides encrypted and authenticated communication between the client and the server, based on public-key cryptography. To send an encrypted message, the sender encrypts the message with the recipient's public key, and the recipient decrypts the message with the recipient's private key. Only the recipient has the private key that can decrypt the message.

To help guarantee authenticity, a certificate accompanies the public key. A certificate is a digital signature on a digest of the friendly (human readable) name of the participant, together with the participant's public key. The certificate is encrypted with the private key of the certifying authority. To check the authenticity of the public key of the participant, anyone can compute the digest of the friendly name and public key for that participant and can decrypt the certificate for that public key by using the public key of the certifying authority and check that the same digest results.


About HTML Viewers

About HTML Viewers

Included with Microsoft Windows SharePoint Services is the ability to connect to a server running HTML Viewer software, such as Micrsoft Office HTML Viewer. The HTML Viewer software provides support for users who want to view the content of files on the Windows SharePoint Services Web site but do not have Microsoft Word, Microsoft Excel, or Microsoft PowerPoint from Microsoft Office 97 (or a later release of Office) installed on their local computers. Even users who have only a Web browser (Microsoft Internet Explorer or Netscape Navigator) can view content by having the native Office file format converted to HTML on the fly. Although a slight delay occurs while the transformation takes place, the converted file is extremely close to the WYSIWYG formatting of the original. In addition to the process of transforming files on the fly for end users, administrators can use a batch process mode to convert the contents of entire folders to HTML.

Note By default, the HTML Viewer service supports only the following document types: .doc, .xls, .ppt, and .pps.

Transformation of a supported document can take between 1 and 30 seconds, depending on the complexity and size of the document as well as the speed and available resources of the dedicated computer. To provide for this ability and assure a fast response time, it is recommended that you dedicate a separate computer to this service.

For more information on Micrsoft Office HTML Viewer, see Microsoft Office Online.

Related Topics

  • Manage HTML Viewers


Enable document library event handlers

Enable document library event handlers

Enable document library events for a virtual server

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. In the Virtual Server Configuration section, click Configure virtual server settings.
  3. On the Virtual Server List page, click the name of the virtual server you want to configure.
  4. On the Virtual Server Settings page, in the Virtual Server Management section, click Virtual server general settings.
  5. On the Virtual Server General Settings page, in the Event Handlers section, next to Event handlers are, select On.
  6. Click OK.

After you enable the feature, you can write code to handle the events, and then specify the code to use for a particular document library in the document library settings.

Enable document library events for a specific document library

  1. On the appropriate Web site, navigate to the document library you want to monitor.
  2. In the Actions pane, click Modify columns and settings.
  3. In the General Settings section, click Change advanced settings.
  4. In the Event Handler section, in the Assembly name box, type the assembly name for the managed code you are using to handle events for this document library.
  5. In the Class name box, type the class name for the event handler.
  6. In the Properties box, list any appropriate properties for the event handler.
  7. Click OK.

Note Microsoft Windows SharePoint Services preserves event settings when you save a document library as a list template.


About document library event handlers

About document library event handlers

Document library event handler support allows software developers to create software that uses document library events to perform automated actions. When you combine document libraries, customized code for event handling, and possibly XML forms, you can create powerful solutions that are easy for users to work with.

For example, in the healthcare industry, admitting a new patient requires that a lot of paperwork be generated in a specific order. You can write an application that interacts with XML forms stored in a form library to do the following:

  • Track when an employee adds a new admissions form to the document library
  • Extract the insurance information and forward it to the billing application
  • Notify the staff in the appropriate section of the hospital to pull the patient's chart

You can track the following events for document libraries.

Event | Description
Insert | A new document is added to the document library.
Update | An existing document is edited.
Delete | An existing document is deleted.
Move | A document is moved or renamed.
Copy | A document or folder is copied.
Check In | A document is checked in.
Check Out | A document is checked out.
Cancel Check-Out | A document check-out is cancelled by another user

For more information about writing managed code to interact with document library events, see the Microsoft Windows SharePoint Services Software Development Kit.

To allow developers in an organization to use the document library events to write code, you must enable this feature at the virtual server level.


Configure data retrieval services

Configure data retrieval services
  1. On the SharePoint Central Administration page, in the Component Configuration section, click Configure data retrieval service settings.
  2. On the Data Retrieval Service Settings page, in the Enable Data Retrieval Services section, select Enable these data retrieval services.
  3. On the Data Retrieval Service Settings page, in the Response size limit box, specify the size, in kilobytes (KB), to use as the upper size limit for requests and responses to and from the data retrieval service.
  4. To allow updatable queries, select the Enable update query support box.
  5. In the Request time-out box, specify the length of time to allow the data source to respond before timing out, in seconds.
  6. Click OK.

Related topic

About data retrieval services


About anonymous access

About anonymous access

To allow users to contribute to a SharePoint site, list, or library anonymously, you can configure the site to allow anonymous access. Anonymous access allows users to browse sites, respond to surveys, or even contribute to a list without authenticating. However, anonymous users cannot add files to libraries.

To enable anonymous access in Microsoft Windows SharePoint Services, you must first ensure that Internet Information Services (IIS) is configured to allow anonymous access. After you configure IIS, you can enable anonymous access on the Site Administration pages for the Web site, or from the Change Permissions page for a list or library. To change anonymous access settings in IIS, you must be logged on as a member of the local administrators group on the server. To change anonymous access settings in Windows SharePoint Services, you must be a member of the Administrator site group, or a site group with the Manage Site Groups right.

Anonymous access relies on the anonymous user account on the Web server. Internet Information Services (IIS) creates and maintains this account, not Microsoft Windows SharePoint Services. By default in IIS the anonymous user account is IUSR_ComputerName. When you enable anonymous access in Windows SharePoint Services, you are in effect granting that account access to the SharePoint site.

Warning To create a more secure site, list, or library, do not enable anonymous access. Enabling anonymous access allows users to contribute to lists, discussions, and surveys; possibly using up server disk space and other resources. Further, it allows anonymous users to discover site information, including user e-mail addresses and any content posted to lists, and libraries, and discussions.


Specify the SharePoint administrators group

Specify the SharePoint administrators group
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. In the Security Configuration section, click Set SharePoint administration group.
  3. In the Set SharePoint Administrator Group Account section, type the domain user name or group to allow to access to SharePoint Central Administration.
  4. Click OK.

Note You can only assign one domain account as the SharePoint administrators group. To include other members, use a group account and add the additional members to the group account by using User Accounts in Control Panel. You must be logged on as an administrator or a member of the SharePoint Administrator group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.To change the assigned group, follow the steps to specify a group and specify a different domain group. When you specify a new group, the members of the previous group can no longer manage the server or server farm running Microsoft Windows SharePoint Services.


Create a list based on a spreadsheet

Create a list based on a spreadsheet

To create a list based on a spreadsheet, you must have a Windows SharePoint Services-compatible spreadsheet program, such as Microsoft Excel 2002, and Microsoft Internet Explorer 5 or later installed.

Important If you want to use an Excel spreadsheet that has been saved as a Web page, the sheet must not use interactivity (Add interactivity option cleared in the Save As dialog box in Excel).

  1. In the top link bar, click Create.
  2. On the Create Page page, click Import Spreadsheet.
  3. In the Name box, type a name for the list. This field is required.
  4. In the Description box, type text that describes the purpose of the list. This field is optional.
  5. In the Import from Spreadsheet section, click Browse to find the spreadsheet that contains the list you want to import, and then click Open.
  6. Under Navigation, if you want a hyperlink to this list to appear on the Quick Launch bar, click Yes.
  7. Click Import.
  8. In the Import to SharePoint List dialog box, click the range of cells you want to use for your list, and then click Import.
  9. Specify the columns and rows that you want to import.

    How?

    1. Click the Select Range box to select a range of cells to import, and then drag through the spreadsheet areas that you want to import.
    2. If the spreadsheet uses names to represent cells, in the Range Type box, click Named Range.
    3. Click Import.

    A page that displays the default view of your new list is added to the team Web site, and a hyperlink to the new list appears on the Lists page and on the Quick Launch bar if you selected Yes in step 6.


Tour of your SharePoint site

Tour of your SharePoint site

By default, your team Web site includes predefined pages that you can use to work with your team.

The top link bar, which is displayed on every page in your team Web site, contains hyperlinks to each of these pages:

ows10tbd top navigation bar

Home

The Home hyperlink on the top link bar links to the home page of your site. The home page displays the Quick Launch bar, views of the Announcements, Events, and Links lists, and the name and description of your team Web site.

The Quick Launch bar contains hyperlinks to specific pages on your team Web site.

Quick Launch toolbar

When you add a list or library to your site, a hyperlink to it is added to the Quick Launch bar by default.

The name and description you supply when you create your team Web site are displayed on the home page.

Announcements

The five most recent announcements in the Announcements list are displayed on the home page by default. When you create your team Web site, a built-in announcement is displayed. You can edit or delete this as desired.

Events

When you create your team Web site, this list is empty. You can add your team's events to the list.

Links

When you create your site, this list is empty. You can add to this list hyperlinks that go to your team's favorite Web pages.

Documents and Lists

The Documents and Lists hyperlink on the top link bar links to a page that displays all the lists and libraries currently in your site. You can use these lists and create your own lists to share information with your team. You can also create surveys to poll your team.

Create

The Create hyperlink on the top link bar links to a page that enables you to create new components in your site. By using this page, you can create a list that is like any of the built-in lists, create a custom list, use an existing spreadsheet as the basis of a list, create a new library or discussion board, or create a survey.

Site Settings

The Site Settings hyperlink on the top link bar links to a page where you can change the name and description of your team Web site, modify site content, and perform administrative tasks, such as changing personal settings or setting up new team members to join the team Web site. You must be a member of the Administrator site group to perform administrative tasks.

Help

The Help hyperlink on the top link bar links to a Help Web site that is installed on the computer that is running Windows SharePoint Services.

Team Web site pages

The pages in your team Web site display data for your team. The data is displayed in rows and columns, with a series of commands across the top and a selection of views to choose from.

Command bar and view bar

1 Command bar

2 View bar

Command bar

The command bar provides hyperlinks to pages that contain forms for adding and editing items in the lists, document library, and discussion board. There are also commands for subscribing to be notified of changes to the content, modifying settings, and more.

View bar

Some pages, such as the one that displays the Tasks list, provide a selection of views so that you can see the data in various ways.

A default view of the data is the view that automatically appears when you follow a hyperlink to the page — for example, when you click Tasks on the Quick Launch bar. The default view is marked by an indicator Icon image in the view bar; you can see other views by clicking their names in the view bar.


About Form Libraries

About Form Libraries

Form libraries provide a simple way for you to share and track XML-based forms (.xml files) that are used to gather the same type of information. For example, you could create a form library for your team's status report forms to provide a single location for team members to quickly fill out, save, and view their forms.

A form template is associated with each form library; this form template defines the structure and appearance of all forms created from the form library, as well as the appropriate application with which to open the form.

Although any file type can be stored in a form library, there are several advantages to storing only .xml files, which require a Windows SharePoint Services–compatible XML editor, such as Microsoft Office Office InfoPath 2003. These advantages include the ability to use form library columns (which can be designed to display specific information stored within each form in the library) and the ability to merge data from mulitple forms into a single form.